static const char file_id[] = "BDFTrue.pl";
// .cc file generated from BDFTrue.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "BDFTrue.h"

const char *star_nm_BDFTrue = "BDFTrue";

const char* BDFTrue :: className() const {return star_nm_BDFTrue;}

ISA_FUNC(BDFTrue,BDFStar);

Block* BDFTrue :: makeNew() const { LOG_NEW; return new BDFTrue;}

BDFTrue::BDFTrue ()
{
	setDescriptor("If the value on the \"control\" input is nonzero, the input particle\nis copied to output. Otherwise, no input is consumed (except the control\nparticle) and no output is produced.  This is effectively one half\nof a Select.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(control.setPort("control",this,INT));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);

# line 32 "BDFTrue.pl"
input.setBDFParams(1,control,BDF_TRUE);
		output.setBDFParams(1,control,BDF_TRUE, 0);
}

void BDFTrue::go() {
# line 36 "BDFTrue.pl"
if (int(control%0)) {
			output%0 = input%0;
		}
}

// prototype instance for known block list
static BDFTrue proto;
static RegisterBlock registerBlock(proto,"True");
