static const char file_id[] = "AnyAsmBlackHole.pl";
// .cc file generated from AnyAsmBlackHole.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "AnyAsmBlackHole.h"

const char *star_nm_AnyAsmBlackHole = "AnyAsmBlackHole";

const char* AnyAsmBlackHole :: className() const {return star_nm_AnyAsmBlackHole;}

ISA_FUNC(AnyAsmBlackHole,AnyAsmStar);

Block* AnyAsmBlackHole :: makeNew() const { LOG_NEW; return new AnyAsmBlackHole;}

AnyAsmBlackHole::AnyAsmBlackHole ()
{
	setDescriptor("Black hole star for assembly-code domains.  No code is generated at runtime.");
	addPort(input.setPort("input",this,ANYTYPE));
	input.setAttributes(
# line 18 "AnyAsmBlackHole.pl"
P_CIRC);


}

int AnyAsmBlackHole::myExecTime() {
# line 25 "AnyAsmBlackHole.pl"
return 0;
}

void AnyAsmBlackHole::setup() {
# line 21 "AnyAsmBlackHole.pl"
int n = input.far()->numXfer();
		input.setSDFParams(n,n-1);
}

// prototype instance for known block list
static AnyAsmBlackHole proto;
static RegisterBlock registerBlock(proto,"BlackHole");
