static const char file_id[] = "CGReceive.pl";
// .cc file generated from CGReceive.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGReceive.h"
#include "StringList.h"

const char *star_nm_CGReceive = "CGReceive";

const char* CGReceive :: className() const {return star_nm_CGReceive;}

ISA_FUNC(CGReceive,CGVarTime);

Block* CGReceive :: makeNew() const { LOG_NEW; return new CGReceive;}

CodeBlock CGReceive :: block (
# line 42 "CGReceive.pl"
"// CGReceive Block\n");

CGReceive::CGReceive ()
{
	setDescriptor("Generates conditional code, depending on the value of\nthe Boolean state \"control\".");
	addPort(output.setPort("output",this,FLOAT));


}

void CGReceive::go() {
# line 46 "CGReceive.pl"
addCode(block);
		StringList out;
		out += "// ";
		out += "From processor ";
		out += orgProc;
		out += "   to processor ";
		out += destProc;
		addCode(out);
}


void CGReceive::registerProcs (int from, int to)
{
# line 36 "CGReceive.pl"
orgProc = from;
			destProc = to;
}


// prototype instance for known block list
static CGReceive proto;
static RegisterBlock registerBlock(proto,"Receive");
