static const char file_id[] = "CGSwitch.pl";
// .cc file generated from CGSwitch.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGSwitch.h"

const char *star_nm_CGSwitch = "CGSwitch";

const char* CGSwitch :: className() const {return star_nm_CGSwitch;}

ISA_FUNC(CGSwitch,CGVarTime);

Block* CGSwitch :: makeNew() const { LOG_NEW; return new CGSwitch;}

CodeBlock CGSwitch :: foo (
# line 42 "CGSwitch.pl"
"// Switch star\n");

CGSwitch::CGSwitch ()
{
	setDescriptor("This star requires a BDF scheduler!\n\nSwitches input events to one of two outputs, depending on\nthe value of the control input.  If control is true, the\nvalue is written to trueOutput; otherwise it is written to\nfalseOutput.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(control.setPort("control",this,INT));
	addPort(trueOutput.setPort("trueOutput",this,ANYTYPE));
	trueOutput.inheritTypeFrom(input);
	addPort(falseOutput.setPort("falseOutput",this,ANYTYPE));
	falseOutput.inheritTypeFrom(input);

# line 39 "CGSwitch.pl"
trueOutput.setRelation(DF_TRUE, &control);
		falseOutput.setRelation(DF_FALSE, &control);
}

void CGSwitch::go() {
# line 46 "CGSwitch.pl"
addCode(foo);
}

// prototype instance for known block list
static CGSwitch proto;
static RegisterBlock registerBlock(proto,"Switch");
