static const char file_id[] = "CGThrough.pl";
// .cc file generated from CGThrough.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGThrough.h"

const char *star_nm_CGThrough = "CGThrough";

const char* CGThrough :: className() const {return star_nm_CGThrough;}

ISA_FUNC(CGThrough,CGVarTime);

Block* CGThrough :: makeNew() const { LOG_NEW; return new CGThrough;}

CodeBlock CGThrough :: trueblock (
# line 36 "CGThrough.pl"
"// Line 1 from CGThrough if control == TRUE\n"
"// Line 2 from CGThrough if control == TRUE\n");

CodeBlock CGThrough :: falseblock (
# line 40 "CGThrough.pl"
"// Line 1 from CGThrough if control == FALSE\n"
"// Line 2 from CGThrough if control == FALSE\n");

CGThrough::CGThrough ()
{
	setDescriptor("Generates conditional code, depending on the value of\nthe Boolean state \"control\".");
	addState(control.setState("control",this,"FALSE","Controls which of two code lines gets generated."));
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void CGThrough::go() {
# line 45 "CGThrough.pl"
if (control == TRUE)
		addCode(trueblock);
	    else
		addCode(falseblock);
}

// prototype instance for known block list
static CGThrough proto;
static RegisterBlock registerBlock(proto,"Through");
