.EQ
delim off
.EN
.\" documentation file generated from CG56AddInt.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "AddInt"
.SD
Add any number of integer inputs, producing an integer output.
.SE
.LO "CG56 main library"
.DM CG56 CG56Star
.SV 1.3 "2/10/96"
.AL "Joseph T. Buck and Brian L. Evans"
.IH
.NE
\fIinput\fR (multiple), (int)
.PE
.OH
.NE
\fIoutput\fR (int)
.PE
.SH
.NE
\fIsaturation\fR (IntState): If true, use saturation arithmetic
.DF "YES"
.ET
.EQ
delim $$
.EN
.LD
The inputs are added and the result is written on the output.
The addition wraps up around to mimic the behavior of
two's complement addition.
.ES
