.EQ
delim off
.EN
.\" documentation file generated from CG56Allpass.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Allpass"
.SD
Allpass filter
.SE
.LO "CG56 dsp library"
.DM CG56 CG56Star
.SV 1.12 "01/01/96"
.AL "Chih-Tsung Huang, ported from Gabriel"
.AC "Gabriel version by E. A. Lee"
.IH
.NE
\fIinput\fR (fix)
.NE
\fIpolezero\fR (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIdelay\fR (IntState): delay value
.DF "10"
.NE
\fIdelayBuf\fR (FixArrayState): buffer
.DF "0"
.NE
\fIdelayBufStart\fR (IntState): pointer to the buffer
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
An all-pass filter with one pole and one zero.
The location of these is given by the pole-zero input [1, fig. 1a].
.UH REFERENCES
.ip [1]
J.A. Moore, "About this reverberation business",
\fIComputer Music Journal\fR,
vol. 3, no. 2, pp. 13-28, June, 1979.
.ES
