.EQ
delim off
.EN
.\" documentation file generated from CG56Biquad.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Biquad"
.SD
This star generates code for a second order IIR filter (a "biquad").
Transfer function: (1 + n1*z^(-1) + n2*z^(-2))/(1 + d1*z^(-1) + d2*z^(-2))
With the default parameters, there is a pole at z=0.5 +/- j0.5, and no zero.
.SE
.LO "CG56 dsp library"
.DM CG56 CG56Star
.SV 1.10 "1/1/96"
.AL "J. Buck, ported from Gabriel"
.IH
.NE
\fIinput\fR (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fId1\fR (FixState)
.DF "-1.0"
.NE
\fId2\fR (FixState)
.DF "-0.5"
.NE
\fIn1\fR (FixState)
.DF "0.0"
.NE
\fIn2\fR (FixState)
.DF "0.0"
.NE
\fIstate\fR (FixArrayState): Filter states
.DF "0.0[2]"
.ET
.EQ
delim $$
.EN
.ES
