.EQ
delim off
.EN
.\" documentation file generated from CG56BiquadDSPlay.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "BiquadDSPlay"
.SD
Second order IIR filter (Biquad)
.SE
.LO "CG56 dsp library"
.DM CG56 CG56Star
.SV 1.12 "1/1/96"
.AL "Chih-Tsung Huang, ported from Gabriel"
.IH
.NE
\fIinput\fR (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIa\fR (FixState): coef
.DF "4.5535887e-06"
.NE
\fIb\fR (FixState): coef
.DF "9.1071774e-06"
.NE
\fIc\fR (FixState): coef
.DF "4.5535887e-06"
.NE
\fId\fR (FixState): coef
.DF "0.9939553"
.NE
\fIe\fR (FixState): coef
.DF "-0.993973494"
.NE
\fIstate\fR (FixArrayState): internal
.DF "0[4]"
.NE
\fIcoef\fR (FixArrayState): internal
.DF "0[6]"
.ET
.EQ
delim $$
.EN
.LD
This second-order biquad IIR filter is tailored to use the coefficients
from the DSPlay filter design tool.
If DSPlay gives the coefficients A B C D E, then define the parameters
as follows:
.sp 0.5
.(l
a = A
b = B
c = C
d = -(D+1)
e = -E
.)l
.sp 0.5
This only works if a, b, c, d, and e are in the range $(-1, +1)$.
The transfer function realized by the filter is:
.EQ
H(z) ~ = ~ { { a ~ + ~ b z sup { -1 } ~ + ~ c z sup { -2 } } over
{ 1 ~ - ~ (d ~ + ~ 1) z sup { -1 } ~ - ~ e z sup { -2 } }  }
.EN
The default coefficients implement a low pass filter.
.ES
