.EQ
delim off
.EN
.\" documentation file generated from CG56Cos.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Cos"
.SD
Cosine function calculated by table lookup.
Input range of (-1,1) scaled by pi.
.SE
.LO "CG56 main library"
.DM CG56 CG56Star
.SV 1.14 "2/7/96"
.AL "J. Pino (ported from Gabriel)"
.AC "Gabriel version by Maureen O'Reilly"
.IH
.NE
\fIinput\fR (FIX)
.PE
.OH
.NE
\fIoutput\fR (FIX)
.PE
.EQ
delim $$
.EN
.LD
.Id "cosine"
This star computes the cosine of the input, which must be in the range
(-1.0, 1.0).
The output equals cos($pi$ $cdot$ \fIinput\fR), so the input range is 
effectively ($-pi$, $pi$).
The output is in the range $(-1.0, 1.0)$.
.ES
