.EQ
delim off
.EN
.\" documentation file generated from CG56Goertzel.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Goertzel"
.SD
First-order recursive computation of the kth coefficient of an
N-point DFT using Goertzel's algorithm.
.SE
.LO "CG56 dsp library"
.DM CG56 CG56GoertzelBase
.SV 1.10 "3/27/96"
.AL "Brian L. Evans"
.OH
.NE
\fIoutput\fR (complex)
.PE
.EQ
delim $$
.EN
.LD
.lp
This one-pole IIR filter has a transfer function of
.EQ
{1} over
{1 ~-~ {W sub N} sup {-k} z sup -1 } ~.
.EN
.ID "Goertzel's algorithm"
.ID "Oppenheim, A. V."
.ID "Schafer, R. W."
.UH REFERENCES
.ip [1]
A. V. Oppenheim and R. W. Schafer, \fIDiscrete-Time Signal Processing\fR,
Prentice-Hall: Englewood Cliffs, NJ, 1989.
.ES
