.EQ
delim off
.EN
.\" documentation file generated from CG56HostSldrGX.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "HostSldrGX"
.SD
Host port Slider
.SE
.LO "CG56 io library"
.DM CG56 CG56Star
.SV 1.4 "01/01/96"
.AL "Chih-Tsung Huang, ported from Gabriel"
.AC "Gabriel version by Phil Lapsley"
.OH
.NE
\fIoutput\fR (FIX)
.PE
.SH
.NE
\fIdescription\fR (StringState): put a description
.DF "Slider"
.NE
\fIhostMin\fR (IntState): minimum
.DF "0"
.NE
\fIhostMax\fR (IntState): maximum
.DF "100"
.NE
\fIhostInitialValue\fR (IntState): initial value
.DF "0"
.NE
\fIdspMin\fR (FixState): minimum
.DF "0.0"
.NE
\fIdspMax\fR (FixState): maximum
.DF "ONE"
.NE
\fIscale\fR (StringState): type of scaler
.DF "linear"
.NE
\fIvalue\fR (FixState): internal
.DF "0"
.NE
\fIinitVal\fR (FixState): internal
.DF "0"
.NE
\fIinitValdB\fR (FixState): internal
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
.Ir "slider bar"
.Ir "gxslider program"
Host port slider.
The parameters \fIhostMin\fR, \fIhostMax\fR, and \fIhostInitialValue\fR
control the values that the slider is labeled with under X windows.
They are mapped in a linear or decibel fashion into the range
of the parameters \fIdspMin\fR and \fIdspMax\fR on the DSP,
depending on whether \fIscale\fR is linear or log.
.ES
