.EQ
delim off
.EN
.\" documentation file generated from CG56Impulse.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Impulse"
.SD
Impulse generator
.SE
.LO "CG56 signal sources library"
.DM CG56 CG56Star
.SV 1.11 "1/1/96"
.AL "Chih-Tsung Huang, ported from Gabriel"
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIimpulseSize\fR (FixState): impulse size
.DF "ONE"
.NE
\fIpulse\fR (FixState): internal
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
The star produces at its output an impulse with height given by the parameter
\fIimpulseSize\fR.
.PP
A state variable is maintained to keep around the next output value.
At initialization, the state is set to \fIimpulseSize\fR.
During each subsequent invocation, the output value is taken from the state,
which is then set to zero.
.SA
Quasar and
DC.
.ES
