.EQ
delim off
.EN
.\" documentation file generated from CG56LMSGanged.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "LMSGanged"
.SD
Ganged least mean square (LMS) adaptive filter.
.SE
.LO "CG56 dsp library"
.DM CG56 CG56Star
.SV 1.11 "01/01/96"
.AL "Chih-Tsung Huang, ported from Gabriel"
.AC "Gabriel version by Martha Fratt"
.IH
.NE
\fIinputFIR\fR (fix)
.NE
\fIinputAdapt\fR (fix)
.NE
\fIerror\fR (fix)
.PE
.OH
.NE
\fIoutputFIR\fR (fix)
.NE
\fIoutputAdapt\fR (fix)
.PE
.SH
.NE
\fIstepSize\fR (FixState): specifies the rate of adaptation
.DF "0.01"
.NE
\fIerrorDelay\fR (IntState): specifies the relative delay between the output samples and the input
error samples.
.DF "1"
.NE
\fIdecimation\fR (IntState): number of input samples consumed before firing.
.DF "1"
.NE
\fIcoef\fR (FixArrayState): internal
.DF "-4.0609e-2 -1.6280e-3 1.7853e-1 3.7665e-1 3.7665e-1 1.7853e-1 -1.6280e-3 -4.0609e-2"
.NE
\fIdelayLineAdp\fR (IntArrayState): internal
.DF "0"
.NE
\fIdelayLineAdpStart\fR (IntState): internal
.DF "0"
.NE
\fIdelayLineFIR\fR (IntArrayState): internal
.DF "0"
.NE
\fIdelayLineFIRStart\fR (IntState): internal
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
Coefficients from the adaptive filter are used for the FIR filter in parallel.
The order is determined from the number of initial coefficients.
Initial coefficients default to a lowpass filter of order 8.
Default stepSize 0.01.
The errorDelay must specify the total delay between the
filter output and the error input.
.ES
