.EQ
delim off
.EN
.\" documentation file generated from CG56Logic.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Logic"
.SD
This star applies a logical operation to any number of inputs.
The inputs are integers interpreted as Boolean values,
where zero means FALSE and a nonzero value means TRUE.
The logical operations supported are {NOT AND NAND OR NOR XOR XNOR}.
.SE
.LO "CG56 main library"
.DM CG56 CG56Star
.SV 1.17 "3/27/96"
.AL "Brian L. Evans"
.AC "Edward A. Lee"
.IH
.NE
\fIinput\fR (multiple), (int): Input logic values.
.PE
.OH
.NE
\fIoutput\fR (int): Result of the logic test, with FALSE equal to zero and TRUE equal to a
non-zero integer (not necessarily 1).
.PE
.SH
.NE
\fIlogic\fR (StringState): The test logic: one of NOT AND NAND OR NOR XOR or XNOR.
.DF "AND"
.ET
.EQ
delim $$
.EN
.LD
The NOT operation requires that there be only one input.
The XOR operation with multiple inputs tests for an odd number
of TRUE values among the inputs.
The other operations are self-explanatory.
.ir "logic"
.ir "Boolean logic"
.ir "not (logical operation)"
.ir "and (logical operation)"
.ir "exclusive or"
.ir "xor (logical operation)"
.ir "xnor (logical operation)"
.ir "nand (logical operation)"
.ir "or (logical operation)"
.ir "nor (logical operation)"
.ES
