.EQ
delim off
.EN
.\" documentation file generated from CG56Quant.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Quant"
.SD
The star quantizes the input to one of N+1 possible output levels
using N thresholds.
.SE
.LO "CG56 main library"
.DM CG56 CG56Star
.SV 1.22 "2/15/96"
.AL "Chih-Tsung Huang"
.IH
.NE
\fIinput\fR (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIthresholds\fR (FixArrayState): threshold file
.DF "0.1 0.2 0.3 0.4"
.NE
\fIlevels\fR (FixArrayState): levels file
.DF "0.05 0.15 0.25 0.35 0.45"
.NE
\fIX\fR (IntState): internal
.DF "4"
.ET
.EQ
delim $$
.EN
.LD
The star quantizes the input to one of $N+1$ possible output levels
using $N$ thresholds.
For an input less than or equal to the $N$th threshold,
but larger than all previous thresholds,
the output will be the $N$th level.
If the input is greater than all thresholds,
the output is the $(N+1)$th level.
The \fIlevels\fR parameter must be one greater than the number
of \fIthresholds\fR.
.ES
