.EQ
delim off
.EN
.\" documentation file generated from CG56Ramp.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Ramp"
.SD
Ramp generator
.SE
.LO "CG56 signal sources library"
.DM CG56 CG56Star
.SV 1.14 "01/01/96"
.AL "Chih-Tsung Huang"
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIstep\fR (FixState): Increment from one sample to the next.
.DF "0.001"
.NE
\fIvalue\fR (FixState): Initial (or latest) value output by Ramp.
.DF "0.0"
.NE
\fIsum\fR (FixState): An internal state.
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
Generates a ramp signal, starting at \fIvalue\fR (default 0.0)
with step size \fIstep\fR (default 0.001).
.ES
