.EQ
delim off
.EN
.\" documentation file generated from CG56Rotate.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Rotate"
.SD
Rotate a block of input data
.SE
.LO "CG56 control library"
.DM CG56 CG56Star
.SV 1.11 "1/26/96"
.AL "Chih-Tsung Huang"
.IH
.NE
\fIinput\fR (ANYTYPE)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fIrotation\fR (IntState): amount of shift to right (negative) or left (positive)
.DF "0"
.NE
\fIlength\fR (IntState): length of input data
.DF "16"
.NE
\fIrotate\fR (IntState): length of input data
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
.Id "reverse"
The star reads in an input block of length \fIlength\fR and performs a
circular shift of the input.
If \fIrotation\fR is positive, then the input is shifted to the left so
that output[0] = input[\fIrotation\fR], output[1] = input[\fIrotation\fR + 1],
etc.
If \fIrotation\fR is negative, then the input is shifted to the right so
that output[\fIrotation\fR] = input[0], output[\fIrotation\fR + 1] = input[1],
etc.
The parameter \fIrotation\fR must be smaller than the parameter
\fIlength\fR in absolute value.
.ES
