.EQ
delim off
.EN
.\" documentation file generated from CG56TableInt.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TableInt"
.SD
Implements an integer-valued lookup table.  The "values" state contains the
values to output; its first element is element zero.  An error occurs if
an out of bounds value is received.
.SE
.LO "CG56 main library"
.DM CG56 CG56Star
.SV 1.5 "2/10/96"
.AL "Joseph T. Buck and Brian L. Evans"
.IH
.NE
\fIinput\fR (int)
.PE
.OH
.NE
\fIoutput\fR (int)
.PE
.SH
.NE
\fIvalues\fR (IntArrayState): table of values to output
.DF "-1 1"
.NE
\fIrunTimeCheck\fR (IntState): If YES, check range of index at runtime, else omit.
This is currently not supported in the CG56 domain.
.DF "YES"
.ET
.EQ
delim $$
.EN
.LD
.Id "table lookup"
.ES
