static const char file_id[] = "CG56BiquadDSPlay.pl";
// .cc file generated from CG56BiquadDSPlay.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56BiquadDSPlay.h"

const char *star_nm_CG56BiquadDSPlay = "CG56BiquadDSPlay";

const char* CG56BiquadDSPlay :: className() const {return star_nm_CG56BiquadDSPlay;}

ISA_FUNC(CG56BiquadDSPlay,CG56Star);

Block* CG56BiquadDSPlay :: makeNew() const { LOG_NEW; return new CG56BiquadDSPlay;}

CodeBlock CG56BiquadDSPlay :: coefinit (
# line 89 "CG56BiquadDSPlay.pl"
"; put coef into appropriate memory location\n"
"\n"
"        org     $ref(coef)\n"
"        dc      $val(a)\n"
"        dc      $val(b)\n"
"        dc      $val(c)\n"
"        dc      $val(d)\n"
"        dc      $$7fffff\n"
"        dc      $val(e)\n"
"        org     p:\n"
"\n");

CodeBlock CG56BiquadDSPlay :: std (
# line 102 "CG56BiquadDSPlay.pl"
"        move    #$addr(state),r0\n"
"        move    #$addr(coef),r4\n"
"        move    $ref(input),x0\n"
"        move    y:(r4)+,y0\n"
"        mpy     x0,y0,a x:(r0),x1       y:(r4)+,y1\n"
"        move    x0,x:(r0)+\n"
"        mac     x1,y1,a x:(r0),x0       y:(r4)+,y0\n"
"        move    x1,x:(r0)+\n"
"        mac     x0,y0,a x:(r0),x1       y:(r4)+,y1\n"
"        mac     x1,y1,a x:(r0)+,x0      y:(r4)+,y0\n"
"        mac     x0,y0,a x:(r0),x1       y:(r4),y1\n"
"        move    x0,x:(r0)-\n"
"        macr    x1,y1,a\n"
"        move    a1,x:(r0)\n"
"        move    a1,$ref(output)\n");

CG56BiquadDSPlay::CG56BiquadDSPlay ()
{
	setDescriptor("Second order IIR filter (Biquad)");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FIX));
	addState(a.setState("a",this,"4.5535887e-06","coef"));
	addState(b.setState("b",this,"9.1071774e-06","coef"));
	addState(c.setState("c",this,"4.5535887e-06","coef"));
	addState(d.setState("d",this,"0.9939553","coef"));
	addState(e.setState("e",this,"-0.993973494","coef"));
	addState(state.setState("state",this,"0[4]","internal",
# line 79 "CG56BiquadDSPlay.pl"
A_NONCONSTANT|A_NONSETTABLE|A_XMEM));
	addState(coef.setState("coef",this,"0[6]","internal",
# line 86 "CG56BiquadDSPlay.pl"
A_NONCONSTANT|A_NONSETTABLE|A_YMEM|A_NOINIT));


}

int CG56BiquadDSPlay::myExecTime() {
# line 126 "CG56BiquadDSPlay.pl"
return 15;
}

void CG56BiquadDSPlay::initCode() {
# line 120 "CG56BiquadDSPlay.pl"
addCode(coefinit);
}

void CG56BiquadDSPlay::go() {
# line 123 "CG56BiquadDSPlay.pl"
addCode(std);
}

// prototype instance for known block list
static CG56BiquadDSPlay proto;
static RegisterBlock registerBlock(proto,"BiquadDSPlay");
