#ifndef _CG56Comb_h
#define _CG56Comb_h 1
// header file generated from CG56Comb.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FixState.h"
#include "FixArrayState.h"

class CG56Comb : public CG56Star
{
public:
	CG56Comb();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock block;
	static CodeBlock std;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	InCG56Port input;
	InCG56Port time;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState state;
	FixArrayState delayBuf;
	IntState delayBufStart;
	IntState delay;
	FixState pole;
	FixState X;

};
#endif
