static const char file_id[] = "CG56FIR.pl";
// .cc file generated from CG56FIR.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56FIR.h"

const char *star_nm_CG56FIR = "CG56FIR";

const char* CG56FIR :: className() const {return star_nm_CG56FIR;}

ISA_FUNC(CG56FIR,CG56Star);

Block* CG56FIR :: makeNew() const { LOG_NEW; return new CG56FIR;}

CodeBlock CG56FIR :: block (
# line 237 "CG56FIR.pl"
"; initialize FIR\n"
"; state variables\n"
"        org     $ref(oldsample)\n"
"        bsc     $val(oldsampleSize),0\n"
"\n"
"; pointer to state variable buffer\n"
"        org     p:\n"
"        move    #>$addr(oldsample),x0\n"
"        move    x0,$ref(oldsampleStart)\n"
"        org     p:\n");

CodeBlock CG56FIR :: first (
# line 250 "CG56FIR.pl"
"; tap size: $val(tp)\n"
"; interpolation : $val(interpolation)\n"
"; decimation: $val(dec)\n"
"        move    #>($val(tp)*$val(interpolation)+$addr(taps)-1),r0\n");

CodeBlock CG56FIR :: old (
# line 256 "CG56FIR.pl"
"        move    $ref(oldsampleStart),r5\n");

CodeBlock CG56FIR :: second (
# line 259 "CG56FIR.pl"
"        move    #$val(tp)-$val(decimation)-1,m5\n");

CodeBlock CG56FIR :: must (
# line 262 "CG56FIR.pl"
"        move    $ref2(input,adjust),x0\n");

CodeBlock CG56FIR :: greaterTwo (
# line 265 "CG56FIR.pl"
"        clr     a         x:(r5)+,x1      y:(r0)-,y1\n"
"        rep     #$val(tp)-2\n"
"        mac     x1,y1,a   x:(r5)+,x1      y:(r0)-,y1\n"
"        mac     x1,y1,a   x0,x:(r5)+      y:(r0)-,y1\n"
"        macr    x0,y1,a   r5,$ref(oldsampleStart)\n"
"        move            m7,m5\n"
"        move    a,$ref(output)\n");

CodeBlock CG56FIR :: equalTwo (
# line 274 "CG56FIR.pl"
"        clr     a         x:(r5),x1       y:(r0)-,y1\n"
"        mac     x1,y1,a   x0,x:(r5)       y:(r0)-,y1\n"
"        macr    x0,y1,a \n"
"        move    a,$ref(output)\n");

CodeBlock CG56FIR :: lessTwo (
# line 280 "CG56FIR.pl"
"        clr     a         $ref(taps),y1\n"
"        mpyr    x0,y1,a\n"
"        move    a,$ref(output)\n");

CodeBlock CG56FIR :: decmust (
# line 285 "CG56FIR.pl"
"        move    #>($val(adjust)+$addr(input)),r6\n");

CodeBlock CG56FIR :: decgreater (
# line 288 "CG56FIR.pl"
"        clr     a         x:(r5)+,x1      y:(r0)-,y1\n"
"        rep     #$val(tp)-$val(dec)-1\n"
"        mac     x1,y1,a   x:(r5)+,x1      y:(r0)-,y1\n"
"        do      #$val(dec),$label(loop)\n"
"        mac     x1,y1,a   x:(r6)+,x1      y:(r0)-,y1\n"
"        move    x1,x:(r5)+\n"
"$label(loop)\n"
"        macr    x1,y1,a   r5,$ref(oldsampleStart)\n"
"        move    m7,m5\n"
"        move    a,$ref(output)\n");

CodeBlock CG56FIR :: decequal (
# line 300 "CG56FIR.pl"
"        clr     a               x:(r5),x1       y:(r0)-,y1\n"
"        rep     #$val(dec)\n"
"        mac     x1,y1,a         x:(r6)+,x1      y:(r0)-,y1\n"
"        macr    x1,y1,a         x1,x:(r5)\n"
"        move    a,$ref(output)\n");

CodeBlock CG56FIR :: decless (
# line 307 "CG56FIR.pl"
"        nop\n"
"        clr     a         x:(r6)+,x1      y:(r0)-,y1\n"
"        rep     #$val(tp)-1\n"
"        mac     x1,y1,a   x:(r6)+,x1      y:(r0)-,y1\n"
"        macr    x1,y1,a\n"
"        move    a,$ref(output)\n");

CodeBlock CG56FIR :: interpmust (
# line 315 "CG56FIR.pl"
"        move    $ref2(input,adjust),x0\n"
"        move    #>$addr(output),r6\n");

CodeBlock CG56FIR :: greater (
# line 319 "CG56FIR.pl"
"        clr   a         x:(r5)+,x1      y:(r0)-,y1\n");

CodeBlock CG56FIR :: greaterloop (
# line 322 "CG56FIR.pl"
"        do    #$val(interpolation)-1,$label(looparound)\n"
"        rep   #$val(tp)-1\n"
"        mac   x1,y1,a   x:(r5)+,x1      y:(r0)-,y1\n"
"        macr  x0,y1,a                   y:(r0)-,y1\n"
"        clr   a         a,x:(r6)+\n"
"$label(looparound)   \n");

CodeBlock CG56FIR :: gone (
# line 330 "CG56FIR.pl"
"        rep   #$val(tp)-1\n"
"        mac   x1,y1,a   x:(r5)+,x1      y:(r0)-,y1\n"
"        macr  x0,y1,a                   y:(r0)-,y1\n"
"        clr   a         a,x:(r6)+\n");

CodeBlock CG56FIR :: grep (
# line 336 "CG56FIR.pl"
"        mac   x1,y1,a   x:(r5)+,x1      y:(r0)-,y1\n");

CodeBlock CG56FIR :: repGreater (
# line 339 "CG56FIR.pl"
"        rep   #$val(tp)-2\n"
"        mac   x1,y1,a   x:(r5)+,x1      y:(r0)-,y1    \n");

CodeBlock CG56FIR :: gcont (
# line 343 "CG56FIR.pl"
"        mac   x1,y1,a   x0,x:(r5)+      y:(r0)-,y1\n"
"        macr  x0,y1,a   r5,$ref(oldsampleStart)\n"
"        move            m7,m5\n"
"        move            a,x:(r6)+\n");

CodeBlock CG56FIR :: equal (
# line 350 "CG56FIR.pl"
"        move            x:(r5),x1       y:(r0)-,y1\n"
"        mpy   x1,y1,a                   y:(r0)-,y1\n"
"        macr  x0,y1,a                   y:(r0)-,y1\n");

CodeBlock CG56FIR :: fullloop (
# line 356 "CG56FIR.pl"
"        do    #$val(interpolation)-2,$label(fullLoop)\n"
"        mpy   x1,y1,a   a,x:(r6)+       y:(r0)-,y1\n"
"        macr  x0,y1,a                   y:(r0)-,y1\n"
"$label(fullLoop)\n");

CodeBlock CG56FIR :: equalone (
# line 362 "CG56FIR.pl"
"        mpy   x1,y1,a   a,x:(r6)+       y:(r0)-,y1\n"
"        macr  x0,y1,a                   y:(r0)-,y1\n");

CodeBlock CG56FIR :: equalcont (
# line 366 "CG56FIR.pl"
"        mpy   x1,y1,a   a,x:(r6)+       y:(r0)-,y1\n"
"        macr  x0,y1,a   x0,x:(r5)\n"
"        move            a,x:(r6)+\n");

CodeBlock CG56FIR :: less (
# line 372 "CG56FIR.pl"
"        move                            y:(r0)-,y1\n"
"        mpyr  x0,y1,a                   y:(r0)-,y1\n");

CodeBlock CG56FIR :: lessrep (
# line 376 "CG56FIR.pl"
"        mpyr  x0,y1,a   a,x:(r6)+       y:(r0)-,y1\n");

CodeBlock CG56FIR :: rep (
# line 379 "CG56FIR.pl"
"        rep   #$val(interpolation)-2\n"
"        mpyr  x0,y1,a   a,x:(r6)+       y:(r0)-,y1\n");

CodeBlock CG56FIR :: lesscont (
# line 383 "CG56FIR.pl"
"        mpyr  x0,y1,a   a,x:(r6)+\n"
"        move            a,x:(r6)+\n");

CG56FIR::CG56FIR ()
{
	setDescriptor("Finite Impulse Response (FIR) filter.\nCoefficients are in the \"taps\" state variable.  Default coefficients\ngive an 8th order, linear phase lowpass filter.  To read coefficients\nfrom a file, replace the default coefficients with \"<fileName\".\nDecimation parameter > 1 reduces sample rate.  Interpolation parameter\n> 1 increases sample rate.");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FIX));
	addState(taps.setState("taps",this,"-.040609 -.001628 .17853 .37665 .37665 .17853 -.001628 -.040609","Filter tap values.",
# line 52 "CG56FIR.pl"
A_NONCONSTANT|A_YMEM|A_NOINIT));
	addState(decimation.setState("decimation",this,"1","Decimation ratio."));
	addState(decimationPhase.setState("decimationPhase",this,"0","Downsampler phase, currently not supported."));
	addState(interpolation.setState("interpolation",this,"1","Interpolation ratio."));
	addState(oldsample.setState("oldsample",this,"0","internal",
# line 79 "CG56FIR.pl"
A_CIRC|A_NONCONSTANT|A_NONSETTABLE|A_XMEM|A_NOINIT));
	addState(oldsampleStart.setState("oldsampleStart",this,"0","pointer to oldsample",
# line 87 "CG56FIR.pl"
A_NONCONSTANT|A_NONSETTABLE|A_XMEM|A_NOINIT));
	addState(oldsampleSize.setState("oldsampleSize",this,"0","size of oldsample",
# line 94 "CG56FIR.pl"
A_NONCONSTANT|A_NONSETTABLE));
	addState(tapsNum.setState("tapsNum",this,"8","internal",
# line 101 "CG56FIR.pl"
A_NONCONSTANT|A_NONSETTABLE));
	addState(tp.setState("tp",this,"0","internal",
# line 108 "CG56FIR.pl"
A_NONCONSTANT|A_NONSETTABLE));
	addState(adjust.setState("adjust",this,"0","internal",
# line 115 "CG56FIR.pl"
A_NONCONSTANT|A_NONSETTABLE));
	addState(dec.setState("dec",this,"0","internal",
# line 122 "CG56FIR.pl"
A_NONCONSTANT|A_NONSETTABLE));


}

int CG56FIR::myExecTime() {
# line 389 "CG56FIR.pl"
int a=2;
                int b=0;

                if (tapsNum>1)  a=4;
		    
                if (tapsNum<=decimation) {
              	    if (tapsNum=1) 
		            b=3;
	            else
		            b=5+tapsNum;
                }
	        else if (tapsNum==decimation+1) {
	            if (decimation==1)
		            b=4;
	            else
		            b=5+decimation;
	        }
                else {
	            if (decimation==1)
		            b=8+tapsNum-decimation;
	            else
		            b=10+tapsNum+decimation;
               }
               return a+b;
}

void CG56FIR::initCode() {
# line 152 "CG56FIR.pl"
int interp = interpolation;
	    int i = 0;
	    StringList tapInit;
	    tapInit = "\torg\t$ref(taps)\n";
	    if (interp == 1)
		for (i = 0; i < taps.size() ; i++)
		    tapInit << "\tdc\t" << double(taps[i]) << '\n';
	    else {
		for (i = interp-1; i >= 0; i--)
		    for (int j=i; j<taps.size(); j+=interp) {
			tapInit << "\tdc\t"<< double(taps[j]) << '\n';
		    }
	    }
	    tapInit << "\torg\tp:\n";
	    addCode(tapInit);
	    oldsampleSize=oldsample.size();
	    if (oldsampleSize>0) 
		addCode(block);
}

void CG56FIR::setup() {
# line 126 "CG56FIR.pl"
if ( int(decimationPhase) != 0 ) {
		  Error::warn(*this,
			      "A non-zero decimationPhase is not supported ",
			      "in the CG56 version of this star");
	      }

	      int interp = int(interpolation);
 	      int decimt = int(decimation);
              tapsNum = taps.size();
	      int oldSampleNum = int(ceil(double(tapsNum - decimt)/double(interp)));	      if (oldSampleNum>0)
                   oldsample.resize(oldSampleNum);
              else
                   oldsample.resize(0);
              input.setSDFParams(decimt, decimt-1);
	      output.setSDFParams(interp, interp-1);

              if (decimt>1 && interp>1) 
	              Error::abortRun (*this, ": Cannot both interpolate and decimate.");
	      
              int modtemp=tapsNum%interp;
              if (modtemp !=0) {
	             taps.resize(tapsNum+interp-modtemp);
		     tapsNum=taps.size();
	      }
}

void CG56FIR::go() {
# line 173 "CG56FIR.pl"
tp= int(tapsNum/interpolation);
                dec = tp;
                if (tp > decimation) dec=decimation;
		adjust = (int)decimation - (int)tp;
		if (adjust<0) adjust=0;
		if((tp*interpolation) >1)  addCode(first);
                if(tp>decimation) addCode(old);
	        if(tp>(decimation+1)) addCode(second); 

// Normal case
                if(dec==1 && interpolation==1) {
                     addCode(must);
	             if(tp>2) addCode(greaterTwo);
		     if(tp==2) addCode(equalTwo);
		     if(tp<2) addCode(lessTwo);
		}
// decimation
                else if(dec>1) {
                     addCode(decmust);
	             if(tp > (1+dec)) addCode(decgreater);
		     if(tp == (1+dec)) addCode(decequal);
		     if(tp < (1+dec)) addCode(decless);
	        }   
// interpolation
                else {
                     addCode(interpmust);
	             if(tp>2) {
                          addCode(greater);
		          if(interpolation-1 > 1) addCode(greaterloop);
		          if(interpolation-1 ==1) addCode(gone);
			  if(tp-2==2) {
		              addCode(grep);
			      addCode(grep);
			  }
                          else if(tp-2==1) 
			      addCode(grep);
		          else /*if(interpolation-2>0) is this needed*/
		              addCode(repGreater);

                          addCode(gcont);
	             }
		     if(tp==2) {
                          addCode(equal);
		          if(interpolation-2 > 1) addCode(fullloop);
		          if(interpolation-2 ==1) addCode(equalone);
                          addCode(equalcont);
		     }
		     if(tp<2) {
		          addCode(less);
			  if(interpolation-2==2) {
		              addCode(lessrep);
			      addCode(lessrep);
			  }
                          else if(interpolation-2==1) 
			      addCode(lessrep);

		          else if(interpolation-2>0) 
		              addCode(rep);

			  addCode(lesscont);
		    }
               }
}

// prototype instance for known block list
static CG56FIR proto;
static RegisterBlock registerBlock(proto,"FIR");
