#ifndef _CG56FIR_h
#define _CG56FIR_h 1
// header file generated from CG56FIR.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FixArrayState.h"

class CG56FIR : public CG56Star
{
public:
	CG56FIR();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock block;
	static CodeBlock first;
	static CodeBlock old;
	static CodeBlock second;
	static CodeBlock must;
	static CodeBlock greaterTwo;
	static CodeBlock equalTwo;
	static CodeBlock lessTwo;
	static CodeBlock decmust;
	static CodeBlock decgreater;
	static CodeBlock decequal;
	static CodeBlock decless;
	static CodeBlock interpmust;
	static CodeBlock greater;
	static CodeBlock greaterloop;
	static CodeBlock gone;
	static CodeBlock grep;
	static CodeBlock repGreater;
	static CodeBlock gcont;
	static CodeBlock equal;
	static CodeBlock fullloop;
	static CodeBlock equalone;
	static CodeBlock equalcont;
	static CodeBlock less;
	static CodeBlock lessrep;
	static CodeBlock rep;
	static CodeBlock lesscont;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	InCG56Port input;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixArrayState taps;
	IntState decimation;
	IntState decimationPhase;
	IntState interpolation;
	FixArrayState oldsample;
	IntState oldsampleStart;
	IntState oldsampleSize;
	IntState tapsNum;
	IntState tp;
	IntState adjust;
	IntState dec;

};
#endif
