#ifndef _CG56GoertzelBase_h
#define _CG56GoertzelBase_h 1
// header file generated from CG56GoertzelBase.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FixState.h"

class CG56GoertzelBase : public CG56Star
{
public:
	CG56GoertzelBase();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock initialize;
	const char* loop(int len);
	/* virtual */ int myExecTime();
	InCG56Port input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState k;
	IntState N;
	IntState size;
	FixState WnReal;
	FixState WnImag;
# line 59 "CG56GoertzelBase.pl"
double theta;
	void CheckParameterValues ();

};
#endif
