#ifndef _CG56IIR_h
#define _CG56IIR_h 1
// header file generated from CG56IIR.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990- The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FixArrayState.h"

class CG56IIR : public CG56Star
{
public:
	CG56IIR();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock one;
	static CodeBlock init;
	const char* doFilter(int numLoops);
	static CodeBlock end;
	/* virtual */ int myExecTime();
	InCG56Port signalIn;
	OutCG56Port signalOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState gain;
	FixArrayState numerator;
	FixArrayState denominator;
	FixArrayState coeffs;
	FixArrayState delays;
# line 108 "CG56IIR.pl"
int numState, numLoops;

};
#endif
