#ifndef _CG56LMSRx_h
#define _CG56LMSRx_h 1
// header file generated from CG56LMSRx.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1991-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FixState.h"
#include "FixArrayState.h"

class CG56LMSRx : public CG56Star
{
public:
	CG56LMSRx();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock cbExample;
	static CodeBlock cbInit;
	static CodeBlock cbHeader;
	static CodeBlock cbSetup;
	static CodeBlock cbUpdateTaps;
	static CodeBlock cbStoreLastTap;
	static CodeBlock cbLastTapConstrait;
	static CodeBlock cbUpdateDelayLine;
	static CodeBlock cbInnerProduct;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	InCG56Port input_r;
	InCG56Port input_i;
	InCG56Port error_r;
	InCG56Port error_i;
	OutCG56Port output_r;
	OutCG56Port output_i;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixArrayState init_taps_r;
	FixArrayState init_taps_i;
	IntState numTaps;
	FixState step_size;
	IntState error_delay;
	IntState decimation;
	IntState fooPhase;
	FixState last_tap_min;
	FixArrayState coef_table;
	FixArrayState delay_line;
	IntState delayPtr;

};
#endif
