#ifndef _CG56Window_h
#define _CG56Window_h 1
// header file generated from CG56Window.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56WaveForm.h"
#include "IntState.h"
#include "StringState.h"
#include "FloatArrayState.h"

class CG56Window : public CG56WaveForm
{
public:
	CG56Window();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
protected:
	/* virtual */ void setup();
	StringState name;
	IntState length;
	FloatArrayState WindowParameters;
# line 73 "CG56Window.pl"
int winType;
		int realLen;
		int realPeriod;
		double scale0;
		double scale1;
		double freq1;
		double scale2;
		double freq2;
		double alpha;
		double norm;
		double beta;

		// must be persistent data or there will be an error
		// in value.setInitValue(window) because window will
		// be destroyed if it were a local variable in setup
		StringList window;

};
#endif
