static const char file_id[] = "CG56ACos.pl";
// .cc file generated from CG56ACos.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56ACos.h"

const char *star_nm_CG56ACos = "CG56ACos";

const char* CG56ACos :: className() const {return star_nm_CG56ACos;}

ISA_FUNC(CG56ACos,CG56Star);

Block* CG56ACos :: makeNew() const { LOG_NEW; return new CG56ACos;}

CodeBlock CG56ACos :: acosblock (
# line 56 "CG56ACos.pl"
"        clr     a               $ref(input),x0\n"
"        cmp     x0,a            #.999999999,b\n"
"        jne     $label(l22)\n"
"        move    #0.5,a\n"
"        jmp     $label(l23)\n"
"$label(l22)\n"
"        cmp     x0,b            #-1.0,a\n"
"        jne     $label(l24)\n"
"        clr     a\n"
"        jmp     $label(l23)\n"
"$label(l24)\n"
"        cmp     x0,a\n"
"        jne     $label(l25)\n"
"        move    #.99999999,a\n"
"        jmp     $label(l23)\n"
"$label(l25)\n"
"        mpyr    x0,x0,b         #.445156695,y1\n"
"        move    #0.5,a          b,y0\n"
"        mac     y1,y0,a         #.440833333,y1\n"
"        mpyr    y0,y1,b         a,x1\n"
"        move    #0.25,a         b,y1\n"
"        mac     y1,y0,a         #.435770751,y1\n"
"        mpyr    y0,y1,b         a,x1\n"
"        move    #0.125,a        b,y1\n"
"        mac     y1,y0,a         #.859523809,y1\n"
"        mpyr    y0,y1,b         a,x1\n"
"        move    #0.125,a        b,y1\n"
"        mac     y1,y0,a         #.845029239,y1\n"
"        mpyr    y0,y1,b         a,x1\n"
"        move    #0.125,a        b,y1\n"
"        mac     y1,y0,a         #.827205882,y1\n"
"        mpyr    y0,y1,b         a,x1\n"
"        move    #0.125,a        b,y1\n"
"        mac     y1,y0,a         #.804761904,y1\n"
"        mpyr    y0,y1,b         a,x1\n"
"        move    #0.125,a        b,y1\n"
"        mac     y1,y0,a         #.775641025,y1\n"
"        mpyr    y0,y1,b         a,x1\n"
"        move    #0.125,a        b,y1\n"
"        mac     y1,y0,a         #.736363636,y1\n"
"        mpyr    y0,y1,b         a,x1\n"
"        move    #0.125,a        b,y1\n"
"        mac     y1,y0,a         #.680555555,y1\n"
"        mpyr    y0,y1,b         a,x1\n"
"        move    #0.125,a        b,y1\n"
"        mac     x1,y1,a         #.595238095,y1\n"
"        mpyr    y0,y1,b         a,x1\n"
"        move    #0.125,a        b,y1\n"
"        mac     x1,y1,a         #.450000000,y1\n"
"        mpyr    y0,y1,b         a,x1\n"
"        move    #0.125,a        b,y1\n"
"        mac     x1,y1,a         #.166666666,y1\n"
"        mpyr    y0,y1,b         a,x1\n"
"        move    #0.125,a        b,y1\n"
"        macr    x1,y1,a         #0.318309886,y1\n"
"        move    a,x1\n"
"        mpyr    x0,x1,a\n"
"        move    a,x1\n"
"        mpyr    x1,y1,a\n"
"\n"
"        dup     3\n"
"        asl     a\n"
"        endm\n"
"\n"
"        neg     a               #0.5,x0\n"
"        add     x0,a\n"
"\n"
"$label(l23)\n"
"        move    a,$ref(output)\n");

CG56ACos::CG56ACos ()
{
	setDescriptor("Arc Cosine");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FIX));

# line 54 "CG56ACos.pl"
noInternalState();
}

int CG56ACos::myExecTime() {
# line 43 "CG56ACos.pl"
return 55;
}

void CG56ACos::go() {
# line 128 "CG56ACos.pl"
addCode(acosblock);
}

// prototype instance for known block list
static CG56ACos proto;
static RegisterBlock registerBlock(proto,"ACos");
