static const char file_id[] = "CG56AddCx.pl";
// .cc file generated from CG56AddCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56AddCx.h"

const char *star_nm_CG56AddCx = "CG56AddCx";

const char* CG56AddCx :: className() const {return star_nm_CG56AddCx;}

ISA_FUNC(CG56AddCx,CG56Star);

Block* CG56AddCx :: makeNew() const { LOG_NEW; return new CG56AddCx;}

CG56AddCx::CG56AddCx ()
{
	setDescriptor("Add any number of inputs, producing an output.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(output.setPort("output",this,COMPLEX));
	addState(saturation.setState("saturation",this,"YES","If true, use saturation arithmetic"));

# line 32 "CG56AddCx.pl"
noInternalState();
}

int CG56AddCx::myExecTime() {
# line 55 "CG56AddCx.pl"
return 4 + 3*(input.numberPorts() - 1);
}

void CG56AddCx::go() {
# line 36 "CG56AddCx.pl"
	{ StringList _str_; _str_ << 
"	move	x:$addr(input#1),a\n"
"	move	y:$addr(input#1),b\n"
;
	 addCode(_str_); }

	for (int i = 2; i <= input.numberPorts(); i++) {
	{ StringList _str_; _str_ << 
"	move	$ref(input#" << (i) << "),x\n"
"	add	x1,a\n"
"	add	x0,b\n"
;
	 addCode(_str_); }
	}

	if (int(saturation)) {
	{ StringList _str_; _str_ << 
"	move	a,x:$addr(output)\n"
"	move	b,y:$addr(output)\n"
;
	 addCode(_str_); }
	}
	else {
	{ StringList _str_; _str_ << 
"	move	a1,x:$addr(output)\n"
"	move	b1,y:$addr(output)\n"
;
	 addCode(_str_); }
	}
}

// prototype instance for known block list
static CG56AddCx proto;
static RegisterBlock registerBlock(proto,"AddCx");
