static const char file_id[] = "CG56AddInt.pl";
// .cc file generated from CG56AddInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56AddInt.h"

const char *star_nm_CG56AddInt = "CG56AddInt";

const char* CG56AddInt :: className() const {return star_nm_CG56AddInt;}

ISA_FUNC(CG56AddInt,CG56Star);

Block* CG56AddInt :: makeNew() const { LOG_NEW; return new CG56AddInt;}

CodeBlock CG56AddInt :: copyInput (
# line 37 "CG56AddInt.pl"
"	move	$ref(input#1),x0		; just move data from in to out\n"
"	move	x0,$ref(output)\n");

CodeBlock CG56AddInt :: addStart (
# line 42 "CG56AddInt.pl"
"	move	$ref(input#1),x0			; x0 = input#1\n"
"	move	$ref(input#2),a				; a = input#2\n");

const char* CG56AddInt :: add(int i) {
# line 47 "CG56AddInt.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	add	x0,a	$ref(input#" << (i) << "),x0\n";
	return (const char*)_str_;
}

CodeBlock CG56AddInt :: addEnd (
# line 51 "CG56AddInt.pl"
"	add	x0,a\n"
"	move	a,$ref(output)\n");

CG56AddInt::CG56AddInt ()
{
	setDescriptor("Add any number of integer inputs, producing an integer output.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(saturation.setState("saturation",this,"YES","If true, use saturation arithmetic"));

# line 34 "CG56AddInt.pl"
noInternalState();
}

int CG56AddInt::myExecTime() {
# line 70 "CG56AddInt.pl"
if ( input.numberPorts() == 1 ) return 2;
		return (2 + input.numberPorts());
}

void CG56AddInt::go() {
# line 57 "CG56AddInt.pl"
if (input.numberPorts() == 1) {
			addCode(copyInput);
			return;
		}

		addCode(addStart);
		for (int i = 3; i <= input.numberPorts(); i++) {
			addCode(add(i));
		}
		addCode(addEnd);
}

// prototype instance for known block list
static CG56AddInt proto;
static RegisterBlock registerBlock(proto,"AddInt");
