#ifndef _CG56Commutator_h
#define _CG56Commutator_h 1
// header file generated from CG56Commutator.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"

class CG56Commutator : public CG56Star
{
public:
	CG56Commutator();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock loadOutputAddress;
	const char* moveBlock(int inputNum);
	/* virtual */ int myExecTime();
	MultiInCG56Port input;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState blockSize;

};
#endif
