static const char file_id[] = "CG56ConstCx.pl";
// .cc file generated from CG56ConstCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56ConstCx.h"

const char *star_nm_CG56ConstCx = "CG56ConstCx";

const char* CG56ConstCx :: className() const {return star_nm_CG56ConstCx;}

ISA_FUNC(CG56ConstCx,CG56Star);

Block* CG56ConstCx :: makeNew() const { LOG_NEW; return new CG56ConstCx;}

CG56ConstCx::CG56ConstCx ()
{
	setDescriptor("Constant source");
	addPort(output.setPort("output",this,COMPLEX));
	output.setAttributes(
# line 21 "CG56ConstCx.pl"
P_NOINIT);
	addState(real.setState("real",this,"0.0","Real part of DC value."));
	addState(imag.setState("imag",this,"0.0","Imaginary part of DC value."));

# line 36 "CG56ConstCx.pl"
noInternalState();
}

int CG56ConstCx::myExecTime() {
# line 58 "CG56ConstCx.pl"
return 0;
}

void CG56ConstCx::initCode() {
# line 54 "CG56ConstCx.pl"
initializeMemory('x',double(real));
	initializeMemory('y',double(imag));
	{ StringList _str_; _str_ << 
"	org	p:"
;
	 addCode(_str_); }

}


void CG56ConstCx::initializeMemory (char memoryBank, double defaultValue)
{
# line 45 "CG56ConstCx.pl"
StringList out;
	    out << "	org	" << memoryBank << ":$addr(output)\n";
	    for (int i=0 ; i<output.bufSize() ; i++)
		out << "	dc	" << defaultValue << '\n';
	    addCode(out);
}


// prototype instance for known block list
static CG56ConstCx proto;
static RegisterBlock registerBlock(proto,"ConstCx");
