#ifndef _CG56Delay_h
#define _CG56Delay_h 1
// header file generated from CG56Delay.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FixArrayState.h"

class CG56Delay : public CG56Star
{
public:
	CG56Delay();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock block;
	static CodeBlock one;
	static CodeBlock std;
	static CodeBlock zero;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	InCG56Port input;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixArrayState delayBuf;
	IntState delayBufStart;
	IntState totalDelay;

};
#endif
