#ifndef _CG56Distributor_h
#define _CG56Distributor_h 1
// header file generated from CG56Distributor.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"

class CG56Distributor : public CG56Star
{
public:
	CG56Distributor();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock loadInputAddress;
	const char* moveBlock(int outputNum);
	/* virtual */ int myExecTime();
	InCG56Port input;
	MultiOutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState blockSize;

};
#endif
