#ifndef _CG56DivByInt_h
#define _CG56DivByInt_h 1
// header file generated from CG56DivByInt.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FixState.h"

class CG56DivByInt : public CG56Star
{
public:
	CG56DivByInt();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock readInputAndMultiplier;
	static CodeBlock copyInput;
	static CodeBlock multiplyFixAndInt;
	static CodeBlock testResult;
	static CodeBlock writeOutput;
	/* virtual */ int myExecTime();
	InCG56Port input;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState divisor;
	FixState gain;

};
#endif
