#ifndef _CG56HostButton_h
#define _CG56HostButton_h 1
// header file generated from CG56HostButton.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56HostASrc.h"
#include "IntState.h"
#include "StringState.h"

class CG56HostButton : public CG56HostASrc
{
public:
	CG56HostButton();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock cbButtonAio;
	static CodeBlock cbInitValue;
	/* virtual */ void initCode();
protected:
	/* virtual */ void setup();
	StringState buttonType;
	StringState canonicalWidget;
	StringState offVal;
	StringState onVal;
	IntState initiallyOn;
	StringState initValStr;

};
#endif
