#ifndef _CG56HostOut_h
#define _CG56HostOut_h 1
// header file generated from CG56HostOut.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "StringState.h"

class CG56HostOut : public CG56Star
{
public:
	CG56HostOut();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock cbSingleBlocking;
	static CodeBlock cbSingleNonBlocking;
	static CodeBlock cbMultiNonBlocking;
	static CodeBlock cbMultiBlocking;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	InCG56Port input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState samplesConsumed;
	IntState samplesOutput;
	IntState blockOnHost;
	StringState command;

};
#endif
