#ifndef _CG56HostSldrGX_h
#define _CG56HostSldrGX_h 1
// header file generated from CG56HostSldrGX.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "StringState.h"
#include "FixState.h"

class CG56HostSldrGX : public CG56Star
{
public:
	CG56HostSldrGX();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock aio;
	static CodeBlock orgout;
	static CodeBlock orgval;
	static CodeBlock done;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState description;
	IntState hostMin;
	IntState hostMax;
	IntState hostInitialValue;
	FixState dspMin;
	FixState dspMax;
	StringState scale;
	FixState value;
	FixState initVal;
	FixState initValdB;

};
#endif
