static const char file_id[] = "CG56IIDGaussian.pl";
// .cc file generated from CG56IIDGaussian.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56IIDGaussian.h"

const char *star_nm_CG56IIDGaussian = "CG56IIDGaussian";

const char* CG56IIDGaussian :: className() const {return star_nm_CG56IIDGaussian;}

ISA_FUNC(CG56IIDGaussian,CG56Star);

Block* CG56IIDGaussian :: makeNew() const { LOG_NEW; return new CG56IIDGaussian;}

CodeBlock CG56IIDGaussian :: block (
# line 86 "CG56IIDGaussian.pl"
"; initial seed for $fullname()\n"
"        org     x:$addr(accum)\n"
"        dc      1246684\n"
"        org     p:\n"
"\n"
"        org     y:$addr(accum)\n"
"        dc      8123721\n"
"        org     p:\n"
"\n"
"; intermediate storage for random variables -- $fullname()\n"
"        org     $ref(ravs)\n"
"        bsc     $val(noUniforms),0\n"
"        org     p:\n");

CodeBlock CG56IIDGaussian :: std (
# line 102 "CG56IIDGaussian.pl"
"        move    #$addr(ravs),r0\n"
"	move	#$addr(accum),r1		; put accum ptr for non aa:\n"
"        .LOOP	#$val(noUniforms)\n"
"        move    #>10916575,y1\n"
"        move    l:(r1),x\n"
"        mpy     x0,y1,a    #>12648789,y0\n"
"        mac     +x1,y0,a   y1,b1\n"
"        asr     a          y0,b0\n"
"        mpy     x0,y0,a    a0,x1\n"
"        addr    b,a\n"
"        add     x1,a       #>363237,x0\n"
"        move    a1,y0\n"
"        mpy     x0,y0,a    a10,l:(r1)\n"
"        move    a,x:(r0)+\n"
"	.ENDL\n"
"\n"
"; generate Gaussian, mean=0, sigma=0.1\n"
"        move	#$addr(ravs),r0\n"
"        clr	a\n"
"        move	x:(r0)+,x0\n"
"        rep	#$val(noUniforms)-1\n"
"        add	x0,a        x:(r0)+,x0\n"
"        add	x0,a\n"
"        move	a,$ref(output)\n");

CG56IIDGaussian::CG56IIDGaussian ()
{
	setDescriptor("Gaussian Noise Source");
	addPort(output.setPort("output",this,FIX));
	addState(noUniforms.setState("noUniforms",this,"16","uniform random variables."));
	addState(accum.setState("accum",this,"0","internal",
# line 65 "CG56IIDGaussian.pl"
A_SYMMETRIC|A_RAM|A_NONCONSTANT|A_NONSETTABLE|A_NOINIT));
	addState(ravs.setState("ravs",this,"0","internal",
# line 73 "CG56IIDGaussian.pl"
A_XMEM|A_NONCONSTANT|A_NONSETTABLE|A_NOINIT));


}

int CG56IIDGaussian::myExecTime() {
# line 130 "CG56IIDGaussian.pl"
return 10+15*int(noUniforms);
}

void CG56IIDGaussian::initCode() {
# line 80 "CG56IIDGaussian.pl"
addCode(block);
}

void CG56IIDGaussian::setup() {
# line 77 "CG56IIDGaussian.pl"
ravs.resize(noUniforms);
}

void CG56IIDGaussian::go() {
# line 83 "CG56IIDGaussian.pl"
addCode(std);
}

// prototype instance for known block list
static CG56IIDGaussian proto;
static RegisterBlock registerBlock(proto,"IIDGaussian");
