#ifndef _CG56IIDUniform_h
#define _CG56IIDUniform_h 1
// header file generated from CG56IIDUniform.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FixState.h"

class CG56IIDUniform : public CG56Star
{
public:
	CG56IIDUniform();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock initSeed;
	static CodeBlock randomGen;
	static CodeBlock range1;
	static CodeBlock rangeScale;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState range;
	FixState accum;
	IntState scaledRange;

};
#endif
