#ifndef _CG56Intgrtr_h
#define _CG56Intgrtr_h 1
// header file generated from CG56Intgrtr.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "StringState.h"
#include "FixState.h"

class CG56Intgrtr : public CG56Star
{
public:
	CG56Intgrtr();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock cbSetup;
	static CodeBlock cbCoreReset;
	static CodeBlock cbCoreSat;
	static CodeBlock cbCoreWrap;
	/* virtual */ int myExecTime();
	InCG56Port input;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState feedbackGain;
	IntState unityGainB;
	StringState onOverflow;
	FixState initialValue;
	FixState sum;

};
#endif
