#ifndef _CG56LinToCirc_h
#define _CG56LinToCirc_h 1
// header file generated from CG56LinToCirc.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"

class CG56LinToCirc : public CG56Star
{
public:
	CG56LinToCirc();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock init;
	static CodeBlock setupC;
	const char* oneReal(int i, char* xmemLoc);
	const char* oneComplex(int i, char* xmemLoc);
	static CodeBlock restore;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	InCG56Port input;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState N;
	IntState ptr;
# line 49 "CG56LinToCirc.pl"
int n;

};
#endif
