static const char file_id[] = "CG56Magnavox.pl";
// .cc file generated from CG56Magnavox.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Magnavox.h"

const char *star_nm_CG56Magnavox = "CG56Magnavox";

const char* CG56Magnavox :: className() const {return star_nm_CG56Magnavox;}

ISA_FUNC(CG56Magnavox,CG56Star);

Block* CG56Magnavox :: makeNew() const { LOG_NEW; return new CG56Magnavox;}

CodeBlock CG56Magnavox :: pollingInit (
# line 140 "CG56Magnavox.pl"
"; Polling version\n"
"; Configure SSI Port: Control Register A\n"
"        bset    #m_wl1,x:m_cra          ; SSI word length = 16\n"
"; Configure SSI Port: Control Register B\n"
"        bset    #m_fsl,x:m_crb          ; SSI TX & RX frame-sync pulse width = \\\n"
"1 bit\n"
"        bset    #m_syn,x:m_crb          ; SSI TX & RX Synchronous\n"
"        bset    #m_ste,x:m_crb          ; SSI Transmit enable\n"
"        bset    #m_sre,x:m_crb          ; SSI Receive enable\n"
"; Configure Port C pins 8-5 as SSI pins\n"
"        bset    #8,x:m_pcc\n"
"        bset    #7,x:m_pcc\n"
"        bset    #6,x:m_pcc\n"
"        bset    #5,x:m_pcc\n");

CodeBlock CG56Magnavox :: abortyes (
# line 157 "CG56Magnavox.pl"
"; Polling version\n"
"; Check for receiver overrun error\n"
"        jclr    #m_roe,x:m_sr,$label(cont)\n"
"        move    #$$123052,y0\n"
"        jmp     ERROR\n"
"$label(cont)\n");

CodeBlock CG56Magnavox :: polling (
# line 166 "CG56Magnavox.pl"
"; Process Channel One\n"
"$label(loopOne)\n"
"        jclr    #m_rdf,x:m_sr,$label(loopOne)\n"
"        movep   x:m_rx,x0\n"
"        move    x0,$ref(output1)\n"
"        move    $ref(input1),x0\n"
"        movep   x0,x:m_tx\n"
"; Process Channel Two\n"
"$label(loopTwo)\n"
"        jclr    #m_rdf,x:m_sr,$label(loopTwo)\n"
"        movep   x:m_rx,x0\n"
"        move    x0,$ref(output2)\n"
"        move    $ref(input2),x0\n"
"        movep   x0,x:m_tx\n");

CodeBlock CG56Magnavox :: interruptInit (
# line 183 "CG56Magnavox.pl"
"$starSymbol(mag)_savereg   equ     $addr(saveReg)\n"
"$starSymbol(mag)_buflen    equ     $val(bufLen)\n"
"$starSymbol(mag)_insptr    equ     $addr(starInBufPtr)\n"
"$starSymbol(mag)_iniptr    equ     $addr(inIntBufferStart)\n"
"$starSymbol(mag)_outsptr   equ     $addr(starOutBufPtr)\n"
"$starSymbol(mag)_outiptr   equ     $addr(outIntBufferStart)\n"
"\n"
"; Interrupt handler's next-word-to-write pointer\n"
"\n"
"        org     $ref(inIntBufferStart)\n"
"        dc      $addr(inIntBuffer)\n"
"        org     p:\n"
"    \n"
"; Interrupt handler's next-word-to-read pointer\n"
"        org     $ref(outIntBufferStart)\n"
"        dc      $addr(outIntBuffer)\n"
"        org     p:\n"
"; Empty input buffer by setting bit 0 in each word\n"
"        move    x:$starSymbol(mag)_iniptr,r0\n"
"        move    r0,x:$starSymbol(mag)_insptr\n"
"        move    #$starSymbol(mag)_buflen-1,m0\n"
"        rep     #$val(bufLen)\n"
"        bset    #0,x:(r0)+\n"
"        move    #-1,m0\n"
"; Fill output buffer by clearing bit 0 in each word\n"
"        move    x:$starSymbol(mag)_outiptr,r0\n"
"        move    r0,x:$starSymbol(mag)_outsptr\n"
"        move    #$starSymbol(mag)_buflen-1,m0\n"
"        rep     #$val(bufLen)\n"
"        bclr    #0,x:(r0)+\n"
"        move    #-1,m0\n");

CodeBlock CG56Magnavox :: interrupt (
# line 216 "CG56Magnavox.pl"
"; SSI receive data interrupt vector\n"
"        org     p:i_ssird\n"
"        jsr     $starSymbol(mag)_intr\n");

CodeBlock CG56Magnavox :: interruptCont (
# line 221 "CG56Magnavox.pl"
"; set SSI interrupt priority = 2\n"
"        bset    #m_ssl0,x:m_ipr\n"
"        bset    #m_ssl1,x:m_ipr\n"
"; Configure SSI Port: Control Register A\n"
"        bset    #m_wl1,x:m_cra          ; SSI word length = 16\n"
"; Configure SSI Port: Control Register B\n"
"        bset    #m_fsl,x:m_crb     ; SSI TX & RX frame-sync pulse width = 1 bit\n"
"        bset    #m_syn,x:m_crb          ; SSI TX & RX Synchronous\n"
"        bset    #m_ste,x:m_crb          ; SSI Transmit enable\n"
"        bset    #m_sre,x:m_crb          ; SSI Receive enable\n"
"; Configure Port C pins 8-5 as SSI pins\n"
"        bset    #8,x:m_pcc\n"
"        bset    #7,x:m_pcc\n"
"        bset    #6,x:m_pcc\n"
"        bset    #5,x:m_pcc\n"
"; Enable interrupts\n"
"        bset    #m_srie,x:m_crb         ; SSI Receive Interrupt enable\n");

CodeBlock CG56Magnavox :: interruptIn (
# line 240 "CG56Magnavox.pl"
"; Input first sample from interrupt buffer\n"
"        move    x:$starSymbol(mag)_insptr,r0  ; Get pointer to input position\n"
"        move    #$starSymbol(mag)_buflen-1,m0 ; and set modulus\n"
"$label(fillOne)\n"
"        jset    #0,x:(r0),$label(fillOne) ; Wait for position to have data\n"
"        move    x:(r0),y0               ; Get sample from buffer\n"
"        bset    #0,x:(r0)+              ; Mark position as empty\n"
"        move    y0,$ref(output1)\n"
"; Input second sample from interrupt buffer\n"
"$label(fillTwo)\n"
"        jset    #0,x:(r0),$label(fillTwo) ; Wait for position to have data\n"
"        move    x:(r0),y0               ; Get sample from buffer\n"
"        bset    #0,x:(r0)+              ; Mark position as empty\n"
"        move    y0,$ref(output2)\n"
"        move    r0,x:$starSymbol(mag)_insptr ; Save pointer to next position\n"
"        move    #-1,m0                  ; Restore modulus\n"
"; Output first sample to interrupt buffer\n"
"        move    x:$starSymbol(mag)_outsptr,r0  ; Get pointer to output position\n"
"        move    #$starSymbol(mag)_buflen-1,m0  ; and set modulus\n"
"        move    $ref(input1),y0\n"
"$label(emptyOne)\n"
"        jclr    #0,x:(r0),$label(emptyOne) ; Wait for position to be empty\n"
"        move    y0,x:(r0)               ; Put data there\n"
"        bclr    #0,x:(r0)+              ; Mark position as full\n"
"; Output second sample to interrupt buffer\n"
"        move    $ref(input2),y0\n"
"$label(emptyTwo)\n"
"        jclr    #0,x:(r0),$label(emptyTwo) ; Wait for position to be empty\n"
"        move    y0,x:(r0)               ; Put data there\n"
"        bclr    #0,x:(r0)+              ; Mark position as full\n"
"        move    r0,x:$starSymbol(mag)_outsptr ; Save pointer to next position\n"
"        move    #-1,m0                  ; Restore modulus\n");

CodeBlock CG56Magnavox :: interruptTerminate (
# line 274 "CG56Magnavox.pl"
"; Input/output interrupt handler for 56magnavox1\n"
"$starSymbol(mag)_intr\n"
"        move    y0,x:$starSymbol(mag)_savereg+0      ; Save y0, r0, m0\n"
"        move    r0,x:$starSymbol(mag)_savereg+1\n"
"        move    m0,x:$starSymbol(mag)_savereg+2\n"
"        move    #$starSymbol(mag)_buflen-1,m0\n"
"; Input sample and update buffers\n"
"        move    x:$starSymbol(mag)_iniptr,r0 ;r0 points to where to save sample\n"
"        nop\n"
"        jset    #0,x:(r0),$label(used)  ; Error if it's already used\n"
"        move    #$$123052,y0\n"
"        jmp     ERROR\n"
"$label(used)\n"
"        move    x:m_rx,y0\n"
"        move    y0,x:(r0)\n"
"        bclr    #0,x:(r0)+              ; Mark location as used\n"
"        move    r0,x:$starSymbol(mag)_iniptr    ; Save updated pointer\n"
"; Output sample and update buffers\n"
"        move    x:$starSymbol(mag)_outiptr,r0  ; r0 points to sample to output\n"
"        nop\n"
"        jclr    #0,x:(r0),$label(empty)  ; Error if it's empty\n"
"        move    #$$123053,y0\n"
"        jmp     ERROR\n"
"$label(empty)\n"
"        move    x:(r0),y0\n"
"        bset    #0,x:(r0)+              ; Mark location as empty\n"
"        move    r0,x:$starSymbol(mag)_outiptr    ; Save updated pointer\n"
"        move    y0,x:m_tx\n"
"        move    x:$starSymbol(mag)_savereg+0,y0      ; Restore y0, r0, m0\n"
"        move    x:$starSymbol(mag)_savereg+1,r0\n"
"        move    x:$starSymbol(mag)_savereg+2,m0\n"
"        rti\n");

CG56Magnavox::CG56Magnavox ()
{
	setDescriptor("A combined input/output star for the Magnavox CD player.");
	addPort(input1.setPort("input1",this,FIX));
	addPort(input2.setPort("input2",this,FIX));
	addPort(output1.setPort("output1",this,FIX));
	addPort(output2.setPort("output2",this,FIX));
	addState(forceInterrupts.setState("forceInterrupts",this,"No","If YES use interrupts, otherwise use polling."));
	addState(interruptBufferSize.setState("interruptBufferSize",this,"4","size of interrupt buffer, presently does not support repetition."));
	addState(abortOnRealTimeError.setState("abortOnRealTimeError",this,"yes","if yes, abort on rreal time error"));
	addState(bufLen.setState("bufLen",this,"4","internal",
# line 89 "CG56Magnavox.pl"
A_NONSETTABLE|A_NONCONSTANT));
	addState(starInBufPtr.setState("starInBufPtr",this,"0","internal",
# line 96 "CG56Magnavox.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));
	addState(starOutBufPtr.setState("starOutBufPtr",this,"0","internal",
# line 103 "CG56Magnavox.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));
	addState(saveReg.setState("saveReg",this,"0","internal",
# line 110 "CG56Magnavox.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));
	addState(inIntBuffer.setState("inIntBuffer",this,"0","internal",
# line 117 "CG56Magnavox.pl"
A_CIRC|A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));
	addState(inIntBufferStart.setState("inIntBufferStart",this,"0","internal",
# line 124 "CG56Magnavox.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));
	addState(outIntBuffer.setState("outIntBuffer",this,"0","internal",
# line 131 "CG56Magnavox.pl"
A_CIRC|A_NONSETTABLE|A_NONSETTABLE|A_XMEM|A_NOINIT));
	addState(outIntBufferStart.setState("outIntBufferStart",this,"0","internal",
# line 138 "CG56Magnavox.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));


}

int CG56Magnavox::myExecTime() {
# line 339 "CG56Magnavox.pl"
const char* a = forceInterrupts;               
    	      if (a[0]=='n' || a[0]=='N') 
                  return 21;
              else
	          return 73;
}

void CG56Magnavox::wrapup() {
# line 346 "CG56Magnavox.pl"
const char* i = forceInterrupts;               
    	      if (i[0]=='y' || i[0]=='Y') {
	          addCode(interruptTerminate);
              }
}

void CG56Magnavox::initCode() {
# line 315 "CG56Magnavox.pl"
const char* f = forceInterrupts;
	     if (f[0]=='n' || f[0]=='N')
	          addCode(pollingInit);
             else {
	          addCode(interruptInit);
		  genInterruptCode(interrupt);
		  addCode(interruptCont);
             }
}

void CG56Magnavox::setup() {
# line 309 "CG56Magnavox.pl"
bufLen=interruptBufferSize;
        saveReg.resize(3);
	inIntBuffer.resize(bufLen);
	outIntBuffer.resize(bufLen);
}

void CG56Magnavox::go() {
# line 326 "CG56Magnavox.pl"
const char* p = forceInterrupts;
        const char* q = abortOnRealTimeError;
    	      if (p[0]=='n' || p[0]=='N') {
                  // polling
                  if (q[0]=='y' || q[0]=='Y') 
	               addCode(abortyes);
                  addCode(polling);
	      }
              else {
	          addCode(interruptIn);
              }
}

// prototype instance for known block list
static CG56Magnavox proto;
static RegisterBlock registerBlock(proto,"Magnavox");
