static const char file_id[] = "CG56MagnavoxOut.pl";
// .cc file generated from CG56MagnavoxOut.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56MagnavoxOut.h"

const char *star_nm_CG56MagnavoxOut = "CG56MagnavoxOut";

const char* CG56MagnavoxOut :: className() const {return star_nm_CG56MagnavoxOut;}

ISA_FUNC(CG56MagnavoxOut,CG56Star);

Block* CG56MagnavoxOut :: makeNew() const { LOG_NEW; return new CG56MagnavoxOut;}

CodeBlock CG56MagnavoxOut :: pollingInit (
# line 107 "CG56MagnavoxOut.pl"
"; Polling version\n"
"; Configure SSI Port: Control Register A\n"
"        bset    #m_wl1,x:m_cra          ; SSI word length = 16\n"
"; Configure SSI Port: Control Register B\n"
"        bset    #m_fsl,x:m_crb          ; SSI TX & RX frame-sync pulse width = \\\n"
"1 bit\n"
"        bset    #m_syn,x:m_crb          ; SSI TX & RX Synchronous\n"
"        bset    #m_ste,x:m_crb          ; SSI Transmit enable\n"
"        bset    #m_sre,x:m_crb          ; SSI Receive enable\n"
"; Configure Port C pins 8-5 as SSI pins\n"
"        bset    #8,x:m_pcc\n"
"        bset    #7,x:m_pcc\n"
"        bset    #6,x:m_pcc\n"
"        bset    #5,x:m_pcc\n");

CodeBlock CG56MagnavoxOut :: abortyes (
# line 124 "CG56MagnavoxOut.pl"
"; Polling version\n"
"; Check for receiver overrun error\n"
"        jclr    #m_roe,x:m_sr,$label(cont)\n"
"        move    #$$123052,y0\n"
"        jmp     ERROR\n"
"$label(cont)\n");

CodeBlock CG56MagnavoxOut :: polling (
# line 133 "CG56MagnavoxOut.pl"
"; Process Channel One\n"
"$label(loopOne)\n"
"        jclr    #m_rdf,x:m_sr,$label(loopOne)\n"
"        movep   x:m_rx,x0\n"
"        move    $ref(input1),x0\n"
"        movep   x0,x:m_tx\n"
"; Process Channel Two\n"
"$label(loopTwo)\n"
"        jclr    #m_rdf,x:m_sr,$label(loopTwo)\n"
"        movep   x:m_rx,x0\n"
"        move    $ref(input2),x0\n"
"        movep   x0,x:m_tx\n");

CodeBlock CG56MagnavoxOut :: interruptInit (
# line 148 "CG56MagnavoxOut.pl"
"$starSymbol(mag)_savereg   equ     $addr(saveReg)\n"
"$starSymbol(mag)_buflen    equ     $val(bufLen)\n"
"$starSymbol(mag)_outsptr   equ     $addr(starOutBufPtr)\n"
"$starSymbol(mag)_outiptr   equ     $addr(outIntBufferStart)\n"
"\n"
"; Interrupt handler's next-word-to-write pointer\n"
"        org     $ref(outIntBufferStart)\n"
"        dc      $addr(outIntBuffer)\n"
"        org     p:\n"
"; Fill output buffer by clearing bit 0 in each word\n"
"        move    x:$starSymbol(mag)_outiptr,r0\n"
"        move    r0,x:$starSymbol(mag)_outsptr\n"
"        move    #$starSymbol(mag)_buflen-1,m0\n"
"        rep     #$val(bufLen)\n"
"        bclr    #0,x:(r0)+\n"
"        move    #-1,m0\n");

CodeBlock CG56MagnavoxOut :: interrupt (
# line 166 "CG56MagnavoxOut.pl"
"; SSI receive data interrupt vector\n"
"        org     p:i_ssird\n"
"        jsr     $starSymbol(mag)_intr\n");

CodeBlock CG56MagnavoxOut :: interruptCont (
# line 171 "CG56MagnavoxOut.pl"
"; set SSI interrupt priority = 2\n"
"        bset    #m_ssl0,x:m_ipr\n"
"        bset    #m_ssl1,x:m_ipr\n"
"; Configure SSI Port: Control Register A\n"
"        bset    #m_wl1,x:m_cra          ; SSI word length = 16\n"
"; Configure SSI Port: Control Register B\n"
"        bset    #m_fsl,x:m_crb     ; SSI TX & RX frame-sync pulse width = 1 bit\n"
"        bset    #m_syn,x:m_crb          ; SSI TX & RX Synchronous\n"
"        bset    #m_ste,x:m_crb          ; SSI Transmit enable\n"
"        bset    #m_sre,x:m_crb          ; SSI Receive enable\n"
"; Configure Port C pins 8-5 as SSI pins\n"
"        bset    #8,x:m_pcc\n"
"        bset    #7,x:m_pcc\n"
"        bset    #6,x:m_pcc\n"
"        bset    #5,x:m_pcc\n"
"; Enable interrupts\n"
"        bset    #m_srie,x:m_crb         ; SSI Receive Interrupt enable\n");

CodeBlock CG56MagnavoxOut :: interruptIn (
# line 190 "CG56MagnavoxOut.pl"
"; Output first sample to interrupt buffer\n"
"        move    x:$starSymbol(mag)_outsptr,r0  ; Get pointer to output position\n"
"        move    #$starSymbol(mag)_buflen-1,m0  ; and set modulus\n"
"        move    $ref(input1),y0\n"
"$label(emptyOne)\n"
"        jclr    #0,x:(r0),$label(emptyOne) ; Wait for position to be empty\n"
"        move    y0,x:(r0)               ; Put data there\n"
"        bclr    #0,x:(r0)+              ; Mark position as full\n"
"; Output second sample to interrupt buffer\n"
"        move    $ref(input2),y0\n"
"$label(emptyTwo)\n"
"        jclr    #0,x:(r0),$label(emptyTwo) ; Wait for position to be empty\n"
"        move    y0,x:(r0)               ; Put data there\n"
"        bclr    #0,x:(r0)+              ; Mark position as full\n"
"        move    r0,x:$starSymbol(mag)_outsptr ; Save pointer to next position\n"
"        move    #-1,m0                  ; Restore modulus\n");

CodeBlock CG56MagnavoxOut :: interruptTerminate (
# line 208 "CG56MagnavoxOut.pl"
"; Input/output interrupt handler for 56magnavox1\n"
"$starSymbol(mag)_intr\n"
"        move    y0,x:$starSymbol(mag)_savereg+0      ; Save y0, r0, m0\n"
"        move    r0,x:$starSymbol(mag)_savereg+1\n"
"        move    m0,x:$starSymbol(mag)_savereg+2\n"
"        move    #$starSymbol(mag)_buflen-1,m0\n"
"; Output sample and update buffers\n"
"        move    x:$starSymbol(mag)_outiptr,r0  ; r0 points to sample to output\n"
"        nop\n"
"        jclr    #0,x:(r0),$label(empty)  ; Error if it's empty\n"
"        move    #$$123051,y0\n"
"        jmp     ERROR\n"
"$label(empty)\n"
"        move    x:(r0),y0\n"
"        bset    #0,x:(r0)+              ; Mark location as empty\n"
"        move    r0,x:$starSymbol(mag)_outiptr    ; Save updated pointer\n"
"        move    y0,x:m_tx\n"
"        move    x:$starSymbol(mag)_savereg+0,y0      ; Restore y0, r0, m0\n"
"        move    x:$starSymbol(mag)_savereg+1,r0\n"
"        move    x:$starSymbol(mag)_savereg+2,m0\n"
"        rti\n");

CG56MagnavoxOut::CG56MagnavoxOut ()
{
	setDescriptor("A combined input/output star for the Magnavox CD player.");
	addPort(input1.setPort("input1",this,FIX));
	addPort(input2.setPort("input2",this,FIX));
	addState(forceInterrupts.setState("forceInterrupts",this,"No","If YES use interrupts, otherwise use polling."));
	addState(interruptBufferSize.setState("interruptBufferSize",this,"4","size of interrupt buffer, presently does not support repetition."));
	addState(abortOnRealTimeError.setState("abortOnRealTimeError",this,"yes","if yes, abort on rreal time error"));
	addState(bufLen.setState("bufLen",this,"4","internal",
# line 77 "CG56MagnavoxOut.pl"
A_NONSETTABLE|A_NONCONSTANT));
	addState(starOutBufPtr.setState("starOutBufPtr",this,"0","internal",
# line 84 "CG56MagnavoxOut.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));
	addState(saveReg.setState("saveReg",this,"0","internal",
# line 91 "CG56MagnavoxOut.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));
	addState(outIntBuffer.setState("outIntBuffer",this,"0","internal",
# line 98 "CG56MagnavoxOut.pl"
A_CIRC|A_NONSETTABLE|A_NONSETTABLE|A_XMEM|A_NOINIT));
	addState(outIntBufferStart.setState("outIntBufferStart",this,"0","internal",
# line 105 "CG56MagnavoxOut.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));


}

int CG56MagnavoxOut::myExecTime() {
# line 261 "CG56MagnavoxOut.pl"
const char* a = forceInterrupts;               
    	      if (a[0]=='n' || a[0]=='N') 
                  return 19;
              else
	          return 67;
}

void CG56MagnavoxOut::wrapup() {
# line 268 "CG56MagnavoxOut.pl"
const char* i = forceInterrupts;               
    	      if (i[0]=='y' || i[0]=='Y') {
	          addCode(interruptTerminate);
              }
}

void CG56MagnavoxOut::initCode() {
# line 237 "CG56MagnavoxOut.pl"
const char* f = forceInterrupts;
	     if (f[0]=='n' || f[0]=='N')
	          addCode(pollingInit);
             else {
	          addCode(interruptInit);
		  genInterruptCode(interrupt);
		  addCode(interruptCont);
             }
}

void CG56MagnavoxOut::setup() {
# line 232 "CG56MagnavoxOut.pl"
bufLen=interruptBufferSize;
        saveReg.resize(3);
	outIntBuffer.resize(bufLen);
}

void CG56MagnavoxOut::go() {
# line 248 "CG56MagnavoxOut.pl"
const char* p = forceInterrupts;
        const char* q = abortOnRealTimeError;
    	      if (p[0]=='n' || p[0]=='N') {
                  // polling
                  if (q[0]=='y' || q[0]=='Y') 
	               addCode(abortyes);
                  addCode(polling);
	      }
              else {
	          addCode(interruptIn);
              }
}

// prototype instance for known block list
static CG56MagnavoxOut proto;
static RegisterBlock registerBlock(proto,"MagnavoxOut");
