static const char file_id[] = "CG56Mpy.pl";
// .cc file generated from CG56Mpy.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Mpy.h"

const char *star_nm_CG56Mpy = "CG56Mpy";

const char* CG56Mpy :: className() const {return star_nm_CG56Mpy;}

ISA_FUNC(CG56Mpy,CG56Star);

Block* CG56Mpy :: makeNew() const { LOG_NEW; return new CG56Mpy;}

CodeBlock CG56Mpy :: copyInput (
# line 30 "CG56Mpy.pl"
"	move	$ref(input#1),x0	; just move data from in to out\n"
"	move	x0,$ref(output)\n");

CodeBlock CG56Mpy :: multiplyStart (
# line 35 "CG56Mpy.pl"
"	move	$ref(input#1),x0	 ; 1st input -> x0\n"
"        move	$ref(input#2),y0         ; 2nd input -> y0\n");

const char* CG56Mpy :: multiply(int i) {
# line 40 "CG56Mpy.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"        mpy     x0,y0,a     $ref(input#" << (i) << "),x0	; a = x0 * y0, get next input\n"
"	move    a,y0		; y0 = a\n";
	return (const char*)_str_;
}

CodeBlock CG56Mpy :: multiplyEnd (
# line 45 "CG56Mpy.pl"
"	mpy	x0,y0,a		; a = x0 * y0\n"
"	move	a,$ref(output)	\n");

CG56Mpy::CG56Mpy ()
{
	setDescriptor("Multiply any number of inputs, producing an output.");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FIX));

# line 27 "CG56Mpy.pl"
noInternalState();
}

int CG56Mpy::myExecTime() {
# line 63 "CG56Mpy.pl"
if (input.numberPorts() == 1) return 2;
		return 2 + input.numberPorts();
}

void CG56Mpy::go() {
# line 51 "CG56Mpy.pl"
if (input.numberPorts() == 1) {
			addCode(copyInput);
			return;
		}

		addCode(multiplyStart);
		for (int i = 3; i <= input.numberPorts(); i++) {
			addCode(multiply(i));
		}
	        addCode(multiplyEnd);
}

// prototype instance for known block list
static CG56Mpy proto;
static RegisterBlock registerBlock(proto,"Mpy");
