static const char file_id[] = "CG56PrPrtAD.pl";
// .cc file generated from CG56PrPrtAD.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56PrPrtAD.h"

const char *star_nm_CG56PrPrtAD = "CG56PrPrtAD";

const char* CG56PrPrtAD :: className() const {return star_nm_CG56PrPrtAD;}

ISA_FUNC(CG56PrPrtAD,CG56Star);

Block* CG56PrPrtAD :: makeNew() const { LOG_NEW; return new CG56PrPrtAD;}

CodeBlock CG56PrPrtAD :: pollingInit (
# line 102 "CG56PrPrtAD.pl"
"; Polling version\n"
"; Configure SSI port: control register A\n"
"; 16 bit word length, 2 frame network mode\n"
"        movep   #$$4100,x:m_cra\n"
"; Configure SSI port: control register B\n"
"; rx/tx enabled, network mode, no interrupts\n"
"        movep   #$$3A00,x:m_crb\n"
"; Configure Port C pins 8-5 as SSI pins\n"
"        bset    #8,x:m_pcc\n"
"        bset    #7,x:m_pcc\n"
"        bset    #6,x:m_pcc\n"
"        bset    #5,x:m_pcc\n");

CodeBlock CG56PrPrtAD :: abortyes (
# line 117 "CG56PrPrtAD.pl"
"; Polling version\n"
"; Check for receiver overrun error\n"
"        jclr    #m_roe,x:m_sr,$label(cont)\n"
"        move    #$$123062,y0\n"
"        jmp     ERROR\n"
"$label(cont)\n");

CodeBlock CG56PrPrtAD :: polling (
# line 126 "CG56PrPrtAD.pl"
"; Process Channel One\n"
"$label(loopOne)\n"
"        jclr    #m_rdf,x:m_sr,$label(loopOne)\n"
"        movep   x:m_rx,x0\n"
"        move    x0,$ref(output1)\n"
"        movep   x0,x:m_tx\n"
"; Process Channel Two\n"
"$label(loopTwo)\n"
"        jclr    #m_rdf,x:m_sr,$label(loopTwo)\n"
"        movep   x:m_rx,x0\n"
"        move    x0,$ref(output2)\n"
"        movep   x0,x:m_tx\n");

CodeBlock CG56PrPrtAD :: interruptInit (
# line 141 "CG56PrPrtAD.pl"
"$starSymbol(proportAD)_savereg   equ     $addr(saveReg)\n"
"$starSymbol(proportAD)_buflen    equ     $val(bufLen)\n"
"$starSymbol(proportAD)_insptr    equ     $addr(starInBufPtr)\n"
"$starSymbol(proportAD)_iniptr    equ     $addr(inIntBufferStart)\n"
"\n"
"; Interrupt handler's next-word-to-write pointer\n"
"\n"
"        org     $ref(inIntBufferStart)\n"
"        dc      $addr(inIntBuffer)\n"
"        org     p:\n"
"    \n"
"; Empty input buffer by setting bit 0 in each word\n"
"        move    x:$starSymbol(proportAD)_iniptr,r0\n"
"        move    r0,x:$starSymbol(proportAD)_insptr\n"
"        move    #$starSymbol(proportAD)_buflen-1,m0\n"
"        rep     #$val(bufLen)\n"
"        bset    #0,x:(r0)+\n"
"        move    #-1,m0\n");

CodeBlock CG56PrPrtAD :: interrupt (
# line 161 "CG56PrPrtAD.pl"
"; SSI receive data interrupt vector\n"
"        org     p:i_ssird\n"
"        jsr     $starSymbol(proportAD)_intr\n");

CodeBlock CG56PrPrtAD :: interrupt1 (
# line 166 "CG56PrPrtAD.pl"
"; SSI receive data w/ exception interrupt vector\n"
"        org     p:i_ssirde\n"
"        jsr     $starSymbol(proportAD)_intr\n");

CodeBlock CG56PrPrtAD :: interruptCont (
# line 171 "CG56PrPrtAD.pl"
"; set SSI interrupt priority = 2\n"
"        bset    #m_ssl0,x:m_ipr\n"
"        bset    #m_ssl1,x:m_ipr\n"
"; Configure SSI Port: Control Register A\n"
"; 16 bit word length, 2 frame network mode\n"
"        movep   #$$4100,x:m_cra\n"
"; Configure SSI port: control register B\n"
"; rx/tx enabled, rx int enabled, network mode\n"
"        movep   #$$BA00,x:m_crb\n"
"; Configure Port C pins 8-5 as SSI pins\n"
"        bset    #8,x:m_pcc\n"
"        bset    #7,x:m_pcc\n"
"        bset    #6,x:m_pcc\n"
"        bset    #5,x:m_pcc\n");

CodeBlock CG56PrPrtAD :: interruptIn (
# line 187 "CG56PrPrtAD.pl"
"; Input first sample from interrupt buffer\n"
"        move    x:$starSymbol(proportAD)_insptr,r0  ; Get pointer to input position\n"
"        move    #$starSymbol(proportAD)_buflen-1,m0 ; and set modulus\n"
"$label(fillOne)\n"
"        jset    #0,x:(r0),$label(fillOne) ; Wait for position to have data\n"
"        move    x:(r0),y0               ; Get sample from buffer\n"
"        bset    #0,x:(r0)+              ; Mark position as empty\n"
"        move    y0,$ref(output1)\n"
"; Input second sample from interrupt buffer\n"
"$label(fillTwo)\n"
"        jset    #0,x:(r0),$label(fillTwo) ; Wait for position to have data\n"
"        move    x:(r0),y0               ; Get sample from buffer\n"
"        bset    #0,x:(r0)+              ; Mark position as empty\n"
"        move    y0,$ref(output2)\n"
"        move    r0,x:$starSymbol(proportAD)_insptr ; Save pointer to next position\n"
"        move    #-1,m0                  ; Restore modulus\n");

CodeBlock CG56PrPrtAD :: interruptTerminate (
# line 205 "CG56PrPrtAD.pl"
"; Input/output interrupt handler for $fullname()\n"
"$starSymbol(proportAD)_intr\n"
"        move    y0,x:$starSymbol(proportAD)_savereg+0      ; Save y0, r0, m0\n"
"        move    r0,x:$starSymbol(proportAD)_savereg+1\n"
"        move    m0,x:$starSymbol(proportAD)_savereg+2\n"
"        move    #$starSymbol(proportAD)_buflen-1,m0\n"
"; Input sample and update buffers\n"
"        move    x:$starSymbol(proportAD)_iniptr,r0 ;r0 points to where to save sample\n"
"        nop\n"
"        jset    #0,x:(r0),$label(used)  ; Error if it's already used\n"
"        move    #$$123060,y0\n"
"        jmp     ERROR\n"
"$label(used)\n"
"        move    x:m_rx,y0\n"
"        move    y0,x:(r0)\n"
"        bclr    #0,x:(r0)+              ; Mark location as used\n"
"        move    r0,x:$starSymbol(proportAD)_iniptr    ; Save updated pointer\n"
"        move    x:$starSymbol(proportAD)_savereg+0,y0      ; Restore y0, r0, m0\n"
"        move    x:$starSymbol(proportAD)_savereg+1,r0\n"
"        move    x:$starSymbol(proportAD)_savereg+2,m0\n"
"        rti\n");

CG56PrPrtAD::CG56PrPrtAD ()
{
	setDescriptor("An input/output star for the Ariel ProPort");
	addPort(output1.setPort("output1",this,FIX));
	addPort(output2.setPort("output2",this,FIX));
	addState(forceInterrupts.setState("forceInterrupts",this,"No","If YES use interrupts, otherwise use polling."));
	addState(interruptBufferSize.setState("interruptBufferSize",this,"4","size of interrupt buffer, presently does not support repetition."));
	addState(abortOnRealTimeError.setState("abortOnRealTimeError",this,"yes","if yes, abort on rreal time error"));
	addState(bufLen.setState("bufLen",this,"4","internal",
# line 72 "CG56PrPrtAD.pl"
A_NONSETTABLE|A_NONCONSTANT));
	addState(starInBufPtr.setState("starInBufPtr",this,"0","internal",
# line 79 "CG56PrPrtAD.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));
	addState(saveReg.setState("saveReg",this,"0","internal",
# line 86 "CG56PrPrtAD.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));
	addState(inIntBuffer.setState("inIntBuffer",this,"0","internal",
# line 93 "CG56PrPrtAD.pl"
A_CIRC|A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));
	addState(inIntBufferStart.setState("inIntBufferStart",this,"0","internal",
# line 100 "CG56PrPrtAD.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));


}

int CG56PrPrtAD::myExecTime() {
# line 257 "CG56PrPrtAD.pl"
const char     *a = forceInterrupts;
		if (a[0] == 'n' || a[0] == 'N')
			return 19;
		else
			return 67;
}

void CG56PrPrtAD::wrapup() {
# line 264 "CG56PrPrtAD.pl"
const char     *i = forceInterrupts;
		if (i[0] == 'y' || i[0] == 'Y') {
			addCode(interruptTerminate);
		}
}

void CG56PrPrtAD::initCode() {
# line 234 "CG56PrPrtAD.pl"
const char     *f = forceInterrupts;
		if (f[0] == 'n' || f[0] == 'N')
			addCode(pollingInit);
		else {
			addCode(interruptInit);
			genInterruptCode(interrupt);
			genInterruptCode(interrupt1);
			addCode(interruptCont);
		}
}

void CG56PrPrtAD::setup() {
# line 229 "CG56PrPrtAD.pl"
bufLen = interruptBufferSize;
		saveReg.resize(3);
		inIntBuffer.resize(bufLen);
}

void CG56PrPrtAD::go() {
# line 245 "CG56PrPrtAD.pl"
const char     *p = forceInterrupts;
		const char     *q = abortOnRealTimeError;
		if (p[0] == 'n' || p[0] == 'N') {
			//polling
				if (q[0] == 'y' || q[0] == 'Y')
				addCode(abortyes);
			addCode(polling);
		} else {
			addCode(interruptIn);
		}
}

// prototype instance for known block list
static CG56PrPrtAD proto;
static RegisterBlock registerBlock(proto,"PrPrtAD");
