static const char file_id[] = "CG56PrPrtDA.pl";
// .cc file generated from CG56PrPrtDA.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56PrPrtDA.h"

const char *star_nm_CG56PrPrtDA = "CG56PrPrtDA";

const char* CG56PrPrtDA :: className() const {return star_nm_CG56PrPrtDA;}

ISA_FUNC(CG56PrPrtDA,CG56Star);

Block* CG56PrPrtDA :: makeNew() const { LOG_NEW; return new CG56PrPrtDA;}

CodeBlock CG56PrPrtDA :: pollingInit (
# line 103 "CG56PrPrtDA.pl"
"; Polling version\n"
"; Configure SSI Port: Control Register A\n"
"; 16 bit word length, 2 frame network mode\n"
"        movep   #$$4100,x:m_cra\n"
"; Configure SSI port: control register B\n"
"; rx/tx enabled, network mode, no interrupts\n"
"        movep   #$$3A00,x:m_crb\n"
"; Configure Port C pins 8-5 as SSI pins\n"
"        bset    #8,x:m_pcc\n"
"        bset    #7,x:m_pcc\n"
"        bset    #6,x:m_pcc\n"
"        bset    #5,x:m_pcc\n");

CodeBlock CG56PrPrtDA :: abortyes (
# line 118 "CG56PrPrtDA.pl"
"; Polling version\n"
"; Check for receiver overrun error\n"
"        jclr    #m_roe,x:m_sr,$label(cont)\n"
"        move    #$$123062,y0\n"
"        jmp     ERROR\n"
"$label(cont)\n");

CodeBlock CG56PrPrtDA :: polling (
# line 127 "CG56PrPrtDA.pl"
"; Process Channel One\n"
"$label(loopOne)\n"
"        jclr    #m_rdf,x:m_sr,$label(loopOne)\n"
"        movep   x:m_rx,x0\n"
"        move    $ref(input1),x0\n"
"        movep   x0,x:m_tx\n"
"; Process Channel Two\n"
"$label(loopTwo)\n"
"        jclr    #m_rdf,x:m_sr,$label(loopTwo)\n"
"        movep   x:m_rx,x0\n"
"        move    $ref(input2),x0\n"
"        movep   x0,x:m_tx\n");

CodeBlock CG56PrPrtDA :: interruptInit (
# line 142 "CG56PrPrtDA.pl"
"$starSymbol(proportda)_savereg   equ     $addr(saveReg)\n"
"$starSymbol(proportda)_buflen    equ     $val(bufLen)\n"
"$starSymbol(proportda)_outsptr   equ     $addr(starOutBufPtr)\n"
"$starSymbol(proportda)_outiptr   equ     $addr(outIntBufferStart)\n"
"\n"
"; Interrupt handler's next-word-to-write pointer\n"
"        org     $ref(outIntBufferStart)\n"
"        dc      $addr(outIntBuffer)\n"
"        org     p:\n"
"; Fill output buffer by clearing bit 0 in each word\n"
"        move    x:$starSymbol(proportda)_outiptr,r0\n"
"        move    r0,x:$starSymbol(proportda)_outsptr\n"
"        move    #$starSymbol(proportda)_buflen-1,m0\n"
"        rep     #$val(bufLen)\n"
"        bclr    #0,x:(r0)+\n"
"        move    #-1,m0\n");

CodeBlock CG56PrPrtDA :: interrupt (
# line 160 "CG56PrPrtDA.pl"
"; SSI receive data interrupt vector\n"
"        org     p:i_ssird\n"
"        jsr     $starSymbol(proportda)_intr\n");

CodeBlock CG56PrPrtDA :: interrupt1 (
# line 165 "CG56PrPrtDA.pl"
"; SSI receive data w/ exception interrupt vector\n"
"        org     p:i_ssirde\n"
"        jsr     $starSymbol(proportda)_intr\n");

CodeBlock CG56PrPrtDA :: interruptCont (
# line 170 "CG56PrPrtDA.pl"
"; set SSI interrupt priority = 2\n"
"        bset    #m_ssl0,x:m_ipr\n"
"        bset    #m_ssl1,x:m_ipr\n"
"; Configure SSI Port: Control Register A\n"
"; 16 bit word length, 2 frame network mode\n"
"        movep   #$$4100,x:m_cra\n"
"; Configure SSI port: control register B\n"
"; rx/tx enabled, rx int enabled, network mode\n"
"        movep   #$$BA00,x:m_crb\n"
"; Configure Port C pins 8-5 as SSI pins\n"
"        bset    #8,x:m_pcc\n"
"        bset    #7,x:m_pcc\n"
"        bset    #6,x:m_pcc\n"
"        bset    #5,x:m_pcc\n");

CodeBlock CG56PrPrtDA :: interruptIn (
# line 186 "CG56PrPrtDA.pl"
"; Output first sample to interrupt buffer\n"
"        move    x:$starSymbol(proportda)_outsptr,r0  ; Get pointer to output position\n"
"        move    #$starSymbol(proportda)_buflen-1,m0  ; and set modulus\n"
"        move    $ref(input1),y0\n"
"$label(emptyOne)\n"
"        jclr    #0,x:(r0),$label(emptyOne) ; Wait for position to be empty\n"
"        move    y0,x:(r0)               ; Put data there\n"
"        bclr    #0,x:(r0)+              ; Mark position as full\n"
"; Output second sample to interrupt buffer\n"
"        move    $ref(input2),y0\n"
"$label(emptyTwo)\n"
"        jclr    #0,x:(r0),$label(emptyTwo) ; Wait for position to be empty\n"
"        move    y0,x:(r0)               ; Put data there\n"
"        bclr    #0,x:(r0)+              ; Mark position as full\n"
"        move    r0,x:$starSymbol(proportda)_outsptr ; Save pointer to next position\n"
"        move    #-1,m0                  ; Restore modulus\n");

CodeBlock CG56PrPrtDA :: interruptTerminate (
# line 204 "CG56PrPrtDA.pl"
"; Input/output interrupt handler for $fullname()\n"
"$starSymbol(proportda)_intr\n"
"        move    y0,x:$starSymbol(proportda)_savereg+0      ; Save y0, r0, m0\n"
"        move    r0,x:$starSymbol(proportda)_savereg+1\n"
"        move    m0,x:$starSymbol(proportda)_savereg+2\n"
"        move    #$starSymbol(proportda)_buflen-1,m0\n"
"; Output sample and update buffers\n"
"        move    x:$starSymbol(proportda)_outiptr,r0  ; r0 points to sample to output\n"
"        nop\n"
"        jclr    #0,x:(r0),$label(empty)  ; Error if it's empty\n"
"        move    #$$123061,y0\n"
"        jmp     ERROR\n"
"$label(empty)\n"
"        move    x:(r0),y0\n"
"        bset    #0,x:(r0)+              ; Mark location as empty\n"
"        move    r0,x:$starSymbol(proportda)_outiptr    ; Save updated pointer\n"
"        move    y0,x:m_tx\n"
"        move    x:$starSymbol(proportda)_savereg+0,y0      ; Restore y0, r0, m0\n"
"        move    x:$starSymbol(proportda)_savereg+1,r0\n"
"        move    x:$starSymbol(proportda)_savereg+2,m0\n"
"        rti\n");

CG56PrPrtDA::CG56PrPrtDA ()
{
	setDescriptor("An input/output star for the Ariel ProPort");
	addPort(input1.setPort("input1",this,FIX));
	addPort(input2.setPort("input2",this,FIX));
	addState(forceInterrupts.setState("forceInterrupts",this,"No","If YES use interrupts, otherwise use polling."));
	addState(interruptBufferSize.setState("interruptBufferSize",this,"4","size of interrupt buffer, presently does not support repetition."));
	addState(abortOnRealTimeError.setState("abortOnRealTimeError",this,"yes","if yes, abort on rreal time error"));
	addState(bufLen.setState("bufLen",this,"4","internal",
# line 72 "CG56PrPrtDA.pl"
A_NONSETTABLE|A_NONCONSTANT));
	addState(starOutBufPtr.setState("starOutBufPtr",this,"0","internal",
# line 79 "CG56PrPrtDA.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));
	addState(saveReg.setState("saveReg",this,"0","internal",
# line 86 "CG56PrPrtDA.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));
	addState(outIntBuffer.setState("outIntBuffer",this,"0","internal",
# line 94 "CG56PrPrtDA.pl"
A_CIRC|A_NONSETTABLE|A_NONSETTABLE|A_XMEM|A_NOINIT));
	addState(outIntBufferStart.setState("outIntBufferStart",this,"0","internal",
# line 101 "CG56PrPrtDA.pl"
A_NONSETTABLE|A_NONCONSTANT|A_XMEM|A_NOINIT));


}

int CG56PrPrtDA::myExecTime() {
# line 256 "CG56PrPrtDA.pl"
const char     *a = forceInterrupts;
		if (a[0] == 'n' || a[0] == 'N')
			return 19;
		else
			return 67;
}

void CG56PrPrtDA::wrapup() {
# line 263 "CG56PrPrtDA.pl"
const char     *i = forceInterrupts;
		if (i[0] == 'y' || i[0] == 'Y') {
			addCode(interruptTerminate);
		}
}

void CG56PrPrtDA::initCode() {
# line 233 "CG56PrPrtDA.pl"
const char     *f = forceInterrupts;
		if (f[0] == 'n' || f[0] == 'N')
			addCode(pollingInit);
		else {
			addCode(interruptInit);
			genInterruptCode(interrupt);
			genInterruptCode(interrupt1);
			addCode(interruptCont);
		}
}

void CG56PrPrtDA::setup() {
# line 228 "CG56PrPrtDA.pl"
bufLen = interruptBufferSize;
		saveReg.resize(3);
		outIntBuffer.resize(bufLen);
}

void CG56PrPrtDA::go() {
# line 244 "CG56PrPrtDA.pl"
const char     *p = forceInterrupts;
		const char     *q = abortOnRealTimeError;
		if (p[0] == 'n' || p[0] == 'N') {
			//polling
				if (q[0] == 'y' || q[0] == 'Y')
				addCode(abortyes);
			addCode(polling);
		} else {
			addCode(interruptIn);
		}
}

// prototype instance for known block list
static CG56PrPrtDA proto;
static RegisterBlock registerBlock(proto,"PrPrtDA");
