static const char file_id[] = "CG56Ramp.pl";
// .cc file generated from CG56Ramp.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Ramp.h"

const char *star_nm_CG56Ramp = "CG56Ramp";

const char* CG56Ramp :: className() const {return star_nm_CG56Ramp;}

ISA_FUNC(CG56Ramp,CG56Star);

Block* CG56Ramp :: makeNew() const { LOG_NEW; return new CG56Ramp;}

CodeBlock CG56Ramp :: main (
# line 43 "CG56Ramp.pl"
"	move	$ref(sum),a\n"
"	move	#$val(step),x0\n"
"        move    a1,$ref(output)\n"
"	add	x0,a\n"
"        move    a1,$ref(sum)\n");

CG56Ramp::CG56Ramp ()
{
	setDescriptor("Ramp generator");
	addPort(output.setPort("output",this,FIX));
	addState(step.setState("step",this,"0.001","Increment from one sample to the next."));
	addState(value.setState("value",this,"0.0","Initial (or latest) value output by Ramp.",
# line 33 "CG56Ramp.pl"
A_SETTABLE|A_NONCONSTANT));
	addState(sum.setState("sum",this,"0","An internal state.",
# line 40 "CG56Ramp.pl"
A_NONSETTABLE|A_YMEM|A_NONCONSTANT));


}

int CG56Ramp::myExecTime() {
# line 58 "CG56Ramp.pl"
return 5;
}

void CG56Ramp::setup() {
# line 52 "CG56Ramp.pl"
sum=value;
}

void CG56Ramp::go() {
# line 55 "CG56Ramp.pl"
addCode(main);
}

// prototype instance for known block list
static CG56Ramp proto;
static RegisterBlock registerBlock(proto,"Ramp");
