#ifndef _CG56RampInt_h
#define _CG56RampInt_h 1
// header file generated from CG56RampInt.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, an ddisclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"

class CG56RampInt : public CG56Star
{
public:
	CG56RampInt();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock init;
	static CodeBlock add;
	static CodeBlock no_saturate;
	static CodeBlock saturate;
	/* virtual */ int myExecTime();
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState step;
	IntState value;
	IntState saturation;
	IntState sum;

};
#endif
