static const char file_id[] = "CG56ReadFileInt.pl";
// .cc file generated from CG56ReadFileInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56ReadFileInt.h"

const char *star_nm_CG56ReadFileInt = "CG56ReadFileInt";

const char* CG56ReadFileInt :: className() const {return star_nm_CG56ReadFileInt;}

ISA_FUNC(CG56ReadFileInt,CG56Star);

Block* CG56ReadFileInt :: makeNew() const { LOG_NEW; return new CG56ReadFileInt;}

CodeBlock CG56ReadFileInt :: logIn (
# line 43 "CG56ReadFileInt.pl"
"input $ref(inVal) $val(fileName).sim -RD\n");

CodeBlock CG56ReadFileInt :: copy (
# line 51 "CG56ReadFileInt.pl"
"	move	$ref(inVal),a\n"
"	move	a,$ref(output)\n");

CG56ReadFileInt::CG56ReadFileInt ()
{
	setDescriptor("Reads data from file for use by simulator.");
	addPort(output.setPort("output",this,INT));
	addState(fileName.setState("fileName",this,"infile","'Root' of filename that gets the data. '.sim' is appended."));
	addState(inVal.setState("inVal",this,"0","inVal",
# line 36 "CG56ReadFileInt.pl"
A_NONCONSTANT|A_NONSETTABLE|A_YMEM|A_NOINIT));


}

int CG56ReadFileInt::myExecTime() {
# line 21 "CG56ReadFileInt.pl"
return 2;
}

void CG56ReadFileInt::initCode() {
# line 47 "CG56ReadFileInt.pl"
addCode(logIn,"simulatorCmds");
}

void CG56ReadFileInt::go() {
# line 56 "CG56ReadFileInt.pl"
addCode(copy);
}

// prototype instance for known block list
static CG56ReadFileInt proto;
static RegisterBlock registerBlock(proto,"ReadFileInt");
