#ifndef _CG56Rect_h
#define _CG56Rect_h 1
// header file generated from CG56Rect.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FixState.h"

class CG56Rect : public CG56Star
{
public:
	CG56Rect();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock sendOutput;
	static CodeBlock updateCounter;
	/* virtual */ int myExecTime();
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState height;
	IntState width;
	IntState period;
	IntState count;

};
#endif
