static const char file_id[] = "CG56RectToCx.pl";
// .cc file generated from CG56RectToCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56RectToCx.h"

const char *star_nm_CG56RectToCx = "CG56RectToCx";

const char* CG56RectToCx :: className() const {return star_nm_CG56RectToCx;}

ISA_FUNC(CG56RectToCx,CG56Star);

Block* CG56RectToCx :: makeNew() const { LOG_NEW; return new CG56RectToCx;}

CodeBlock CG56RectToCx :: convert (
# line 33 "CG56RectToCx.pl"
"	move 	$ref(real),x1\n"
"	move 	$ref(imag),x0\n"
"	move 	x,L:$addr(output)\n");

CG56RectToCx::CG56RectToCx ()
{
	setDescriptor("Convert real and imaginary parts to a complex output.");
	addPort(real.setPort("real",this,FIX));
	addPort(imag.setPort("imag",this,FIX));
	addPort(output.setPort("output",this,COMPLEX));

# line 31 "CG56RectToCx.pl"
noInternalState();
}

void CG56RectToCx::go() {
# line 39 "CG56RectToCx.pl"
addCode(convert);
}

// prototype instance for known block list
static CG56RectToCx proto;
static RegisterBlock registerBlock(proto,"RectToCx");
