static const char file_id[] = "CG56SgnInt.pl";
// .cc file generated from CG56SgnInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56SgnInt.h"

const char *star_nm_CG56SgnInt = "CG56SgnInt";

const char* CG56SgnInt :: className() const {return star_nm_CG56SgnInt;}

ISA_FUNC(CG56SgnInt,CG56Star);

Block* CG56SgnInt :: makeNew() const { LOG_NEW; return new CG56SgnInt;}

CodeBlock CG56SgnInt :: sgnblock (
# line 37 "CG56SgnInt.pl"
"; Register usage:  a = input, b1 = sign of input (1 or 0), x0 = 0\n"
"	move    $ref(input),a\n"
"	move    #1,b1\n"
"	tst     a	#0,x0\n"
"	tmi     x0,b\n"
"	move    b1,$ref(output)\n");

CG56SgnInt::CG56SgnInt ()
{
	setDescriptor("Output +1 if the input is positive or zero, and 0 if the input is negative.\nThis definition of signum is not compatible with the Sgn stars.");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,INT));

# line 35 "CG56SgnInt.pl"
noInternalState();
}

int CG56SgnInt::myExecTime() {
# line 24 "CG56SgnInt.pl"
return 5;
}

void CG56SgnInt::go() {
# line 46 "CG56SgnInt.pl"
addCode(sgnblock);
}

// prototype instance for known block list
static CG56SgnInt proto;
static RegisterBlock registerBlock(proto,"SgnInt");
