static const char file_id[] = "CG56Xgraph.pl";
// .cc file generated from CG56Xgraph.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Xgraph.h"

const char *star_nm_CG56Xgraph = "CG56Xgraph";

const char* CG56Xgraph :: className() const {return star_nm_CG56Xgraph;}

ISA_FUNC(CG56Xgraph,CG56WrtFile);

Block* CG56Xgraph :: makeNew() const { LOG_NEW; return new CG56Xgraph;}

const char* CG56Xgraph :: xgraph(const char* outfile) {
# line 66 "CG56Xgraph.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"\n"
"	/bin/rm -f " << (outfile) << "\n"
"\n"
"	tail +$val(ignore) $starSymbol(/tmp/cgwritefile).io | awk '{n+=$val(xUnits);print n+$val(xInit)-$val(xUnits), $$1}' > " << (outfile) << "\n"
"	\n"
"	/usr/bin/rm -f $starSymbol(/tmp/cgwritefile).io\n"
"\n"
"	(pxgraph -t \"$val(title)\" $val(options) " << (outfile) << " ; " << (saveFile.null()?"":"/bin/rm -f  $starSymbol(/tmp/cgxgraph)") << ") &\n";
	return (const char*)_str_;
}

CG56Xgraph::CG56Xgraph ()
{
	setDescriptor("Generate a plot of a single signal with the xgraph program.");
	addState(title.setState("title",this,"X graph","Title for the plot."));
	addState(saveFile.setState("saveFile",this,"","File to save the input to the xgraph program."));
	addState(options.setState("options",this,"","Command line options for xgraph."));
	addState(ignore.setState("ignore",this,"0","Number of initial values to ignore."));
	addState(xUnits.setState("xUnits",this,"1.0","For labeling, horizontal increment between samples."));
	addState(xInit.setState("xInit",this,"0.0","For labeling, horizontal value of the first sample."));

# line 77 "CG56Xgraph.pl"
fileName.setAttributes(A_NONSETTABLE);
}

void CG56Xgraph::initCode() {
# line 80 "CG56Xgraph.pl"
StringList outfile;
	if ( saveFile.null() ) {
		outfile << "$starSymbol(/tmp/cgxgraph)";
	}
	else {
		char *expandedName = expandPathName(saveFile);
		outfile << expandedName;
		delete [] expandedName;
	}
	addCode(xgraph(outfile), "shellCmds");
	CG56WrtFile::initCode();
}

// prototype instance for known block list
static CG56Xgraph proto;
static RegisterBlock registerBlock(proto,"Xgraph");
