static const char file_id[] = "CG56Xor.pl";
// .cc file generated from CG56Xor.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Xor.h"

const char *star_nm_CG56Xor = "CG56Xor";

const char* CG56Xor :: className() const {return star_nm_CG56Xor;}

ISA_FUNC(CG56Xor,CG56Star);

Block* CG56Xor :: makeNew() const { LOG_NEW; return new CG56Xor;}

CodeBlock CG56Xor :: main (
# line 35 "CG56Xor.pl"
"; read inputs --> x1,a1\n"
"	clr 	a		$ref(input1),x1\n"
"	move	$ref(input2),a1\n"
"; perform exclusive or\n"
"	eor	x1,a\n"
"	move 	a1,$ref(output)\n");

CG56Xor::CG56Xor ()
{
	setDescriptor("Exclusive or -- 2 inputs.");
	addPort(input1.setPort("input1",this,ANYTYPE));
	addPort(input2.setPort("input2",this,ANYTYPE));
	input2.inheritTypeFrom(input1);
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input1);

# line 33 "CG56Xor.pl"
noInternalState();
}

int CG56Xor::myExecTime() {
# line 18 "CG56Xor.pl"
return 4;
}

void CG56Xor::go() {
# line 44 "CG56Xor.pl"
addCode(main);
}

// prototype instance for known block list
static CG56Xor proto;
static RegisterBlock registerBlock(proto,"Xor");
