static const char file_id[] = "CG56MultiSimSend.pl";
// .cc file generated from CG56MultiSimSend.pl by ptlang
/*
Copyright (c) 1992-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56MultiSimSend.h"
#include <string.h>
#include "ProcMemory.h"

const char *star_nm_CG56MultiSimSend = "CG56MultiSimSend";

const char* CG56MultiSimSend :: className() const {return star_nm_CG56MultiSimSend;}

ISA_FUNC(CG56MultiSimSend,CG56Star);

Block* CG56MultiSimSend :: makeNew() const { LOG_NEW; return new CG56MultiSimSend;}

CodeBlock CG56MultiSimSend :: main (
# line 53 "CG56MultiSimSend.pl"
"	move	$ref(input),x0\n"
"	move	#$ref(output),r0\n"
"	move	#>1,a1\n"
"$label(w_spin)\n"
"	jset	#0,x:(r0),$label(w_spin)\n"
"	or	x0,a\n"
"	move	a1,x:(r0)\n");

CG56MultiSimSend::CG56MultiSimSend ()
{
	setDescriptor("Send star for Fiction target");
	addPort(input.setPort("input",this,FIX));

# line 24 "CG56MultiSimSend.pl"
output.setPort("output",this,FIX);
}

int CG56MultiSimSend::myExecTime() {
# line 66 "CG56MultiSimSend.pl"
return 8;
}

void CG56MultiSimSend::go() {
# line 63 "CG56MultiSimSend.pl"
addCode(main);
}


void CG56MultiSimSend::setProperty (int num)
{
# line 34 "CG56MultiSimSend.pl"
input.setSDFParams(num,0);
			output.setSDFParams(num,0);
}


StringList CG56MultiSimSend::expandRef (const char* s)
{
# line 45 "CG56MultiSimSend.pl"
if (strcmp(s,"output")) return CG56Star :: expandRef(s);
		StringList ref;
		ref << output.baseAddr();
		//ref << output.memory()->name() << ':' << output.baseAddr();
		return ref;
}


// prototype instance for known block list
static CG56MultiSimSend proto;
static RegisterBlock registerBlock(proto,"MultiSimSend");
