static const char file_id[] = "CG56XCAsynchComm.pl";
// .cc file generated from CG56XCAsynchComm.pl by ptlang
/*
Copyright (c) 1994-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56XCAsynchComm.h"

const char *star_nm_CG56XCAsynchComm = "CG56XCAsynchComm";

const char* CG56XCAsynchComm :: className() const {return star_nm_CG56XCAsynchComm;}

ISA_FUNC(CG56XCAsynchComm,CG56Star);

Block* CG56XCAsynchComm :: makeNew() const { LOG_NEW; return new CG56XCAsynchComm;}

const char* CG56XCAsynchComm :: initBuffer() {
# line 54 "CG56XCAsynchComm.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	bclr    #m_hpl0,x:m_ipr		; set Host Port IPL 1\n"
"	bset    #m_hpl1,x:m_ipr\n"
"	org	$ref(bufStart)\n"
"	dc	$addr(buffer)\n"
"	org	$ref(buffer)\n"
"$val(VariableName)\n";
	return (const char*)_str_;
}

CG56XCAsynchComm::CG56XCAsynchComm ()
{
	setDescriptor("S56X to CGC asynchronous IPC base star");
	addState(updateRate.setState("updateRate",this,"1","Update the link at most every 'updateRate' schedule iterations."));
	addState(VariableName.setState("VariableName",this,"aioVariable","Name of buffer.",
# line 29 "CG56XCAsynchComm.pl"
A_NONSETTABLE));
	addState(blockSize.setState("blockSize",this,"1","number of tokens to be transfered per firing."));
	addState(buffer.setState("buffer",this,"0","buffer",
# line 43 "CG56XCAsynchComm.pl"
A_YMEM|A_NOINIT|A_NONSETTABLE|A_CONSEC));
	addState(bufStart.setState("bufStart",this,"0","pointer to the buffer",
# line 51 "CG56XCAsynchComm.pl"
A_CIRC|A_NONCONSTANT|A_NONSETTABLE|A_YMEM|A_NOINIT));


}

void CG56XCAsynchComm::initCode() {
# line 70 "CG56XCAsynchComm.pl"
addCode(initBuffer());
	for (int i = 0 ; i < blockSize ; i++) {
		addCode("	dc	0\n");
	}
	addCode("	org	p:\n");
}

void CG56XCAsynchComm::setup() {
# line 64 "CG56XCAsynchComm.pl"
if (blockSize > 1) {
	buffer.resize(blockSize);
    }
}

// prototype instance for known block list
static CG56XCAsynchComm proto;
static RegisterBlock registerBlock(proto,"XCAsynchComm");
