static const char file_id[] = "CG56XCPoke.pl";
// .cc file generated from CG56XCPoke.pl by ptlang
/*
Copyright (c) 1994-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56XCPoke.h"
#include "CGTarget.h"

const char *star_nm_CG56XCPoke = "CG56XCPoke";

const char* CG56XCPoke :: className() const {return star_nm_CG56XCPoke;}

ISA_FUNC(CG56XCPoke,CG56XCAsynchComm);

Block* CG56XCPoke :: makeNew() const { LOG_NEW; return new CG56XCPoke;}

CodeBlock CG56XCPoke :: sendData (
# line 32 "CG56XCPoke.pl"
"	move $ref(input),x0\n"
"	move x0,$ref(buffer)\n");

const char* CG56XCPoke :: sendBuffer(int numXfer) {
# line 37 "CG56XCPoke.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	movec	#($val(blockSize)-1),m0\n"
"	move	$ref(bufStart),r0\n"
"	move	$ref(input),x0\n"
"	rep	#" << (numXfer) << "\n"
"	move	x0,$mem(buffer):(r0)+\n"
"	move	r0,$ref(bufStart)\n"
"	movec	m1,m0			;restore m0\n";
	return (const char*)_str_;
}

CG56XCPoke::CG56XCPoke ()
{
	setDescriptor("S56X to CGC synchronous send star");
	addPort(input.setPort("input",this,ANYTYPE));


}

int CG56XCPoke::myExecTime() {
# line 55 "CG56XCPoke.pl"
return (input.numXfer() > 1? input.numXfer() + 5: 2);
}

void CG56XCPoke::setup() {
# line 27 "CG56XCPoke.pl"
CG56XCAsynchComm::setup();
    int farXfer = input.far()->numXfer();
    if (!(int)blockSize%farXfer) input.setSDFParams(farXfer,farXfer-1);
}

void CG56XCPoke::go() {
# line 48 "CG56XCPoke.pl"
if (blockSize > 1)
		addCode(sendBuffer(input.numXfer()));
	else
		addCode(sendData);
}

// prototype instance for known block list
static CG56XCPoke proto;
static RegisterBlock registerBlock(proto,"XCPoke");
