static const char file_id[] = "CG56XCSend.pl";
// .cc file generated from CG56XCSend.pl by ptlang
/*
Copyright (c) 1993-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright	for copyright notice,
limitation of liability, and disclaimer	of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56XCSend.h"
#include "CGTarget.h"

const char *star_nm_CG56XCSend = "CG56XCSend";

const char* CG56XCSend :: className() const {return star_nm_CG56XCSend;}

ISA_FUNC(CG56XCSend,CG56XCSynchComm);

Block* CG56XCSend :: makeNew() const { LOG_NEW; return new CG56XCSend;}

const char* CG56XCSend :: sendData(int pairNumber,int numXfer) {
# line 32 "CG56XCSend.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"$label(bufferFull)\n"
"	btst	#" << (pairNumber%24) << ",$ref(bufferSemaphore," << (pairNumber/24) << ")\n"
"	jcs	$label(bufferFull)\n"
"	move	#$addr(input),r0	;read starting input geodesic address\n"
"	move	#$addr(buffer),r1	;read starting buffer address\n"
"	do	#" << (numXfer) << ",$label(XFR)\n"
"		move	$mem(input):(r0)+,a\n"
"		move	a,$mem(buffer):(r1)+\n"
"$label(XFR)\n";
	return (const char*)_str_;
}

CG56XCSend::CG56XCSend ()
{
	setDescriptor("S56X to CGC sunchronous send star");
	addPort(input.setPort("input",this,ANYTYPE));


}

int CG56XCSend::myExecTime() {
# line 59 "CG56XCSend.pl"
if (input.numXfer()==1)	return 9;
	return (9 + 2*input.numXfer());
}

void CG56XCSend::setup() {
# line 45 "CG56XCSend.pl"
resolvedType = input.setResolvedType();
    numXfer = input.numXfer();
    CG56XCSynchComm::setup();
}

void CG56XCSend::go() {
# line 51 "CG56XCSend.pl"
addCode(sendData(pairNumber,numXfer));
	addCode(processPendingInterrupts(pairNumber));
	{ StringList _str_; _str_ << 
"	bset	#" << (pairNumber%24) << ",$ref(bufferSemaphore," << (pairNumber/24) << ")\n"
"\n"
;
	 addCode(_str_); }
	addCode(triggerInterrupt);
}

// prototype instance for known block list
static CG56XCSend proto;
static RegisterBlock registerBlock(proto,"XCSend");
