static const char file_id[] = "CG56XCSynchComm.pl";
// .cc file generated from CG56XCSynchComm.pl by ptlang
/*
Copyright (c) 1993-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56XCSynchComm.h"

const char *star_nm_CG56XCSynchComm = "CG56XCSynchComm";

const char* CG56XCSynchComm :: className() const {return star_nm_CG56XCSynchComm;}

ISA_FUNC(CG56XCSynchComm,CG56Star);

Block* CG56XCSynchComm :: makeNew() const { LOG_NEW; return new CG56XCSynchComm;}

const char* CG56XCSynchComm :: processPendingInterrupts(int pairNumber) {
# line 58 "CG56XCSynchComm.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"; Trigger Host Interrupt\n"
"; make sure no interrupts pending\n"
"$label(pending)\n"
"	move	$ref(currentBuffer),a\n"
"	tst	a\n"
"	jne	$label(pending)\n"
"	nop\n"
"\n"
"; set host interrupt pending flag to current pair number\n"
"	move	#" << (pairNumber+1) << ",a0\n"
"	move	a0,$ref(currentBuffer)\n";
	return (const char*)_str_;
}

CodeBlock CG56XCSynchComm :: triggerInterrupt (
# line 73 "CG56XCSynchComm.pl"
"; trigger interrupt\n"
"	move    P:$$8000,a0              ; trigger host SIGUSR1 interrupt\n");

CodeBlock CG56XCSynchComm :: buffSemInit (
# line 88 "CG56XCSynchComm.pl"
"        org	$ref(currentBuffer)\n"
"PTOLEMY_S56X_BUF\n"
"        dc	0\n"
"        org	$ref(bufferSemaphore)\n"
"PTOLEMY_S56X_SEM\n"
"        dc	0\n"
"        org	p:\n");

CG56XCSynchComm::CG56XCSynchComm ()
{
	setDescriptor("S56X to CGC send/receive base star");
	addState(buffer.setState("buffer",this,"0","buffer",
# line 19 "CG56XCSynchComm.pl"
A_NONCONSTANT|A_NONSETTABLE|A_YMEM|A_NOINIT));
	addState(bufferSemaphore.setState("bufferSemaphore",this,"0","bufferSemaphore",
# line 26 "CG56XCSynchComm.pl"
A_NONCONSTANT|A_NONSETTABLE|A_YMEM|A_SHARED|A_NOINIT));
	addState(currentBuffer.setState("currentBuffer",this,"0","currentBuffer",
# line 33 "CG56XCSynchComm.pl"
A_NONCONSTANT|A_NONSETTABLE|A_YMEM|A_SHARED|A_NOINIT));


}

void CG56XCSynchComm::initCode() {
# line 99 "CG56XCSynchComm.pl"
addCode(buffSemInit,NULL,"PTOLEMY_S56X_SEM");
    addCode("	bset	#m_hf3,x:m_hcr",NULL,"hostInterruptEnable");
    if (resolvedType == COMPLEX) {
	{ StringList _str_; _str_ << 
"	org	x:$addr(buffer)\n"
"$starSymbol(buffer)_REAL\n"
"	org	y:$addr(buffer)\n"
"$starSymbol(buffer)_IMAG\n"
;
	 addCode(_str_); }
    }
	
	{ StringList _str_; _str_ << 
"	org	$ref(buffer)\n"
"$starSymbol(buffer)\n"
;
	 addCode(_str_); }
    for(int i=0;i<numXfer;i++)
	{ StringList _str_; _str_ << 
"	dc	0\n"
"	org	p:"
;
	 addCode(_str_); }

}

void CG56XCSynchComm::setup() {
# line 50 "CG56XCSynchComm.pl"
buffer.resize(numXfer);
	if (resolvedType == COMPLEX) {
	    buffer.setAttributes(A_NONCONSTANT|A_NONSETTABLE|A_SYMMETRIC
				 |A_NOINIT);
	}
	bufferSemaphore.resize(*commCount/24+1);
}


const char* CG56XCSynchComm::bufferName ()
{
# line 84 "CG56XCSynchComm.pl"
return starSymbol.lookup("buffer");
}


// prototype instance for known block list
static CG56XCSynchComm proto;
static RegisterBlock registerBlock(proto,"XCSynchComm");
