#ifndef _CG56XCSynchComm_h
#define _CG56XCSynchComm_h 1
// header file generated from CG56XCSynchComm.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1993-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "IntArrayState.h"
# line 38 "CG56XCSynchComm.pl"
class CGCXSynchComm;

class CG56XCSynchComm : public CG56Star
{
public:
	CG56XCSynchComm();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	const char* processPendingInterrupts(int pairNumber);
	static CodeBlock triggerInterrupt;
	static CodeBlock buffSemInit;
	/* virtual */ void initCode();
# line 42 "CG56XCSynchComm.pl"
CGCXSynchComm* cgcSide;
	int *commCount;
	int numXfer;
	int pairNumber;
	DataType resolvedType;
	const char* bufferName ();

protected:
	/* virtual */ void setup();
	IntArrayState buffer;
	IntArrayState bufferSemaphore;
	IntState currentBuffer;

};
#endif
