#ifndef _CGCXPoke_h
#define _CGCXPoke_h 1
// header file generated from CGCXPoke.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1994-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCXAsynchComm.h"
#include "FixState.h"

class CGCXPoke : public CGCXAsynchComm
{
public:
	CGCXPoke();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock intSend;
	static CodeBlock floatSend;
	static CodeBlock fixSend;
	const char* sendData();
	InCGCPort input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState buffer;

};
#endif
