.EQ
delim off
.EN
.\" documentation file generated from CGCBitsToInt.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" 	All rights reserved.
.\" 	See the file $PTOLEMY/copyright for copyright notice,
.\" 	limitation of liability, and disclaimer of warranty provisions.
.NA "BitsToInt"
.SD
The integer input sequence is interpreted as a bit stream in which any nonzero
value is interpreted as to mean a 'one' bit.
This star consumes "nBits" successive bits from the input,
packs them into an integer, and outputs the resulting integer.
The first received bit becomes the most significant bit of the output.
If "nBits" is smaller than the wordsize minus one, then the
output integer will always be non-negative.
.SE
.LO "CGC demo library"
.DM CGC CGCStar
.SV 1.5 "01/01/96"
.AL "Jose Luis Pino"
.IH
.NE
\fIinput\fR (int)
.PE
.OH
.NE
\fIoutput\fR (int)
.PE
.SH
.NE
\fInBits\fR (IntState): number of bits read per execution
.DF "4"
.ET
.EQ
delim $$
.EN
.LD

.ES
