.EQ
delim off
.EN
.\" documentation file generated from CGCCommutator.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Commutator"
.SD
Takes N input streams (where N is the number of inputs) and
synchronously combines them into one output stream.
It consumes B input particles from each
input (where B is the blockSize), and produces N*B particles on the
output.
The first B particles on the output come from the first input,
the next B particles from the next input, etc.
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.5 "01/01/96"
.AL "E. A. Lee"
.IH
.NE
\fIinput\fR (multiple), (ANYTYPE)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fIblockSize\fR (IntState): Number of particles in a block.
.DF "1"
.NE
\fIix\fR (IntState): index for multiple output trace
.DF "1"
.ET
.EQ
delim $$
.EN
.ES
