.EQ
delim off
.EN
.\" documentation file generated from CGCFloatToFix.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "FloatToFix"
.SD
Convert a floating-point input to an fixed-point output.
.SE
.LO "CGC main library"
.DM CGC CGCFix
.SV 1.5 "01/01/96"
.AL "J.Weiss"
.IH
.NE
\fIinput\fR (float): Input float type
.PE
.OH
.NE
\fIoutput\fR (fix): Output fix type
.PE
.SH
.NE
\fIOutputPrecision\fR (PrecisionState): Precision of the output in bits or empty if unspecified.
If the value of the double cannot be represented by the number of bits
specified in the precision parameter, then the output is set to its maximum
value (or minimum for negative magnitudes).
.DF ""
.ET
.EQ
delim $$
.EN
.LD
This star converts a float value to a fix value with the specified precision.
If the output precision is not specified, the precision is determined at
runtime according to the incoming float value.
.ES
