.EQ
delim off
.EN
.\" documentation file generated from CGCGoertzelBase.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "GoertzelBase"
.SD
Base class for Goertzel algorithm stars.
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.3 "2/29/96"
.AL "Brian L. Evans"
.IH
.NE
\fIinput\fR (float)
.PE
.SH
.NE
\fIk\fR (IntState): the DFT coefficient to compute (k < N)
.DF "0"
.NE
\fIN\fR (IntState): length of the DFT
.DF "32"
.NE
\fIsize\fR (IntState): amount of data to read (N <= size)
.DF "32"
.NE
\fId1\fR (FloatState): first-order feedback coefficient which is a function of k and N
.DF "0.0"
.NE
\fIstate1\fR (FloatState): internal state.
.DF "0.0"
.NE
\fIstate2\fR (FloatState): internal state.
.DF "0.0"
.ET
.EQ
delim $$
.EN
.ES
