.EQ
delim off
.EN
.\" documentation file generated from CGCIIDUniform.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "IIDUniform"
.SD
Generate pseudo-IID-uniform random variables.  The values range from
-range to range where range is a parameter.
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.9 "01/01/96"
.AL "Soonhoi Ha"
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIlower\fR (FloatState): lower limit of uniform random number generator
.DF "0.0"
.NE
\fIupper\fR (FloatState): upper limit of uniform random number generator
.DF "1.0"
.NE
\fIseed\fR (IntState)
.DF "1"
.ET
.EQ
delim $$
.EN
.LD
Use two library functions drand48() and srand48(long) in Sun machines.
For other machines, we may want to change this random number generation 
part. The code should be modified for portability.
.ES
