.EQ
delim off
.EN
.\" documentation file generated from CGCLMSTkPlot.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "LMSTkPlot"
.SD
Just like the LMS filter, but with an animated Tk display of
the taps, plus associated controls.
.SE
.LO "CGC Tcl/Tk library"
.DM CGC CGCLMS
.SV 1.12 "3/8/96"
.AL "E. A. Lee"
.SH
.NE
\fIstepSizeLow\fR (FloatState): Low end of the step size scale
.DF "0.0"
.NE
\fIstepSizeHigh\fR (FloatState): High end of the step size scale
.DF "0.1"
.NE
\fIfullScale\fR (FloatState): Full scale on the tap display
.DF "1.0"
.NE
\fIgeometry\fR (StringState): Specified the location and/or size of the window
.DF "+500+000"
.NE
\fIwidth\fR (FloatState): Width of the bar chart display, in centimeters
.DF "10.0"
.NE
\fIheight\fR (FloatState): Height of the bar chart display, in centimeters
.DF "5.0"
.NE
\fIidentifier\fR (StringState): The string to identify the run-time display.
.DF "LMS filter taps"
.NE
\fIupdateInterval\fR (IntState): Number of invocations between display updates.
.DF "10"
.ET
.EQ
delim $$
.EN
.SA
LMS.
.ES
