.EQ
delim off
.EN
.\" documentation file generated from CGCPad.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Pad"
.SD
On each execution, reads a block of "nread" samples (default 128)
and writes a block of "nwrite" samples (default 256), where
"nwrite" >= "nread".  The samples may be of any type.

The first "offset" samples (default 0) have a zero value of the appropriate
type (messages of type DUMMY for message connections), the next "nread"
output samples have values taken from the inputs, and the remaining
"nwrite" - "nread" - "offset" samples have value 0 again.
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.4 "01/01/96"
.AL "S. Ha"
.IH
.NE
\fIinput\fR (anytype)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fInread\fR (IntState): Number of particles read.
.DF "128"
.NE
\fInwrite\fR (IntState): Number of particles written.
.DF "256"
.NE
\fIoffset\fR (IntState): Number of leading fill particles in each output block.
.DF "0"
.ET
.EQ
delim $$
.EN
.ES
