.EQ
delim off
.EN
.\" documentation file generated from CGCQuant.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Quant"
.SD
Quantizes input to one of N+1 possible output levels using N thresholds.
For an input less than or equal to the n-th threshold, but larger than all
previous thresholds, the output will be the n-th level.  If the input is
greater than all thresholds, the output is the N+1-th level.  If level is
specified, there must be one more level than thresholds; the default
value for level is 0, 1, 2, ... N.
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.7 "1/1/96"
.AL "E. A. Lee and J. Buck"
.IH
.NE
\fIinput\fR (float)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIthresholds\fR (FloatArrayState): Quantization thresholds, in increasing order
.DF "0.0"
.NE
\fIlevels\fR (FloatArrayState): Output levels.  If empty, use 0, 1, 2, ...
.DF ""
.ET
.EQ
delim $$
.EN
.ES
