.EQ
delim off
.EN
.\" documentation file generated from CGCReciprocal.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Reciprocal"
.SD
1/x, with an optional magnitude limit.
.SE
.LO "CGC nonlinear library"
.DM CGC CGCStar
.SV 1.6 "1/1/96"
.AL "E. A. Lee"
.IH
.NE
\fIinput\fR (float)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fImagLimit\fR (FloatState): If non-zero, limits the magnitude of the output.
.DF "0.0"
.ET
.EQ
delim $$
.EN
.LD
This star computes $1/x$, where $x$ is the input.
If the \fImagLimit\fR parameter is not 0.0, then the output is
$+- ~ max ( magLimit, ~ 1/x )$.  In this case, $x$ can be zero
without causing an floating exception.
The sign of the output is determined by the sign of the input.
.ES
