.EQ
delim off
.EN
.\" documentation file generated from CGCSubFix.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "SubFix"
.SD
Output as a fixed-point number the "pos" input minus all "neg" inputs.
.SE
.LO "CGC main library"
.DM CGC CGCFix
.SV 1.4 "01/01/96"
.AL "Juergen Weiss"
.IH
.NE
\fIpos\fR (fix)
.NE
\fIneg\fR (multiple), (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIArrivingPrecision\fR (IntState): Flag indicating whether or not to use the precision of the arriving particles
(the "pos" input and the "neg" inputs) as they are:  YES processes them
unaltered, and NO casts them to the precision specified by the
parameter "InputPrecision".
.DF "YES"
.NE
\fIInputPrecision\fR (PrecisionState): Precision of the "neg" input in bits.
The input particles are only cast to this precision if the
parameter "ArrivingPrecision" is set to NO.
.DF "2.14"
.NE
\fIOutputPrecision\fR (PrecisionState): Precision of the output in bits.
This is the precision that will hold the result of the difference
of the inputs.
When the value of the accumulation extends outside of the precision,
the output is set to its maximum value (or minimum for negative
magnitudes).
.DF "2.14"
.NE
\fIindex\fR (IntState): index for multiple input trace
.DF "1"
.ET
.EQ
delim $$
.EN
.ES
