.EQ
delim off
.EN
.\" documentation file generated from CGCTableCx.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TableCx"
.SD
Implements a complex-valued lookup table.  The "values" state contains the
values to output; its first element is element zero.  An error occurs if
an out-of-bounds value is received.
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.1 "1/26/96"
.AL "J. T. Buck"
.IH
.NE
\fIinput\fR (int)
.PE
.OH
.NE
\fIoutput\fR (complex)
.PE
.SH
.NE
\fIvalues\fR (ComplexArrayState): "table of values to output"
.DF "(-1,0) (1,0)"
.NE
\fIrunTimeCheck\fR (IntState): "If YES, check range of index at runtime, else omit"
.DF "YES"
.ET
.EQ
delim $$
.EN
.LD
.Id "table lookup"
.ES
