.EQ
delim off
.EN
.\" documentation file generated from CGCTkBarGraph.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TkBarGraph"
.SD
Dynamically display the value of any number of input signals in bar-chart form.
The first 12 input signals will be assigned distinct colors. After that,
the colors are repeated. The colors can be controlled using X resources.
.SE
.LO "CGC Tcl/Tk library"
.DM CGC CGCStar
.SV 1.8 "01/01/96"
.AL "Edward A. Lee and Jose Luis Pino"
.IH
.NE
\fIinput\fR (multiple), (float): Any number of inputs to plot
.PE
.SH
.NE
\fIlabel\fR (StringState): A label to put on the display
.DF "bar chart display"
.NE
\fItop\fR (FloatState): High end of the scale
.DF "1.0"
.NE
\fIbottom\fR (FloatState): Low end of the scale
.DF "-1.0"
.NE
\fInumber_of_bars\fR (IntState): Number of bars to display
.DF "16"
.NE
\fIbar_graph_height\fR (FloatState): Desired height of the bar graph in centimeters
.DF "5"
.NE
\fIbar_graph_width\fR (FloatState): Desired width of the bar graph in centimeters
.DF "10"
.NE
\fIposition\fR (StringState): Width of the bar graph in centimeters
.DF "+0+0"
.NE
\fIupdateSize\fR (IntState): To speed up the display, this many bars are updated at once
.DF "1"
.ET
.EQ
delim $$
.EN
.ES
