.EQ
delim off
.EN
.\" documentation file generated from CGCTkRadioButton.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TkRadioButton"
.SD
Graphical one-of-many input source.
.SE
.LO "CGC Tcl/Tk library"
.DM CGC CGCTclScript
.SV 1.3 "2/15/96"
.AL "Jose Luis Pino"
.SH
.NE
\fIidentifier\fR (StringState): The string to identify the radio buttons in the control panel.
.DF "Select one of:"
.NE
\fIpairs\fR (StringState): Name and value pairs.
.DF "\"One 1\" \"Two 2\""
.NE
\fIinitialChoice\fR (StringState): Name of button to start at.
.DF "Two"
.ET
.EQ
delim $$
.EN
.LD
This is an asynchronous source star
with a tk graphical user interface.
The star always outputs one of a finite number of values: the output is
controlled by the user selecting one of several buttons.
Exactly one button in the group is on.
.LP
The \fIpairs\fR parameter defines a set of pairs.
Each pair should be enclosed in double quotes.
Each pair consists of two words: a one word label and a value.
The value is not checked at compile time: it is literally passed to Tk.
.ES
