.EQ
delim off
.EN
.\" documentation file generated from CGCTkXYPlot.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TkXYPlot"
.SD
Plot Y input(s) vs. X input(s) with dynamic updating.
Two styles are currently supported: "dot" causes
points to be plotted, whereas "connect" causes connected
lines to be plotted. Drawing a box in the plot will
reset the plot area to that outlined by the box.
There are also buttons for zooming in and out, and for
resizing the box to just fit the data in view.
Generate an animated X-Y plot in a Tk window.
.SE
.LO "CGC Tcl/Tk library"
.DM CGC CGCStar
.SV 1.9 "2/28/96"
.AL "W.-J. Huang, E. A. Lee, D. Niehaus"
.IH
.NE
\fIX\fR (multiple), (float): horizontal coordinate
.NE
\fIY\fR (multiple), (float): vertical coordinate
.PE
.SH
.NE
\fIlabel\fR (StringState): The label used for the icon and title names
.DF "Tk XY Plot"
.NE
\fIgeometry\fR (StringState): Specified the location and/or size of the window
.DF "600x400+0+0"
.NE
\fIxTitle\fR (StringState): The x-axis label
.DF "x"
.NE
\fIyTitle\fR (StringState): The y-axis label
.DF "y"
.NE
\fIxRange\fR (FloatArrayState): The range of x-coordinate values
.DF "-1.5 1.5"
.NE
\fIyRange\fR (FloatArrayState): The range of x-coordinate values
.DF "-1.5 1.5"
.NE
\fIpersistence\fR (IntState): The number of points displayed at any one time
.DF "100"
.NE
\fIstyle\fR (StringState): Plot style is dot or connect
.DF "dot"
.NE
\fIupdateSize\fR (IntState): The number of points drawn simulataneously. Higher numbers make the response faster.
.DF "10"
.ET
.EQ
delim $$
.EN
.ES
