.EQ
delim off
.EN
.\" documentation file generated from CGCTrainer.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Trainer"
.SD
Passes the "train" input to the output for the first "trainLength"
samples, then passes the "decision" input to the output.  Designed
for use in decision feedback equalizers, but can be used for other
purposes.
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.6 "1/1/96"
.AL "S. Ha"
.IH
.NE
\fItrain\fR (anytype)
.NE
\fIdecision\fR (ANYTYPE)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fItrainLength\fR (IntState): Number of training samples to use
.DF "100"
.NE
\fIcount\fR (IntState): local variable for counting inputs
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
.Id "DFE training"
.Id "decision feedback equalizer training"
.Id "equalizer, decision feedback, training"
.ES
