.EQ
delim off
.EN
.\" documentation file generated from CGCXgraph.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Xgraph"
.SD
Generate a plot with the pxgraph program.
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.12 "01/01/96"
.AL "S. Ha"
.IH
.NE
\fIinput\fR (float)
.PE
.SH
.NE
\fItitle\fR (StringState): Title for the plot.
.DF "X graph"
.NE
\fIsaveFile\fR (StringState): File to save the input to the pxgraph program.
.DF ""
.NE
\fIoptions\fR (StringState): Command line options for pxgraph.
.DF "-bb -tk =800x400"
.NE
\fIignore\fR (IntState): Number of initial values to ignore.
.DF "0"
.NE
\fIxUnits\fR (FloatState): For labeling, horizontal increment between samples.
.DF "1.0"
.NE
\fIxInit\fR (FloatState): For labeling, horizontal value of the first sample.
.DF "0.0"
.NE
\fIindex\fR (FloatState)
.DF "0.0"
.NE
\fIresources\fR (StringArrayState): Resources required by star.
.DF "STDIO"
.NE
\fIcount\fR (IntState): Samplecounter
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
This star is actually equivalent to the XMgraph star with only one input.
The input signal is plotted using the \fIpxgraph\fR program.
This program must be in your path, or this star will not work!
The \fItitle\fR parameter specifies a title for the plot.
The \fIsaveFile\fR parameter optionally specifies a file for
storing the data in a syntax acceptable to pxgraph.
A null string prevents any such storage.
The \fIoptions\fR string is passed directly to the pxgraph program
as command-line options.  See the manual section describing pxgraph
for a complete explanation of the options.
.Ir "pxgraph program"
.Id "graph, X window"
.ES
