static const char file_id[] = "CGCAddCx.pl";
// .cc file generated from CGCAddCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCAddCx.h"

const char *star_nm_CGCAddCx = "CGCAddCx";

const char* CGCAddCx :: className() const {return star_nm_CGCAddCx;}

ISA_FUNC(CGCAddCx,CGCStar);

Block* CGCAddCx :: makeNew() const { LOG_NEW; return new CGCAddCx;}

CodeBlock CGCAddCx :: startOp (
# line 31 "CGCAddCx.pl"
"	$ref(output).real = $ref(input#1).real;\n"
"	$ref(output).imag = $ref(input#1).imag;\n");

const char* CGCAddCx :: doOp(int i) {
# line 36 "CGCAddCx.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	$ref(output).real += $ref(input#" << (i) << ").real;\n"
"	$ref(output).imag += $ref(input#" << (i) << ").imag;\n";
	return (const char*)_str_;
}

CGCAddCx::CGCAddCx ()
{
	setDescriptor("Output the complex product of the inputs.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(output.setPort("output",this,COMPLEX));

# line 22 "CGCAddCx.pl"
noInternalState();
}

int CGCAddCx::myExecTime() {
# line 41 "CGCAddCx.pl"
return 2*input.numberPorts();
}

void CGCAddCx::go() {
# line 25 "CGCAddCx.pl"
addCode(startOp);
	int i;
	for (i=2;i<=input.numberPorts();i++) 
	    addCode(doOp(i));
}

// prototype instance for known block list
static CGCAddCx proto;
static RegisterBlock registerBlock(proto,"AddCx");
