#ifndef _CGCChop_h
#define _CGCChop_h 1
// header file generated from CGCChop.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"

class CGCChop : public CGCStar
{
public:
	CGCChop();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock decl;
	static CodeBlock out;
	/* virtual */ int myExecTime();
	InCGCPort input;
	OutCGCPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState nread;
	IntState nwrite;
	IntState offset;
	IntState use_past_inputs;
	IntState hiLim;
	IntState inidx;
	IntState loLim;
	void computeRange ();

};
#endif
