static const char file_id[] = "CGCChopVarOffset.pl";
// .cc file generated from CGCChopVarOffset.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCChopVarOffset.h"

const char *star_nm_CGCChopVarOffset = "CGCChopVarOffset";

const char* CGCChopVarOffset :: className() const {return star_nm_CGCChopVarOffset;}

ISA_FUNC(CGCChopVarOffset,CGCChop);

Block* CGCChopVarOffset :: makeNew() const { LOG_NEW; return new CGCChopVarOffset;}

CodeBlock CGCChopVarOffset :: init (
# line 27 "CGCChopVarOffset.pl"
"	$ref(offset) = $ref(offsetCntrl);\n");

CodeBlock CGCChopVarOffset :: range (
# line 30 "CGCChopVarOffset.pl"
"        int hiLim = $val(nwrite) - $ref(offset) - 1;\n"
"        if (hiLim >= $val(nwrite)) hiLim = $val(nwrite) - 1;\n"
"        else if ($val(use_past_inputs)) hiLim = $val(nwrite) - 1;\n"
"\n"
"        int loLim = $val(nwrite) - $val(nread) - $ref(offset);\n"
"        if (loLim < 0) loLim = 0;\n"
"\n"
"        int inidx = $val(nread) - $val(nwrite) + $ref(offset);\n"
"        if (inidx < 0) inidx = 0;\n");

CGCChopVarOffset::CGCChopVarOffset ()
{
	setDescriptor("This star has the same functionality as the\nChop star except now the offset parameter is\ndetermined at run time through a control input.");
	addPort(offsetCntrl.setPort("offsetCntrl",this,INT));

# line 23 "CGCChopVarOffset.pl"
noInternalState();
		offset.setAttributes(A_NONCONSTANT|A_NONSETTABLE);
}

int CGCChopVarOffset::myExecTime() {
# line 48 "CGCChopVarOffset.pl"
return CGCChop::myExecTime() + 8;
}

void CGCChopVarOffset::go() {
# line 42 "CGCChopVarOffset.pl"
addCode(decl);		// look at CGCChop star
		addCode(init);
		addCode(range);
		addCode(out);		// look at CGCChop star
}

// prototype instance for known block list
static CGCChopVarOffset proto;
static RegisterBlock registerBlock(proto,"ChopVarOffset");
