static const char file_id[] = "CGCCos.pl";
// .cc file generated from CGCCos.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCCos.h"

const char *star_nm_CGCCos = "CGCCos";

const char* CGCCos :: className() const {return star_nm_CGCCos;}

ISA_FUNC(CGCCos,CGCStar);

Block* CGCCos :: makeNew() const { LOG_NEW; return new CGCCos;}

CodeBlock CGCCos :: cosgen (
# line 31 "CGCCos.pl"
"	$ref(output) = cos($ref(input));\n");

CGCCos::CGCCos ()
{
	setDescriptor("This star computes the sine of its input, in radians.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));

# line 23 "CGCCos.pl"
noInternalState();
}

int CGCCos::myExecTime() {
# line 35 "CGCCos.pl"
return 23;	/* value taken from CG96Cos */
}

void CGCCos::initCode() {
# line 26 "CGCCos.pl"
addInclude("<math.h>");
}

void CGCCos::go() {
# line 29 "CGCCos.pl"
addCode(cosgen);
}

// prototype instance for known block list
static CGCCos proto;
static RegisterBlock registerBlock(proto,"Cos");
