static const char file_id[] = "CGCDivByInt.pl";
// .cc file generated from CGCDivByInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCDivByInt.h"

const char *star_nm_CGCDivByInt = "CGCDivByInt";

const char* CGCDivByInt :: className() const {return star_nm_CGCDivByInt;}

ISA_FUNC(CGCDivByInt,CGCStar);

Block* CGCDivByInt :: makeNew() const { LOG_NEW; return new CGCDivByInt;}

CodeBlock CGCDivByInt :: divide (
# line 39 "CGCDivByInt.pl"
"	$ref(output) = $ref(input) / $val(divisor);\n");

CGCDivByInt::CGCDivByInt ()
{
	setDescriptor("This is an amplifier; the integer output is the integer input\nmultiplied by the integer \"gain\" (default 1).");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(divisor.setState("divisor",this,"1","Inverse of the gain of the amplifier."));

# line 32 "CGCDivByInt.pl"
noInternalState();
}

void CGCDivByInt::setup() {
# line 35 "CGCDivByInt.pl"
if ( int(divisor) == 0 ) {
		     Error::abortRun(*this, "divisor cannot be zero");
		}
}

void CGCDivByInt::go() {
# line 43 "CGCDivByInt.pl"
addCode(divide);
}

// prototype instance for known block list
static CGCDivByInt proto;
static RegisterBlock registerBlock(proto,"DivByInt");
