static const char file_id[] = "CGCDownCounter.pl";
// .cc file generated from CGCDownCounter.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCDownCounter.h"

const char *star_nm_CGCDownCounter = "CGCDownCounter";

const char* CGCDownCounter :: className() const {return star_nm_CGCDownCounter;}

ISA_FUNC(CGCDownCounter,CGCStar);

Block* CGCDownCounter :: makeNew() const { LOG_NEW; return new CGCDownCounter;}

CodeBlock CGCDownCounter :: block (
# line 49 "CGCDownCounter.pl"
"	if ($ref(status) == 0) {\n"
"		if ($ref(input) > 0) {\n"
"			$ref(output) = $ref(input) - 1;\n"
"		} \n"
"	} else {\n"
"		$ref(output) = $ref(output) - 1;\n"
"	}\n"
"	$ref(status) = $ref(output);\n");

CGCDownCounter::CGCDownCounter ()
{
	setDescriptor("A down counter from the input value to zero. \nCode is generated for each step operation instead of generating all outputs\nat once.");
	addPort(input.setPort("input",this,INT));
	addPort(control.setPort("control",this,INT));
	addPort(output.setPort("output",this,INT,0));
	addState(status.setState("status",this,"0","monitoring the control value",
# line 40 "CGCDownCounter.pl"
A_NONCONSTANT|A_NONSETTABLE));


}

void CGCDownCounter::go() {
# line 60 "CGCDownCounter.pl"
addCode(block);
}


const char * CGCDownCounter::readTypeName ()
{
# line 46 "CGCDownCounter.pl"
return "UpSample";
}


// prototype instance for known block list
static CGCDownCounter proto;
static RegisterBlock registerBlock(proto,"DownCounter");
