#ifndef _CGCFIR_h
#define _CGCFIR_h 1
// header file generated from CGCFIR.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class CGCFIR : public CGCStar
{
public:
	CGCFIR();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock bodyDecl;
	static CodeBlock body;
	/* virtual */ int myExecTime();
	InCGCPort signalIn;
	OutCGCPort signalOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatArrayState taps;
	IntState decimation;
	IntState decimationPhase;
	IntState interpolation;
	IntState phaseLength;
	IntState tapSize;

};
#endif
