#ifndef _CGCFix_h
#define _CGCFix_h 1
// header file generated from CGCFix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"

class CGCFix : public CGCStar
{
public:
	CGCFix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	const char* report_overflow(const char* starName);
	/* virtual */ void wrapup();
protected:
	/* virtual */ void setup();
	IntState ReportOverflow;
	IntState ov_cnt;
	IntState ck_cnt;
	void clearOverflow ();
	void checkOverflow ();

};
#endif
