static const char file_id[] = "CGCFixToFix.pl";
// .cc file generated from CGCFixToFix.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCFixToFix.h"

const char *star_nm_CGCFixToFix = "CGCFixToFix";

const char* CGCFixToFix :: className() const {return star_nm_CGCFixToFix;}

ISA_FUNC(CGCFixToFix,CGCFix);

Block* CGCFixToFix :: makeNew() const { LOG_NEW; return new CGCFixToFix;}

CGCFixToFix::CGCFixToFix ()
{
	setDescriptor("Convert a fixed-point value into one with a different precision.");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FIX));
	addState(OutputPrecision.setState("OutputPrecision",this,"","Precision of the output in bits or empty if unspecified.\nIf the input value cannot be represented by the number of bits specified in\nthe precision parameter, then the output is set to its maximum value (or\nminimum for negative magnitudes)."));


}

void CGCFixToFix::setup() {
# line 37 "CGCFixToFix.pl"
CGCFix::setup();
		output.setPrecision(OutputPrecision);
}

void CGCFixToFix::go() {
# line 41 "CGCFixToFix.pl"
// insert code to clear overflow flag
		CGCFix::clearOverflow();

		// do the assignment
	{ StringList _str_; _str_ << 
"	FIX_Assign($ref(output),$ref(input));\n"
;
	 addCode(_str_); }

		// insert code to test overflow flag
		CGCFix::checkOverflow();
}

// prototype instance for known block list
static CGCFixToFix proto;
static RegisterBlock registerBlock(proto,"FixToFix");
