static const char file_id[] = "CGCFixToFloat.pl";
// .cc file generated from CGCFixToFloat.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCFixToFloat.h"

const char *star_nm_CGCFixToFloat = "CGCFixToFloat";

const char* CGCFixToFloat :: className() const {return star_nm_CGCFixToFloat;}

ISA_FUNC(CGCFixToFloat,CGCStar);

Block* CGCFixToFloat :: makeNew() const { LOG_NEW; return new CGCFixToFloat;}

CGCFixToFloat::CGCFixToFloat ()
{
	setDescriptor("Convert a fixed-point input to a floating-point output.");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FLOAT));


}

void CGCFixToFloat::go() {
# line 25 "CGCFixToFloat.pl"
	{ StringList _str_; _str_ << 
"	$ref(output) = FIX_Fix2Double($ref(input));"
;
	 addCode(_str_); }

}

// prototype instance for known block list
static CGCFixToFloat proto;
static RegisterBlock registerBlock(proto,"FixToFloat");
