#ifndef _CGCGAL_h
#define _CGCGAL_h 1
// header file generated from CGCGAL.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1992-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "FloatState.h"
#include "FloatArrayState.h"

class CGCGAL : public CGCStar
{
public:
	CGCGAL();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock main;
	InCGCPort input;
	OutCGCPort residual;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState order;
	FloatState timeConstant;
	FloatState alpha;
	FloatArrayState k;
	FloatArrayState f;
	FloatArrayState b;
	FloatArrayState e;

};
#endif
