static const char file_id[] = "CGCGGAL.pl";
// .cc file generated from CGCGGAL.pl by ptlang
/*
Copyright (c) 1992-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCGGAL.h"

const char *star_nm_CGCGGAL = "CGCGGAL";

const char* CGCGGAL :: className() const {return star_nm_CGCGGAL;}

ISA_FUNC(CGCGGAL,CGCGAL);

Block* CGCGGAL :: makeNew() const { LOG_NEW; return new CGCGGAL;}

CodeBlock CGCGGAL :: main (
# line 39 "CGCGGAL.pl"
"	{\n"
"	    double F;\n"
"	    int m;\n"
"\n"
"	    F = $ref(synthIn);\n"
"	    for(m = $val(order)-1; m >= 0; m--)\n"
"	    {\n"
"		F += $ref(k,m+1) * $ref(B,m);\n"
"		$ref(B,m+1) = $ref(B,m) - $ref(k,m+1) * F;\n"
"	    }\n"
"	    $ref(B,0) = F;\n"
"	    $ref(synthOut) = F;\n"
"	}\n");

CGCGGAL::CGCGGAL ()
{
	setDescriptor("Ganged Gradient Adaptive Lattice filters.");
	addPort(synthIn.setPort("synthIn",this,FLOAT));
	addPort(synthOut.setPort("synthOut",this,FLOAT));
	addState(B.setState("B",this,"0.0 0.0","Backward prediction error.",
# line 35 "CGCGGAL.pl"
A_NONCONSTANT | A_NONSETTABLE));


}

void CGCGGAL::setup() {
# line 57 "CGCGGAL.pl"
B.resize(order+1);
	CGCGAL::setup();
}

void CGCGGAL::go() {
# line 63 "CGCGGAL.pl"
addCode(main);
	CGCGAL::go();
}

// prototype instance for known block list
static CGCGGAL proto;
static RegisterBlock registerBlock(proto,"GGAL");
