#ifndef _CGCIIDGaussian_h
#define _CGCIIDGaussian_h 1
// header file generated from CGCIIDGaussian.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "FloatState.h"

class CGCIIDGaussian : public CGCStar
{
public:
	CGCIIDGaussian();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock initSeed;
	static CodeBlock randomGen;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	OutCGCPort output;

protected:
	/* virtual */ void go();
	FloatState var;
	FloatState mean;
	IntState seed;

};
#endif
