#ifndef _CGCImpulse_h
#define _CGCImpulse_h 1
// header file generated from CGCImpulse.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "FloatState.h"

class CGCImpulse : public CGCStar
{
public:
	CGCImpulse();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutCGCPort output;

protected:
	/* virtual */ void go();
	FloatState level;
	IntState period;
	IntState numSample;
	IntState count;

};
#endif
