static const char file_id[] = "CGCModulo.pl";
// .cc file generated from CGCModulo.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCModulo.h"

const char *star_nm_CGCModulo = "CGCModulo";

const char* CGCModulo :: className() const {return star_nm_CGCModulo;}

ISA_FUNC(CGCModulo,CGCStar);

Block* CGCModulo :: makeNew() const { LOG_NEW; return new CGCModulo;}

CodeBlock CGCModulo :: decl (
# line 47 "CGCModulo.pl"
"	double dummy;\n");

CodeBlock CGCModulo :: out (
# line 50 "CGCModulo.pl"
"	$ref(output) = modf((double)$ref(input)/(double)$ref(modulo), &dummy);\n");

CGCModulo::CGCModulo ()
{
	setDescriptor("The output of this star is the input modulo the \n		\"modulo\" parameter. The input, output are both\n		 float");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(modulo.setState("modulo",this,"1.0","The modulo parameter"));

# line 31 "CGCModulo.pl"
noInternalState();
}

int CGCModulo::myExecTime() {
# line 54 "CGCModulo.pl"
return 1;
}

void CGCModulo::initCode() {
# line 34 "CGCModulo.pl"
addInclude("<math.h>");
}

void CGCModulo::setup() {
# line 37 "CGCModulo.pl"
if ( double(modulo) == 0.0 ) {
		    Error::abortRun(*this,
				    "The modulo parameter cannot be zero");
		    return;
		}
}

void CGCModulo::go() {
# line 44 "CGCModulo.pl"
addCode(decl);
		addCode(out);
}

// prototype instance for known block list
static CGCModulo proto;
static RegisterBlock registerBlock(proto,"Modulo");
