static const char file_id[] = "CGCMpy.pl";
// .cc file generated from CGCMpy.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCMpy.h"

const char *star_nm_CGCMpy = "CGCMpy";

const char* CGCMpy :: className() const {return star_nm_CGCMpy;}

ISA_FUNC(CGCMpy,CGCStar);

Block* CGCMpy :: makeNew() const { LOG_NEW; return new CGCMpy;}

CGCMpy::CGCMpy ()
{
	setDescriptor("Output the product of the inputs, as a float value.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(ix.setState("ix",this,"1","index for multiple input trace",
# line 27 "CGCMpy.pl"
A_NONSETTABLE|A_NONCONSTANT));

# line 30 "CGCMpy.pl"
noInternalState();
}

int CGCMpy::myExecTime() {
# line 45 "CGCMpy.pl"
return input.numberPorts();
}

void CGCMpy::go() {
# line 33 "CGCMpy.pl"
StringList out;
		out << "\t$ref(output) = ";
		for (int i = 1; i <= input.numberPorts(); i++) {
			ix = i;
			out << "$ref(input#ix)";
			if (i < input.numberPorts()) out << " * ";
			else out << ";\n";
			addCode((const char*)out);
			out.initialize();
		}
}

// prototype instance for known block list
static CGCMpy proto;
static RegisterBlock registerBlock(proto,"Mpy");
