static const char file_id[] = "CGCMpyCx.pl";
// .cc file generated from CGCMpyCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCMpyCx.h"

const char *star_nm_CGCMpyCx = "CGCMpyCx";

const char* CGCMpyCx :: className() const {return star_nm_CGCMpyCx;}

ISA_FUNC(CGCMpyCx,CGCStar);

Block* CGCMpyCx :: makeNew() const { LOG_NEW; return new CGCMpyCx;}

const char* CGCMpyCx :: startOp(int i) {
# line 31 "CGCMpyCx.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	" << (i>1?"complex temp;":"/*Unit gain - no multiplication required*/") << "\n"
"	$ref(output).real = $ref(input#1).real;\n"
"	$ref(output).imag = $ref(input#1).imag;\n";
	return (const char*)_str_;
}

const char* CGCMpyCx :: doOp(int i) {
# line 37 "CGCMpyCx.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	temp.real = $ref(output).real * $ref(input#" << (i) << ").real -\n"
"		    $ref(output).imag * $ref(input#" << (i) << ").imag;\n"
"	temp.imag = $ref(output).real * $ref(input#" << (i) << ").imag +\n"
"		    $ref(output).imag * $ref(input#" << (i) << ").real;\n"
"	$ref(output).real = temp.real;\n"
"	$ref(output).imag = temp.imag;\n";
	return (const char*)_str_;
}

CGCMpyCx::CGCMpyCx ()
{
	setDescriptor("Output the complex product of the inputs.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(output.setPort("output",this,COMPLEX));

# line 22 "CGCMpyCx.pl"
noInternalState();
}

int CGCMpyCx::myExecTime() {
# line 46 "CGCMpyCx.pl"
return 4*input.numberPorts();
}

void CGCMpyCx::go() {
# line 25 "CGCMpyCx.pl"
addCode(startOp(input.numberPorts()));
	int i;
	for (i=2;i<=input.numberPorts();i++) 
	    addCode(doOp(i));
}

// prototype instance for known block list
static CGCMpyCx proto;
static RegisterBlock registerBlock(proto,"MpyCx");
