static const char file_id[] = "CGCPolarToRect.pl";
// .cc file generated from CGCPolarToRect.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCPolarToRect.h"

const char *star_nm_CGCPolarToRect = "CGCPolarToRect";

const char* CGCPolarToRect :: className() const {return star_nm_CGCPolarToRect;}

ISA_FUNC(CGCPolarToRect,CGCStar);

Block* CGCPolarToRect :: makeNew() const { LOG_NEW; return new CGCPolarToRect;}

CodeBlock CGCPolarToRect :: body (
# line 36 "CGCPolarToRect.pl"
"	double m,p;\n"
"	m = $ref(magnitude);\n"
"	p = $ref(phase);\n"
"	$ref(x) = m * cos(p);\n"
"	$ref(y) = m * sin(p);\n");

CGCPolarToRect::CGCPolarToRect ()
{
	setDescriptor("Convert magnitude and phase to rectangular form.");
	addPort(magnitude.setPort("magnitude",this,FLOAT));
	addPort(phase.setPort("phase",this,FLOAT));
	addPort(x.setPort("x",this,FLOAT));
	addPort(y.setPort("y",this,FLOAT));

# line 31 "CGCPolarToRect.pl"
noInternalState();
}

int CGCPolarToRect::myExecTime() {
# line 47 "CGCPolarToRect.pl"
return 50;
}

void CGCPolarToRect::initCode() {
# line 34 "CGCPolarToRect.pl"
addInclude("<math.h>");
}

void CGCPolarToRect::go() {
# line 44 "CGCPolarToRect.pl"
addCode(body);
}

// prototype instance for known block list
static CGCPolarToRect proto;
static RegisterBlock registerBlock(proto,"PolarToRect");
