static const char file_id[] = "CGCQuantIdx.pl";
// .cc file generated from CGCQuantIdx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCQuantIdx.h"

const char *star_nm_CGCQuantIdx = "CGCQuantIdx";

const char* CGCQuantIdx :: className() const {return star_nm_CGCQuantIdx;}

ISA_FUNC(CGCQuantIdx,CGCQuant);

Block* CGCQuantIdx :: makeNew() const { LOG_NEW; return new CGCQuantIdx;}

CodeBlock CGCQuantIdx :: writeStep (
# line 25 "CGCQuantIdx.pl"
"	$ref(stepNumber) = mid;\n");

CGCQuantIdx::CGCQuantIdx ()
{
	setDescriptor("Quantize the input value to one of N+1 possible output levels using\nN thresholds, and output both the quantized result and the\nquantization level.  See the Quant star for more information.");
	addPort(stepNumber.setPort("stepNumber",this,INT));


}

void CGCQuantIdx::go() {
# line 29 "CGCQuantIdx.pl"
CGCQuant :: go();
		addCode(writeStep);
}

// prototype instance for known block list
static CGCQuantIdx proto;
static RegisterBlock registerBlock(proto,"QuantIdx");
