#ifndef _CGCRampFix_h
#define _CGCRampFix_h 1
// header file generated from CGCRampFix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCFix.h"
#include "FixState.h"
#include "PrecisionState.h"

class CGCRampFix : public CGCFix
{
public:
	CGCRampFix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutCGCPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	PrecisionState OutputPrecision;
	FixState step;
	FixState value;
	PrecisionState StepPrecision;
	PrecisionState ValuePrecision;

};
#endif
