#ifndef _CGCReciprocal_h
#define _CGCReciprocal_h 1
// header file generated from CGCReciprocal.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "FloatState.h"

class CGCReciprocal : public CGCStar
{
public:
	CGCReciprocal();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock reciprocal;
	static CodeBlock satrec;
	/* virtual */ int myExecTime();
	InCGCPort input;
	OutCGCPort output;

protected:
	/* virtual */ void go();
	FloatState magLimit;

};
#endif
