#ifndef _CGCRect_h
#define _CGCRect_h 1
// header file generated from CGCRect.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "FloatState.h"

class CGCRect : public CGCStar
{
public:
	CGCRect();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock cbMain;
	OutCGCPort output;

protected:
	/* virtual */ void go();
	FloatState height;
	IntState width;
	IntState period;
	IntState count;

};
#endif
