#ifndef _CGCRectFix_h
#define _CGCRectFix_h 1
// header file generated from CGCRectFix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCFix.h"
#include "IntState.h"
#include "FixState.h"
#include "PrecisionState.h"

class CGCRectFix : public CGCFix
{
public:
	CGCRectFix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutCGCPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState height;
	IntState width;
	IntState period;
	IntState count;
	PrecisionState OutputPrecision;

};
#endif
