static const char file_id[] = "CGCRepeat.pl";
// .cc file generated from CGCRepeat.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCRepeat.h"

const char *star_nm_CGCRepeat = "CGCRepeat";

const char* CGCRepeat :: className() const {return star_nm_CGCRepeat;}

ISA_FUNC(CGCRepeat,CGCStar);

Block* CGCRepeat :: makeNew() const { LOG_NEW; return new CGCRepeat;}

CodeBlock CGCRepeat :: out (
# line 40 "CGCRepeat.pl"
"	int i;\n"
"	for (i = 0; i < $val(numTimes); i++) {\n"
"		$ref(output, i) = $ref(input);\n"
"	}\n");

CGCRepeat::CGCRepeat ()
{
	setDescriptor("Repeats each input sample the specified number of times.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);
	addState(numTimes.setState("numTimes",this,"2","Repetition factor."));

# line 35 "CGCRepeat.pl"
noInternalState();
}

int CGCRepeat::myExecTime() {
# line 50 "CGCRepeat.pl"
return int(numTimes);
}

void CGCRepeat::setup() {
# line 38 "CGCRepeat.pl"
output.setSDFParams(int(numTimes),int(numTimes)-1);
}

void CGCRepeat::go() {
# line 47 "CGCRepeat.pl"
addCode(out);
}

// prototype instance for known block list
static CGCRepeat proto;
static RegisterBlock registerBlock(proto,"Repeat");
