static const char file_id[] = "CGCReverse.pl";
// .cc file generated from CGCReverse.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCReverse.h"

const char *star_nm_CGCReverse = "CGCReverse";

const char* CGCReverse :: className() const {return star_nm_CGCReverse;}

ISA_FUNC(CGCReverse,CGCStar);

Block* CGCReverse :: makeNew() const { LOG_NEW; return new CGCReverse;}

CodeBlock CGCReverse :: out (
# line 38 "CGCReverse.pl"
"	int i, j;\n"
"	for (i = 0, j = $val(N) - 1; j >= 0; i++, j--)\n"
"		$ref(output,i) = $ref(input,j);\n");

CGCReverse::CGCReverse ()
{
	setDescriptor("On each execution, reads a block of \"N\" samples (default 64)\nand writes them out backwards.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);
	addState(N.setState("N",this,"64","Number of particles read and written."));

# line 32 "CGCReverse.pl"
noInternalState();
}

int CGCReverse::myExecTime() {
# line 47 "CGCReverse.pl"
return int(N);
}

void CGCReverse::setup() {
# line 35 "CGCReverse.pl"
input.setSDFParams(int(N),int(N)-1);
		output.setSDFParams(int(N),int(N)-1);
}

void CGCReverse::go() {
# line 44 "CGCReverse.pl"
addCode(out);
}

// prototype instance for known block list
static CGCReverse proto;
static RegisterBlock registerBlock(proto,"Reverse");
