static const char file_id[] = "CGCSin.pl";
// .cc file generated from CGCSin.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCSin.h"

const char *star_nm_CGCSin = "CGCSin";

const char* CGCSin :: className() const {return star_nm_CGCSin;}

ISA_FUNC(CGCSin,CGCStar);

Block* CGCSin :: makeNew() const { LOG_NEW; return new CGCSin;}

CodeBlock CGCSin :: singen (
# line 31 "CGCSin.pl"
"	$ref(output) = sin($ref(input));\n");

CGCSin::CGCSin ()
{
	setDescriptor("This star computes the sine of its input, in radians.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));

# line 23 "CGCSin.pl"
noInternalState();
}

int CGCSin::myExecTime() {
# line 35 "CGCSin.pl"
return 23;	/* value taken from CG96Sin */
}

void CGCSin::initCode() {
# line 26 "CGCSin.pl"
addInclude("<math.h>");
}

void CGCSin::go() {
# line 29 "CGCSin.pl"
addCode(singen);
}

// prototype instance for known block list
static CGCSin proto;
static RegisterBlock registerBlock(proto,"Sin");
