static const char file_id[] = "CGCSleep.pl";
// .cc file generated from CGCSleep.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCSleep.h"

const char *star_nm_CGCSleep = "CGCSleep";

const char* CGCSleep :: className() const {return star_nm_CGCSleep;}

ISA_FUNC(CGCSleep,CGCStar);

Block* CGCSleep :: makeNew() const { LOG_NEW; return new CGCSleep;}

CodeBlock CGCSleep :: std (
# line 41 "CGCSleep.pl"
"	    {\n"
"	    static struct timeval delay;\n"
"	    delay.tv_sec = $val(interval)/1000;\n"
"	    delay.tv_usec = ($val(interval)%1000)*1000;\n"
"	    (void) select(0, (fd_set *) 0, (fd_set *) 0,\n"
"        	    (fd_set *) 0, &delay);\n"
"	    }\n"
"	    $ref(output) = $ref(input);\n");

CGCSleep::CGCSleep ()
{
	setDescriptor("Suspend execution for an interval (in milliseconds).\nThe input is passed to the output when the process resumes.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(interval.setState("interval",this,"10","Time in milliseconds to sleep."));

# line 32 "CGCSleep.pl"
noInternalState();
}

void CGCSleep::initCode() {
# line 35 "CGCSleep.pl"
addInclude("<sys/types.h>");
		addInclude("<sys/time.h>");
}

void CGCSleep::go() {
# line 39 "CGCSleep.pl"
addCode(std);
}

// prototype instance for known block list
static CGCSleep proto;
static RegisterBlock registerBlock(proto,"Sleep");
