static const char file_id[] = "CGCSqrt.pl";
// .cc file generated from CGCSqrt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCSqrt.h"

const char *star_nm_CGCSqrt = "CGCSqrt";

const char* CGCSqrt :: className() const {return star_nm_CGCSqrt;}

ISA_FUNC(CGCSqrt,CGCStar);

Block* CGCSqrt :: makeNew() const { LOG_NEW; return new CGCSqrt;}

CodeBlock CGCSqrt :: ln (
# line 34 "CGCSqrt.pl"
"	$ref(output) = sqrt($ref(input));\n");

CGCSqrt::CGCSqrt ()
{
	setDescriptor("This star computes the square root of its input.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));

# line 26 "CGCSqrt.pl"
noInternalState();
}

int CGCSqrt::myExecTime() {
# line 38 "CGCSqrt.pl"
return 165;	/* value taken from CG96Sqrt */
}

void CGCSqrt::initCode() {
# line 29 "CGCSqrt.pl"
addInclude("<math.h>");
}

void CGCSqrt::go() {
# line 32 "CGCSqrt.pl"
addCode(ln);
}

// prototype instance for known block list
static CGCSqrt proto;
static RegisterBlock registerBlock(proto,"Sqrt");
