static const char file_id[] = "CGCSub.pl";
// .cc file generated from CGCSub.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCSub.h"

const char *star_nm_CGCSub = "CGCSub";

const char* CGCSub :: className() const {return star_nm_CGCSub;}

ISA_FUNC(CGCSub,CGCStar);

Block* CGCSub :: makeNew() const { LOG_NEW; return new CGCSub;}

CodeBlock CGCSub :: init (
# line 42 "CGCSub.pl"
"	$ref(output) = $ref(pos);\n");

CGCSub::CGCSub ()
{
	setDescriptor("Output the \"pos\" input minus all \"neg\" inputs.");
	addPort(pos.setPort("pos",this,FLOAT));
	addPort(neg.setPort("neg",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(index.setState("index",this,"1","index",
# line 30 "CGCSub.pl"
A_NONSETTABLE|A_NONCONSTANT));

# line 33 "CGCSub.pl"
noInternalState();
}

int CGCSub::myExecTime() {
# line 46 "CGCSub.pl"
return 1 + neg.numberPorts();
}

void CGCSub::go() {
# line 36 "CGCSub.pl"
addCode(init); 
	   for (int i = 1; i <= neg.numberPorts(); i++) {
		index = i;
		addCode("\t$ref(output) -= $ref(neg#index);\n");
	   }
}

// prototype instance for known block list
static CGCSub proto;
static RegisterBlock registerBlock(proto,"Sub");
