static const char file_id[] = "CGCSubCx.pl";
// .cc file generated from CGCSubCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCSubCx.h"

const char *star_nm_CGCSubCx = "CGCSubCx";

const char* CGCSubCx :: className() const {return star_nm_CGCSubCx;}

ISA_FUNC(CGCSubCx,CGCStar);

Block* CGCSubCx :: makeNew() const { LOG_NEW; return new CGCSubCx;}

CodeBlock CGCSubCx :: startOp (
# line 30 "CGCSubCx.pl"
"	$ref(output).real = $ref(pos).real;\n"
"	$ref(output).imag = $ref(pos).imag;\n");

const char* CGCSubCx :: doOp(int i) {
# line 35 "CGCSubCx.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	$ref(output).real -= $ref(neg#" << (i) << ").real;\n"
"	$ref(output).imag -= $ref(neg#" << (i) << ").imag;\n";
	return (const char*)_str_;
}

CGCSubCx::CGCSubCx ()
{
	setDescriptor("Output the \"pos\" input minus all \"neg\" inputs.");
	addPort(pos.setPort("pos",this,COMPLEX));
	addPort(neg.setPort("neg",this,COMPLEX));
	addPort(output.setPort("output",this,COMPLEX));

# line 27 "CGCSubCx.pl"
noInternalState();
}

int CGCSubCx::myExecTime() {
# line 47 "CGCSubCx.pl"
return 2*(1 + neg.numberPorts());
}

void CGCSubCx::go() {
# line 41 "CGCSubCx.pl"
addCode(startOp);
	for (int i = 1; i <= neg.numberPorts(); i++) 
	    addCode(doOp(i));
}

// prototype instance for known block list
static CGCSubCx proto;
static RegisterBlock registerBlock(proto,"SubCx");
