#ifndef _CGCSubFix_h
#define _CGCSubFix_h 1
// header file generated from CGCSubFix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCFix.h"
#include "IntState.h"
#include "PrecisionState.h"

class CGCSubFix : public CGCFix
{
public:
	CGCSubFix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InCGCPort pos;
	MultiInCGCPort neg;
	OutCGCPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState ArrivingPrecision;
	PrecisionState InputPrecision;
	PrecisionState OutputPrecision;
	IntState index;

};
#endif
