static const char file_id[] = "CGCSumOfN.pl";
// .cc file generated from CGCSumOfN.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCSumOfN.h"

const char *star_nm_CGCSumOfN = "CGCSumOfN";

const char* CGCSumOfN :: className() const {return star_nm_CGCSumOfN;}

ISA_FUNC(CGCSumOfN,CGCStar);

Block* CGCSumOfN :: makeNew() const { LOG_NEW; return new CGCSumOfN;}

CodeBlock CGCSumOfN :: block (
# line 44 "CGCSumOfN.pl"
"	if ($ref(status) == 0) {\n"
"		$ref(output) = 0;\n"
"		$ref(status) = $ref(control);\n"
"	}\n"
"	$ref(output) += $ref(input);\n"
"	$ref(status)--;\n");

CGCSumOfN::CGCSumOfN ()
{
	setDescriptor("Outputs the sum of N input tokens,\nwhere N is the control input.");
	addPort(input.setPort("input",this,ANYTYPE,0));
	addPort(control.setPort("control",this,INT));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);
	addState(status.setState("status",this,"0","\"monitor how many tokens added\"",
# line 35 "CGCSumOfN.pl"
A_NONCONSTANT|A_NONSETTABLE));


}

void CGCSumOfN::go() {
# line 53 "CGCSumOfN.pl"
addCode(block);
}


const char * CGCSumOfN::readTypeName ()
{
# line 41 "CGCSumOfN.pl"
return "DownSample";
}


// prototype instance for known block list
static CGCSumOfN proto;
static RegisterBlock registerBlock(proto,"SumOfN");
