static const char file_id[] = "CGCTableCx.pl";
// .cc file generated from CGCTableCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCTableCx.h"

const char *star_nm_CGCTableCx = "CGCTableCx";

const char* CGCTableCx :: className() const {return star_nm_CGCTableCx;}

ISA_FUNC(CGCTableCx,CGCStar);

Block* CGCTableCx :: makeNew() const { LOG_NEW; return new CGCTableCx;}

CodeBlock CGCTableCx :: readIdx (
# line 49 "CGCTableCx.pl"
"		int idx = $ref(input);\n");

CodeBlock CGCTableCx :: check (
# line 52 "CGCTableCx.pl"
"		if (idx < 0 || idx >= $size(values)) {\n"
"			fprintf(stderr, \"ERROR: input to CGCTable out of range\\n\");\n"
"			exit(1);\n"
"		}\n");

CodeBlock CGCTableCx :: lookup (
# line 58 "CGCTableCx.pl"
"		$ref(output).real = $ref2(values,idx).real;\n"
"		$ref(output).imag = $ref2(values,idx).imag;\n");

CGCTableCx::CGCTableCx ()
{
	setDescriptor("Implements a complex-valued lookup table.  The \"values\" state contains the\nvalues to output; its first element is element zero.  An error occurs if\nan out-of-bounds value is received.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,COMPLEX));
	addState(values.setState("values",this,"(-1,0) (1,0)","\"table of values to output\""));
	addState(runTimeCheck.setState("runTimeCheck",this,"YES","\"If YES, check range of index at runtime, else omit\""));

# line 47 "CGCTableCx.pl"
noInternalState();
}

void CGCTableCx::go() {
# line 42 "CGCTableCx.pl"
addCode(readIdx);
		if (runTimeCheck) addCode(check);
		addCode(lookup);
}

// prototype instance for known block list
static CGCTableCx proto;
static RegisterBlock registerBlock(proto,"TableCx");
