#ifndef _CGCUpSample_h
#define _CGCUpSample_h 1
// header file generated from CGCUpSample.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "FloatState.h"

class CGCUpSample : public CGCStar
{
public:
	CGCUpSample();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock sendOne;
	static CodeBlock sendAll;
	/* virtual */ int myExecTime();
	InCGCPort input;
	OutCGCPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState factor;
	IntState phase;
	FloatState fill;
	IntState ix;

};
#endif
