static const char file_id[] = "CGCXYgraph.pl";
// .cc file generated from CGCXYgraph.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCXYgraph.h"

const char *star_nm_CGCXYgraph = "CGCXYgraph";

const char* CGCXYgraph :: className() const {return star_nm_CGCXYgraph;}

ISA_FUNC(CGCXYgraph,CGCXgraph);

Block* CGCXYgraph :: makeNew() const { LOG_NEW; return new CGCXYgraph;}

CGCXYgraph::CGCXYgraph ()
{
	setDescriptor("Generates an X-Y plot with the pxgraph program.\nThe X data is on \"xInput\" and the Y data is on \"input\".");
	addPort(xInput.setPort("xInput",this,ANYTYPE));

# line 30 "CGCXYgraph.pl"
// make xInit and xUnits invisible
		xUnits.setAttributes(A_NONSETTABLE);
		xInit.setAttributes(A_NONSETTABLE);
}

int CGCXYgraph::myExecTime() {
# line 39 "CGCXYgraph.pl"
return 6;
}

void CGCXYgraph::go() {
# line 35 "CGCXYgraph.pl"
	{ StringList _str_; _str_ << 
"	if (++$ref(count) >= $val(ignore)) \n"
"		fprintf($starSymbol(fp),\"%g %g\\n\",$ref(xInput),$ref(input));"
;
	 addCode(_str_); }

}

// prototype instance for known block list
static CGCXYgraph proto;
static RegisterBlock registerBlock(proto,"XYgraph");
