#ifndef _CGCXgraph_h
#define _CGCXgraph_h 1
// header file generated from CGCXgraph.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"
#include "StringArrayState.h"

class CGCXgraph : public CGCStar
{
public:
	CGCXgraph();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock err;
	static CodeBlock closeFile;
	/* virtual */ int myExecTime();
	/* virtual */ void wrapup();
	/* virtual */ void initCode();
	InCGCPort input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState title;
	StringState saveFile;
	StringState options;
	IntState ignore;
	FloatState xUnits;
	FloatState xInit;
	FloatState index;
	StringArrayState resources;
	IntState count;
	const char* sanitizeString (StringList s);

};
#endif
