#ifndef _CGCTkBarGraph_h
#define _CGCTkBarGraph_h 1
// header file generated from CGCTkBarGraph.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class CGCTkBarGraph : public CGCStar
{
public:
	CGCTkBarGraph();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	const char* globalDecl(int numIn);
	const char* inits(int numIn);
	const char* updateDisplay(int numIn);
	const char* updateFamily(int numIn);
	const char* makeGraph(int numIn);
	const char* procDefs(int numIn);
	/* virtual */ void initCode();
	MultiInCGCPort input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState label;
	FloatState top;
	FloatState bottom;
	IntState number_of_bars;
	FloatState bar_graph_height;
	FloatState bar_graph_width;
	StringState position;
	IntState updateSize;

};
#endif
