static const char file_id[] = "CGCTkCheckButton.pl";
// .cc file generated from CGCTkCheckButton.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCTkCheckButton.h"

const char *star_nm_CGCTkCheckButton = "CGCTkCheckButton";

const char* CGCTkCheckButton :: className() const {return star_nm_CGCTkCheckButton;}

ISA_FUNC(CGCTkCheckButton,CGCTclScript);

Block* CGCTkCheckButton :: makeNew() const { LOG_NEW; return new CGCTkCheckButton;}

CGCTkCheckButton::CGCTkCheckButton ()
{
	setDescriptor("A simple tk on/off input source.");
	addState(identifier.setState("identifier",this,"Checkbutton","The string to identify the check button in the control panel."));
	addState(onValue.setState("onValue",this,"1","The value of the output when the button is selected."));
	addState(offValue.setState("offValue",this,"0","The value of the output when the button is not selected."));
	addState(value.setState("value",this,"0","The initial value."));

# line 45 "CGCTkCheckButton.pl"
// Hide irrelevant outputs and states.
        input.setAttributes(P_HIDDEN);
        tcl_file.clearAttributes(A_SETTABLE);
        synchronous.clearAttributes(A_SETTABLE);
}

void CGCTkCheckButton::initCode() {
# line 63 "CGCTkCheckButton.pl"
synchronous = FALSE;
        tcl_file = "$PTOLEMY/src/domains/cgc/tcltk/stars/tkCheckButton.tcl";
        CGCTclScript::initCode();
}

void CGCTkCheckButton::setup() {
# line 51 "CGCTkCheckButton.pl"
if (input.numberPorts() > 0) {
	    Error::abortRun(*this, "Inputs not supported");
	    return;
        }
	if (output.numberPorts() != 1) {
	    Error::abortRun(*this, "Only a single output is supported");
	    return;
	}
	CGCTclScript::setup();
}

// prototype instance for known block list
static CGCTkCheckButton proto;
static RegisterBlock registerBlock(proto,"TkCheckButton");
