static const char file_id[] = "DDFDownCounter.pl";
// .cc file generated from DDFDownCounter.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DDFDownCounter.h"

const char *star_nm_DDFDownCounter = "DDFDownCounter";

const char* DDFDownCounter :: className() const {return star_nm_DDFDownCounter;}

ISA_FUNC(DDFDownCounter,DDFStar);

Block* DDFDownCounter :: makeNew() const { LOG_NEW; return new DDFDownCounter;}

DDFDownCounter::DDFDownCounter ()
{
	setDescriptor("Given an integer input with value N, produce a sequence of output\nintegers with values (N-1), (N-2), ... 1, 0.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT,0));


}

void DDFDownCounter::go() {
# line 27 "DDFDownCounter.pl"
// get input token from Geodesic
		input.receiveData();

		// generates output
		// the output only has a buffer of length one, so
		// we store one data token in the buffer and send it
		int in = int(input%0);
		for (int i = in - 1; i >= 0; i--) {
			output%0 << i;
			output.sendData();
		}
}

// prototype instance for known block list
static DDFDownCounter proto;
static RegisterBlock registerBlock(proto,"DownCounter");
