static const char file_id[] = "DEFStopTimer.pl";
// .cc file generated from DEFStopTimer.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEFStopTimer.h"
#include "DEScheduler.h"

const char *star_nm_DEFStopTimer = "DEFStopTimer";

const char* DEFStopTimer :: className() const {return star_nm_DEFStopTimer;}

ISA_FUNC(DEFStopTimer,DEStar);

Block* DEFStopTimer :: makeNew() const { LOG_NEW; return new DEFStopTimer;}

DEFStopTimer::DEFStopTimer ()
{
	setDescriptor("Generates an output at the stopTime of the\n.c DEScheduler\nunder which this block is running.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,FLOAT));


}

void DEFStopTimer::go() {
# line 41 "DEFStopTimer.pl"
DEScheduler* sched = (DEScheduler*) scheduler();
		completionTime = sched->whenStop();
		output.put(completionTime) << 0.0;
}

// prototype instance for known block list
static DEFStopTimer proto;
static RegisterBlock registerBlock(proto,"FStopTimer");
