#ifndef _DEInputSynch_h
#define _DEInputSynch_h 1
// header file generated from DEInputSynch.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "VoiceData.h"
#include "FloatState.h"

class DEInputSynch : public DEStar
{
public:
	DEInputSynch();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InDEPort demand;
	MultiInDEPort data;
	MultiOutDEPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState delay;
# line 65 "DEInputSynch.pl"
Envelope  nEnv;

};
#endif
