#ifndef _DELatency_h
#define _DELatency_h 1
// header file generated from DELatency.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
# line 3 "DELatency.pl"
#define NUMPORTS 64
#include "DEStar.h"
#include "VoiceData.h"

class DELatency : public DEStar
{
public:
	DELatency();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InDEPort demand;
	MultiInDEPort input;
	OutDEPort avgLatencyAll;
	MultiOutDEPort avgLatencyIndiv;
	MultiOutDEPort latency;
	MultiOutDEPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
# line 75 "DELatency.pl"
float  delay[NUMPORTS];
	      int    totalPackets[NUMPORTS];
	      int    numPorts;

};
#endif
