static const char file_id[] = "DEToBus.pl";
// .cc file generated from DEToBus.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEToBus.h"
#include "Message.h"

const char *star_nm_DEToBus = "DEToBus";

const char* DEToBus :: className() const {return star_nm_DEToBus;}

ISA_FUNC(DEToBus,DEStar);

Block* DEToBus :: makeNew() const { LOG_NEW; return new DEToBus;}

DEToBus::DEToBus ()
{
	setDescriptor("Converts from MPH to multiple single ports or vice-versa for messages");
	addPort(input.setPort("input",this,MESSAGE));
	addPort(output.setPort("output",this,MESSAGE));


}

void DEToBus::go() {
# line 30 "DEToBus.pl"
completionTime = arrivalTime;

	   InDEMPHIter nextp(input);
	   OutDEMPHIter nextq(output);

	   InDEPort* iport;
	   OutDEPort* oport;

	   while ((iport = nextp++) != 0) {
		oport = nextq++;
		if(iport->dataNew)
		    oport -> put(completionTime) = iport -> get();
	   }
}

// prototype instance for known block list
static DEToBus proto;
static RegisterBlock registerBlock(proto,"ToBus");
