static const char file_id[] = "DEToBusFl.pl";
// .cc file generated from DEToBusFl.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEToBusFl.h"

const char *star_nm_DEToBusFl = "DEToBusFl";

const char* DEToBusFl :: className() const {return star_nm_DEToBusFl;}

ISA_FUNC(DEToBusFl,DEStar);

Block* DEToBusFl :: makeNew() const { LOG_NEW; return new DEToBusFl;}

DEToBusFl::DEToBusFl ()
{
	setDescriptor("Converts from MPH to multiple single ports or vice-versa for floats");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void DEToBusFl::go() {
# line 31 "DEToBusFl.pl"
completionTime = arrivalTime;

	   InDEMPHIter nextp(input);
	   OutDEMPHIter nextq(output);

	   InDEPort* iport;
	   OutDEPort* oport;

	   while ((iport = nextp++) != 0) {
		oport = nextq++;
		if(iport->dataNew)
		    oport -> put(completionTime) = iport -> get();
	   }
}

// prototype instance for known block list
static DEToBusFl proto;
static RegisterBlock registerBlock(proto,"ToBusFl");
