.EQ
delim off
.EN
.\" documentation file generated from DEBarGraph.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "BarGraph"
.SD
Generate a plot with the pxgraph program that uses
a zero-order hold to interpolate between event values.
Two points are plotted for each event, one when the event
first occurs, and the second when the event is supplanted
by a new event.  A horizontal line then connects the two points.
If "draw_line_to_base" is YES then a vertical line to the base
of the bar graph is also drawn for each event occurrence.
.SE
.LO "DE main library"
.DM DE DEStar
.SV 1.9 "7/5/95"
.AL "Brian Evans and Edward Lee"
.IH
.NE
\fIinput\fR (multiple), (anytype)
.PE
.SH
.NE
\fItitle\fR (StringState): Graph title.
.DF "X Graph Bar Chart"
.NE
\fIsaveFile\fR (StringState): File to save pxgraph input.
.DF ""
.NE
\fIdraw_line_to_base\fR (IntState): Specifies vertical line to base.
.DF "NO"
.NE
\fIbase\fR (FloatState): Base of the bar graph.
.DF "0.0"
.NE
\fIoptions\fR (StringState): Command line options for a bar graph in pxgraph.
.DF "-bb -lw 3 -zg black -x time -0 input"
.ET
.EQ
delim $$
.EN
.SA
XMgraph,
pxgraph and
Xhistogram.
.ES
