.EQ
delim off
.EN
.\" documentation file generated from DEPassGate.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "PassGate"
.SD
If the gate is open, particles pass from "input" to "output".
When the gate is closed, no outputs are produced.
If "input" particles arrive while the gate is closed, the most
recent one will be passed to "output" when the gate is re-opened.
.SE
.LO "DE main library"
.DM DE DEStar
.SV 1.5 "3/2/95"
.AL "Soonhoi Ha and Edward Lee"
.IH
.NE
\fIinput\fR (ANYTYPE)
.NE
\fIcontrol\fR (int): Opens the gate on TRUE and closes it on FALSE.
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fIgateOpen\fR (IntState): Gate position.
.DF "TRUE"
.ET
.EQ
delim $$
.EN
.ES
