.EQ
delim off
.EN
.\" documentation file generated from DERanGen.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "RanGen"
.SD
This is a parameterized random number generator.  Upon receiving an input event,
it generates a random number with a uniform(u), exponential(e), or normal(n)
distribution, as determined by the "distribution" parameter.  Depending on
the distribution, parameters also specify either the mean and variance or
the lower and upper extent of the range.
.SE
.LO "DE main library"
.DM DE DEStar
.SV 1.12 "6/20/95"
.AL "Soonhoi Ha"
.IH
.NE
\fIinput\fR (anytype)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIdistribution\fR (StringState): Uniform(u;U), exponential(e;E), normal(n;N).
.DF "uniform"
.NE
\fImeanORupper\fR (FloatState): Mean value or upper value.
.DF "0.0"
.NE
\fIvarianceORlower\fR (FloatState): Variance or lower value.
.DF "0.0"
.ET
.EQ
delim $$
.EN
.ES
