.EQ
delim off
.EN
.\" documentation file generated from DETest.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Test"
.SD
This star compares two inputs.  The test condition can be any of
{EQ NE LT LE GT GE} or {== != < <= > >=}, resulting in equals,
not equals, less-than, less-than or equals, etc.

If "crossingsOnly" is TRUE, then an output event is generated only
when the value of the output changes.  Hence the output events
will always alternate between true and false.
.SE
.LO "DE logic library"
.DM DE DEStar
.SV 1.6 "3/2/95"
.AL "Rolando Diesta and Edward Lee"
.IH
.NE
\fIupper\fR (float): Left hand side of the test.
.NE
\fIlower\fR (float): Right hand side of the test.
.PE
.OH
.NE
\fIoutput\fR (int): Indicates the result of the test.
.PE
.SH
.NE
\fIcondition\fR (StringState): The test condition: one of EQ NE LT LE GT or GE
.DF "EQ"
.NE
\fIcrossingsOnly\fR (IntState): If TRUE, outputs occur only when the sense of the output changes.
.DF "FALSE"
.ET
.EQ
delim $$
.EN
.LD
Like all DE stars, this star will fire when it gets an event on either input.
If no event has arrived on the other input, then the value of the other input
is assumed to be zero.
.pp
Even if "crossingsOnly" is TRUE, the first test result will always be sent
to the output.  That first test result occurs when the first event arrives
on either input.
.ir "comparison"
.ir "Boolean test"
.ir "equals"
.ir "not equals"
.ir "less than"
.ir "less than or equals"
.ir "greater than"
.ir "greater than or equals"
.ES
