#ifndef _DECellRoute_h
#define _DECellRoute_h 1
// header file generated from DECellRoute.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "NetworkCell.h"
#include "IntArrayState.h"

class DECellRoute : public DEStar
{
public:
	DECellRoute();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	MultiInDEPort input;
	MultiOutDEPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntArrayState RoutingTable;

};
#endif
