#ifndef _DECellToImage_h
#define _DECellToImage_h 1
// header file generated from DECellToImage.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "BaseImage.h"
#include "NetworkCell.h"
#include "Error.h"

class DECellToImage : public DEStar
{
public:
	DECellToImage();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~DECellToImage();
	InDEPort input;
	OutDEPort output;
	OutDEPort lossPct;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
# line 33 "DECellToImage.pl"
// For persistency, we must store the image that is being built up
// inside an Envelope variable. Note that we save a BaseImage in
// activeEnvp, not a NetworkCell. For consistency, we must make sure
// the image being built up in activeEnvp is not read-only.
// This involves some games below...

		Envelope activeEnvp;
		BaseImage* activeImage;		// not dynamic memory
		float actual;			// # bytes in images.
		NetworkCell* firstNC;		// dynamic memory

};
#endif
