static const char file_id[] = "DECellUnload.pl";
// .cc file generated from DECellUnload.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DECellUnload.h"

const char *star_nm_DECellUnload = "DECellUnload";

const char* DECellUnload :: className() const {return star_nm_DECellUnload;}

ISA_FUNC(DECellUnload,DEStar);

Block* DECellUnload :: makeNew() const { LOG_NEW; return new DECellUnload;}

DECellUnload::DECellUnload ()
{
	setDescriptor("Remove a Message from a NetworkCell.");
	addPort(input.setPort("input",this,MESSAGE));
	addPort(output.setPort("output",this,MESSAGE));


}

void DECellUnload::go() {
# line 23 "DECellUnload.pl"
while (input.dataNew) {
			Envelope inEnvlp;
			input.get().getMessage(inEnvlp);
			TYPE_CHECK(inEnvlp, "NetworkCell");

// Need "writableCopy()" and "writableData()" below because the Envelope
// constructor below cannot take a const Message as input.
			NetworkCell* cellPtr = (NetworkCell*)
					inEnvlp.writableCopy();
			Message* outMssg = cellPtr->writableData();
			LOG_DEL; delete cellPtr;

			Envelope outEnvlp(*outMssg);
			output.put(arrivalTime) << outEnvlp;

			input.getSimulEvent();
		} // end while()
}

// prototype instance for known block list
static DECellUnload proto;
static RegisterBlock registerBlock(proto,"CellUnload");
