static const char file_id[] = "DEConst.pl";
// .cc file generated from DEConst.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEConst.h"

const char *star_nm_DEConst = "DEConst";

const char* DEConst :: className() const {return star_nm_DEConst;}

ISA_FUNC(DEConst,DEStar);

Block* DEConst :: makeNew() const { LOG_NEW; return new DEConst;}

DEConst::DEConst ()
{
	setDescriptor("Produce an output event with a constant value (the default value is zero)\nwhen stimulated by an input event. The time stamp of the output is the\nsame as that of the input. The value of the input is ignored.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,FLOAT));
	addState(value.setState("value",this,"0.0","Value of the output particles."));


}

void DEConst::go() {
# line 34 "DEConst.pl"
// if the star is triggered, generate DC output (ignore input).
	   completionTime = arrivalTime;
	   output.put(completionTime) << double(value);
}

// prototype instance for known block list
static DEConst proto;
static RegisterBlock registerBlock(proto,"Const");
