#ifndef _DEFilter_h
#define _DEFilter_h 1
// header file generated from DEFilter.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "FloatState.h"

class DEFilter : public DEStar
{
public:
	DEFilter();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InDEPort clock;
	InDEPort data;
	OutDEPort output;

protected:
	/* virtual */ void go();
	FloatState decay;
	FloatState tau;
	FloatState state;

};
#endif
