#ifndef _DEHandShake_h
#define _DEHandShake_h 1
// header file generated from DEHandShake.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"

class DEHandShake : public DEStar
{
public:
	DEHandShake();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InDEPort input;
	OutDEPort output;
	InDEPort ackIn;
	OutDEPort ackOut;
	OutDEPort request;
	InDEPort grant;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
# line 81 "DEHandShake.pl"
int idle : 1;	// arbitration is idle
	int req : 1;	// request is pending
	int rel : 1;	// release is pending
	int open : 1;	// output is enabled
	int wait : 1;	// waiting for acknowledge

};
#endif
