#ifndef _DEImageToCell_h
#define _DEImageToCell_h 1
// header file generated from DEImageToCell.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "BaseImage.h"
#include "NetworkCell.h"
#include "Error.h"
#include <minmax.h>
#include "IntState.h"
#include "FloatState.h"

class DEImageToCell : public DEStar
{
public:
	DEImageToCell();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InDEPort input;
	OutDEPort output;

protected:
	/* virtual */ void go();
	IntState Priority;
	IntState CellSize;
	FloatState TimePerCell;
	IntState destination;

};
#endif
