static const char file_id[] = "DEImpulse.pl";
// .cc file generated from DEImpulse.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEImpulse.h"

const char *star_nm_DEImpulse = "DEImpulse";

const char* DEImpulse :: className() const {return star_nm_DEImpulse;}

ISA_FUNC(DEImpulse,DERepeatStar);

Block* DEImpulse :: makeNew() const { LOG_NEW; return new DEImpulse;}

DEImpulse::DEImpulse ()
{
	setDescriptor("Generate a single event at time zero.");
	addPort(output.setPort("output",this,FLOAT));
	addState(magnitude.setState("magnitude",this,"1.0","The value of sample generated."));


}

void DEImpulse::go() {
# line 26 "DEImpulse.pl"
// Generate the output event
	   // (Recall that the first event comes out at time 0).
	   output.put(completionTime) << double(magnitude);

	   // and don't schedule any further firings.
}

// prototype instance for known block list
static DEImpulse proto;
static RegisterBlock registerBlock(proto,"Impulse");
