static const char file_id[] = "DEMeasureInterval.pl";
// .cc file generated from DEMeasureInterval.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEMeasureInterval.h"

const char *star_nm_DEMeasureInterval = "DEMeasureInterval";

const char* DEMeasureInterval :: className() const {return star_nm_DEMeasureInterval;}

ISA_FUNC(DEMeasureInterval,DEStar);

Block* DEMeasureInterval :: makeNew() const { LOG_NEW; return new DEMeasureInterval;}

DEMeasureInterval::DEMeasureInterval ()
{
	setDescriptor("The value of each output event is the simulated time since the last input\nevent (or since zero, for the first input event). The time stamp of each \noutput event is the time stamp of the input event that triggers it.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,FLOAT));

# line 27 "DEMeasureInterval.pl"
input.triggers(output);
}

void DEMeasureInterval::go() {
# line 30 "DEMeasureInterval.pl"
output.put(arrivalTime) << (arrivalTime - completionTime);
		completionTime = arrivalTime;
}

// prototype instance for known block list
static DEMeasureInterval proto;
static RegisterBlock registerBlock(proto,"MeasureInterval");
