static const char file_id[] = "DEMerge.pl";
// .cc file generated from DEMerge.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEMerge.h"

const char *star_nm_DEMerge = "DEMerge";

const char* DEMerge :: className() const {return star_nm_DEMerge;}

ISA_FUNC(DEMerge,DEStar);

Block* DEMerge :: makeNew() const { LOG_NEW; return new DEMerge;}

DEMerge::DEMerge ()
{
	setDescriptor("Merge input events, keeping temporal order.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);


}

void DEMerge::go() {
# line 23 "DEMerge.pl"
completionTime = arrivalTime;
	   InDEMPHIter nextp(input);
	   InDEPort* iport;
	   while ((iport = nextp++) != 0) {
		if(iport->dataNew)
		    output.put(completionTime) = iport->get();
	   }
}

// prototype instance for known block list
static DEMerge proto;
static RegisterBlock registerBlock(proto,"Merge");
