#ifndef _DEPCMVoiceRecover_h
#define _DEPCMVoiceRecover_h 1
// header file generated from DEPCMVoiceRecover.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "SeqATMCell.h"
#include "IntState.h"

class DEPCMVoiceRecover : public DEStar
{
public:
	DEPCMVoiceRecover();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~DEPCMVoiceRecover();
	InDEPort input;
	InDEPort subIn;
	OutDEPort temp;
	OutDEPort window;
	OutDEPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState numInfoBits;
	IntState searchWindowSize;
	IntState tempSize;
# line 128 "DEPCMVoiceRecover.pl"
int startTemp, stopTemp, startPkt5, stopPkt5;
		int count, missingPkt;
		//pkt1 more recently arrived than pkt5
		SeqATMCell *pkt1, *pkt2, *pkt3, *pkt4, *pkt5, *currentPkt,
				*created;

};
#endif
