#ifndef _DEPSServer_h
#define _DEPSServer_h 1
// header file generated from DEPSServer.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DERepeatStar.h"
#include "FloatState.h"

class DEPSServer : public DERepeatStar
{
public:
	DEPSServer();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~DEPSServer();
	InDEPort input;
	OutDEPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState nomServiceTime;
# line 44 "DEPSServer.pl"
// structure to store tokens in service
		SequentialList tokensInService;
		int numberInService;

};
#endif
