#ifndef _DEQueueBase_h
#define _DEQueueBase_h 1
// header file generated from DEQueueBase.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "IntState.h"

class DEQueueBase : public DEStar
{
public:
	DEQueueBase();
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InDEPort demand;
	InDEPort inData;
	OutDEPort outData;
	OutDEPort size;
	OutDEPort overflow;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
# line 45 "DEQueueBase.pl"
int infinite;
	IntState capacity;
	IntState numDemandsPending;
	IntState consolidateDemands;
	virtual void enqueue () = 0;
	virtual Pointer dequeue () = 0;
	virtual void handleOverflow () = 0;
	virtual int Qsize ();

};
#endif
