#ifndef _DERealTimeStar_h
#define _DERealTimeStar_h 1
// header file generated from DERealTimeStar.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DERepeatStar.h"
#include "Clock.h"
#include "FloatState.h"

class DERealTimeStar : public DERepeatStar
{
public:
	DERealTimeStar();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	virtual int run ();

protected:
	FloatState timeScale;
# line 29 "DERealTimeStar.pl"
static Clock clock;	// common clock for all real-time stars
	int late : 1;		// scheduler has fallen behind real-time

};
#endif
