static const char file_id[] = "DEServer.pl";
// .cc file generated from DEServer.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEServer.h"

const char *star_nm_DEServer = "DEServer";

const char* DEServer :: className() const {return star_nm_DEServer;}

ISA_FUNC(DEServer,DEStar);

Block* DEServer :: makeNew() const { LOG_NEW; return new DEServer;}

DEServer::DEServer ()
{
	setDescriptor("This star emulates a server.\nIf input events arrive when it is not busy,\nit delays them by the service time (a constant parameter).\nIf they arrive when it is busy, it delays them by more.\nIt must become free, and then serve them.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);
	addState(serviceTime.setState("serviceTime",this,"1.0","Service time."));

# line 35 "DEServer.pl"
delayType = TRUE;
}

void DEServer::go() {
# line 38 "DEServer.pl"
// No overlapped execution. set the time.
	   if (arrivalTime > completionTime)
		completionTime = arrivalTime + double(serviceTime);
	   else
		completionTime += double(serviceTime);

	   Particle& pp = input.get();
           output.put(completionTime) = pp;
}

// prototype instance for known block list
static DEServer proto;
static RegisterBlock registerBlock(proto,"Server");
