static const char file_id[] = "DESynchronize.pl";
// .cc file generated from DESynchronize.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DESynchronize.h"

const char *star_nm_DESynchronize = "DESynchronize";

const char* DESynchronize :: className() const {return star_nm_DESynchronize;}

ISA_FUNC(DESynchronize,DERealTimeStar);

Block* DESynchronize :: makeNew() const { LOG_NEW; return new DESynchronize;}

DESynchronize::DESynchronize ()
{
	setDescriptor("Input events are held until the time elapsed on the\nsystem clock since the start of the simulation\nis greater than or equal to their time stamp.\nThen they are passed to the output.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);


}

void DESynchronize::go() {
# line 36 "DESynchronize.pl"
if (input.dataNew) output.put(arrivalTime) = input.get();
}

// prototype instance for known block list
static DESynchronize proto;
static RegisterBlock registerBlock(proto,"Synchronize");
