static const char file_id[] = "DETimeStamp.pl";
// .cc file generated from DETimeStamp.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DETimeStamp.h"

const char *star_nm_DETimeStamp = "DETimeStamp";

const char* DETimeStamp :: className() const {return star_nm_DETimeStamp;}

ISA_FUNC(DETimeStamp,DEStar);

Block* DETimeStamp :: makeNew() const { LOG_NEW; return new DETimeStamp;}

DETimeStamp::DETimeStamp ()
{
	setDescriptor("The value of the output events is the time stamp of the input events.\nThe time stamp of the output events is also the time stamp of the input\nevents.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,FLOAT));

# line 27 "DETimeStamp.pl"
input.triggers(output);
}

void DETimeStamp::go() {
# line 30 "DETimeStamp.pl"
completionTime = arrivalTime;
		output.put(completionTime) << completionTime;
}

// prototype instance for known block list
static DETimeStamp proto;
static RegisterBlock registerBlock(proto,"TimeStamp");
