#ifndef _DETimer_h
#define _DETimer_h 1
// header file generated from DETimer.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "Clock.h"
#include "FloatState.h"

class DETimer : public DEStar
{
public:
	DETimer();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InDEPort trigger;
	InDEPort reset;
	OutDEPort elapsedTime;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState timeScale;
# line 53 "DETimer.pl"
Clock clock;

};
#endif
