static const char file_id[] = "DEVarDelay.pl";
// .cc file generated from DEVarDelay.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

# line 3 "DEVarDelay.pl"
/**************************************************************************
Version identification:
@(#)DEVarDelay.pl	1.8	3/2/95

 Copyright (c) 1990-1995 The Regents of the University of California.
                       All Rights Reserved.

 Programmer:  T. M. Parks
 Date of creation: 1/11/91

 This star delays its input by a variable amount.
 The "delay" parameter gives the initial delay,
 and the delay is changed using the "newDelay" input.

**************************************************************************/
#include "DEVarDelay.h"

const char *star_nm_DEVarDelay = "DEVarDelay";

const char* DEVarDelay :: className() const {return star_nm_DEVarDelay;}

ISA_FUNC(DEVarDelay,DEDelay);

Block* DEVarDelay :: makeNew() const { LOG_NEW; return new DEVarDelay;}

DEVarDelay::DEVarDelay ()
{
	setDescriptor("This star delays its input by a variable amount.\nThe \"delay\" parameter gives the initial delay,\nand the delay is changed using the \"newDelay\" input.");
	addPort(newDelay.setPort("newDelay",this,FLOAT));

# line 48 "DEVarDelay.pl"
// state is no longer constant
	delay.clearAttributes(A_CONSTANT);
}

void DEVarDelay::go() {
# line 54 "DEVarDelay.pl"
if (newDelay.dataNew)
	    delay = newDelay.get();

	if (input.dataNew)
	    DEDelay::go();
}

// prototype instance for known block list
static DEVarDelay proto;
static RegisterBlock registerBlock(proto,"VarDelay");
