#ifndef _DEVarServer_h
#define _DEVarServer_h 1
// header file generated from DEVarServer.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
# line 3 "DEVarServer.pl"
/**************************************************************************
Version identification:
@(#)DEVarServer.pl	1.9	3/2/95

 Copyright (c) 1990-1995 The Regents of the University of California.
                       All Rights Reserved.

 Programmer:  T. M. Parks
 Date of creation: 1/14/91

 This star emulates a server with a variable service time.
 If input events arrive when it is idle, they will be serviced
 immediately and will be delayed only by the service time.
 If input events arrive while another event is being serviced,
 they will be queued.  When the server becomes free, it will
 service any events waiting in its queue.

**************************************************************************/
#include "DEServer.h"

class DEVarServer : public DEServer
{
public:
	DEVarServer();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InDEPort newServiceTime;

protected:
	/* virtual */ void go();
};
#endif
