#ifndef _DEWaveForm_h
#define _DEWaveForm_h 1
// header file generated from DEWaveForm.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class DEWaveForm : public DEStar
{
public:
	DEWaveForm();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InDEPort trigger;
	OutDEPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatArrayState value;
	IntState haltAtEnd;
	IntState periodic;
	IntState period;
# line 76 "DEWaveForm.pl"
int pos;

};
#endif
