static const char file_id[] = "DETkShowValues.pl";
// .cc file generated from DETkShowValues.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DETkShowValues.h"

const char *star_nm_DETkShowValues = "DETkShowValues";

const char* DETkShowValues :: className() const {return star_nm_DETkShowValues;}

ISA_FUNC(DETkShowValues,DETclScript);

Block* DETkShowValues :: makeNew() const { LOG_NEW; return new DETkShowValues;}

DETkShowValues::DETkShowValues ()
{
	setDescriptor("Display the values of the inputs in textual form.\nThe print method of the input particles is used,\nso any data type can be handled, although the space\nallocated on the screen may need to be adjusted.");
	addState(label.setState("label",this,"Inputs to the TkShowValues star:","A label to put on the display"));
	addState(put_in_control_panel.setState("put_in_control_panel",this,"YES","Specify to put bars in the control panel (vs. their own window)"));
	addState(wait_between_outputs.setState("wait_between_outputs",this,"NO","Specify whether to wait for user input between output values"));

# line 58 "DETkShowValues.pl"
output.setAttributes(P_HIDDEN);
        tcl_file.clearAttributes(A_SETTABLE);
}

void DETkShowValues::begin() {
# line 53 "DETkShowValues.pl"
tcl_file = "$PTOLEMY/src/domains/sdf/tcltk/stars/tkShowValues.tcl";

        DETclScript::begin();
}

void DETkShowValues::setup() {
# line 47 "DETkShowValues.pl"
if (output.numberPorts() > 0) {
            Error::abortRun(*this, "Outputs not supported");
            return;
        }
}

// prototype instance for known block list
static DETkShowValues proto;
static RegisterBlock registerBlock(proto,"TkShowValues");
