static const char file_id[] = "DETkSlider.pl";
// .cc file generated from DETkSlider.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DETkSlider.h"

const char *star_nm_DETkSlider = "DETkSlider";

const char* DETkSlider :: className() const {return star_nm_DETkSlider;}

ISA_FUNC(DETkSlider,DETclScript);

Block* DETkSlider :: makeNew() const { LOG_NEW; return new DETkSlider;}

DETkSlider::DETkSlider ()
{
	setDescriptor("Output a value determined by an interactive on-screen scale slider.");
	addState(low.setState("low",this,"0.0","The low end of the scale."));
	addState(high.setState("high",this,"1.0","The high end of the scale."));
	addState(value.setState("value",this,"0.0","The starting value to send to the output."));
	addState(identifier.setState("identifier",this,"Scale","The string to identify the slider in the control panel."));
	addState(put_in_control_panel.setState("put_in_control_panel",this,"YES","Specify to put slider in the control panel (vs. its own window)"));

# line 64 "DETkSlider.pl"
// Hide irrelevant outputs and states.
	    input.setAttributes(P_HIDDEN);
	    tcl_file.clearAttributes(A_SETTABLE);
}

void DETkSlider::begin() {
# line 57 "DETkSlider.pl"
// Set parameter values that are not user settable.
	    tcl_file =
		"$PTOLEMY/src/domains/sdf/tcltk/stars/tkSlider.tcl";

	    DETclScript::begin();
}

void DETkSlider::setup() {
# line 47 "DETkSlider.pl"
if (input.numberPorts() > 0) {
		Error::abortRun(*this, "Inputs not supported");
		return;
	    }
	    if (output.numberPorts() != 1) {
		Error::abortRun(*this, "Only a single output is supported");
		return;
	    }
}

// prototype instance for known block list
static DETkSlider proto;
static RegisterBlock registerBlock(proto,"TkSlider");
