.EQ
delim off
.EN
.\" documentation file generated from HOFBusMerge.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "BusMerge"
.SD
Bridge inputs to outputs and then self-destruct.
This star merges two input busses into a single bus.
If the input bus widths are M1 and M2, and the output
bus width is N, then we require that N = M1 + M2.
The first M1 outputs come from the first input bus,
while the next M2 outputs come from the second input bus.
.SE
.LO "HOF main library"
.DM HOF HOFBase
.SV 1.8 "6/16/95"
.AL "E. A. Lee"
.IH
.NE
\fItop\fR (multiple), (anytype)
.NE
\fIbottom\fR (multiple), (ANYTYPE)
.PE
.OH
.NE
\fIoutput\fR (multiple), (ANYTYPE)
.PE
.EQ
delim $$
.EN
.ES
