.EQ
delim off
.EN
.\" documentation file generated from HOFIfElseGr.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "IfElseGr"
.SD
A variant of the IfElse star where the two possible replacement
blocks are specified by graphically rather than textually.
There must be exactly two blocks connected in the positions of the
replacement blocks.
The HOFNop stars are the only exception: they may be used in addition to the
two replacement blocks in order to control the order of connection.
.SE
.LO "HOF main library"
.DM HOF HOFIfElse
.SV 1.9 "6/16/95"
.AL "Edward A. Lee"
.IH
.NE
\fItruein\fR (multiple), (ANYTYPE): input from the true block
.NE
\fIfalsein\fR (multiple), (ANYTYPE): input from the false block
.PE
.OH
.NE
\fItrueout\fR (multiple), (ANYTYPE): output to the true block
.NE
\fIfalseout\fR (multiple), (ANYTYPE): output to the false block
.PE
.EQ
delim $$
.EN
.LD
See the documentation for the
.c IfElse
star, from which this is derived, for background information.
The parameter values for the replacement blocks are set directly
by editing the parameters of the block.
.ES
