.EQ
delim off
.EN
.\" documentation file generated from HOFNop.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Nop"
.SD
Bridge inputs to outputs and then self-destruct.
This star is used to split a bus into individual
lines or combine individual lines into a bus.
It is also used to break out multi-inputs
and multi-outputs into individual ports.
.SE
.LO "HOF main library"
.DM HOF HOFBase
.SV 1.8 "2/18/96"
.AL "E. A. Lee and D. Niehaus"
.IH
.NE
\fIinput\fR (multiple), (anytype)
.PE
.OH
.NE
\fIoutput\fR (multiple), (ANYTYPE)
.PE
.EQ
delim $$
.EN
.LD
Normally, the number of input connections must equal the number of
output connections.
But, a special feature of this star supports a particularly convenient
graphical programming device.
If either the input or the output is connected to a multi-porthole on
the far side, but there too few connections that have been realized,
then the star will increase the number of connections automatically
to the correct number.
.ES
