static const char file_id[] = "HOFBaseHiOrdFn.pl";
// .cc file generated from HOFBaseHiOrdFn.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "HOFBaseHiOrdFn.h"

const char *star_nm_HOFBaseHiOrdFn = "HOFBaseHiOrdFn";

const char* HOFBaseHiOrdFn :: className() const {return star_nm_HOFBaseHiOrdFn;}

ISA_FUNC(HOFBaseHiOrdFn,HOFBase);

Block* HOFBaseHiOrdFn :: makeNew() const { LOG_NEW; return new HOFBaseHiOrdFn;}

HOFBaseHiOrdFn::HOFBaseHiOrdFn ()
{
	setDescriptor("This is a base class containing utility methods shared by HOF stars,\nand defining their common functionality.");
	addState(blockname.setState("blockname",this,"Gain","The name of the replacement block"));
	addState(where_defined.setState("where_defined",this,"","The full path and facet name for the definition of blockname."));
	addState(parameter_map.setState("parameter_map",this,"","The mapping of parameters"));


}


int HOFBaseHiOrdFn::setParams (Block* block, int instanceno)
{
# line 119 "HOFBaseHiOrdFn.pl"
// Set the specified parameter values.
		for (int i = 0; i < parameter_map.size()-1; i++) {

		    const char* parameter_name = parameter_map[i++];

		    // Check for the optional "=".  Ignore it.
		    if (strcmp(parameter_map[i],"=") == 0) {
		      if(i < parameter_map.size()-1) i++;
		    }

		    if (!setParameter(block, instanceno, parameter_name,
				      (const char*)parameter_map[i])) {
		      return 0;
		    }
		}
		return 1;
}


// prototype instance for known block list
static HOFBaseHiOrdFn proto;
static RegisterBlock registerBlock(proto,"BaseHiOrdFn");
