#ifndef _HOFChain_h
#define _HOFChain_h 1
// header file generated from HOFChain.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "HOFBaseHiOrdFn.h"
#include "IntState.h"
#include "StringArrayState.h"

class HOFChain : public HOFBaseHiOrdFn
{
public:
	HOFChain();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	MultiInHOFPort input;
	MultiOutHOFPort output;

protected:
	/* virtual */ void setup();
	IntState chain_length;
	StringArrayState input_map;
	StringArrayState output_map;
	StringArrayState internal_map;
	IntState pipeline;
	int connectInternal (Block* block1, Block* block2);

};
#endif
