static const char file_id[] = "HOFDelayedMap.pl";
// .cc file generated from HOFDelayedMap.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "HOFDelayedMap.h"

const char *star_nm_HOFDelayedMap = "HOFDelayedMap";

const char* HOFDelayedMap :: className() const {return star_nm_HOFDelayedMap;}

ISA_FUNC(HOFDelayedMap,HOFMap);

Block* HOFDelayedMap :: makeNew() const { LOG_NEW; return new HOFDelayedMap;}

HOFDelayedMap::HOFDelayedMap ()
{
	setDescriptor("This is a special version of the Map star for use with recursive systems.\nIt avoids the possibility of an unbounded recursion by separating\nthe block substitution from the setup method.\nThe setup method of this star does nothing.\nThe go method flags an error, it is normally required that the substitution\nhave occurred prior to that point.\nTo accomplish the substitution, the public method \"substitute()\" must be\nexplicitly called.\nThis method is called, for one, by the IfElseGr star.");


}

void HOFDelayedMap::setup() {
# line 32 "HOFDelayedMap.pl"
}

void HOFDelayedMap::go() {
# line 34 "HOFDelayedMap.pl"
Error::abortRun(*this,
			  "The DelayedMap star should be connected only to a star "
			  "that knows how to deal with it, like IfThenElseGr.");
}


void HOFDelayedMap::substitute ()
{
# line 44 "HOFDelayedMap.pl"
HOFMap::setup();
}


// prototype instance for known block list
static HOFDelayedMap proto;
static RegisterBlock registerBlock(proto,"DelayedMap");
