.EQ
delim off
.EN
.\" documentation file generated from MDSDFCxToFloat.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "CxToFloat"
.SD
Takes an input ComplexSubMatrix and converts it to a FloatSubMatrix.  This
is done by using the cast conversion method of the FloatMatrix class.
The conversion results in a ComplexMatrix that has entries which have
real values that are the values of each corresponding entry of the 
FloatMatrix and 0 imaginary value.
I.e. ComplexMatrix.entry(i) = FloatMatrix.entry(i).
.SE
.LO "MDSDF library"
.DM MDSDF MDSDFStar
.SV 1.4 "12/1/95"
.AL "Mike J. Chen"
.IH
.NE
\fIinput\fR (COMPLEX_MATRIX)
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX)
.PE
.SH
.NE
\fInumRows\fR (IntState): The number of rows in the matrix being converted.
.DF "2"
.NE
\fInumCols\fR (IntState): The number of columns in the matrix being converted.
.DF "2"
.ET
.EQ
delim $$
.EN
.ES
