.EQ
delim off
.EN
.\" documentation file generated from MDSDFReadImg.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "ReadImg"
.SD
Read a sequence of images in Portable GrayMap (PGM) format from
different files and send them out as a FloatMatrix.

This star does not support frame numbers.  See ReadImg2.
.SE
.LO "MDSDF library"
.DM MDSDF MDSDFStar
.SV 1.8 "10/30/95"
.AL "Mike J. Chen, derived from SDFReadImage by Paul Haskell"
.OH
.NE
\fIimageOutput\fR (FLOAT_MATRIX)
.PE
.SH
.NE
\fIwidth\fR (IntState): width of the image, cols of matrix
.DF "100"
.NE
\fIheight\fR (IntState): height of the image, rows of matrix
.DF "100"
.NE
\fIfileName\fR (StringState): Name of file containing PGM-format image.
.DF "$PTOLEMY/src/domains/sdf/demo/ptimage"
.ET
.EQ
delim $$
.EN
.LD
.Ir "PGM image format"
.Ir "image format, portable graymap (PGM)"
.Ir "image reading"
.ES
