.EQ
delim off
.EN
.\" documentation file generated from MDSDFShowImg2.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "ShowImg2"
.SD
Accept a black-and-white input FloatMatrix image and generate
output in PGM format. Send the output to a user-specified command
(by default,
.EQ
delim off
.EN
"xv"
.EQ
delim $$
.EN
is used).

The user can set the root filename of the displayed image (which will
probably be printed in the image display window titlebar) and
can choose whether or not the image file is saved or deleted.
The image frame number is appended to the root filename to form the
complete filename of the displayed image.
.SE
.LO "MDSDF library"
.DM MDSDF MDSDFStar
.SV 1.8 "10/30/95"
.AL "J. Buck & Paul Haskell, modified for MDSDF by Mike J. Chen"
.IH
.NE
\fIimageInput\fR (FLOAT_MATRIX)
.NE
\fIframeIdInput\fR (INT_MATRIX)
.PE
.SH
.NE
\fIwidth\fR (IntState): width of the image, cols of matrix
.DF "100"
.NE
\fIheight\fR (IntState): height of the image, rows of matrix
.DF "100"
.NE
\fIcommand\fR (StringState): Program to run on PGM data
.DF "xv"
.NE
\fIimageName\fR (StringState): If non-null, name for PGM file
.DF ""
.NE
\fIsaveImage\fR (StringState): If 'y' or 'Y', then save the file
.DF "n"
.ET
.EQ
delim $$
.EN
.LD
.Id "image display"
.Ir "PGM image format"
.Ir "image format, PGM"
.ES
