#ifndef _MDSDFDB_h
#define _MDSDFDB_h 1
// header file generated from MDSDFDB.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "MDSDFStar.h"
#include "IntState.h"
#include "FloatState.h"

class MDSDFDB : public MDSDFStar
{
public:
	MDSDFDB();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InMDSDFPort input;
	OutMDSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState numRows;
	IntState numCols;
	FloatState min;
	IntState inputIsPower;

private:
# line 63 "MDSDFDB.pl"
double gain;

};
#endif
