#ifndef _MDSDFFIR_h
#define _MDSDFFIR_h 1
// header file generated from MDSDFFIR.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "MDSDFStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class MDSDFFIR : public MDSDFStar
{
public:
	MDSDFFIR();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InMDSDFPort input;
	OutMDSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState firstRowIndex;
	IntState lastRowIndex;
	IntState firstColIndex;
	IntState lastColIndex;
	FloatArrayState taps;

};
#endif
