#ifndef _MDSDFFloatMatrix_h
#define _MDSDFFloatMatrix_h 1
// header file generated from MDSDFFloatMatrix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "MDSDFStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class MDSDFFloatMatrix : public MDSDFStar
{
public:
	MDSDFFloatMatrix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutMDSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState numRows;
	IntState numCols;
	FloatArrayState FloatMatrixContents;

};
#endif
