static const char file_id[] = "MDSDFFork.pl";
// .cc file generated from MDSDFFork.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "MDSDFFork.h"

const char *star_nm_MDSDFFork = "MDSDFFork";

const char* MDSDFFork :: className() const {return star_nm_MDSDFFork;}

ISA_FUNC(MDSDFFork,MDSDFStar);

Block* MDSDFFork :: makeNew() const { LOG_NEW; return new MDSDFFork;}

MDSDFFork::MDSDFFork ()
{
	setDescriptor("Copies input particles to each output.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);


}

void MDSDFFork::setup() {
# line 38 "MDSDFFork.pl"
// set the dimensions of the porthole
    input.setMDSDFParams(ANYSIZE, ANYSIZE);
    output.setMDSDFParams(ANYSIZE, ANYSIZE);
}

void MDSDFFork::go() {
# line 43 "MDSDFFork.pl"
MPHIter nextp(output);
    MDSDFPortHole* p;
    PtMatrix* inputData = (PtMatrix*)(input.getInput());
    while ((p = (MDSDFPortHole*)nextp++) != 0) {
      PtMatrix* outputData = p->getOutput();
      *outputData = *inputData;
      delete outputData;
    }
    delete inputData;
}

// prototype instance for known block list
static MDSDFFork proto;
static RegisterBlock registerBlock(proto,"Fork");
