static const char file_id[] = "MDSDFTkShowValues.pl";
// .cc file generated from MDSDFTkShowValues.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "MDSDFTkShowValues.h"

const char *star_nm_MDSDFTkShowValues = "MDSDFTkShowValues";

const char* MDSDFTkShowValues :: className() const {return star_nm_MDSDFTkShowValues;}

ISA_FUNC(MDSDFTkShowValues,MDSDFTclScript);

Block* MDSDFTkShowValues :: makeNew() const { LOG_NEW; return new MDSDFTkShowValues;}

MDSDFTkShowValues::MDSDFTkShowValues ()
{
	setDescriptor("Displays the values of the inputs.");
	addState(label.setState("label",this,"Inputs to the TkShowValues star:","A label to put on the display"));
	addState(put_in_control_panel.setState("put_in_control_panel",this,"YES","Specify to put bars in the control panel (vs. their own window)"));
	addState(wait_between_outputs.setState("wait_between_outputs",this,"NO","Specify whether to wait for user input between output values"));

# line 55 "MDSDFTkShowValues.pl"
output.setAttributes(P_HIDDEN);
        tcl_file.clearAttributes(A_SETTABLE);
}

void MDSDFTkShowValues::begin() {
# line 50 "MDSDFTkShowValues.pl"
tcl_file = "$PTOLEMY/src/domains/sdf/tcltk/stars/tkShowValues.tcl";

        MDSDFTclScript::begin();
}

void MDSDFTkShowValues::setup() {
# line 44 "MDSDFTkShowValues.pl"
if (output.numberPorts() > 0) {
            Error::abortRun(*this, "Outputs not supported");
            return;
        }
}

// prototype instance for known block list
static MDSDFTkShowValues proto;
static RegisterBlock registerBlock(proto,"TkShowValues");
