#ifndef _SDFController_h
#define _SDFController_h 1
// header file generated from SDFController.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "VoiceData.h"
#include <ACG.h>
#include "IntState.h"

class SDFController : public SDFStar
{
public:
	SDFController();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFController();
	MultiInSDFPort indata;
	InSDFPort tableupdate;
	MultiOutSDFPort outdata;
	OutSDFPort ackmq;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState numcpes;
# line 52 "SDFController.pl"
Envelope  nEnv;
      int **    srttable;

};
#endif
