static const char file_id[] = "SDFToBus.pl";
// .cc file generated from SDFToBus.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFToBus.h"
#include "Message.h"

const char *star_nm_SDFToBus = "SDFToBus";

const char* SDFToBus :: className() const {return star_nm_SDFToBus;}

ISA_FUNC(SDFToBus,SDFStar);

Block* SDFToBus :: makeNew() const { LOG_NEW; return new SDFToBus;}

SDFToBus::SDFToBus ()
{
	setDescriptor("Converts from MPH to multiple single ports or vice-versa");
	addPort(input.setPort("input",this,MESSAGE));
	addPort(output.setPort("output",this,MESSAGE));


}

void SDFToBus::setup() {
# line 36 "SDFToBus.pl"
if (input.numberPorts() != output.numberPorts()) {
                  Error::abortRun(*this, 
                    "input and output sizes don't match.");
                  return;
                }
}

void SDFToBus::go() {
# line 44 "SDFToBus.pl"
MPHIter next1(input);
                MPHIter next2(output);

                PortHole *p1, *p2;

                while ((p1 = next1++) != 0) {
		  p2 = next2++;
		  (*p2)%0 = (*p1)%0;
                }  // end while
}

// prototype instance for known block list
static SDFToBus proto;
static RegisterBlock registerBlock(proto,"ToBus");
