#ifndef _SDFCfft_h
#define _SDFCfft_h 1
// header file generated from SDFCfft.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "nb_fft.h"
#include "IntState.h"

class SDFCfft : public SDFStar
{
public:
	SDFCfft();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFCfft();
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState InputSize;
	IntState fftSize;
	IntState Inverse;
	IntState UseWindow;
# line 55 "SDFCfft.pl"
Complex *Temp;
    Complex *In;
	double WinVal (double t) {
# line 79 "SDFCfft.pl"
return .54 + .46 * cos( Pi2 * t );
	}

};
#endif
