static const char file_id[] = "SDFQPSK2.pl";
// .cc file generated from SDFQPSK2.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFQPSK2.h"

const char *star_nm_SDFQPSK2 = "SDFQPSK2";

const char* SDFQPSK2 :: className() const {return star_nm_SDFQPSK2;}

ISA_FUNC(SDFQPSK2,SDFStar);

Block* SDFQPSK2 :: makeNew() const { LOG_NEW; return new SDFQPSK2;}

SDFQPSK2::SDFQPSK2 ()
{
	setDescriptor("2input QPSK mapper. Inputs are int 0/1");
	addPort(Iin.setPort("Iin",this,INT));
	addPort(Qin.setPort("Qin",this,INT));
	addPort(output.setPort("output",this,COMPLEX));


}

void SDFQPSK2::go() {
# line 27 "SDFQPSK2.pl"
double r = ( int(Iin%0) == 0 ) ? 1 : -1;
	  double i = ( int(Qin%0) == 0 ) ? 1 : -1;
	  output%0 << Complex( r, i );
}

// prototype instance for known block list
static SDFQPSK2 proto;
static RegisterBlock registerBlock(proto,"QPSK2");
