#ifndef _SDFTWTA_h
#define _SDFTWTA_h 1
// header file generated from SDFTWTA.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Interp.h"
#include "FloatState.h"
#include "FloatArrayState.h"
# line 81 "SDFTWTA.pl"
#define DEGREES_TO_RADIANS 0.0174532925199432957692

class SDFTWTA : public SDFStar
{
public:
	SDFTWTA();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFTWTA();
	InSDFPort in;
	OutSDFPort out;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatArrayState InputBackoff;
	FloatArrayState Phase;
	FloatArrayState Amplitude;
	FloatState Backoff;

private:
# line 52 "SDFTWTA.pl"
Interp *PhaseInterp;
    Interp *AmplInterp;

};
#endif
