static const char file_id[] = "SDFVEncoder.pl";
// .cc file generated from SDFVEncoder.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFVEncoder.h"

const char *star_nm_SDFVEncoder = "SDFVEncoder";

const char* SDFVEncoder :: className() const {return star_nm_SDFVEncoder;}

ISA_FUNC(SDFVEncoder,SDFStar);

Block* SDFVEncoder :: makeNew() const { LOG_NEW; return new SDFVEncoder;}

SDFVEncoder::SDFVEncoder ()
{
	setDescriptor("Viterbi Encoder");
	addPort(input.setPort("input",this,INT));
	addPort(I.setPort("I",this,INT));
	addPort(Q.setPort("Q",this,INT));


}

void SDFVEncoder::setup() {
# line 30 "SDFVEncoder.pl"
encoder.Reset();
}

void SDFVEncoder::go() {
# line 33 "SDFVEncoder.pl"
int output[2];
	    encoder(input%0, output);
	    I%0 << output[0];
	    Q%0 << output[1];
}

// prototype instance for known block list
static SDFVEncoder proto;
static RegisterBlock registerBlock(proto,"VEncoder");
