.EQ
delim off
.EN
.\" documentation file generated from SDFBiquad.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Biquad"
.SD
A two-pole, two-zero digital IIR filter (a biquad).
The default is a Butterworth filter with a cutoff 0.1 times sampling frequency.
.SE
.LO "SDF dsp library"
.DM SDF SDFStar
.SV 2.13 "3/2/95"
.AL "J. T. Buck"
.IH
.NE
\fIinput\fR (float)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fId1\fR (FloatState)
.DF "-1.1430"
.NE
\fId2\fR (FloatState)
.DF "0.41280"
.NE
\fIn0\fR (FloatState)
.DF "0.067455"
.NE
\fIn1\fR (FloatState)
.DF "0.135"
.NE
\fIn2\fR (FloatState)
.DF "0.067455"
.NE
\fIstate1\fR (FloatState): internal state.
.DF "0.0"
.NE
\fIstate2\fR (FloatState): internal state.
.DF "0.0"
.ET
.EQ
delim $$
.EN
.LD
.lp
This two-pole, two-zero IIR filter has a transfer function of
.EQ
{n sub 0 ~+~ n sub 1 z sup -1 ~+~ n sub 2 z sup -2} over
{1 ~+~ d sub 1 z sup -1 ~+~ d sub 2 z sup -2} ~.
.EN
.Id "filter, biquad"
.Id "biquad filter"
.Id "filter, IIR"
.Id "IIR filter"
It is implemented in direct form II [1].
The default coefficients give a Butterworth filter with a
cutoff of 0.1 times sampling frequency.
.Ir "filter, Butterworth"
.Ir "Butterworth filter"
.lp
\fBThis star will eventually be replaced by a general IIR star.\fR
.ID "Oppenheim, A. V."
.ID "Schafer, R. W."
.UH REFERENCES
.ip [1]
A. V. Oppenheim and R. W. Schafer, \fIDiscrete-Time Signal Processing\fR,
Prentice-Hall: Englewood Cliffs, NJ, 1989.
.ES
