.EQ
delim off
.EN
.\" documentation file generated from SDFBlockRLattice.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "BlockRLattice"
.SD
A block recursive (IIR) lattice filter.
It is identical to the RLattice star, except that the reflection
coefficients are updated each time the star fires by reading the
"coefs" input. The "order" parameter indicates how many coefficient
should be read. The "blockSize" parameter specifies how many data
samples should be processed for each set of coefficients.
.SE
.LO "SDF dsp library"
.DM SDF SDFStar
.SV 1.8 "3/2/95"
.AL "Alan Kamas and Edward Lee"
.IH
.NE
\fIsignalIn\fR (float)
.NE
\fIcoefs\fR (float)
.PE
.OH
.NE
\fIsignalOut\fR (float)
.PE
.SH
.NE
\fIblockSize\fR (IntState): Number of inputs that use each each coefficient set.
.DF "128"
.NE
\fIorder\fR (IntState): Number of new coefficients to read each time.
.DF "16"
.ET
.EQ
delim $$
.EN
.SA
IIR,
Lattice,
RLattice and
BlockLattice.
.ES
