.EQ
delim off
.EN
.\" documentation file generated from SDFConstFix.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "ConstFix"
.SD
Output a fixed-point constant output with value "level" (default 0.0).
.SE
.LO "SDF main library"
.DM SDF SDFFix
.SV 1.4 "3/7/96"
.AL "E. A. Lee"
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIlevel\fR (FixState): The constant value.
.DF "0.0"
.NE
\fIOutputPrecision\fR (PrecisionState): Precision of the output in bits.
.DF "2.14"
.ET
.EQ
delim $$
.EN
.LD
The "OutputPrecision" is specified using an "l.r" format, where
"l" is the number of bits to the left of the decimal place
(including the sign bit) and "r" is the number of bits to the
right of the sign bit.
For example, the precision "2.22" would represent a 24-bit fixed-point
number with 1 sign bit, 1 integer bit, and 22 fractional bits.
.ES
