.EQ
delim off
.EN
.\" documentation file generated from SDFConvolCx.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "ConvolCx"
.SD
Convolve two causal finite sequences.
Set truncationDepth larger than the number of output samples of interest.
.SE
.LO "SDF dsp library"
.DM SDF SDFStar
.SV 1.2 "10/31/95"
.AL "Karim-Patrick Khiar"
.IH
.NE
\fIinA\fR (complex)
.NE
\fIinB\fR (complex)
.PE
.OH
.NE
\fIout\fR (complex)
.PE
.SH
.NE
\fItruncationDepth\fR (IntState): Maximum number of terms in convolution sum.
.DF "256"
.NE
\fIiterationCount\fR (IntState): Count current iteration.
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
This star convolves two causal finite input sequences.
In the current implementation, you should set the truncation
depth larger than the number of output samples of interest.
If it is smaller, you will get unexpected results after truncationDepth
samples.
.SA
FIR,
FIRCx,
blockFIR and
firDemo.
.ES
