.EQ
delim off
.EN
.\" documentation file generated from SDFConvolve.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Convolve"
.SD
Convolve two causal finite sequences.
Set truncationDepth larger than the number of output samples of interest.
.SE
.LO "SDF dsp library"
.DM SDF SDFStar
.SV 1.8 "3/2/95"
.AL "E. A. Lee and K. White"
.IH
.NE
\fIinA\fR (float)
.NE
\fIinB\fR (float)
.PE
.OH
.NE
\fIout\fR (float)
.PE
.SH
.NE
\fItruncationDepth\fR (IntState): Maximum number of terms in convolution sum.
.DF "256"
.NE
\fIiterationCount\fR (IntState): Count current iteration.
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
This star convolves two causal finite input sequences.
In the current implementation, you should set the truncation
depth larger than the number of output samples of interest.
If it is smaller, you will get unexpected results after truncationDepth
samples.
.SA
FIR,
FIRCx,
blockFIR and
firDemo.
.ES
