.EQ
delim off
.EN
.\" documentation file generated from SDFDPCMImage.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DPCMImage"
.SD
This star implements differential pulse code modulation of an image.
If the "past" input is not a Float Matrix, pass the "input"
directly to the "output". Otherwise, subtract the "past" from the
"input" (with leakage factor alpha) and send the result to "output".
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.16 "3/7/96"
.AL "Paul Haskell"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX_ENV)
.NE
\fIpast\fR (FLOAT_MATRIX_ENV)
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV)
.PE
.SH
.NE
\fIalpha\fR (FloatState): Leak value for error-recovery.
.DF "1.0"
.ET
.EQ
delim $$
.EN
.LD
.Id "image DPCM"
.Id "image compression"
.Id "DPCM, image"
.Id "compression, image"
.ES
