.EQ
delim off
.EN
.\" documentation file generated from SDFDeMux.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DeMux"
.SD
Demultiplexes one input onto any number of output streams.
The star consumes B particles from the input, where B is the blockSize.
These B particles are copied to exactly one output,
determined by the "control" input.  The other outputs get a zero of the
appropriate type.

Integers from 0 through N-1 are accepted at the "control"
input, where N is the number of outputs.  If the control input is
outside this range, all outputs get zero.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.12 "3/2/95"
.AL "E. A. Lee"
.IH
.NE
\fIinput\fR (anytype)
.NE
\fIcontrol\fR (int)
.PE
.OH
.NE
\fIoutput\fR (multiple), (anytype)
.PE
.SH
.NE
\fIblockSize\fR (IntState): Number of particles in a block.
.DF "1"
.ET
.EQ
delim $$
.EN
.LD
.Id "demultiplex"
.ES
