.EQ
delim off
.EN
.\" documentation file generated from SDFDeScrambler.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DeScrambler"
.SD
Descramble the input bit sequence using a feedback shift register.
The taps of the feedback shift register are given by the "polynomial"
parameter.  This is a self-synchronizing descrambler that will exactly
reverse the operation of the Scrambler star if the polynomials are the same.
The low-order bit of the polynomial should always be set. For more information,
see the documentation for the SDF Scrambler star and Lee and Messerschmitt,
Digital Communication, Second Edition, Kluwer Academic Publishers, 1994,
pp. 595-603.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.5 "6/13/95"
.AL "E. A. Lee"
.IH
.NE
\fIinput\fR (int): bit sequence in (zero or nonzero)
.PE
.OH
.NE
\fIoutput\fR (int): bit sequence out (zero or one)
.PE
.SH
.NE
\fIpolynomial\fR (IntState): generator polynomial for the maximal length shift register
.DF "0440001"
.NE
\fIshiftReg\fR (IntState): the shift register
.DF "1"
.ET
.EQ
delim $$
.EN
.LD
.IE "feedback shift register"
.IE "pseudo-random sequence"
.IE "pseudo-noise sequence"
.IE "primitive polynomial"
.IE "maximal length feedback shift register"
.ES
