.EQ
delim off
.EN
.\" documentation file generated from SDFDisplayImage.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DisplayImage"
.SD
Accept a black-and-white input grayimage represented by a float matrix 
and generate output in PGM format.
Send the output to a user-specified command (by default, "xv" is used).

The user can set the root filename of the displayed image (which will
probably be printed in the image display window titlebar) and
can choose whether or not the image file is saved or deleted.
The image frame number is appended to the root filename to form the
complete filename of the displayed image.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.28 "3/7/96"
.AL "Joe Buck, Paul Haskell, and Brian Evans"
.IH
.NE
\fIdataInput\fR (FLOAT_MATRIX_ENV)
.NE
\fIframeIdInput\fR (int)
.PE
.SH
.NE
\fIcommand\fR (StringState): Program to run on PGM data
.DF "xv"
.NE
\fIimageName\fR (StringState): If non-null, name for PGM file
.DF ""
.NE
\fIsaveImage\fR (StringState): If 'y' or 'Y', then save the file
.DF "n"
.ET
.EQ
delim $$
.EN
.LD
.Id "image display"
.Ir "PGM image format"
.Ir "image format, PGM"
.ES
