.EQ
delim off
.EN
.\" documentation file generated from SDFDisplayRGB.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DisplayRGB"
.SD
Accept three ColorImages (Red, Green, and Blue) from three input
float matrix and generate a color image file in Portable Pixmap (PPM) format.
Send the filename to a user-specified command 
(by default,
.EQ
delim off
.EN
"xv"
.EQ
delim $$
.EN
is used).

The user can set the root filename of the displayed image (which will
probably be printed in the image display window title bar) and
can choose whether or not the image file is saved or deleted.
The frameId of the received image is appended to the root filename
to produce the full filename of the displayed image.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.29 "3/7/96"
.AL "Sun-Inn Shih"
.IH
.NE
\fIrinput\fR (FLOAT_MATRIX_ENV)
.NE
\fIginput\fR (FLOAT_MATRIX_ENV)
.NE
\fIbinput\fR (FLOAT_MATRIX_ENV)
.NE
\fIframeIdIn\fR (int)
.PE
.SH
.NE
\fIcommand\fR (StringState): Program to run on PGM data
.DF "xv"
.NE
\fIimageName\fR (StringState): If non-null, name for PGM file
.DF ""
.NE
\fIsaveColor\fR (StringState): If 'y' or 'Y', then save the file
.DF "n"
.ET
.EQ
delim $$
.EN
.LD
.Id "image display, red-green-blue (RGB)"
.Id "RGB image display"
.Ir "PPM image format"
.Ir "image format, portable pixmap (PPM)"
.ES
