.EQ
delim off
.EN
.\" documentation file generated from SDFDither.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Dither"
.SD
Do digital halftoning (dither) of input image for monochrome printing.
Input image should be in a float matrix.
The possible dither methods are: Err-Diffusion, Clustered, Dispersed, Own.
If you specify "Own", then you can use your own dither mask.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.3 "10/23/95"
.AL "Bilung Lee"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX_ENV)
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV)
.PE
.SH
.NE
\fIditherType\fR (StringState): Name of the detector to be used.
.DF "Err-Diffusion"
.NE
\fIownMask\fR (FloatArrayState): Dither mask to be used when specify "Own" in ditherType.
.DF ""
.NE
\fIrowsOwnMask\fR (IntState): Number of rows for ownMask.
.DF "4"
.NE
\fIcolsOwnMask\fR (IntState): Number of columns for ownMask.
.DF "4"
.ET
.EQ
delim $$
.EN
.ES
