.EQ
delim off
.EN
.\" documentation file generated from SDFGainFix_M.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "GainFix_M"
.SD
Multiply a fixed-point matrix by a fixed-point scalar gain value.
.SE
.LO "SDF matrix library"
.DM SDF SDFStar
.SV 1.7 "10/6/95"
.AL "Mike J. Chen"
.IH
.NE
\fIinput\fR (FIX_MATRIX_ENV)
.PE
.OH
.NE
\fIoutput\fR (FIX_MATRIX_ENV)
.PE
.SH
.NE
\fIgain\fR (FixState): Gain to be multiplied with the input matrix
.DF "1.0"
.NE
\fIUseArrivingPrecision\fR (IntState): Flag indicated whether or not to use the arriving particles as they are:
YES keeps the same precision, and NO casts them to the
precision specified by the parameter "NewInputPrecision".
.DF "YES"
.NE
\fINewInputPrecision\fR (StringState): New precision of the input in bits.  The input particles are only cast
to this precision if the parameter "UseArrivingPrecision" is set to NO.
.DF "2.14"
.NE
\fIOutputPrecision\fR (StringState): Precision of the output in bits.  This is the precision that will hold
the result of the arithmetic operation on the inputs.
.DF "2.14"
.NE
\fIOverflowHandler\fR (StringState): Overflow characteristic for the output.  If the result
of the product cannot be fit into the precision of the output, overflow
occurs and the overflow is taken care of by the method specified by this
parameter.  The keywords for overflow handling methods are :
"saturate"(default), "zero_saturate", "wrapped", "warning".
.DF "saturate"
.ET
.EQ
delim $$
.EN
.ES
