.EQ
delim off
.EN
.\" documentation file generated from SDFLMSPlot.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "LMSPlot"
.SD
This star is exactly like the LMS star, except that, in addition
to the functions of LMS, it makes a plot of the tap coefficients.
It can produce two types of plots: a plot of the final tap values
or a plot that traces the time evolution of each tap value.
The time evolution is obtained if the value of the parameter "trace" is "YES".
.SE
.LO "SDF dsp library"
.DM SDF SDFLMS
.SV 1.10 "3/2/95"
.AL "J. T. Buck"
.SH
.NE
\fIgraphOptions\fR (StringState): options for graph
.DF "-0 taps"
.NE
\fIgraphTitle\fR (StringState): title for graph
.DF "LMS filter tap values"
.NE
\fItrace\fR (IntState): if YES, plot a trace of tap values as they adapt
.DF "NO"
.ET
.EQ
delim $$
.EN
.LD
.Id "adaptive filter with coefficient plotting"
.Id "filter, adaptive, with coefficient plotting"
.Id "filter, LMS, with coefficient plotting"
.Id "LMS adaptive filter with coefficient plotting"
The value of the \fIgraphTitle\fP parameter
is used for the title of the plot; the value of \fIgraphOptions\fP
is handed to the xgraph program as option values on the command line.
.lp
If \fItrace\fP is YES, then there may not be more than 64 taps in the filter,
since this is the maximum number of plots that the xgraph program can handle.
.SA
LMS,
XMgraph,
LMSTkPlot,
LMSPlotCx and
LMSTkPlotCx.
.ES
