.EQ
delim off
.EN
.\" documentation file generated from SDFLMSPlotCx.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "LMSPlotCx"
.SD
This star is exactly like the LMSCx star, except that, in addition
to the functions of LMSCx, it makes a plot of the tap coefficients,
with a separate plot for the magnitude and phase.
It can produce two types of plots: a plot of the final tap values
or a plot that traces the time evolution of each tap value.
The time evolution is obtained if the value of the parameter "trace" is "YES".
.SE
.LO "SDF dsp library"
.DM SDF SDFLMSCx
.SV 1.14 "3/2/95"
.AL "J. T. Buck"
.SH
.NE
\fIgraphOptsMag\fR (StringState): options for magnitude graph
.DF ""
.NE
\fIgraphOptsPhase\fR (StringState): options for phase graph
.DF ""
.NE
\fIgraphTitleMag\fR (StringState): title for magnitude graph
.DF "LMS filter tap magnitudes"
.NE
\fIgraphTitlePhase\fR (StringState): title for phase graph
.DF "LMS filter tap phases"
.NE
\fItrace\fR (IntState): if YES, plot a trace of tap values as they adapt
.DF "NO"
.ET
.EQ
delim $$
.EN
.LD
.Id "adaptive filter, complex"
.Id "filter, adaptive, complex"
.Id "LMS adaptive filter, complex"
.Id "filter, LMS adaptive, complex"
.lp
\fIGraphTitleMag\fP is used for the title of the magnitude plot;
\fIGraphTitlePhase\fP is used for the title of the phase plot;
\fIGraphOptsMag\fP is handed to the xgraph program as option
values on the command line when the magnitudes are plotted, and
\fIGraphOptsPhase\fP serves the same function for the phase.
.lp
If \fItrace\fP is "YES", there may not be more than 64 taps in the filter.
.SA
LMSCx,
XMgraph,
LMSPlot,
LMSTkPlot and
LMSTkPlot.
.ES
