.EQ
delim off
.EN
.\" documentation file generated from SDFMatrixCx.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "MatrixCx"
.SD
Produces a matrix with complex entries. The entries are
read from the array parameter "ComplexMatrixContents" in rasterized order:
i.e. for a MxN matrix, the first row is filled from left to right
using the first N values from the array.
.SE
.LO "SDF matrix library"
.DM SDF SDFStar
.SV 1.6 "10/6/95"
.AL "Mike J. Chen"
.OH
.NE
\fIoutput\fR (COMPLEX_MATRIX_ENV)
.PE
.SH
.NE
\fInumRows\fR (IntState): The number of rows in the matrix.
.DF "2"
.NE
\fInumCols\fR (IntState): The number of columns in the matrix.
.DF "2"
.NE
\fIComplexMatrixContents\fR (ComplexArrayState): The complex contents of the matrix.
.DF "(1,0) (0,1) (-1,0) (0,-1)"
.ET
.EQ
delim $$
.EN
.ES
