.EQ
delim off
.EN
.\" documentation file generated from SDFMotionCmp.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "MotionCmp"
.SD
If the "past" input is not a Float Matrix (e.g. "dummyMessage"), copy
the "input" image unchanged to the "diffOut" output and send a null
field (zero size matrix) of motion vectors to "mvHorzOut" and 
"mvVertOut" outputs. This should usually happen only on the first
firing of the star.

For all other inputs, perform motion compensation and write the
difference frames and motion vector frames to the corresponding outputs.

This star can be used as a base class to implement slightly different
motion compensation algorithms. For example, synchronization techniques
can be added or reduced-search motion compensation can be performed.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.28 "3/7/96"
.AL "Paul Haskell"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX_ENV)
.NE
\fIpast\fR (FLOAT_MATRIX_ENV)
.PE
.OH
.NE
\fIdiffOut\fR (FLOAT_MATRIX_ENV)
.NE
\fImvHorzOut\fR (FLOAT_MATRIX_ENV)
.NE
\fImvVertOut\fR (FLOAT_MATRIX_ENV)
.PE
.SH
.NE
\fIBlockSize\fR (IntState): Size of blocks on which to do motion comp.
.DF "8"
.ET
.EQ
delim $$
.EN
.LD
.Id "motion compensation"
.Id "image, motion compensation"
.ES
