.EQ
delim off
.EN
.\" documentation file generated from SDFMpy_M.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Mpy_M"
.SD
Multiply two floating-point matrices A and B to produce matrix C.
Matrix A has dimensions (numRows,X). Matrix B has dimensions (X,numCols).
Matrix C has dimensions (numRows,numCols). The user need only specify
numRows and numCols. An error will be generated automatically if the
number of columns in A does not match the number of rows in B.
.SE
.LO "SDF matrix library"
.DM SDF SDFStar
.SV 1.7 "10/6/95"
.AL "Mike J. Chen"
.IH
.NE
\fIAinput\fR (FLOAT_MATRIX_ENV)
.NE
\fIBinput\fR (FLOAT_MATRIX_ENV)
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV)
.PE
.SH
.NE
\fInumRows\fR (IntState): The number of rows in Matrix A and Matrix C.
.DF "2"
.NE
\fInumCols\fR (IntState): The number of columns in Matrix B and Matrix C
.DF "2"
.ET
.EQ
delim $$
.EN
.ES
