.EQ
delim off
.EN
.\" documentation file generated from SDFMxCom_M.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "MxCom_M"
.SD
Accept input matrices and create a matrix output. Each input 
matrix represents a decomposed submatrix of output matrix in 
row by row. Note that for one output image, we will need a total
(numRows/numRowsSubMx)*(numCols/numColsSubMx) input matrices.
.SE
.LO "SDF matrix library"
.DM SDF SDFStar
.SV 1.4 "10/23/95"
.AL "Bilung Lee"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX_ENV): Input matrix should have dimension numRowsSubMx*numColsSubMx.
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV)
.PE
.SH
.NE
\fInumRows\fR (IntState): number of rows for output matrix
.DF "100"
.NE
\fInumCols\fR (IntState): number of columns for output matrix
.DF "100"
.NE
\fInumRowsSubMx\fR (IntState): number of rows for decomposed submatrix (ie, input matrix)
.DF "4"
.NE
\fInumColsSubMx\fR (IntState): number of columns for decomposed submatrix (ie, input matrix)
.DF "4"
.ET
.EQ
delim $$
.EN
.ES
