.EQ
delim off
.EN
.\" documentation file generated from SDFMxDecom_M.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "MxDecom_M"
.SD
Decompose a portion of input matrix into a sequence of submatrices.
The desired portion of input matrix is specified by state parameters 
"startRow","startCol","numRows", and "numCols".
Then output each submatrix with dimension "numRowsSubMx"*"numColsSubMx"
in row by row.
Note that for one input matrix, there will be totally (numRows/numRowsSubMx)
*(numCols/numColsSubMx) output matrices.
.SE
.LO "SDF matrix library"
.DM SDF SDFStar
.SV 1.2 "3/2/95"
.AL "Bilung Lee"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX_ENV)
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV): Output matrix with numRowsSubMx*numColsSubMx dimension.
.PE
.SH
.NE
\fIstartRow\fR (IntState): The starting row in the input matrix
.DF "0"
.NE
\fIstartCol\fR (IntState): The starting column in the input matrix
.DF "0"
.NE
\fInumRows\fR (IntState): number of rows from input matrix
.DF "100"
.NE
\fInumCols\fR (IntState): number of columns from input matrix
.DF "100"
.NE
\fInumRowsSubMx\fR (IntState): number of rows for decomposed submatrix (ie, output matrix)
.DF "4"
.NE
\fInumColsSubMx\fR (IntState): number of columns for decomposed submatrix (ie, output matrix)
.DF "4"
.ET
.EQ
delim $$
.EN
.ES
