.EQ
delim off
.EN
.\" documentation file generated from SDFPackFix_M.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "PackFix_M"
.SD
Produces a matrix with fixed-point entries. The entries are
read in from values in a sequence of fixed-point particles
in rasterized order, e.g. for a MxN matrix, the first row is 
filled from left to right using the first N values from the 
first N particles.
.SE
.LO "SDF matrix library"
.DM SDF SDFStar
.SV 1.9 "10/6/95"
.AL "Mike J. Chen"
.IH
.NE
\fIinput\fR (Fix)
.PE
.OH
.NE
\fIoutput\fR (FIX_MATRIX_ENV)
.PE
.SH
.NE
\fInumRows\fR (IntState): The number of rows in the matrix.
.DF "2"
.NE
\fInumCols\fR (IntState): The number of columns in the matrix.
.DF "2"
.ET
.EQ
delim $$
.EN
.ES
