.EQ
delim off
.EN
.\" documentation file generated from SDFPattMatch.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "PattMatch"
.SD
This star accepts a template and a search window.  The template is slid
over the window one sample at a time, and cross-correlations are calculated
at each step.  The cross-correlations are output on the "values" output.
The "index" output is the value of the time shift which gives the largest
cross-correlation.  This index refers to the position on the search window,
beginning with 0, that corresponds to the earliest sample in the search
window that is part of the "best match" with the template.
.SE
.LO "SDF dsp library"
.DM SDF SDFStar
.SV 1.12 "12/7/95"
.AL "G. S. Walter and E. A. Lee"
.IH
.NE
\fItempl\fR (float)
.NE
\fIwindow\fR (float)
.PE
.OH
.NE
\fIindex\fR (int)
.NE
\fIvalues\fR (float)
.PE
.SH
.NE
\fItempSize\fR (IntState): number of samples in template
.DF "32"
.NE
\fIwinSize\fR (IntState): number of samples in search window
.DF "176"
.ET
.EQ
delim $$
.EN
.ES
