.EQ
delim off
.EN
.\" documentation file generated from SDFPrinter.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Printer"
.SD
Print out one sample from each input port per line.
The "fileName" state specifies the file to be written; the special names
<stdout> and <cout>, which specify the standard output stream, and
<stderr> and <cerr>, which specify the standard error stream,
are also supported.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 2.18 "9/5/95"
.AL "D. G. Messerschmitt and J. Buck"
.IH
.NE
\fIinput\fR (multiple), (ANYTYPE)
.PE
.SH
.NE
\fIfileName\fR (StringState): Filename for output.
.DF "<stdout>"
.ET
.EQ
delim $$
.EN
.LD
This star prints its input, which may be any supported data type.
There may be multiple inputs: all inputs are printed together on
the same line, separated by tabs.
.pp
If output is directed to a file, then flushing does not occur until the
wrapup method is called.
Before the first data are flushed, the file will not exist.
This is normal behavior for buffered input/output.
.ES
