.EQ
delim off
.EN
.\" documentation file generated from SDFRampInt.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "RampInt"
.SD
Generate an integer ramp signal, starting at "value" (default 0)
and incrementing by step size "step" (default 1) on each firing.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 2.10 "1/20/96"
.AL "D. G. Messerschmitt"
.OH
.NE
\fIoutput\fR (int)
.PE
.SH
.NE
\fIstep\fR (IntState): Increment from one sample to the next.
.DF "1"
.NE
\fIvalue\fR (IntState): Initial (or latest) value output by Ramp.
.DF "0"
.ET
.EQ
delim $$
.EN
.ES
