.EQ
delim off
.EN
.\" documentation file generated from SDFRankImage.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "RankImage"
.SD
Accept an input grayimage represented by a float matrix, rank 
filter the image, and send the result to the output.  A common 
example of a rank filter is the median filter, e.g. SDFMedianImage, 
which is derived from this star. Pixels at the image boundaries 
are copied and not rank filtered.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.5 "3/7/96"
.AL "Brian Evans and Paul Haskell"
.IH
.NE
\fIinData\fR (FLOAT_MATRIX_ENV)
.PE
.OH
.NE
\fIoutData\fR (FLOAT_MATRIX_ENV)
.PE
.SH
.NE
\fIFilterWidth\fR (IntState): Size of the rank filter window in each dimension,
which must be odd.
.DF "3"
.NE
\fIRankOrder\fR (IntState): Which ordered sample is chosen from each neighborhood of pixels,
0, 1, ..., FilterWidth^2 - 1.
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
.Id "filter, rank"
.Id "image, rank filter"
.Id "rank filtering"
.ES
