.EQ
delim off
.EN
.\" documentation file generated from SDFReadImage.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "ReadImage"
.SD
Read a sequence of images in Portable GrayMap (PGM) format from
different files and send them out in a float matrix.

If present, the character '#' in the 'fileName' state is replaced with
the frame number to be read next.
For example, if the 'frameId' state is set to 2 and
if the 'fileName' state is 'dir.#/pic#', then the files that
are read are 'dir.2/pic2', 'dir.3/pic3', etc.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.23 "3/7/96"
.AL "Paul Haskell"
.OH
.NE
\fIdataOutput\fR (FLOAT_MATRIX_ENV)
.NE
\fIframeIdOutput\fR (int)
.PE
.SH
.NE
\fIfileName\fR (StringState): Name of file containing PGM-format image.
.DF "$PTOLEMY/src/domains/sdf/demo/ptimage"
.NE
\fIframeId\fR (IntState): Starting frame ID value.
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
.Ir "PGM image format"
.Ir "image format, portable graymap (PGM)"
.Ir "image reading"
.ES
