.EQ
delim off
.EN
.\" documentation file generated from SDFReadPCM.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "ReadPCM"
.SD
Read a binary mu-law encoded PCM file.  Return one sample on each firing.
The file format that is read is the same as the one written by the Play star.
The simulation can be halted on end-of-file, or the file contents can be
periodically repeated, or the file contents can be padded with zeros.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.16 "11/18/95"
.AL "J. Buck"
.OH
.NE
\fIoutput\fR (int)
.PE
.SH
.NE
\fIfileName\fR (StringState): Input file.
.DF "/dev/null"
.NE
\fIhaltAtEnd\fR (IntState): Halt the run at the end of the input file.
.DF "NO"
.NE
\fIperiodic\fR (IntState): Make output periodic or zero-padded.
.DF "YES"
.ET
.EQ
delim $$
.EN
.ES
