.EQ
delim off
.EN
.\" documentation file generated from SDFReadRGB.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "ReadRGB"
.SD
Read an image in Portable Pixmap (PPM) format from a file and
separate the colors into three different images(em
a red, green, and blue image.
Each image is represented in a float matrix.

If present, the character '#' in the 'fileName' state is replaced with
the frame number to be read next.
For example, if the 'frameId' state is set to 2 and
if the 'fileName' state is 'dir.#/pic#', then the files that
are read are 'dir.2/pic2', 'dir.3/pic3', etc.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.20 "3/7/96"
.AL "Sun-Inn Shih"
.OH
.NE
\fIoutput1\fR (FLOAT_MATRIX_ENV): Red image.
.NE
\fIoutput2\fR (FLOAT_MATRIX_ENV): Green image.
.NE
\fIoutput3\fR (FLOAT_MATRIX_ENV): Blue image.
.NE
\fIframeIdOut\fR (int)
.PE
.SH
.NE
\fIfileName\fR (StringState): Name of file containing PPM-format image.
.DF "$PTOLEMY/src/domains/sdf/demo/ppimage"
.NE
\fIframeId\fR (IntState): Starting frame ID value.
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
.Id "image reading"
.Ir "PPM image format"
.Ir "image format, portable pixmap (PPM)"
.ES
