.EQ
delim off
.EN
.\" documentation file generated from SDFRectToPolar.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "RectToPolar"
.SD
Converts the complex number x + j y, for inputs "x" and "y",
into magnitude and phase form.
The phase output is in the range -PI to PI.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.12 "3/2/95"
.AL "E. A. Lee"
.IH
.NE
\fIx\fR (float)
.NE
\fIy\fR (float)
.PE
.OH
.NE
\fImagnitude\fR (float)
.NE
\fIphase\fR (float)
.PE
.EQ
delim $$
.EN
.LD
.Id "rectangular to polar format conversion"
.Id "format conversion, rectangular to polar"
.Ir "magnitude"
.Ir "phase"
.Ir "Cartesian coordinates"
.Ir "polar coordinates"
.ES
