.EQ
delim off
.EN
.\" documentation file generated from SDFRunLenImg.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "RunLenImg"
.SD
Accept a Float Matrix and run-length encode it. All values closer than
"Thresh" to "meanVal" are set to "meanVal" to help improve compression.

Run lengths are coded with a start symbol of "meanVal" and then a
run-length between 1 and 255. Runs longer than 255 must be coded in
separate pieces.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.19 "3/7/96"
.AL "Paul Haskell"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX_ENV)
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV)
.NE
\fIoriginalW\fR (int): The width of the original (input) image.
.NE
\fIoriginalH\fR (int): The height of the original (input) image.
.NE
\fIcompression\fR (float)
.PE
.SH
.NE
\fIThresh\fR (IntState): Threshold for run-length coding.
.DF "0"
.NE
\fImeanVal\fR (IntState): Center value for thresholding.
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
.Id "compression, run length"
.Id "encoding, run length"
.Id "run length encoding"
.Id "image, run length encoding"
.ES
