.EQ
delim off
.EN
.\" documentation file generated from SDFSGVQCodebk.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "SGVQCodebk"
.SD
Jointly optimized codebook design for shape-gain vector quantization.
Note that each input matrix will be viewed as a row vector in row by
row. Each row of first output matrix represent a codeword of the shape
codebook. Each element of the second output matrix represent a 
codeword of the gain codebook.
.SE
.LO "SDF dsp library"
.DM SDF SDFStar
.SV 1.10 "10/30/95"
.AL "Bilung Lee"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX_ENV): Input matrix will be viewed as a row vector in row major ordering to
represent a training vector.
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV): Output shape codebook, ie, (sizeShapeCodebook)*(dimension) matrix.
.NE
\fIoutGain\fR (FLOAT_MATRIX_ENV): Output gain codebook, ie, (sizeGainCodebook)*1 matrix.
.PE
.SH
.NE
\fIdimension\fR (IntState): The dimension for the input training vector.
.DF "16"
.NE
\fIsizeTrnSet\fR (IntState): The number of input training vectors for yielding the codebooks.
.DF "1024"
.NE
\fIsizeShapeCodebook\fR (IntState): The number of desired codewords for the shape codebook.
.DF "64"
.NE
\fIsizeGainCodebook\fR (IntState): The number of desired codewords for the gain codebook.
.DF "64"
.NE
\fIthresholdRatio\fR (FloatState): A number between 0 to 1.
.DF "0"
.NE
\fImaxIteration\fR (IntState): The upper limited times of iterations.
.DF "100"
.NE
\fIsaveShapeCodebook\fR (StringState): File to save final shape codebook values.
.DF ""
.NE
\fIsaveGainCodebook\fR (StringState): File to save final gain codebook values.
.DF ""
.ET
.EQ
delim $$
.EN
.ES
