.EQ
delim off
.EN
.\" documentation file generated from SDFSGVQCoder.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "SGVQCoder"
.SD
Shape-gain vector quantization encoder.
Note that each input matrix will be viewed as a row vector in row 
by row.
.SE
.LO "SDF dsp library"
.DM SDF SDFStar
.SV 1.2 "3/2/95"
.AL "Bilung Lee"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX_ENV): Input matrix will be viewed as a row vector in row major ordering to
represent a training vector.
.PE
.OH
.NE
\fIoutShape\fR (int): Output index in the shapeCodebook
.NE
\fIoutGain\fR (int): Output index in the gainCodebook
.PE
.SH
.NE
\fInumRows\fR (IntState): The number of rows for input matrix.
.DF "1"
.NE
\fInumCols\fR (IntState): The number of columns for input matrix.
.DF "2"
.NE
\fIshapeCodebook\fR (FloatArrayState): The float codewords for the shapeCodebook. Each codeword with length numRows*numCols.
.DF "0.6 0.8   0.6 -0.8   -0.6 0.8   -0.6 -0.8"
.NE
\fIgainCodebook\fR (FloatArrayState): The float codewords for the gainCodebook. Each codeword with length 1.
.DF "0.0 1.0 2.0 3.0 4.0 5.0 6.0 7.0 8.0 9.0"
.ET
.EQ
delim $$
.EN
.ES
