.EQ
delim off
.EN
.\" documentation file generated from SDFSpheToCart.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "SpheToCart"
.SD
Convert magnitude and phase to rectangular form.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.3 "2/12/96"
.AL "Karim-Patrick Khiar"
.OH
.NE
\fIx\fR (float)
.PE
.SH
.NE
\fImagnitude\fR (FloatState): Magnitude of vector U.
.DF "1.0"
.NE
\fIsite\fR (FloatState): elevation of vector U.
.DF "1.0"
.NE
\fIgise\fR (FloatState): azimuth of vector U.
.DF "1.0"
.NE
\fIRx\fR (FloatState): First component of vector R.
.DF "1.0"
.NE
\fIRy\fR (FloatState): Second component of vector R.
.DF "1.0"
.NE
\fIRz\fR (FloatState): Third component of vector R.
.DF "1.0"
.ET
.EQ
delim $$
.EN
.LD
Compute the inner product of two vectors; one given by two angles in
spherical components, the other in cartesian components.
.EQ
<R,U> = [Rx, Ry, Rz]*[cos(sn)*sin(gn), sin(sn), cos(sn)*cos(gn)]'
.EN
.Id "Compute the inner product of two vectors"
.Id "format conversion, spherical to cartesian"
.ES
