.EQ
delim off
.EN
.\" documentation file generated from SDFTkXYPlot.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TkXYPlot"
.SD
Plot Y input(s) vs. X input(s) with dynamic updating.
Two styles are currently supported: "dot" causes
points to be plotted, whereas "connect" causes connected
lines to be plotted. Drawing a box in the plot will
reset the plot area to that outlined by the box.
There are also buttons for zooming in and out, and for
resizing the box to just fit the data in view.
.SE
.LO "SDF Tcl/Tk library"
.DM SDF SDFStar
.SV 1.11 "2/28/96"
.AL "Wei-Jen Huang, Edward A. Lee, and Douglas Niehaus"
.IH
.NE
\fIX\fR (multiple), (float): horizontal coordinate
.NE
\fIY\fR (multiple), (float): vertical coordinate
.PE
.SH
.NE
\fIlabel\fR (StringState): The title of the plot
.DF "Tk XY Plot"
.NE
\fIgeometry\fR (StringState): Specified the location and/or size of the window
.DF "720x400+0+0"
.NE
\fIxTitle\fR (StringState): The x-axis label
.DF "x"
.NE
\fIyTitle\fR (StringState): The y-axis label
.DF "y"
.NE
\fIxRange\fR (FloatArrayState): The range of x-coordinate values
.DF "-1.5 1.5"
.NE
\fIyRange\fR (FloatArrayState): The range of y-coordinate values
.DF "-1.5 1.5"
.NE
\fIpersistence\fR (IntState): The number of points displayed at any one time
.DF "100"
.NE
\fIstyle\fR (StringState): Plot styles are dot or connect
.DF "dot"
.NE
\fIupdateSize\fR (IntState): The number of points drawn simulataneously. Higher numbers make the response faster.
.DF "10"
.ET
.EQ
delim $$
.EN
.ES
