.EQ
delim off
.EN
.\" documentation file generated from SDFUnwrap.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Unwrap"
.SD
Unwraps a phase plot, removing discontinuities of magnitude 2*PI.
The star assumes that the phase never changes by more than PI in one
sample period. It also assumes that the input is in the [-PI,PI] range.
.SE
.LO "SDF dsp library"
.DM SDF SDFStar
.SV 2.13 "3/2/95"
.AL "J. T. Buck"
.IH
.NE
\fIinput\fR (float)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIoutPhase\fR (FloatState): Current phase of the star.
.DF "0.0"
.NE
\fIprevPhase\fR (FloatState): Previous phase input value.
.DF "0.0"
.ET
.EQ
delim $$
.EN
.LD
.Id "phase unwrapping"
This is not a very sophisticated phase unwrapper, but for many applications,
it does the job.
.ES
