.EQ
delim off
.EN
.\" documentation file generated from SDFXMgraph.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "XMgraph"
.SD
Generate a multi-signal plot with the xgraph program.
This program has many options; see the User's manual
of The Almagest.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 2.15 "3/2/95"
.AL "J. T. Buck and E. A. Lee"
.IH
.NE
\fIinput\fR (multiple), (float)
.PE
.SH
.NE
\fItitle\fR (StringState): Title for the plot.
.DF "Ptolemy Xgraph"
.NE
\fIsaveFile\fR (StringState): File name for saving plottable data.
.DF ""
.NE
\fIoptions\fR (StringState): Command line options for the xgraph program.
.DF "-bb -tk =800x400"
.NE
\fIignore\fR (IntState): Number of initial values to ignore.
.DF "0"
.NE
\fIxUnits\fR (FloatState): For labeling, horizontal increment between samples.
.DF "1.0"
.NE
\fIxInit\fR (FloatState): For labeling, horizontal value of the first sample.
.DF "0.0"
.ET
.EQ
delim $$
.EN
.LD
The input signal is plotted using the \fIxgraph\fR program.
This program must be in your path, or this star will not work!
The \fItitle\fR parameter specifies a title for the plot.
The \fIsaveFile\fR parameter optionally specifies a file for
storing the data in a syntax acceptable to xgraph.
A null string prevents any such storage.
The \fIoptions\fR string is passed directly to the xgraph program
as command-line options.  See the manual section describing xgraph
for a complete explanation of the options.
.Id "graph, X window, multi-signal"
.Ir "xgraph program"
.SA
Xgraph,
xgraph,
XYgraph and
Xhistogram.
.ES
