.EQ
delim off
.EN
.\" documentation file generated from SDFXhistogram.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Xhistogram"
.SD
Generate a histogram with the xgraph program.  The parameter
"binWidth" determines the bin width.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 2.13 "3/2/95"
.AL "E. A. Lee"
.IH
.NE
\fIinput\fR (anytype)
.PE
.SH
.NE
\fItitle\fR (StringState): Title for the plot.
.DF "Xhistogram"
.NE
\fIsaveFile\fR (StringState): File to save input.
.DF ""
.NE
\fIbinWidth\fR (FloatState): Width of bins for histogram.
.DF "1.0"
.NE
\fIoptions\fR (StringState): Extra Command line options for xgraph.
.DF "-bb =800x400"
.ET
.EQ
delim $$
.EN
.LD
Creates a histogram with the xgraph program.  It is assumed that "xgraph"
is on your path, or this will not work!
The \fIbinWidth\fR parameter specifies how wide histogram
bin will be.  The number of bins is determined automatically from
the input data.
.pp
By default, the xgraph program gets the options ``-bar -nl -brw \fIhalfw\fR''
where \fIhalfw\fR is half the bin width.
.Ir "xgraph program"
.Id "histogram, X window"
.ES
