#ifndef _SDFBlockRLattice_h
#define _SDFBlockRLattice_h 1
// header file generated from SDFBlockRLattice.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"

class SDFBlockRLattice : public SDFStar
{
public:
	SDFBlockRLattice();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFBlockRLattice();
	InSDFPort signalIn;
	InSDFPort coefs;
	OutSDFPort signalOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState blockSize;
	IntState order;
# line 47 "SDFBlockRLattice.pl"
double *w;
		double *y;
		double *reflectionCoefs;
		int M;

};
#endif
