#ifndef _SDFDTFT_h
#define _SDFDTFT_h 1
// header file generated from SDFDTFT.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatState.h"

class SDFDTFT : public SDFStar
{
public:
	SDFDTFT();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort signal;
	InSDFPort omega;
	OutSDFPort dtft;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState length;
	IntState numberOfSamples;
	FloatState timeBetweenSamples;

};
#endif
