#ifndef _SDFFIR_h
#define _SDFFIR_h 1
// header file generated from SDFFIR.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class SDFFIR : public SDFStar
{
public:
	SDFFIR();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort signalIn;
	OutSDFPort signalOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatArrayState taps;
	IntState decimation;
	IntState decimationPhase;
	IntState interpolation;
# line 115 "SDFFIR.pl"
int phaseLength;

};
#endif
