#ifndef _SDFFIRCx_h
#define _SDFFIRCx_h 1
// header file generated from SDFFIRCx.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "ComplexArrayState.h"

class SDFFIRCx : public SDFStar
{
public:
	SDFFIRCx();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort signalIn;
	OutSDFPort signalOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	ComplexArrayState taps;
	IntState decimation;
	IntState decimationPhase;
	IntState interpolation;
# line 116 "SDFFIRCx.pl"
int phaseLength;

};
#endif
