#ifndef _SDFFIRFix_h
#define _SDFFIRFix_h 1
// header file generated from SDFFIRFix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFFix.h"
#include "IntState.h"
#include "FixArrayState.h"
#include "PrecisionState.h"

class SDFFIRFix : public SDFFix
{
public:
	SDFFIRFix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort signalIn;
	OutSDFPort signalOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixArrayState taps;
	IntState decimation;
	IntState decimationPhase;
	IntState interpolation;
	IntState ArrivingPrecision;
	PrecisionState InputPrecision;
	PrecisionState TapPrecision;
	PrecisionState AccumulationPrecision;
	PrecisionState OutputPrecision;
# line 170 "SDFFIRFix.pl"
Fix Accum, fixIn, out, tap;
                int phaseLength;

};
#endif
