#ifndef _SDFGLA_h
#define _SDFGLA_h 1
// header file generated from SDFGLA.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class SDFGLA : public SDFStar
{
public:
	SDFGLA();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void wrapup();
	/* virtual */ ~SDFGLA();
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState dimension;
	IntState sizeTrnSet;
	IntState sizeCodebook;
	FloatState thresholdRatio;
	IntState maxIteration;
	StringState saveFile;
# line 116 "SDFGLA.pl"
double* codebook;
    double* trnSet;
    int* numPart;
    double* centroid;
    double* halfCodewordPower;

};
#endif
