#ifndef _SDFIIR_h
#define _SDFIIR_h 1
// header file generated from SDFIIR.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "FloatState.h"
#include "FloatArrayState.h"

class SDFIIR : public SDFStar
{
public:
	SDFIIR();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort signalIn;
	OutSDFPort signalOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState gain;
	FloatArrayState numerator;
	FloatArrayState denominator;
	FloatArrayState state;
# line 100 "SDFIIR.pl"
int numState;
	double* stateEnd;

};
#endif
