#ifndef _SDFLattice_h
#define _SDFLattice_h 1
// header file generated from SDFLattice.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "FloatArrayState.h"

class SDFLattice : public SDFStar
{
public:
	SDFLattice();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFLattice();
	InSDFPort signalIn;
	OutSDFPort signalOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatArrayState reflectionCoefs;
# line 81 "SDFLattice.pl"
double *b;
		double *f;
		int M;

};
#endif
