#ifndef _SDFRLattice_h
#define _SDFRLattice_h 1
// header file generated from SDFRLattice.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "FloatArrayState.h"

class SDFRLattice : public SDFStar
{
public:
	SDFRLattice();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFRLattice();
	InSDFPort signalIn;
	OutSDFPort signalOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatArrayState reflectionCoefs;
# line 102 "SDFRLattice.pl"
double *w;
		double *y;
		int M;

};
#endif
