#ifndef _SDFSVD_M_h
#define _SDFSVD_M_h 1
// header file generated from SDFSVD_M.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include <math.h>
#include "Matrix.h"
#include "IntState.h"
#include "FloatState.h"

class SDFSVD_M : public SDFStar
{
public:
	SDFSVD_M();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	OutSDFPort svals;
	OutSDFPort rsvec;
	OutSDFPort lsvec;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState rows;
	IntState cols;
	FloatState threshold;
	IntState max_iterations;
	IntState generate_left;
	IntState generate_right;
# line 115 "SDFSVD_M.pl"
int N,nrows,ncols;
        FloatMatrix *U, *W, *V;
	double hypot (double a, double b);
	void svd (const FloatMatrix& A,FloatMatrix& U,FloatMatrix& V,FloatMatrix& W,double threshhold, int withU, int withV);

};
#endif
