#ifndef _SDFVQCoder_h
#define _SDFVQCoder_h 1
// header file generated from SDFVQCoder.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class SDFVQCoder : public SDFStar
{
public:
	SDFVQCoder();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFVQCoder();
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState numRows;
	IntState numCols;
	FloatArrayState floatCodebook;
# line 54 "SDFVQCoder.pl"
int dimension;
    int numCodewords;
    double *halfCodewordPower;

};
#endif
