#ifndef _SDFAddMotionVecs_h
#define _SDFAddMotionVecs_h 1
// header file generated from SDFAddMotionVecs.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Matrix.h"
#include "Error.h"
#include "IntState.h"

class SDFAddMotionVecs : public SDFStar
{
public:
	SDFAddMotionVecs();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort inimage;
	InSDFPort inmvHorz;
	InSDFPort inmvVert;
	OutSDFPort outimage;

protected:
	/* virtual */ void go();
	IntState BlockSize;

private:
	int inputsOk (const FloatMatrix& gg, const FloatMatrix& mvH, const FloatMatrix& mvV);

};
#endif
