#ifndef _SDFDCTImgCde_h
#define _SDFDCTImgCde_h 1
// header file generated from SDFDCTImgCde.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Matrix.h"
#include "Error.h"
#include "IntState.h"
#include "FloatState.h"

class SDFDCTImgCde : public SDFStar
{
public:
	SDFDCTImgCde();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFDCTImgCde();
	InSDFPort inport;
	OutSDFPort hiport;
	OutSDFPort loport;
	OutSDFPort originalW;
	OutSDFPort originalH;
	OutSDFPort compr;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState BlockSize;
	FloatState Thresh;
	IntState HiPri;
# line 75 "SDFDCTImgCde.pl"
float thresh;    
    float *outDc, *outAc;
    int indxDc, indxAc;
	void doRunLen (const FloatMatrix& inImage);
	int larger (const float fl, const float in) {
# line 162 "SDFDCTImgCde.pl"
return (fabs(double(fl)) >= double(in));
	}

};
#endif
