#ifndef _SDFEdgeDetect_h
#define _SDFEdgeDetect_h 1
// header file generated from SDFEdgeDetect.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "FloatState.h"
#include "StringState.h"

class SDFEdgeDetect : public SDFStar
{
public:
	SDFEdgeDetect();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState threshold;
	StringState detectorName;
# line 38 "SDFEdgeDetect.pl"
double hx[3][3], hy[3][3];

};
#endif
