#ifndef _SDFReadImage_h
#define _SDFReadImage_h 1
// header file generated from SDFReadImage.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "StringState.h"

class SDFReadImage : public SDFStar
{
public:
	SDFReadImage();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutSDFPort dataOutput;
	OutSDFPort frameIdOutput;

protected:
	/* virtual */ void go();
	StringState fileName;
	IntState frameId;
	char* genFileName (const char* str, const int d);

};
#endif
