#ifndef _SDFZigZagImg_h
#define _SDFZigZagImg_h 1
// header file generated from SDFZigZagImg.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Matrix.h"
#include "Error.h"
#include "IntState.h"

class SDFZigZagImg : public SDFStar
{
public:
	SDFZigZagImg();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort inport;
	OutSDFPort outport;

protected:
	/* virtual */ void go();
	IntState BlockSize;
	void zigzag (float* fData, const FloatMatrix& imData, const int i, const int j, const int width, const int blockSize);
	void doZigZag (const FloatMatrix& inImg, FloatMatrix& outImg);

};
#endif
