static const char file_id[] = "SDFIdentityCx_M.pl";
// .cc file generated from SDFIdentityCx_M.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFIdentityCx_M.h"
#include "Matrix.h"

const char *star_nm_SDFIdentityCx_M = "SDFIdentityCx_M";

const char* SDFIdentityCx_M :: className() const {return star_nm_SDFIdentityCx_M;}

ISA_FUNC(SDFIdentityCx_M,SDFStar);

Block* SDFIdentityCx_M :: makeNew() const { LOG_NEW; return new SDFIdentityCx_M;}

SDFIdentityCx_M::SDFIdentityCx_M ()
{
	setDescriptor("Output a complex identity matrix.");
	addPort(output.setPort("output",this,COMPLEX_MATRIX_ENV));
	addState(rowsCols.setState("rowsCols",this,"2","Number of rows and columns of the output square matrix."));


}

void SDFIdentityCx_M::go() {
# line 26 "SDFIdentityCx_M.pl"
ComplexMatrix& result = *(new ComplexMatrix(int(rowsCols),int(rowsCols)));
    result.identity();
    output%0 << result;
}

// prototype instance for known block list
static SDFIdentityCx_M proto;
static RegisterBlock registerBlock(proto,"IdentityCx_M");
