#ifndef _SDFMxCom_M_h
#define _SDFMxCom_M_h 1
// header file generated from SDFMxCom_M.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"

class SDFMxCom_M : public SDFStar
{
public:
	SDFMxCom_M();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState numRows;
	IntState numCols;
	IntState numRowsSubMx;
	IntState numColsSubMx;
# line 54 "SDFMxCom_M.pl"
int numHeight;  // number of submatrices in the height of output matrix
    int numWidth;   // number of submatrices in the width of output matrix
    int numBlocks;  // total number of submatrices in the output matrix

};
#endif
