#ifndef _SDFTableCx_M_h
#define _SDFTableCx_M_h 1
// header file generated from SDFTableCx_M.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "ComplexArrayState.h"

class SDFTableCx_M : public SDFStar
{
public:
	SDFTableCx_M();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState numRows;
	IntState numCols;
	ComplexArrayState complexTable;
# line 61 "SDFTableCx_M.pl"
int dimension;
   int numMatrices;

};
#endif
