static const char file_id[] = "SDFAbs.pl";
// .cc file generated from SDFAbs.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFAbs.h"

const char *star_nm_SDFAbs = "SDFAbs";

const char* SDFAbs :: className() const {return star_nm_SDFAbs;}

ISA_FUNC(SDFAbs,SDFStar);

Block* SDFAbs :: makeNew() const { LOG_NEW; return new SDFAbs;}

SDFAbs::SDFAbs ()
{
	setDescriptor("Output the absolute value of the input value.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void SDFAbs::go() {
# line 27 "SDFAbs.pl"
double t = input%0;
		if (t < 0.0) t = -t;
		output%0 << t;
}

// prototype instance for known block list
static SDFAbs proto;
static RegisterBlock registerBlock(proto,"Abs");
