static const char file_id[] = "SDFAdd.pl";
// .cc file generated from SDFAdd.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFAdd.h"

const char *star_nm_SDFAdd = "SDFAdd";

const char* SDFAdd :: className() const {return star_nm_SDFAdd;}

ISA_FUNC(SDFAdd,SDFStar);

Block* SDFAdd :: makeNew() const { LOG_NEW; return new SDFAdd;}

SDFAdd::SDFAdd ()
{
	setDescriptor("Output the sum of the inputs, as a floating value.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void SDFAdd::go() {
# line 23 "SDFAdd.pl"
MPHIter nexti(input);
		PortHole *p;
		double sum = 0.0;
		while ((p = nexti++) != 0)
			sum += double((*p)%0);
		output%0 << sum;
}

// prototype instance for known block list
static SDFAdd proto;
static RegisterBlock registerBlock(proto,"Add");
