static const char file_id[] = "SDFAddCx.pl";
// .cc file generated from SDFAddCx.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFAddCx.h"

const char *star_nm_SDFAddCx = "SDFAddCx";

const char* SDFAddCx :: className() const {return star_nm_SDFAddCx;}

ISA_FUNC(SDFAddCx,SDFStar);

Block* SDFAddCx :: makeNew() const { LOG_NEW; return new SDFAddCx;}

SDFAddCx::SDFAddCx ()
{
	setDescriptor("Output the sum of the complex inputs as a complex value.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(output.setPort("output",this,COMPLEX));


}

void SDFAddCx::go() {
# line 23 "SDFAddCx.pl"
MPHIter nexti(input);
		PortHole *p;
		Complex sum = 0.0;
		while ((p = nexti++) != 0)
			sum += (Complex)((*p)%0);
		output%0 << sum;
}

// prototype instance for known block list
static SDFAddCx proto;
static RegisterBlock registerBlock(proto,"AddCx");
