static const char file_id[] = "SDFConst.pl";
// .cc file generated from SDFConst.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFConst.h"

const char *star_nm_SDFConst = "SDFConst";

const char* SDFConst :: className() const {return star_nm_SDFConst;}

ISA_FUNC(SDFConst,SDFStar);

Block* SDFConst :: makeNew() const { LOG_NEW; return new SDFConst;}

SDFConst::SDFConst ()
{
	setDescriptor("Output a constant signal with value given by the \"level\" parameter (default 0.0).");
	addPort(output.setPort("output",this,FLOAT));
	addState(level.setState("level",this,"0.0","The constant value."));


}

void SDFConst::go() {
# line 27 "SDFConst.pl"
output%0 << double(level);
}

// prototype instance for known block list
static SDFConst proto;
static RegisterBlock registerBlock(proto,"Const");
