static const char file_id[] = "SDFConstCx.pl";
// .cc file generated from SDFConstCx.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFConstCx.h"
#include "ComplexSubset.h"

const char *star_nm_SDFConstCx = "SDFConstCx";

const char* SDFConstCx :: className() const {return star_nm_SDFConstCx;}

ISA_FUNC(SDFConstCx,SDFStar);

Block* SDFConstCx :: makeNew() const { LOG_NEW; return new SDFConstCx;}

SDFConstCx::SDFConstCx ()
{
	setDescriptor("Outputs a constant complex signal with the real part given by the\n\"real\" parameter (default 0.0) and imaginary part given by \"imag\"\n(default 0.0).");
	addPort(output.setPort("output",this,COMPLEX));
	addState(real.setState("real",this,"0.0","Real part of DC value."));
	addState(imag.setState("imag",this,"0.0","Imaginary part of DC value."));


}

void SDFConstCx::go() {
# line 41 "SDFConstCx.pl"
output%0 << Complex(real,imag);
}

// prototype instance for known block list
static SDFConstCx proto;
static RegisterBlock registerBlock(proto,"ConstCx");
