static const char file_id[] = "SDFConstInt.pl";
// .cc file generated from SDFConstInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFConstInt.h"

const char *star_nm_SDFConstInt = "SDFConstInt";

const char* SDFConstInt :: className() const {return star_nm_SDFConstInt;}

ISA_FUNC(SDFConstInt,SDFStar);

Block* SDFConstInt :: makeNew() const { LOG_NEW; return new SDFConstInt;}

SDFConstInt::SDFConstInt ()
{
	setDescriptor("Output a constant signal with value given by the \"level\"\nparameter (default 0).");
	addPort(output.setPort("output",this,INT));
	addState(level.setState("level",this,"0","The constant value."));


}

void SDFConstInt::go() {
# line 29 "SDFConstInt.pl"
output%0 << int(level);
}

// prototype instance for known block list
static SDFConstInt proto;
static RegisterBlock registerBlock(proto,"ConstInt");
