static const char file_id[] = "SDFCos.pl";
// .cc file generated from SDFCos.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFCos.h"

const char *star_nm_SDFCos = "SDFCos";

const char* SDFCos :: className() const {return star_nm_SDFCos;}

ISA_FUNC(SDFCos,SDFStar);

Block* SDFCos :: makeNew() const { LOG_NEW; return new SDFCos;}

SDFCos::SDFCos ()
{
	setDescriptor("This star computes the cosine of its input, assumed to be an angle in radians.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void SDFCos::go() {
# line 23 "SDFCos.pl"
output%0 << cos (double(input%0));
}

// prototype instance for known block list
static SDFCos proto;
static RegisterBlock registerBlock(proto,"Cos");
