static const char file_id[] = "SDFCxToRect.pl";
// .cc file generated from SDFCxToRect.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFCxToRect.h"

const char *star_nm_SDFCxToRect = "SDFCxToRect";

const char* SDFCxToRect :: className() const {return star_nm_SDFCxToRect;}

ISA_FUNC(SDFCxToRect,SDFStar);

Block* SDFCxToRect :: makeNew() const { LOG_NEW; return new SDFCxToRect;}

SDFCxToRect::SDFCxToRect ()
{
	setDescriptor("Convert a complex input to real and imaginary parts.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(real.setPort("real",this,FLOAT));
	addPort(imag.setPort("imag",this,FLOAT));


}

void SDFCxToRect::go() {
# line 27 "SDFCxToRect.pl"
Complex t = Complex(input%0);
		real%0 << t.real();
		imag%0 << t.imag();
}

// prototype instance for known block list
static SDFCxToRect proto;
static RegisterBlock registerBlock(proto,"CxToRect");
