static const char file_id[] = "SDFExp.pl";
// .cc file generated from SDFExp.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFExp.h"
#include <math.h>

const char *star_nm_SDFExp = "SDFExp";

const char* SDFExp :: className() const {return star_nm_SDFExp;}

ISA_FUNC(SDFExp,SDFStar);

Block* SDFExp :: makeNew() const { LOG_NEW; return new SDFExp;}

SDFExp::SDFExp ()
{
	setDescriptor("Compute the exponential function of the input.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void SDFExp::go() {
# line 28 "SDFExp.pl"
output%0 << exp(double(input%0));
}

// prototype instance for known block list
static SDFExp proto;
static RegisterBlock registerBlock(proto,"Exp");
