static const char file_id[] = "SDFFloor.pl";
// .cc file generated from SDFFloor.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFFloor.h"

const char *star_nm_SDFFloor = "SDFFloor";

const char* SDFFloor :: className() const {return star_nm_SDFFloor;}

ISA_FUNC(SDFFloor,SDFStar);

Block* SDFFloor :: makeNew() const { LOG_NEW; return new SDFFloor;}

SDFFloor::SDFFloor ()
{
	setDescriptor("Output the greatest integer less than or equal to the input.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,INT));


}

void SDFFloor::go() {
# line 23 "SDFFloor.pl"
double t = double(input%0);
		int it = int(t);
		// handle rounding towards 0 on some processors
		if (it > t) it -= 1;
		output%0 << it;
}

// prototype instance for known block list
static SDFFloor proto;
static RegisterBlock registerBlock(proto,"Floor");
