static const char file_id[] = "SDFIIDUniform.pl";
// .cc file generated from SDFIIDUniform.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFIIDUniform.h"
#include <ACG.h>

const char *star_nm_SDFIIDUniform = "SDFIIDUniform";

const char* SDFIIDUniform :: className() const {return star_nm_SDFIIDUniform;}

ISA_FUNC(SDFIIDUniform,SDFStar);

Block* SDFIIDUniform :: makeNew() const { LOG_NEW; return new SDFIIDUniform;}

# line 46 "SDFIIDUniform.pl"
extern ACG* gen;

SDFIIDUniform::SDFIIDUniform ()
{
	setDescriptor("Generate an i.i.d. uniformly distributed pseudo-random process.\nOutput is uniformly distributed between \"lower\" (default 0)\nand \"upper\" (default 1).");
	addPort(output.setPort("output",this,FLOAT));
	addState(lower.setState("lower",this,"0.0","Lower limit."));
	addState(upper.setState("upper",this,"1.0","Upper limit."));

# line 49 "SDFIIDUniform.pl"
random = NULL;
}

SDFIIDUniform::~SDFIIDUniform() {
# line 52 "SDFIIDUniform.pl"
LOG_DEL; delete random;
}

void SDFIIDUniform::setup() {
# line 55 "SDFIIDUniform.pl"
LOG_DEL; delete random;
		LOG_NEW; random = new Uniform(double(lower),double(upper),gen);
}

void SDFIIDUniform::go() {
# line 59 "SDFIIDUniform.pl"
output%0 << (*random)();
}

// prototype instance for known block list
static SDFIIDUniform proto;
static RegisterBlock registerBlock(proto,"IIDUniform");
