static const char file_id[] = "SDFIntToBits.pl";
// .cc file generated from SDFIntToBits.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFIntToBits.h"

const char *star_nm_SDFIntToBits = "SDFIntToBits";

const char* SDFIntToBits :: className() const {return star_nm_SDFIntToBits;}

ISA_FUNC(SDFIntToBits,SDFStar);

Block* SDFIntToBits :: makeNew() const { LOG_NEW; return new SDFIntToBits;}

SDFIntToBits::SDFIntToBits ()
{
	setDescriptor("Read the least significant nBits bits from an integer input,\nand output the bits as integers serially on the output,\nmost significant bit first.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(nBits.setState("nBits",this,"4","number of bits read per execution"));


}

void SDFIntToBits::setup() {
# line 33 "SDFIntToBits.pl"
output.setSDFParams(int(nBits),int(nBits)-1);
}

void SDFIntToBits::go() {
# line 36 "SDFIntToBits.pl"
int o = int(input%0);
		for (int i = 0; i < int(nBits); i++) {
			output%i << (o & 1);
			o >>= 1;
		}
}

// prototype instance for known block list
static SDFIntToBits proto;
static RegisterBlock registerBlock(proto,"IntToBits");
