static const char file_id[] = "SDFLimit.pl";
// .cc file generated from SDFLimit.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFLimit.h"

const char *star_nm_SDFLimit = "SDFLimit";

const char* SDFLimit :: className() const {return star_nm_SDFLimit;}

ISA_FUNC(SDFLimit,SDFStar);

Block* SDFLimit :: makeNew() const { LOG_NEW; return new SDFLimit;}

SDFLimit::SDFLimit ()
{
	setDescriptor("The output of this star is the value of the input limited\nto the range between \"bottom\" and \"top\" inclusive.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(bottom.setState("bottom",this,"0.0","Lower limit of the output."));
	addState(top.setState("top",this,"1.0","Upper limit of the output."));


}

void SDFLimit::go() {
# line 38 "SDFLimit.pl"
if(double(input%0) > double(top))
		output%0 << double(top);
	   else if (double(input%0) < double(bottom))
		output%0 << double(bottom);
	   else
		output%0 = input%0;
}

// prototype instance for known block list
static SDFLimit proto;
static RegisterBlock registerBlock(proto,"Limit");
