static const char file_id[] = "SDFModulo.pl";
// .cc file generated from SDFModulo.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFModulo.h"

const char *star_nm_SDFModulo = "SDFModulo";

const char* SDFModulo :: className() const {return star_nm_SDFModulo;}

ISA_FUNC(SDFModulo,SDFStar);

Block* SDFModulo :: makeNew() const { LOG_NEW; return new SDFModulo;}

SDFModulo::SDFModulo ()
{
	setDescriptor("The output is equal to the remainder after dividing\nthe input by the modulo the \"modulo\" parameter.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(modulo.setState("modulo",this,"1.0","The modulo parameter"));


}

void SDFModulo::setup() {
# line 32 "SDFModulo.pl"
if ( double(modulo) == 0.0 ) {
		    Error::abortRun(*this,
				    "The modulo parameter cannot be zero");
		    return;
		}
}

void SDFModulo::go() {
# line 39 "SDFModulo.pl"
double dummy;
	  output%0 << modf(double(input%0)/double(modulo), &dummy);
}

// prototype instance for known block list
static SDFModulo proto;
static RegisterBlock registerBlock(proto,"Modulo");
