static const char file_id[] = "SDFModuloInt.pl";
// .cc file generated from SDFModuloInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFModuloInt.h"

const char *star_nm_SDFModuloInt = "SDFModuloInt";

const char* SDFModuloInt :: className() const {return star_nm_SDFModuloInt;}

ISA_FUNC(SDFModuloInt,SDFStar);

Block* SDFModuloInt :: makeNew() const { LOG_NEW; return new SDFModuloInt;}

SDFModuloInt::SDFModuloInt ()
{
	setDescriptor("The output is equal to the remainder after dividing the\ninteger input by the integer \"modulo\" parameter.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(modulo.setState("modulo",this,"10","The modulo parameter"));


}

void SDFModuloInt::setup() {
# line 32 "SDFModuloInt.pl"
if ( int(modulo) == 0 ) {
		    Error::abortRun(*this,
				    "The modulo parameter cannot be zero");
		    return;
		}
}

void SDFModuloInt::go() {
# line 39 "SDFModuloInt.pl"
output%0 << int(input%0) % int(modulo);
}

// prototype instance for known block list
static SDFModuloInt proto;
static RegisterBlock registerBlock(proto,"ModuloInt");
