static const char file_id[] = "SDFMpy.pl";
// .cc file generated from SDFMpy.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFMpy.h"

const char *star_nm_SDFMpy = "SDFMpy";

const char* SDFMpy :: className() const {return star_nm_SDFMpy;}

ISA_FUNC(SDFMpy,SDFStar);

Block* SDFMpy :: makeNew() const { LOG_NEW; return new SDFMpy;}

SDFMpy::SDFMpy ()
{
	setDescriptor("Output the product of the inputs, as a floating-point value.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void SDFMpy::go() {
# line 23 "SDFMpy.pl"
MPHIter nexti(input);
		PortHole *p;
		double product = 1.0;
		while ((p = nexti++) != 0)
			product *= double((*p)%0);
		output%0 << product;
}

// prototype instance for known block list
static SDFMpy proto;
static RegisterBlock registerBlock(proto,"Mpy");
