static const char file_id[] = "SDFMpyInt.pl";
// .cc file generated from SDFMpyInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFMpyInt.h"

const char *star_nm_SDFMpyInt = "SDFMpyInt";

const char* SDFMpyInt :: className() const {return star_nm_SDFMpyInt;}

ISA_FUNC(SDFMpyInt,SDFStar);

Block* SDFMpyInt :: makeNew() const { LOG_NEW; return new SDFMpyInt;}

SDFMpyInt::SDFMpyInt ()
{
	setDescriptor("Output the product of the inputs, as an integer value.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));


}

void SDFMpyInt::go() {
# line 23 "SDFMpyInt.pl"
MPHIter nexti(input);
		PortHole *p;
		int product = 1;
		while ((p = nexti++) != 0)
			product *= int((*p)%0);
		output%0 << product;
}

// prototype instance for known block list
static SDFMpyInt proto;
static RegisterBlock registerBlock(proto,"MpyInt");
