static const char file_id[] = "SDFMultiple.pl";
// .cc file generated from SDFMultiple.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFMultiple.h"

const char *star_nm_SDFMultiple = "SDFMultiple";

const char* SDFMultiple :: className() const {return star_nm_SDFMultiple;}

ISA_FUNC(SDFMultiple,SDFStar);

Block* SDFMultiple :: makeNew() const { LOG_NEW; return new SDFMultiple;}

SDFMultiple::SDFMultiple ()
{
	setDescriptor("Output a 1 if top input is a multiple of bottom input");
	addPort(top.setPort("top",this,INT));
	addPort(bottom.setPort("bottom",this,INT));
	addPort(mult.setPort("mult",this,INT));


}

void SDFMultiple::go() {
# line 30 "SDFMultiple.pl"
int t = top%0;
		int b = bottom%0;
		if (b <= 0) {
			Error::abortRun(*this,
			   "Reference input (bottom) is not positive");
			return;
		}
		mult%0 << (((t%b) == 0) ? 1 : 0);
}

// prototype instance for known block list
static SDFMultiple proto;
static RegisterBlock registerBlock(proto,"Multiple");
