static const char file_id[] = "SDFPolarToRect.pl";
// .cc file generated from SDFPolarToRect.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFPolarToRect.h"
#include <math.h>

const char *star_nm_SDFPolarToRect = "SDFPolarToRect";

const char* SDFPolarToRect :: className() const {return star_nm_SDFPolarToRect;}

ISA_FUNC(SDFPolarToRect,SDFStar);

Block* SDFPolarToRect :: makeNew() const { LOG_NEW; return new SDFPolarToRect;}

SDFPolarToRect::SDFPolarToRect ()
{
	setDescriptor("Convert magnitude and phase to rectangular form.");
	addPort(magnitude.setPort("magnitude",this,FLOAT));
	addPort(phase.setPort("phase",this,FLOAT));
	addPort(x.setPort("x",this,FLOAT));
	addPort(y.setPort("y",this,FLOAT));


}

void SDFPolarToRect::go() {
# line 40 "SDFPolarToRect.pl"
double m = magnitude%0;
		double p = phase%0;
		x%0 << m * cos(p);
		y%0 << m * sin(p);
}

// prototype instance for known block list
static SDFPolarToRect proto;
static RegisterBlock registerBlock(proto,"PolarToRect");
