#ifndef _SDFQuant_h
#define _SDFQuant_h 1
// header file generated from SDFQuant.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class SDFQuant : public SDFStar
{
public:
	SDFQuant();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatArrayState thresholds;
	FloatArrayState levels;
	IntState quantizationLevel;

};
#endif
