static const char file_id[] = "SDFRampInt.pl";
// .cc file generated from SDFRampInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFRampInt.h"

const char *star_nm_SDFRampInt = "SDFRampInt";

const char* SDFRampInt :: className() const {return star_nm_SDFRampInt;}

ISA_FUNC(SDFRampInt,SDFStar);

Block* SDFRampInt :: makeNew() const { LOG_NEW; return new SDFRampInt;}

SDFRampInt::SDFRampInt ()
{
	setDescriptor("Generate an integer ramp signal, starting at \"value\" (default 0)\nand incrementing by step size \"step\" (default 1) on each firing.");
	addPort(output.setPort("output",this,INT));
	addState(step.setState("step",this,"1","Increment from one sample to the next."));
	addState(value.setState("value",this,"0","Initial (or latest) value output by Ramp.",
# line 32 "SDFRampInt.pl"
A_SETTABLE|A_NONCONSTANT));


}

void SDFRampInt::go() {
# line 35 "SDFRampInt.pl"
int t = value;
		output%0 << t;
		t += step;
		value = t;
}

// prototype instance for known block list
static SDFRampInt proto;
static RegisterBlock registerBlock(proto,"RampInt");
