#ifndef _SDFRectCx_h
#define _SDFRectCx_h 1
// header file generated from SDFRectCx.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include <math.h>
#include "IntState.h"
#include "FloatState.h"

class SDFRectCx : public SDFStar
{
public:
	SDFRectCx();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState bandwidth;
	FloatState Te;
	FloatState Fe;
	FloatState Fsimu;
	FloatState vn;
	FloatState Tp;
	IntState Np;
	FloatState Fpor;
	FloatState c;
	FloatState SNRn;
	FloatState SqrPthn;
	IntState width;
	IntState period;
	FloatState sdelay;
	IntState count;
	IntState dopplercount;

};
#endif
