#ifndef _SDFRectFix_h
#define _SDFRectFix_h 1
// header file generated from SDFRectFix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFFix.h"
#include "IntState.h"
#include "FixState.h"
#include "PrecisionState.h"

class SDFRectFix : public SDFFix
{
public:
	SDFRectFix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState height;
	IntState width;
	IntState period;
	IntState count;
	PrecisionState OutputPrecision;
# line 69 "SDFRectFix.pl"
Fix out;

};
#endif
