static const char file_id[] = "SDFRectToCx.pl";
// .cc file generated from SDFRectToCx.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFRectToCx.h"

const char *star_nm_SDFRectToCx = "SDFRectToCx";

const char* SDFRectToCx :: className() const {return star_nm_SDFRectToCx;}

ISA_FUNC(SDFRectToCx,SDFStar);

Block* SDFRectToCx :: makeNew() const { LOG_NEW; return new SDFRectToCx;}

SDFRectToCx::SDFRectToCx ()
{
	setDescriptor("Convert \"real\" and \"imag\" inputs to a complex output.");
	addPort(real.setPort("real",this,FLOAT));
	addPort(imag.setPort("imag",this,FLOAT));
	addPort(output.setPort("output",this,COMPLEX));


}

void SDFRectToCx::go() {
# line 31 "SDFRectToCx.pl"
double r = real%0;
		double i = imag%0;
		output%0 << Complex(r,i);
}

// prototype instance for known block list
static SDFRectToCx proto;
static RegisterBlock registerBlock(proto,"RectToCx");
