#ifndef _SDFSharedMem_h
#define _SDFSharedMem_h 1
// header file generated from SDFSharedMem.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "HashTable.h"
# line 16 "SDFSharedMem.pl"
class VarReg {
    public:
      VarReg(): contents(0) {}

      double GetContents() { return contents; }
      void SetContents(double value) { contents= value; }

    private:
      double contents;
    };

class SDFSharedMem : public SDFStar
{
public:
	SDFSharedMem();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
protected:
# line 36 "SDFSharedMem.pl"
static HashTable regList;
	int ReadVar (const char* name, double* value);
	void RemoveVar (const char *name);
	void WriteVar (const char *name, double value);

};
#endif
