static const char file_id[] = "SDFSin.pl";
// .cc file generated from SDFSin.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFSin.h"
#include <math.h>

const char *star_nm_SDFSin = "SDFSin";

const char* SDFSin :: className() const {return star_nm_SDFSin;}

ISA_FUNC(SDFSin,SDFStar);

Block* SDFSin :: makeNew() const { LOG_NEW; return new SDFSin;}

SDFSin::SDFSin ()
{
	setDescriptor("This star computes the sine of its input, which is assumed to be an angle in radians.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void SDFSin::go() {
# line 24 "SDFSin.pl"
output%0 << sin (double(input%0));
}

// prototype instance for known block list
static SDFSin proto;
static RegisterBlock registerBlock(proto,"Sin");
