static const char file_id[] = "SDFSub.pl";
// .cc file generated from SDFSub.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFSub.h"

const char *star_nm_SDFSub = "SDFSub";

const char* SDFSub :: className() const {return star_nm_SDFSub;}

ISA_FUNC(SDFSub,SDFStar);

Block* SDFSub :: makeNew() const { LOG_NEW; return new SDFSub;}

SDFSub::SDFSub ()
{
	setDescriptor("Output the \"pos\" input minus all \"neg\" inputs.");
	addPort(pos.setPort("pos",this,FLOAT));
	addPort(neg.setPort("neg",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void SDFSub::go() {
# line 27 "SDFSub.pl"
double diff;
		diff = double(pos%0);
		MPHIter nexti(neg);
		for(int i=neg.numberPorts(); i>0; i--)
			diff -= double((*nexti++)%0);
		output%0 << diff;
}

// prototype instance for known block list
static SDFSub proto;
static RegisterBlock registerBlock(proto,"Sub");
