#ifndef _SDFWaveForm_h
#define _SDFWaveForm_h 1
// header file generated from SDFWaveForm.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class SDFWaveForm : public SDFStar
{
public:
	SDFWaveForm();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatArrayState value;
	IntState haltAtEnd;
	IntState periodic;
	IntState period;
# line 74 "SDFWaveForm.pl"
int pos;

};
#endif
