static const char file_id[] = "SDFXYgraph.pl";
// .cc file generated from SDFXYgraph.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFXYgraph.h"

const char *star_nm_SDFXYgraph = "SDFXYgraph";

const char* SDFXYgraph :: className() const {return star_nm_SDFXYgraph;}

ISA_FUNC(SDFXYgraph,SDFXgraph);

Block* SDFXYgraph :: makeNew() const { LOG_NEW; return new SDFXYgraph;}

SDFXYgraph::SDFXYgraph ()
{
	setDescriptor("Generates an X-Y plot with the xgraph program.\nThe X data is on \"xInput\" and the Y data is on \"input\".");
	addPort(xInput.setPort("xInput",this,ANYTYPE));

# line 30 "SDFXYgraph.pl"
// make xInit and xUnits invisible
		xUnits.setAttributes(A_NONSETTABLE);
		xInit.setAttributes(A_NONSETTABLE);
}

void SDFXYgraph::go() {
# line 35 "SDFXYgraph.pl"
graph.addPoint(float(xInput%0), float(input%0));
}

// prototype instance for known block list
static SDFXYgraph proto;
static RegisterBlock registerBlock(proto,"XYgraph");
