static const char file_id[] = "SDFXgraph.pl";
// .cc file generated from SDFXgraph.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFXgraph.h"

const char *star_nm_SDFXgraph = "SDFXgraph";

const char* SDFXgraph :: className() const {return star_nm_SDFXgraph;}

ISA_FUNC(SDFXgraph,SDFStar);

Block* SDFXgraph :: makeNew() const { LOG_NEW; return new SDFXgraph;}

SDFXgraph::SDFXgraph ()
{
	setDescriptor("Generate a plot of a single signal with the xgraph program.");
	addPort(input.setPort("input",this,ANYTYPE));
	addState(title.setState("title",this,"Ptolemy Xgraph","Title for the plot."));
	addState(saveFile.setState("saveFile",this,"","File to save the input to the xgraph program."));
	addState(options.setState("options",this,"-bb -tk =800x400","Command line options for xgraph."));
	addState(ignore.setState("ignore",this,"0","Number of initial values to ignore."));
	addState(xUnits.setState("xUnits",this,"1.0","For labeling, horizontal increment between samples."));
	addState(xInit.setState("xInit",this,"0.0","For labeling, horizontal value of the first sample."));


}

void SDFXgraph::wrapup() {
# line 86 "SDFXgraph.pl"
graph.terminate();
}

void SDFXgraph::setup() {
# line 77 "SDFXgraph.pl"
graph.initialize(this, 1, options, title, saveFile, ignore);
		index = xInit;
}

void SDFXgraph::go() {
# line 82 "SDFXgraph.pl"
graph.addPoint(1,index,float(input%0));
		index += double(xUnits);
}

// prototype instance for known block list
static SDFXgraph proto;
static RegisterBlock registerBlock(proto,"Xgraph");
