#ifndef _SDFLMSCxTkPlot_h
#define _SDFLMSCxTkPlot_h 1
// header file generated from SDFLMSCxTkPlot.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFLMSCx.h"
#include "BarGraph.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class SDFLMSCxTkPlot : public SDFLMSCx
{
public:
	SDFLMSCxTkPlot();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void begin();
	/* virtual */ ~SDFLMSCxTkPlot();
	void resetTaps ();
	void redrawTaps ();
	void setStepSize (char *newValue);

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState stepSizeLow;
	FloatState stepSizeHigh;
	FloatState fullScale;
	StringState geometry;
	FloatState width;
	FloatState height;
	StringState identifier;
	IntState updateInterval;

private:
# line 69 "SDFLMSCxTkPlot.pl"
// Count iterations
	    int invCount;

	    // To create unique Tcl command names, we generate unique symbols
	    static int instCount;
	    int myInst;

	    // Bar graph object
	    BarGraph bg;

	    InfString butName;
	    InfString sliderName;
	    InfString command;

	    // initial slider position
	    int position;

};
#endif
