static const char file_id[] = "SDFTclScript.pl";
// .cc file generated from SDFTclScript.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFTclScript.h"

const char *star_nm_SDFTclScript = "SDFTclScript";

const char* SDFTclScript :: className() const {return star_nm_SDFTclScript;}

ISA_FUNC(SDFTclScript,SDFStar);

Block* SDFTclScript :: makeNew() const { LOG_NEW; return new SDFTclScript;}

SDFTclScript::SDFTclScript ()
{
	setDescriptor("Invoke a Tcl script that can optionally define a procedure that is\ninvoked every time the star fires. That procedure can read the star's\ninputs and update the value of the outputs.");
	addPort(output.setPort("output",this,FLOAT));
	addPort(input.setPort("input",this,ANYTYPE));
	addState(tcl_file.setState("tcl_file",this,"$PTOLEMY/src/domains/sdf/tcltk/stars/tkScript.tcl","The file from which to read the tcl script"));


}

void SDFTclScript::wrapup() {
# line 119 "SDFTclScript.pl"
tcl.wrapup();
}

void SDFTclScript::begin() {
# line 102 "SDFTclScript.pl"
tcl.setup(this,input.numberPorts(),
			output.numberPorts(), (const char*)tcl_file);
}

void SDFTclScript::go() {
# line 107 "SDFTclScript.pl"
tcl.go();

	    // Send output values from the local buffer
	    MPHIter nexto(output);
	    PortHole *p;
	    int i = 0;
	    while ((p = nexto++) != 0) {
		(*p)%0 << tcl.outputValues[i++];
	    }
}

// prototype instance for known block list
static SDFTclScript proto;
static RegisterBlock registerBlock(proto,"TclScript");
