#ifndef _SDFTkBarGraph_h
#define _SDFTkBarGraph_h 1
// header file generated from SDFTkBarGraph.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "ptk.h"
#include "BarGraph.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class SDFTkBarGraph : public SDFStar
{
public:
	SDFTkBarGraph();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void begin();
	/* virtual */ ~SDFTkBarGraph();
	MultiInSDFPort input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState label;
	FloatState top;
	FloatState bottom;
	IntState number_of_bars;
	FloatState bar_graph_height;
	FloatState bar_graph_width;
	StringState position;
	IntState updateSize;
# line 76 "SDFTkBarGraph.pl"
BarGraph bar;
		int count, batchCount;
		char *labCopy;
		char *posCopy;

};
#endif
