#ifndef _SDFTkButtons_h
#define _SDFTkButtons_h 1
// header file generated from SDFTkButtons.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFTclScript.h"
#include "ptk.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"
#include "StringArrayState.h"

class SDFTkButtons : public SDFTclScript
{
public:
	SDFTkButtons();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void begin();
protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState label;
	StringArrayState identifiers;
	FloatState value;
	IntState allow_simultaneous_events;
	IntState synchronous;
	IntState put_in_control_panel;

};
#endif
