static const char file_id[] = "SDFTkMeter.pl";
// .cc file generated from SDFTkMeter.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFTkMeter.h"

const char *star_nm_SDFTkMeter = "SDFTkMeter";

const char* SDFTkMeter :: className() const {return star_nm_SDFTkMeter;}

ISA_FUNC(SDFTkMeter,SDFTclScript);

Block* SDFTkMeter :: makeNew() const { LOG_NEW; return new SDFTkMeter;}

SDFTkMeter::SDFTkMeter ()
{
	setDescriptor("Dynamically display the value of any number of input signals on a set of bar meters.");
	addState(label.setState("label",this,"sliding scale display","A label to put on the display"));
	addState(low.setState("low",this,"-1.0","Low end of the scale"));
	addState(high.setState("high",this,"1.0","High end of the scale"));
	addState(put_in_control_panel.setState("put_in_control_panel",this,"YES","Specify to put bars in the control panel (vs. their own window)"));

# line 56 "SDFTkMeter.pl"
// Hide irrelevant outputs and states.
	    output.setAttributes(P_HIDDEN);
	    tcl_file.clearAttributes(A_SETTABLE);
}

void SDFTkMeter::begin() {
# line 51 "SDFTkMeter.pl"
tcl_file =
		"$PTOLEMY/src/domains/sdf/tcltk/stars/tkMeter.tcl";
	    SDFTclScript::begin();
}

void SDFTkMeter::setup() {
# line 45 "SDFTkMeter.pl"
if (output.numberPorts() > 0) {
		Error::abortRun(*this, "Outputs not supported");
		return;
	    }
}

// prototype instance for known block list
static SDFTkMeter proto;
static RegisterBlock registerBlock(proto,"TkMeter");
