static const char file_id[] = "SDFTkShowValues.pl";
// .cc file generated from SDFTkShowValues.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFTkShowValues.h"

const char *star_nm_SDFTkShowValues = "SDFTkShowValues";

const char* SDFTkShowValues :: className() const {return star_nm_SDFTkShowValues;}

ISA_FUNC(SDFTkShowValues,SDFTclScript);

Block* SDFTkShowValues :: makeNew() const { LOG_NEW; return new SDFTkShowValues;}

SDFTkShowValues::SDFTkShowValues ()
{
	setDescriptor("Display the values of the inputs in textual form.\nThe print method of the input particles is used,\nso any data type can be handled, although the space\nallocated on the screen may need to be adjusted.");
	addState(label.setState("label",this,"Inputs to the TkShowValues star:","A label to put on the display"));
	addState(put_in_control_panel.setState("put_in_control_panel",this,"YES","Specify to put bars in the control panel (vs. their own window)"));
	addState(wait_between_outputs.setState("wait_between_outputs",this,"NO","Specify whether to wait for user input between output values"));

# line 58 "SDFTkShowValues.pl"
output.setAttributes(P_HIDDEN);
        tcl_file.clearAttributes(A_SETTABLE);
}

void SDFTkShowValues::begin() {
# line 53 "SDFTkShowValues.pl"
tcl_file = "$PTOLEMY/src/domains/sdf/tcltk/stars/tkShowValues.tcl";

        SDFTclScript::begin();
}

void SDFTkShowValues::setup() {
# line 47 "SDFTkShowValues.pl"
if (output.numberPorts() > 0) {
            Error::abortRun(*this, "Outputs not supported");
            return;
        }
}

// prototype instance for known block list
static SDFTkShowValues proto;
static RegisterBlock registerBlock(proto,"TkShowValues");
