.EQ
delim off
.EN
.\" documentation file generated from VHDLDownSample.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DownSample"
.SD
A decimator by a given "factor" (default 2).
The "phase" tells which sample to output.
If phase = 0, the most recent sample is the output,
while if phase = factor-1 the oldest sample is the output.
Phase = 0 is the default.  Note that "phase" has the opposite
sense of the phase parameter in the UpSample star, but the
same sense as the phase parameter in the FIR star.
.SE
.LO "SDF main library"
.DM VHDL VHDLStar
.SV 1.4 "3/7/96"
.AL "Michael C. Williamson, J. T. Buck"
.IH
.NE
\fIinput\fR (ANYTYPE)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fIfactor\fR (IntState): Downsample factor.
.DF "2"
.NE
\fIphase\fR (IntState): Downsample phase.
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
.Ir "decimation"
.ES
