.EQ
delim off
.EN
.\" documentation file generated from VHDLLMS.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "LMS"
.SD
Adaptive filter using LMS adaptation algorithm.
.SE
.LO "VHDL main library"
.DM VHDL VHDLStar
.SV 1.2 "3/7/96"
.AL "E. A. Lee, A. P. Kalavade, M. C. Williamson"
.IH
.NE
\fIsignalIn\fR (int)
.NE
\fIerror\fR (int)
.PE
.OH
.NE
\fIsignalOut\fR (int)
.PE
.SH
.NE
\fIdelay1\fR (IntState): Input stream delayed by 1.
.DF "0"
.NE
\fIdelay2\fR (IntState): Input stream delayed by 2.
.DF "0"
.NE
\fIdelay3\fR (IntState): Input stream delayed by 3.
.DF "0"
.NE
\fItap0\fR (IntState): filter tap 0
.DF "1"
.NE
\fItap1\fR (IntState): filter tap 1
.DF "1"
.NE
\fItap2\fR (IntState): filter tap 2
.DF "1"
.NE
\fItap3\fR (IntState): filter tap 3
.DF "1"
.NE
\fIstepSize\fR (FloatState): Adaptation step size.
.DF "0.01"
.ET
.EQ
delim $$
.EN
.ES
