.EQ
delim off
.EN
.\" documentation file generated from VHDLRamp.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Ramp"
.SD
Generates a ramp signal, starting at "value" (default 0)
with step size "step" (default 1).
.SE
.LO "VHDL main library"
.DM VHDL VHDLStar
.SV 1.3 "3/7/96"
.AL "Michael C. Williamson"
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIstep\fR (FloatState): Increment from one sample to the next.
.DF "1.0"
.NE
\fIvalue\fR (FloatState): Initial (or latest) value output by Ramp.
.DF "0.0"
.ET
.EQ
delim $$
.EN
.ES
