.EQ
delim off
.EN
.\" documentation file generated from VHDLRampInt.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "RampInt"
.SD
Generates a ramp integer signal, starting at "value" (default 0)
with step size "step" (default 1).
.SE
.LO "VHDL main library"
.DM VHDL VHDLStar
.SV 1.2 "3/7/96"
.AL "Michael C. Williamson"
.OH
.NE
\fIoutput\fR (int)
.PE
.SH
.NE
\fIstep\fR (IntState): Increment from one sample to the next.
.DF "1"
.NE
\fIvalue\fR (IntState): Initial (or latest) value output by Ramp.
.DF "0"
.ET
.EQ
delim $$
.EN
.ES
