.EQ
delim off
.EN
.\" documentation file generated from VHDLRectToPolar.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "RectToPolar"
.SD
CORDIC algorithm performs Cartesian to polar conversion
.SE
.LO "VHDL main library"
.DM VHDL VHDLStar
.SV 1.5 "3/7/96"
.AL "M. C. Williamson, A. P. Kalavade"
.AC "C. Sheers, IMEC"
.IH
.NE
\fIx\fR (float)
.NE
\fIy\fR (float)
.PE
.OH
.NE
\fImagnitude\fR (float)
.NE
\fIphase\fR (float)
.PE
.SH
.NE
\fICorAngles\fR (FloatArrayState): Angles for the CORDIC algorithm.
.DF "0.25 \
0.147583618 0.077979130 0.039583424 0.019868524 \
0.009943948 0.004973187 0.002486745 0.001243392 \
0.000621698 0.000310849 0.000155425 0.000077712 \
0.000038856 0.000019428 0.000009714 0.000004857 \
0.000002429 0.000001214 0.000000607"
.ET
.EQ
delim $$
.EN
.LD
The CORDIC algorithm is an efficient implementation for Cartesian to
polar coordinate conversion.
.ES
