static const char file_id[] = "VHDLConstInt.pl";
// .cc file generated from VHDLConstInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
      All rights reserved.
      See the file $PTOLEMY/copyright for copyright notice,
      limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLConstInt.h"

const char *star_nm_VHDLConstInt = "VHDLConstInt";

const char* VHDLConstInt :: className() const {return star_nm_VHDLConstInt;}

ISA_FUNC(VHDLConstInt,VHDLStar);

Block* VHDLConstInt :: makeNew() const { LOG_NEW; return new VHDLConstInt;}

CodeBlock VHDLConstInt :: std (
# line 26 "VHDLConstInt.pl"
"    $ref(output) $assign(output) $val(level);\n");

VHDLConstInt::VHDLConstInt ()
{
	setDescriptor("Output a constant signal with value given by the \"level\" parameter (default 0) and of type integer.");
	addPort(output.setPort("output",this,INT));
	addState(level.setState("level",this,"0","The constant value."));


}

void VHDLConstInt::go() {
# line 30 "VHDLConstInt.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLConstInt proto;
static RegisterBlock registerBlock(proto,"ConstInt");
