static const char file_id[] = "VHDLCxToFloat.pl";
// .cc file generated from VHDLCxToFloat.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLCxToFloat.h"

const char *star_nm_VHDLCxToFloat = "VHDLCxToFloat";

const char* VHDLCxToFloat :: className() const {return star_nm_VHDLCxToFloat;}

ISA_FUNC(VHDLCxToFloat,VHDLStar);

Block* VHDLCxToFloat :: makeNew() const { LOG_NEW; return new VHDLCxToFloat;}

VHDLCxToFloat::VHDLCxToFloat ()
{
	setDescriptor("type conversion from complex to float/int");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(output.setPort("output",this,FLOAT));
	addState(numSample.setState("numSample",this,"1","number of samples to be copied"));

# line 29 "VHDLCxToFloat.pl"
noInternalState();
}

void VHDLCxToFloat::initCode() {
# line 38 "VHDLCxToFloat.pl"
numSample = output.numXfer();
}

void VHDLCxToFloat::setup() {
# line 32 "VHDLCxToFloat.pl"
if (int(numSample) > 1) {
			input.setSDFParams(int(numSample));
			output.setSDFParams(int(numSample));
		}
}

void VHDLCxToFloat::go() {
# line 41 "VHDLCxToFloat.pl"
StringList out;
	  for (int i = 0; i < int(numSample); i++) {
	    out << "$ref(output, ";
	    out << -i;
	    out << ") $assign(output) $refCx(input, ";
	    out << -i;
	    out << ", real);\n";
	  }
	  addCode(out);
	  out.initialize();
}

// prototype instance for known block list
static VHDLCxToFloat proto;
static RegisterBlock registerBlock(proto,"CxToFloat");
