static const char file_id[] = "VHDLCxToRect.pl";
// .cc file generated from VHDLCxToRect.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLCxToRect.h"

const char *star_nm_VHDLCxToRect = "VHDLCxToRect";

const char* VHDLCxToRect :: className() const {return star_nm_VHDLCxToRect;}

ISA_FUNC(VHDLCxToRect,VHDLStar);

Block* VHDLCxToRect :: makeNew() const { LOG_NEW; return new VHDLCxToRect;}

CodeBlock VHDLCxToRect :: std (
# line 29 "VHDLCxToRect.pl"
"$ref(real) $assign(real) $refCx(input,real);\n"
"$ref(imag) $assign(imag) $refCx(input,imag);\n");

VHDLCxToRect::VHDLCxToRect ()
{
	setDescriptor("Convert complex data to real and imaginary parts.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(real.setPort("real",this,FLOAT));
	addPort(imag.setPort("imag",this,FLOAT));

# line 27 "VHDLCxToRect.pl"
noInternalState();
}

void VHDLCxToRect::go() {
# line 34 "VHDLCxToRect.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLCxToRect proto;
static RegisterBlock registerBlock(proto,"CxToRect");
