static const char file_id[] = "VHDLExp.pl";
// .cc file generated from VHDLExp.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLExp.h"

const char *star_nm_VHDLExp = "VHDLExp";

const char* VHDLExp :: className() const {return star_nm_VHDLExp;}

ISA_FUNC(VHDLExp,VHDLStar);

Block* VHDLExp :: makeNew() const { LOG_NEW; return new VHDLExp;}

CodeBlock VHDLExp :: std (
# line 23 "VHDLExp.pl"
"$temp(val1,float) := $ref(input);\n"
"\n"
"$temp(x1,float) := $temp(val1,float);\n"
"$temp(x2,float) := $temp(val1,float) * $temp(val1,float);\n"
"$temp(x3,float) := $temp(val1,float) * $temp(val1,float) * $temp(val1,float);\n"
"$temp(x4,float) := $temp(x2,float) * $temp(x2,float);\n"
"$temp(x5,float) := $temp(x3,float) * $temp(val1,float) * $temp(val1,float);\n"
"$temp(x6,float) := $temp(x4,float) * $temp(x2,float);\n"
"$temp(x7,float) := $temp(x5,float) * $temp(val1,float) * $temp(val1,float);\n"
"$temp(x8,float) := $temp(x4,float) * $temp(x4,float);\n"
"$temp(x9,float) := $temp(x7,float) * $temp(val1,float) * $temp(val1,float);\n"
"$temp(x10,float) := $temp(x6,float) * $temp(x4,float);\n"
"$temp(x11,float) := $temp(x9,float) * $temp(val1,float) * $temp(val1,float);\n"
"\n"
"$temp(term0,float) := 1.0;\n"
"$temp(term1,float) := $temp(x1,float);\n"
"$temp(term2,float) := $temp(x2,float) / 2.0;\n"
"$temp(term3,float) := $temp(x3,float) / 6.0;\n"
"$temp(term4,float) := $temp(x4,float) / 24.0;\n"
"$temp(term5,float) := $temp(x5,float) / 120.0;\n"
"$temp(term6,float) := $temp(x6,float) / 720.0;\n"
"$temp(term7,float) := $temp(x7,float) / 5040.0;\n"
"$temp(term8,float) := $temp(x8,float) / 40320.0;\n"
"$temp(term9,float) := $temp(x9,float) / 362880.0;\n"
"$temp(term10,float) := $temp(x10,float) / 3628800.0;\n"
"$temp(term11,float) := $temp(x11,float) / 39916800.0;\n"
"\n"
"$temp(result,float) := \n"
"  $temp(term0,float) + $temp(term1,float) + $temp(term2,float) +\n"
"  $temp(term3,float) + $temp(term4,float) + $temp(term5,float) +\n"
"  $temp(term6,float) + $temp(term7,float) + $temp(term8,float) +\n"
"  $temp(term9,float) + $temp(term10,float) + $temp(term11,float);\n"
"\n"
"$ref(output) := $temp(result,float);\n");

VHDLExp::VHDLExp ()
{
	setDescriptor("");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void VHDLExp::go() {
# line 60 "VHDLExp.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLExp proto;
static RegisterBlock registerBlock(proto,"Exp");
