static const char file_id[] = "VHDLInhomogeneous.pl";
// .cc file generated from VHDLInhomogeneous.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLInhomogeneous.h"

const char *star_nm_VHDLInhomogeneous = "VHDLInhomogeneous";

const char* VHDLInhomogeneous :: className() const {return star_nm_VHDLInhomogeneous;}

ISA_FUNC(VHDLInhomogeneous,VHDLStar);

Block* VHDLInhomogeneous :: makeNew() const { LOG_NEW; return new VHDLInhomogeneous;}

VHDLInhomogeneous::VHDLInhomogeneous ()
{
	setDescriptor("Input and output settable numbers of tokens.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);
	addState(transfer.setState("transfer",this,"1","transfer"));


}

int VHDLInhomogeneous::myExecTime() {
# line 44 "VHDLInhomogeneous.pl"
return int(transfer);
}

void VHDLInhomogeneous::setup() {
# line 28 "VHDLInhomogeneous.pl"
input.setSDFParams(int(transfer), int(transfer)-1);
	        output.setSDFParams(int(transfer), int(transfer)-1);
}

void VHDLInhomogeneous::go() {
# line 32 "VHDLInhomogeneous.pl"
StringList out;
	  for (int i = 0; i < int(transfer); i++) {
	    out << "$ref(output, ";
	    out << -i;
	    out << ") $assign(output) $ref(input, ";
	    out << -i;
	    out << ");\n";
	  }
	  addCode(out);
	  out.initialize();
}

// prototype instance for known block list
static VHDLInhomogeneous proto;
static RegisterBlock registerBlock(proto,"Inhomogeneous");
