#ifndef _VHDLIntegrator_h
#define _VHDLIntegrator_h 1
// header file generated from VHDLIntegrator.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "VHDLStar.h"
#include "IntState.h"
#include "FloatState.h"

class VHDLIntegrator : public VHDLStar
{
public:
	VHDLIntegrator();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock integrate;
	static CodeBlock limitWithSat;
	static CodeBlock limitWithoutSat;
	static CodeBlock write;
	InVHDLPort data;
	InVHDLPort reset;
	OutVHDLPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState feedbackGain;
	FloatState top;
	FloatState bottom;
	IntState saturate;
	FloatState state;
# line 78 "VHDLIntegrator.pl"
double spread;

};
#endif
