static const char file_id[] = "VHDLRamp.pl";
// .cc file generated from VHDLRamp.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLRamp.h"

const char *star_nm_VHDLRamp = "VHDLRamp";

const char* VHDLRamp :: className() const {return star_nm_VHDLRamp;}

ISA_FUNC(VHDLRamp,VHDLStar);

Block* VHDLRamp :: makeNew() const { LOG_NEW; return new VHDLRamp;}

CodeBlock VHDLRamp :: std (
# line 34 "VHDLRamp.pl"
"$ref(output) $assign(output) $ref(value);\n"
"$ref(value) $assign(value) $ref(value) + $val(step);\n");

VHDLRamp::VHDLRamp ()
{
	setDescriptor("Generates a ramp signal, starting at \"value\" (default 0)\nwith step size \"step\" (default 1).");
	addPort(output.setPort("output",this,FLOAT));
	addState(step.setState("step",this,"1.0","Increment from one sample to the next."));
	addState(value.setState("value",this,"0.0","Initial (or latest) value output by Ramp.",
# line 32 "VHDLRamp.pl"
A_SETTABLE | A_NONCONSTANT));


}

int VHDLRamp::myExecTime() {
# line 42 "VHDLRamp.pl"
return 2;
}

void VHDLRamp::go() {
# line 39 "VHDLRamp.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLRamp proto;
static RegisterBlock registerBlock(proto,"Ramp");
