static const char file_id[] = "VHDLRampInt.pl";
// .cc file generated from VHDLRampInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLRampInt.h"

const char *star_nm_VHDLRampInt = "VHDLRampInt";

const char* VHDLRampInt :: className() const {return star_nm_VHDLRampInt;}

ISA_FUNC(VHDLRampInt,VHDLStar);

Block* VHDLRampInt :: makeNew() const { LOG_NEW; return new VHDLRampInt;}

CodeBlock VHDLRampInt :: std (
# line 34 "VHDLRampInt.pl"
"$ref(output) $assign(output) $ref(value);\n"
"$ref(value) $assign(value) $ref(value) + $val(step);\n");

VHDLRampInt::VHDLRampInt ()
{
	setDescriptor("Generates a ramp integer signal, starting at \"value\" (default 0)\nwith step size \"step\" (default 1).");
	addPort(output.setPort("output",this,INT));
	addState(step.setState("step",this,"1","Increment from one sample to the next."));
	addState(value.setState("value",this,"0","Initial (or latest) value output by Ramp.",
# line 32 "VHDLRampInt.pl"
A_SETTABLE | A_NONCONSTANT));


}

int VHDLRampInt::myExecTime() {
# line 42 "VHDLRampInt.pl"
return 2;
}

void VHDLRampInt::go() {
# line 39 "VHDLRampInt.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLRampInt proto;
static RegisterBlock registerBlock(proto,"RampInt");
