#ifndef _VHDLRect_h
#define _VHDLRect_h 1
// header file generated from VHDLRect.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "VHDLStar.h"
#include "IntState.h"
#include "FloatState.h"

class VHDLRect : public VHDLStar
{
public:
	VHDLRect();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock std;
	static CodeBlock periodic;
	OutVHDLPort output;

protected:
	/* virtual */ void go();
	FloatState height;
	IntState width;
	IntState period;
	IntState count;

};
#endif
