#ifndef _VHDLRectToPolar_h
#define _VHDLRectToPolar_h 1
// header file generated from VHDLRectToPolar.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "VHDLStar.h"
#include "FloatArrayState.h"

class VHDLRectToPolar : public VHDLStar
{
public:
	VHDLRectToPolar();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	const char* init(const char* X, const char* Y, const char* Phi);
	const char* body(const char* i, const char* i1, const char* X, const char* Y, const char* Phi);
	const char* equate(const char* N1, const char* X, const char* /*Y*/, const char* Phi);
	InVHDLPort x;
	InVHDLPort y;
	OutVHDLPort magnitude;
	OutVHDLPort phase;

protected:
	/* virtual */ void go();
	FloatArrayState CorAngles;

};
#endif
