static const char file_id[] = "VHDLSin.pl";
// .cc file generated from VHDLSin.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLSin.h"

const char *star_nm_VHDLSin = "VHDLSin";

const char* VHDLSin :: className() const {return star_nm_VHDLSin;}

ISA_FUNC(VHDLSin,VHDLStar);

Block* VHDLSin :: makeNew() const { LOG_NEW; return new VHDLSin;}

CodeBlock VHDLSin :: std (
# line 23 "VHDLSin.pl"
"$temp(val1,float) := $ref(input);\n"
"\n"
"while $temp(val1,float) > 3.141592654 loop\n"
"  $temp(val1,float) := $temp(val1,float) - 2.0*3.141592654;\n"
"end loop;\n"
"while $temp(val1,float) < -3.141592654 loop\n"
"  $temp(val1,float) := $temp(val1,float) + 2.0*3.141592654;\n"
"end loop;\n"
"\n"
"$temp(x1,float) := $temp(val1,float);\n"
"$temp(x3,float) := $temp(val1,float) * $temp(val1,float) * $temp(val1,float);\n"
"$temp(x5,float) := $temp(x3,float) * $temp(val1,float) * $temp(val1,float);\n"
"$temp(x7,float) := $temp(x5,float) * $temp(val1,float) * $temp(val1,float);\n"
"$temp(x9,float) := $temp(x7,float) * $temp(val1,float) * $temp(val1,float);\n"
"$temp(x11,float) := $temp(x9,float) * $temp(val1,float) * $temp(val1,float);\n"
"\n"
"$temp(term1,float) := $temp(x1,float);\n"
"$temp(term2,float) := $temp(x3,float) / 6.0;\n"
"$temp(term3,float) := $temp(x5,float) / 120.0;\n"
"$temp(term4,float) := $temp(x7,float) / 5040.0;\n"
"$temp(term5,float) := $temp(x9,float) / 362880.0;\n"
"$temp(term6,float) := $temp(x11,float) / 39916800.0;\n"
"\n"
"$temp(result,float) := $temp(term1,float) - $temp(term2,float) +\n"
"  $temp(term3,float) - $temp(term4,float) + $temp(term5,float) -\n"
"  $temp(term6,float);\n"
"\n"
"$ref(output) := $temp(result,float);\n");

VHDLSin::VHDLSin ()
{
	setDescriptor("");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void VHDLSin::go() {
# line 54 "VHDLSin.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLSin proto;
static RegisterBlock registerBlock(proto,"Sin");
