#ifndef _VHDLWaveForm_h
#define _VHDLWaveForm_h 1
// header file generated from VHDLWaveForm.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "VHDLStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class VHDLWaveForm : public VHDLStar
{
public:
	VHDLWaveForm();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock body;
	OutVHDLPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatArrayState value;
	IntState haltAtEnd;
	IntState periodic;
	IntState period;
	IntState pos;
	IntState size;

};
#endif
