#ifndef _VHDLWaveFormCx_h
#define _VHDLWaveFormCx_h 1
// header file generated from VHDLWaveFormCx.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "VHDLStar.h"
#include "IntState.h"
#include "ComplexArrayState.h"

class VHDLWaveFormCx : public VHDLStar
{
public:
	VHDLWaveFormCx();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock body;
	OutVHDLPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	ComplexArrayState value;
	IntState haltAtEnd;
	IntState periodic;
	IntState period;
	IntState pos;
	IntState size;

};
#endif
