.EQ
delim off
.EN
.\" documentation file generated from VHDLBBSplit.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "BSplit"
.SD
Splits a bus into two parts.  Note that the total output widths must add up to
the input width.
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fIinput\fR (multiple), (int)
.PE
.OH
.NE
\fItop\fR (multiple), (int)
.NE
\fIbottom\fR (multiple), (int)
.PE
.EQ
delim $$
.EN
.LD
Since ptolemy doesn't allow the user to easily "split" a bus (a multi-port),
this star is written to allow the user to send a portion of a bus into one
destination while the remaining portion of the same bus to another destination.
Note that if the two output bus' widths don't add up to that of the input bus,
an error message is printed.
.ES
