.EQ
delim off
.EN
.\" documentation file generated from VHDLBBus_81.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Bus_81"
.SD
Convert 8 bits into an 8-bit-wide bus
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fIin_7\fR (int): Highest order bit
.NE
\fIin_6\fR (int)
.NE
\fIin_5\fR (int)
.NE
\fIin_4\fR (int)
.NE
\fIin_3\fR (int)
.NE
\fIin_2\fR (int)
.NE
\fIin_1\fR (int)
.NE
\fIin_0\fR (int): Lowest order bit
.PE
.OH
.NE
\fIoutput\fR (multiple), (int)
.PE
.EQ
delim $$
.EN
.LD
Since ptolemy doesn't allow the user to explicitly merge several wires into a
bus, this star is written to allow the user to explicitly create an 8-bit-wide
bus from 8 input wires.  If the input bus is not 8 bits wide, an error message
will be printed.
.ES
