.EQ
delim off
.EN
.\" documentation file generated from VHDLBCosine.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Cosine"
.SD
Calculates the cosine function of the input value (in radians)
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fIinput\fR (float): input angle in radians
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.EQ
delim $$
.EN
.LD
The cosine function of the input is calculated using a separately defined
function in a VHDL package (IEEE.math_real).
.ES
