.EQ
delim off
.EN
.\" documentation file generated from VHDLBFile_In.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "File_In"
.SD
Read in a series of bits (integers) from a file and output them.
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fIclock\fR (int)
.PE
.OH
.NE
\fIdone\fR (int): This bit goes high for 1 cycle when the EOF is reached
.NE
\fIoutput\fR (int): A new output bit is sent on each rising clock edge
.PE
.SH
.NE
\fIIn_File\fR (StringState): This file contains a series of bits, one on each line
: This file contains a series of bits, one on each line
.ET
.EQ
delim $$
.EN
.LD
Reads integers from a user-specified file.  The file is opened and the data
(one on each line of the text file) are read and then sent to the output port
at the rising edges of the synchronization clock.  When the EOF is reached,
the "stop" signal is asserted (it changes from zero to a non-zero value).

Also see "File_Store" star.
.ES
