.EQ
delim off
.EN
.\" documentation file generated from VHDLBLimit.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Limit"
.SD
The output of this star is the value of the input limited
to the range between "bottom" and "top" inclusive.

If the specified range is wrong (bottom > top), an error message is generated.
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fIinput\fR (float)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fItop\fR (FloatState): Upper limit of output signal
.DF "1.0"
.NE
\fIbottom\fR (FloatState): Lower limit of output signal
.DF "0.0"
.ET
.EQ
delim $$
.EN
.LD
The real-valued output is bound by the "top" and "bottom" parameters.  A
ptolemy error is caused if the "top" parameter is set lower than the "bottom"
parameter.
.ES
