.EQ
delim off
.EN
.\" documentation file generated from VHDLBMultiple.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Multiple"
.SD
Outputs a 1 (logical high) if top input is integer multiple of bottom input,
otherwise the output is zero (logical low).
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fItop\fR (int): Is this a multiple of the other input?
.NE
\fIbottom\fR (int): Reference input (must be non-zero)
.PE
.OH
.NE
\fImult\fR (int): Equals 1 if top is a multiple of bottom
.PE
.EQ
delim $$
.EN
.LD
If the top input is an integer multiple of the bottom input (remainder of
the division is zero), then the output is 1.  Otherwise output is zero.  Note
that if the bottom input is zero, than the output is always zero.
.ES
