.EQ
delim off
.EN
.\" documentation file generated from VHDLBNumToBus.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "NumToBus"
.SD
This star accepts an integer and outputs either a 32-bit, 16-bit, or 8-bit
wide array which represents the integer, with the MSB being the sign bit.
May need additional bus-splits at the output to extract individual bits.
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fIinput\fR (int)
.PE
.OH
.NE
\fIoutput\fR (multiple), (int)
.PE
.SH
.NE
\fIwidth\fR (IntState): Maybe either 32, 16, or 8 bits wide
.DF "32"
.ET
.EQ
delim $$
.EN
.LD
Sometimes it is necessary to convert an integer value into a multi-bit repre-
sentation so that the values can be used by a digital circuit.  This star
converts a given integer number into a 32-bit, 16-bit, or 8-bit representation.  The
MSB (most significant bit) is the sign bit.  Note that the output bus is
currently  restricted to either a 8-bit, 16-bit, or 32-bit bus, even though no
restriction is necessary.  This makes for a more consistant (and more
practical) output for digital circuits.
.ES
