static const char file_id[] = "VHDLBBus_41.pl";
// .cc file generated from VHDLBBus_41.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBBus_41.h"

const char *star_nm_VHDLBBus_41 = "VHDLBBus_41";

const char* VHDLBBus_41 :: className() const {return star_nm_VHDLBBus_41;}

ISA_FUNC(VHDLBBus_41,VHDLBStar);

Block* VHDLBBus_41 :: makeNew() const { LOG_NEW; return new VHDLBBus_41;}

VHDLBBus_41::VHDLBBus_41 ()
{
	setDescriptor("Convert 4 bits into a 4-bit-wide bus");
	addPort(in_3.setPort("in_3",this,INT));
	addPort(in_2.setPort("in_2",this,INT));
	addPort(in_1.setPort("in_1",this,INT));
	addPort(in_0.setPort("in_0",this,INT));
	addPort(output.setPort("output",this,INT));


}

void VHDLBBus_41::setup() {
# line 59 "VHDLBBus_41.pl"
int o_width = 0;  // Output bus width (should be 4)

                CBlockMPHIter starMPHIter(*this);
                const MultiVHDLBPort* mph;

                while((mph = (const MultiVHDLBPort*) starMPHIter++) != 0) {
                  if( !strcmp(mph->name(),"output") )
                    o_width = mph->numberPorts();
                }

                if( o_width != 4 )
                  Error::abortRun(*this, "Output bus width must be 4!");
}

void VHDLBBus_41::go() {
# line 73 "VHDLBBus_41.pl"
}


const char* VHDLBBus_41::portWidthName (const MultiVHDLBPort* pp)
{
# line 48 "VHDLBBus_41.pl"
if(!strcmp(pp->name(),"output")) {
                          return((const char*) "O_WIDTH");
                        }
                        else {
                          Error::abortRun(*this, "No MultiVHDLBPort named",
                                          pp->name(), "in star");
                          return((const char*) "ERROR");
                        }
}


// prototype instance for known block list
static VHDLBBus_41 proto;
static RegisterBlock registerBlock(proto,"Bus_41");
