static const char file_id[] = "VHDLBBus_81.pl";
// .cc file generated from VHDLBBus_81.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBBus_81.h"

const char *star_nm_VHDLBBus_81 = "VHDLBBus_81";

const char* VHDLBBus_81 :: className() const {return star_nm_VHDLBBus_81;}

ISA_FUNC(VHDLBBus_81,VHDLBStar);

Block* VHDLBBus_81 :: makeNew() const { LOG_NEW; return new VHDLBBus_81;}

VHDLBBus_81::VHDLBBus_81 ()
{
	setDescriptor("Convert 8 bits into an 8-bit-wide bus");
	addPort(in_7.setPort("in_7",this,INT));
	addPort(in_6.setPort("in_6",this,INT));
	addPort(in_5.setPort("in_5",this,INT));
	addPort(in_4.setPort("in_4",this,INT));
	addPort(in_3.setPort("in_3",this,INT));
	addPort(in_2.setPort("in_2",this,INT));
	addPort(in_1.setPort("in_1",this,INT));
	addPort(in_0.setPort("in_0",this,INT));
	addPort(output.setPort("output",this,INT));


}

void VHDLBBus_81::setup() {
# line 75 "VHDLBBus_81.pl"
int o_width = 0;  // Output bus width (should be 8)

                CBlockMPHIter starMPHIter(*this);
                const MultiVHDLBPort* mph;

                while((mph = (const MultiVHDLBPort*) starMPHIter++) != 0) {
                  if( !strcmp(mph->name(),"output") )
                    o_width = mph->numberPorts();
                }

                if( o_width != 8 )
                  Error::abortRun(*this, "Output bus width must be 8!");
}

void VHDLBBus_81::go() {
# line 89 "VHDLBBus_81.pl"
}


const char* VHDLBBus_81::portWidthName (const MultiVHDLBPort* pp)
{
# line 64 "VHDLBBus_81.pl"
if(!strcmp(pp->name(),"output")) {
			  return((const char*) "O_WIDTH");
			}
                        else {
			  Error::abortRun(*this, "No MultiVHDLBPort named",
					  pp->name(), "in star");
			  return((const char*) "ERROR");
			}
}


// prototype instance for known block list
static VHDLBBus_81 proto;
static RegisterBlock registerBlock(proto,"Bus_81");
