static const char file_id[] = "VHDLBClock.pl";
// .cc file generated from VHDLBClock.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBClock.h"

const char *star_nm_VHDLBClock = "VHDLBClock";

const char* VHDLBClock :: className() const {return star_nm_VHDLBClock;}

ISA_FUNC(VHDLBClock,VHDLBStar);

Block* VHDLBClock :: makeNew() const { LOG_NEW; return new VHDLBClock;}

VHDLBClock::VHDLBClock ()
{
	setDescriptor("Output a signal which alternates between 0 and 1 with the given period.");
	addPort(output.setPort("output",this,INT));
	addState(period.setState("period",this,"1","The clock period, in nsec"));


}

void VHDLBClock::go() {
# line 27 "VHDLBClock.pl"
}

// prototype instance for known block list
static VHDLBClock proto;
static RegisterBlock registerBlock(proto,"Clock");
