static const char file_id[] = "VHDLBConvolve.pl";
// .cc file generated from VHDLBConvolve.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBConvolve.h"

const char *star_nm_VHDLBConvolve = "VHDLBConvolve";

const char* VHDLBConvolve :: className() const {return star_nm_VHDLBConvolve;}

ISA_FUNC(VHDLBConvolve,VHDLBStar);

Block* VHDLBConvolve :: makeNew() const { LOG_NEW; return new VHDLBConvolve;}

VHDLBConvolve::VHDLBConvolve ()
{
	setDescriptor("Convolve two causal finite sequences.\nSet truncationDepth larger than the number of output samples of interest.");
	addPort(clock.setPort("clock",this,INT));
	addPort(inputa.setPort("inputa",this,FLOAT));
	addPort(inputb.setPort("inputb",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(truncationDepth.setState("truncationDepth",this,"256","Maximum number of terms in convolution sum."));


}

void VHDLBConvolve::go() {
# line 55 "VHDLBConvolve.pl"
}

// prototype instance for known block list
static VHDLBConvolve proto;
static RegisterBlock registerBlock(proto,"Convolve");
