static const char file_id[] = "VHDLBDB.pl";
// .cc file generated from VHDLBDB.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBDB.h"

const char *star_nm_VHDLBDB = "VHDLBDB";

const char* VHDLBDB :: className() const {return star_nm_VHDLBDB;}

ISA_FUNC(VHDLBDB,VHDLBStar);

Block* VHDLBDB :: makeNew() const { LOG_NEW; return new VHDLBDB;}

VHDLBDB::VHDLBDB ()
{
	setDescriptor("Convert input to a decibels (dB) scale. Zero and negative values\nare assigned the value \"min\" (default -100). The \"inputIsPower\"\nparameter should be set to \"Yes\"  if the input signal is a power\nmeasurement (vs. an amplitude measurement).");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(min.setState("min",this,"-100","Minimum output value."));
	addState(inputIsPower.setState("inputIsPower",this,"FALSE","TRUE if input is power measurement, else FALSE if it's\n		       amplitude measurement"));


}

void VHDLBDB::go() {
# line 50 "VHDLBDB.pl"
}

// prototype instance for known block list
static VHDLBDB proto;
static RegisterBlock registerBlock(proto,"DB");
