#ifndef _VHDLBDirichlet_h
#define _VHDLBDirichlet_h 1
// header file generated from VHDLBDirichlet.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "VHDLBStar.h"
#include "IntState.h"

class VHDLBDirichlet : public VHDLBStar
{
public:
	VHDLBDirichlet();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InVHDLBPort input;
	OutVHDLBPort output;

protected:
	/* virtual */ void go();
	IntState N;

};
#endif
