static const char file_id[] = "VHDLBFBlackHole.pl";
// .cc file generated from VHDLBFBlackHole.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBFBlackHole.h"

const char *star_nm_VHDLBFBlackHole = "VHDLBFBlackHole";

const char* VHDLBFBlackHole :: className() const {return star_nm_VHDLBFBlackHole;}

ISA_FUNC(VHDLBFBlackHole,VHDLBStar);

Block* VHDLBFBlackHole :: makeNew() const { LOG_NEW; return new VHDLBFBlackHole;}

VHDLBFBlackHole::VHDLBFBlackHole ()
{
	setDescriptor("Discards all real inputs");
	addPort(input.setPort("input",this,FLOAT));


}

void VHDLBFBlackHole::go() {
# line 37 "VHDLBFBlackHole.pl"
}


const char* VHDLBFBlackHole::portWidthName (const MultiVHDLBPort* pp)
{
# line 27 "VHDLBFBlackHole.pl"
if(!strcmp(pp->name(),"input")) {
                          return((const char*) "I_WIDTH");
                        }
                        else {
                          Error::abortRun(*this, "No MultiVHDLBPort named",
                                          pp->name(), "in star");
                          return((const char*) "ERROR");
                        }
}


// prototype instance for known block list
static VHDLBFBlackHole proto;
static RegisterBlock registerBlock(proto,"FBlackHole");
