static const char file_id[] = "VHDLBFile_In.pl";
// .cc file generated from VHDLBFile_In.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBFile_In.h"

const char *star_nm_VHDLBFile_In = "VHDLBFile_In";

const char* VHDLBFile_In :: className() const {return star_nm_VHDLBFile_In;}

ISA_FUNC(VHDLBFile_In,VHDLBStar);

Block* VHDLBFile_In :: makeNew() const { LOG_NEW; return new VHDLBFile_In;}

VHDLBFile_In::VHDLBFile_In ()
{
	setDescriptor("Read in a series of bits (integers) from a file and output them.");
	addState(In_File.setState("In_File",this,"","This file contains a series of bits, one on each line"));
	addPort(clock.setPort("clock",this,INT));
	addPort(done.setPort("done",this,INT));
	addPort(output.setPort("output",this,INT));


}

void VHDLBFile_In::go() {
# line 43 "VHDLBFile_In.pl"
}

// prototype instance for known block list
static VHDLBFile_In proto;
static RegisterBlock registerBlock(proto,"File_In");
