static const char file_id[] = "VHDLBLimit.pl";
// .cc file generated from VHDLBLimit.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBLimit.h"

const char *star_nm_VHDLBLimit = "VHDLBLimit";

const char* VHDLBLimit :: className() const {return star_nm_VHDLBLimit;}

ISA_FUNC(VHDLBLimit,VHDLBStar);

Block* VHDLBLimit :: makeNew() const { LOG_NEW; return new VHDLBLimit;}

VHDLBLimit::VHDLBLimit ()
{
	setDescriptor("The output of this star is the value of the input limited\nto the range between \"bottom\" and \"top\" inclusive.\n\nIf the specified range is wrong (bottom > top), an error message is generated.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(top.setState("top",this,"1.0","Upper limit of output signal"));
	addState(bottom.setState("bottom",this,"0.0","Lower limit of output signal"));


}

void VHDLBLimit::setup() {
# line 44 "VHDLBLimit.pl"
if( top < bottom )
		  Error::abortRun(*this,"Limiting range incorrectly specified");
}

void VHDLBLimit::go() {
# line 48 "VHDLBLimit.pl"
}

// prototype instance for known block list
static VHDLBLimit proto;
static RegisterBlock registerBlock(proto,"Limit");
