static const char file_id[] = "VHDLBMBlackHole.pl";
// .cc file generated from VHDLBMBlackHole.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBMBlackHole.h"

const char *star_nm_VHDLBMBlackHole = "VHDLBMBlackHole";

const char* VHDLBMBlackHole :: className() const {return star_nm_VHDLBMBlackHole;}

ISA_FUNC(VHDLBMBlackHole,VHDLBStar);

Block* VHDLBMBlackHole :: makeNew() const { LOG_NEW; return new VHDLBMBlackHole;}

VHDLBMBlackHole::VHDLBMBlackHole ()
{
	setDescriptor("Discards all inputs");
	addPort(input.setPort("input",this,INT));


}

void VHDLBMBlackHole::go() {
# line 37 "VHDLBMBlackHole.pl"
}


const char* VHDLBMBlackHole::portWidthName (const MultiVHDLBPort* pp)
{
# line 27 "VHDLBMBlackHole.pl"
if(!strcmp(pp->name(),"input")) {
                          return((const char*) "I_WIDTH");
                        }
                        else {
                          Error::abortRun(*this, "No MultiVHDLBPort named",
                                          pp->name(), "in star");
                          return((const char*) "ERROR");
                        }
}


// prototype instance for known block list
static VHDLBMBlackHole proto;
static RegisterBlock registerBlock(proto,"MBlackHole");
