static const char file_id[] = "VHDLBMultiOut.pl";
// .cc file generated from VHDLBMultiOut.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBMultiOut.h"

const char *star_nm_VHDLBMultiOut = "VHDLBMultiOut";

const char* VHDLBMultiOut :: className() const {return star_nm_VHDLBMultiOut;}

ISA_FUNC(VHDLBMultiOut,VHDLBStar);

Block* VHDLBMultiOut :: makeNew() const { LOG_NEW; return new VHDLBMultiOut;}

VHDLBMultiOut::VHDLBMultiOut ()
{
	setDescriptor("Output multiple copies of the input.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));


}

void VHDLBMultiOut::go() {
# line 41 "VHDLBMultiOut.pl"
}


const char* VHDLBMultiOut::portWidthName (const MultiVHDLBPort* pp)
{
# line 30 "VHDLBMultiOut.pl"
if(!strcmp(pp->name(),"output")) {
			  return((const char*) "N");
			}
                        else {
			  Error::abortRun(*this, "No MultiVHDLBPort named",
					  pp->name(), "in star");
			  return((const char*) "ERROR");
			}
}


// prototype instance for known block list
static VHDLBMultiOut proto;
static RegisterBlock registerBlock(proto,"MultiOut");
