static const char file_id[] = "VHDLBNand.pl";
// .cc file generated from VHDLBNand.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBNand.h"

const char *star_nm_VHDLBNand = "VHDLBNand";

const char* VHDLBNand :: className() const {return star_nm_VHDLBNand;}

ISA_FUNC(VHDLBNand,VHDLBStar);

Block* VHDLBNand :: makeNew() const { LOG_NEW; return new VHDLBNand;}

VHDLBNand::VHDLBNand ()
{
	setDescriptor("Output the logical nand of the two inputs with the given delay.");
	addPort(input1.setPort("input1",this,INT));
	addPort(input2.setPort("input2",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(delay.setState("delay",this,"1","The propagation delay, in nsec"));


}

void VHDLBNand::go() {
# line 35 "VHDLBNand.pl"
}

// prototype instance for known block list
static VHDLBNand proto;
static RegisterBlock registerBlock(proto,"Nand");
