static const char file_id[] = "VHDLBNor.pl";
// .cc file generated from VHDLBNor.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBNor.h"

const char *star_nm_VHDLBNor = "VHDLBNor";

const char* VHDLBNor :: className() const {return star_nm_VHDLBNor;}

ISA_FUNC(VHDLBNor,VHDLBStar);

Block* VHDLBNor :: makeNew() const { LOG_NEW; return new VHDLBNor;}

VHDLBNor::VHDLBNor ()
{
	setDescriptor("Output the logical nor of the two inputs with the given delay.");
	addPort(input1.setPort("input1",this,INT));
	addPort(input2.setPort("input2",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(delay.setState("delay",this,"1","The propagation delay, in nsec"));


}

void VHDLBNor::go() {
# line 35 "VHDLBNor.pl"
}

// prototype instance for known block list
static VHDLBNor proto;
static RegisterBlock registerBlock(proto,"Nor");
