static const char file_id[] = "VHDLBNor3.pl";
// .cc file generated from VHDLBNor3.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBNor3.h"

const char *star_nm_VHDLBNor3 = "VHDLBNor3";

const char* VHDLBNor3 :: className() const {return star_nm_VHDLBNor3;}

ISA_FUNC(VHDLBNor3,VHDLBStar);

Block* VHDLBNor3 :: makeNew() const { LOG_NEW; return new VHDLBNor3;}

VHDLBNor3::VHDLBNor3 ()
{
	setDescriptor("Output the logical nor of the three inputs with the given delay.");
	addPort(input1.setPort("input1",this,INT));
	addPort(input2.setPort("input2",this,INT));
	addPort(input3.setPort("input3",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(delay.setState("delay",this,"1","The propagation delay, in nsec"));


}

void VHDLBNor3::go() {
# line 39 "VHDLBNor3.pl"
}

// prototype instance for known block list
static VHDLBNor3 proto;
static RegisterBlock registerBlock(proto,"Nor3");
