static const char file_id[] = "VHDLBReciprocal.pl";
// .cc file generated from VHDLBReciprocal.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBReciprocal.h"

const char *star_nm_VHDLBReciprocal = "VHDLBReciprocal";

const char* VHDLBReciprocal :: className() const {return star_nm_VHDLBReciprocal;}

ISA_FUNC(VHDLBReciprocal,VHDLBStar);

Block* VHDLBReciprocal :: makeNew() const { LOG_NEW; return new VHDLBReciprocal;}

VHDLBReciprocal::VHDLBReciprocal ()
{
	setDescriptor("Output the reciprocal of the input, with an optional magnitude limit.\nIf the magnitude limit is greater than zero, and the input value is zero,\nthen the output will equal the magnitude limit.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(magLimit.setState("magLimit",this,"0.0","If non-zero, this limits the magnitude of the output"));


}

void VHDLBReciprocal::go() {
# line 37 "VHDLBReciprocal.pl"
}

// prototype instance for known block list
static VHDLBReciprocal proto;
static RegisterBlock registerBlock(proto,"Reciprocal");
