static const char file_id[] = "VHDLBRect.pl";
// .cc file generated from VHDLBRect.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBRect.h"

const char *star_nm_VHDLBRect = "VHDLBRect";

const char* VHDLBRect :: className() const {return star_nm_VHDLBRect;}

ISA_FUNC(VHDLBRect,VHDLBStar);

Block* VHDLBRect :: makeNew() const { LOG_NEW; return new VHDLBRect;}

VHDLBRect::VHDLBRect ()
{
	setDescriptor("Generate a rectangular pulse of height \"height\" (default 1.0).\nand width \"width\" (default 8).  If \"period\" is greater than zero,\nthen the pulse is repeated with the given period.");
	addPort(clock.setPort("clock",this,INT));
	addPort(output.setPort("output",this,FLOAT));
	addState(height.setState("height",this,"1.0","Height of the rectangular pulse"));
	addState(width.setState("width",this,"8","Width of the rectangular pulse"));
	addState(period.setState("period",this,"0","If greater than zero, the period of the pulse stream."));


}

void VHDLBRect::go() {
# line 48 "VHDLBRect.pl"
}

// prototype instance for known block list
static VHDLBRect proto;
static RegisterBlock registerBlock(proto,"Rect");
