static const char file_id[] = "VHDLBSer2Par.pl";
// .cc file generated from VHDLBSer2Par.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBSer2Par.h"

const char *star_nm_VHDLBSer2Par = "VHDLBSer2Par";

const char* VHDLBSer2Par :: className() const {return star_nm_VHDLBSer2Par;}

ISA_FUNC(VHDLBSer2Par,VHDLBStar);

Block* VHDLBSer2Par :: makeNew() const { LOG_NEW; return new VHDLBSer2Par;}

VHDLBSer2Par::VHDLBSer2Par ()
{
	setDescriptor("Shift in eight bits on the serial input and output them on the parallel output.\nLatch out a new output byte every eight clock cycles.\nShift the bits in (starting with the lowest) one per clock cycle.");
	addPort(serIn.setPort("serIn",this,INT));
	addPort(clock.setPort("clock",this,INT));
	addPort(bus1.setPort("bus1",this,INT));
	addPort(bus2.setPort("bus2",this,INT));
	addPort(bus3.setPort("bus3",this,INT));
	addPort(bus4.setPort("bus4",this,INT));
	addPort(bus5.setPort("bus5",this,INT));
	addPort(bus6.setPort("bus6",this,INT));
	addPort(bus7.setPort("bus7",this,INT));
	addPort(bus8.setPort("bus8",this,INT));
	addState(delay.setState("delay",this,"1","The propagation delay, in nsec"));


}

void VHDLBSer2Par::go() {
# line 65 "VHDLBSer2Par.pl"
}

// prototype instance for known block list
static VHDLBSer2Par proto;
static RegisterBlock registerBlock(proto,"Ser2Par");
