static const char file_id[] = "BDFFork.pl";
// .cc file generated from BDFFork.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "BDFFork.h"

const char *star_nm_BDFFork = "BDFFork";

const char* BDFFork :: className() const {return star_nm_BDFFork;}

ISA_FUNC(BDFFork,BDFStar);

Block* BDFFork :: makeNew() const { LOG_NEW; return new BDFFork;}

BDFFork::BDFFork ()
{
	setDescriptor("Copy the input particle to each output.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);


}

void BDFFork::setup() {
# line 33 "BDFFork.pl"
MPHIter nextp(output);
		BDFPortHole* p;
		while ((p = (BDFPortHole*)nextp++) != 0)
			p->setRelation(BDF_SAME,&input);
}

void BDFFork::go() {
# line 39 "BDFFork.pl"
MPHIter nextp(output);
		PortHole* p;
		while ((p = nextp++) != 0)
			(*p)%0 = input%0;
}

// prototype instance for known block list
static BDFFork proto;
static RegisterBlock registerBlock(proto,"Fork");
