#ifndef _BDFSwitch_h
#define _BDFSwitch_h 1
// header file generated from BDFSwitch.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "BDFStar.h"
#include "IntState.h"

class BDFSwitch : public BDFStar
{
public:
	BDFSwitch();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InBDFPort input;
	InBDFPort control;
	OutBDFPort trueOutput;
	OutBDFPort falseOutput;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState N;

};
#endif
