#ifndef _AnyCGPeekPoke_h
#define _AnyCGPeekPoke_h 1
// header file generated from AnyCGPeekPoke.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "AnyCGStar.h"
#include "IntState.h"

class AnyCGPeekPoke : public AnyCGStar
{
public:
	AnyCGPeekPoke();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InAnyCGPort input;
	OutAnyCGPort output;

protected:
	/* virtual */ void setup();
	IntState Poke_procId;
	IntState blockSize;
	IntState updateRate;
	inline Target* findMultiTarget (Target* multitarget);

private:
	void removeGalaxyPort (GenericPort* port);
	PortHole* findPort (PortHole& startPort);

};
#endif
