static const char file_id[] = "CGRateChange.pl";
// .cc file generated from CGRateChange.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGRateChange.h"

const char *star_nm_CGRateChange = "CGRateChange";

const char* CGRateChange :: className() const {return star_nm_CGRateChange;}

ISA_FUNC(CGRateChange,CGVarTime);

Block* CGRateChange :: makeNew() const { LOG_NEW; return new CGRateChange;}

CodeBlock CGRateChange :: block (
# line 45 "CGRateChange.pl"
"// RateChange star\n");

CGRateChange::CGRateChange ()
{
	setDescriptor("Consumes \"consume\" samples and produces \"produce\" samples.");
	addState(consume.setState("consume",this,"1","Controls how many samples are consumed."));
	addState(produce.setState("produce",this,"1","Controls how many samples are produced."));
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void CGRateChange::setup() {
# line 42 "CGRateChange.pl"
input.setSDFParams(int(consume),int(consume)-1);
		output.setSDFParams(int(produce),int(produce)-1);
}

void CGRateChange::go() {
# line 49 "CGRateChange.pl"
addCode(block);
}

// prototype instance for known block list
static CGRateChange proto;
static RegisterBlock registerBlock(proto,"RateChange");
