static const char file_id[] = "CGSink.pl";
// .cc file generated from CGSink.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGSink.h"

const char *star_nm_CGSink = "CGSink";

const char* CGSink :: className() const {return star_nm_CGSink;}

ISA_FUNC(CGSink,CGVarTime);

Block* CGSink :: makeNew() const { LOG_NEW; return new CGSink;}

CodeBlock CGSink :: blockname (
# line 34 "CGSink.pl"
"// CGSink star: read $val(n) samples.\n"
"// Line 2 code from CGSink\n");

CGSink::CGSink ()
{
	setDescriptor("Swallows an input sample");
	addPort(input.setPort("input",this,FLOAT));
	addState(n.setState("n",this,"1","number of samples to write"));


}

void CGSink::setup() {
# line 32 "CGSink.pl"
input.setSDFParams(n,int(n)-1);
}

void CGSink::go() {
# line 39 "CGSink.pl"
addCode(blockname);
}

// prototype instance for known block list
static CGSink proto;
static RegisterBlock registerBlock(proto,"Sink");
