static const char file_id[] = "CGSource.pl";
// .cc file generated from CGSource.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGSource.h"

const char *star_nm_CGSource = "CGSource";

const char* CGSource :: className() const {return star_nm_CGSource;}

ISA_FUNC(CGSource,CGVarTime);

Block* CGSource :: makeNew() const { LOG_NEW; return new CGSource;}

CodeBlock CGSource :: blockname (
# line 30 "CGSource.pl"
"// Source star: write $val(n) samples\n"
"// Line 2 from Source star\n");

CGSource::CGSource ()
{
	setDescriptor("Generic code generator source star.");
	addPort(output.setPort("output",this,FLOAT));
	addState(n.setState("n",this,"1","number of samples to write"));


}

void CGSource::setup() {
# line 28 "CGSource.pl"
output.setSDFParams(n,int(n)-1);
}

void CGSource::go() {
# line 35 "CGSource.pl"
addCode(blockname);
}

// prototype instance for known block list
static CGSource proto;
static RegisterBlock registerBlock(proto,"Source");
