.EQ
delim off
.EN
.\" documentation file generated from CG56BitsToInt.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" 	All rights reserved.
.\" 	See the file $PTOLEMY/copyright for copyright notice,
.\" 	limitation of liability, and disclaimer of warranty provisions.
.NA "BitsToInt"
.SD
Packs several input bits into an integer.
.SE
.LO "CG56 demo library"
.DM CG56 CG56Star
.SV 1.6 "1/1/96"
.AL "Jose Luis Pino"
.IH
.NE
\fIinput\fR (int)
.PE
.OH
.NE
\fIoutput\fR (int)
.PE
.SH
.NE
\fInBits\fR (IntState): Number of bits to place in one word
.DF "4"
.ET
.EQ
delim $$
.EN
.LD
The integer input sequence is interpreted as a bit stream in which any nonzero
value is interpreted as to mean a "one" bit.
This star consumes \fInBits\fR successive bits from the input,
packs them into an integer, and outputs the resulting integer.
The first received bit becomes the most significant bit of the output.
If \fInBits\fR is smaller than the word size minus one, then the
output integer will always be non-negative.
.ES
