.EQ
delim off
.EN
.\" documentation file generated from CG56CircToLin.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "CircToLin"
.SD
Copy data from a circular buffer to a linear buffer.
If N is zero (the default), the number of samples transferred per execution
equals the number of samples read per execution by the star that reads
from the output.
.SE
.LO "CG56 demo library"
.DM CG56 CG56Star
.SV 1.18 "1/13/96"
.AL "J. Buck & Jose Luis Pino"
.IH
.NE
\fIinput\fR (anytype)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fIN\fR (IntState): number to transfer per execution
.DF "0"
.NE
\fIptr\fR (IntState): storage for pointer register (internal)
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
.Id "circular to linear buffer copy"
.Ir "buffer, circular"
.Ir "buffer, linear"
.Ir "linear buffer"
.Ir "circular buffer"
This star is normally inserted automatically, as needed.
Data movement is repeated inline so may not be efficient for large N.
.ES
