.EQ
delim off
.EN
.\" documentation file generated from CG56Comb.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Comb"
.SD
Comb filter
.SE
.LO "CG56 dsp library"
.DM CG56 CG56Star
.SV 1.14 "01/01/96"
.AL "Chih-Tsung Huang, ported from Gabriel"
.AC "Gabriel version by E. A. Lee"
.IH
.NE
\fIinput\fR (fix)
.NE
\fItime\fR (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIstate\fR (FixState): internal
.DF "0.0"
.NE
\fIdelayBuf\fR (FixArrayState): buffer
.DF "0"
.NE
\fIdelayBufStart\fR (IntState): pointer to the buffer
.DF "0"
.NE
\fIdelay\fR (IntState): maximum delay
.DF "10"
.NE
\fIpole\fR (FixState): value of pole
.DF "0.5"
.NE
\fIX\fR (FixState): internal state
.DF "ONE"
.ET
.EQ
delim $$
.EN
.LD
.pp
A comb filter with a one-pole lowpass filter in the delay loop.
The pole location is given by the pole parameter.
The reverberation time is given by the time input [1, fig. 5].
.UH REFERENCES
.ip [1]
J.A. Moore, "About this reverberation business",
\fIComputer Music Journal\fR,
vol. 3, no. 2, pp. 13-28, June, 1979.
.ES
