.EQ
delim off
.EN
.\" documentation file generated from CG56Commutator.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Commutator"
.SD
Interleaves the two input signals.
.SE
.LO "CG56 main library"
.DM CG56 CG56Star
.SV 1.16 "2/7/96"
.AL "Jose Luis Pino & Chih-Tsung Huang, ported from Gabriel"
.IH
.NE
\fIinput\fR (multiple), (anytype)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fIblockSize\fR (IntState): Number of particles in a block.
.DF "1"
.ET
.EQ
delim $$
.EN
.LD
.Ir "interleaving data streams"
.Ir "combining data streams"
Takes N input streams and synchronously combines them into one output stream,
where N is the number of inputs.  It consumes N input particles from each
input, and produces N*B particles on the output, where B = blockSize.
The first B particles on the output come from the first input,
the next B particles from the next input, etc.
.ES
