.EQ
delim off
.EN
.\" documentation file generated from CG56GoertzelBase.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "GoertzelBase"
.SD
Base class for Goertzel algorithm stars
.SE
.LO "CG56 dsp library"
.DM CG56 CG56Star
.SV 1.13 "3/27/96"
.AL "Brian L. Evans"
.IH
.NE
\fIinput\fR (fix)
.PE
.SH
.NE
\fIk\fR (IntState): the DFT coefficient to compute (k < N)
.DF "0"
.NE
\fIN\fR (IntState): length of the DFT
.DF "32"
.NE
\fIsize\fR (IntState): amount of data to read (N <= size)
.DF "32"
.NE
\fIWnReal\fR (FixState): internal state for the storage of the real part of the twiddle factor, 
which is a function of k and N
.DF "0.0"
.NE
\fIWnImag\fR (FixState): internal state for the storage of the imaginary part of the twiddle factor,
which is a function of k and N
.DF "0.0"
.ET
.EQ
delim $$
.EN
.ES
