.EQ
delim off
.EN
.\" documentation file generated from CG56HostAOut.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "HostAOut"
.SD
Asynchronous host output.
.SE
.LO "CG56 io library"
.DM CG56 CG56Star
.SV 1.14 "1/1/96"
.AL "Kennard White"
.IH
.NE
\fIinput\fR (FIX)
.PE
.SH
.NE
\fIlabel\fR (StringState): Label for graph on host.
.DF "Label"
.NE
\fIblockSize\fR (IntState): Number of samples per block.
.DF "1"
.NE
\fImode\fR (StringState): Communication mode: one-of DIRECT or HOSTLOCK.
.DF "DIRECT"
.NE
\fIbufLock\fR (IntState): Semaphore for buffer locking.
.DF "0"
.NE
\fIbuffer\fR (FixArrayState): Buffer which host reads sample from.
: Buffer which host reads sample from.
.NE
\fIyMin\fR (FloatState): "Host mapping of -1 for sample(s)."
.DF "-1.0"
.NE
\fIyMax\fR (FloatState): "Host mapping of +1 for sample(s)."
.DF "1.0"
.NE
\fIxMin\fR (FloatState): "Host x-axis mapping of first sample in block."
.DF "-1.0"
.NE
\fIxMax\fR (FloatState): "Host x-axis mapping of (last+1) sample in block."
.DF "1.0"
.ET
.EQ
delim $$
.EN
.LD
Output data from DSP to host via host port asynchronously.
.ES
