.EQ
delim off
.EN
.\" documentation file generated from CG56HostMButton.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "HostMButton"
.SD
Graphical one-of-many input source.
.SE
.LO "CG56 io library"
.DM CG56 CG56HostASrc
.SV 1.11 "1/1/96"
.AL "Kennard White"
.SH
.NE
\fIpairs\fR (StringState): Name and value pairs.
.DF ""
.ET
.EQ
delim $$
.EN
.LD
.Ir "button"
This is an asynchronous source star (like the
.c Const
star) with a particular graphical user interface.
The star always outputs one of a finite number of values: the output is
controlled by the user selecting one of several buttons.
Exactly one button in the group is on.
.LP
The \fIpairs\fR parameter defines a set of pairs.
Each pair should be enclosed in double quotes.
Each pair consists of two words: a one word label and a value.
The value most be either a FIX or INT.
The value is not checked at compile time: it is literally passed to qdm.
.ES
