.EQ
delim off
.EN
.\" documentation file generated from CG56IIDUniform.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "IIDUniform"
.SD
Generate pseudo-IID-uniform random variables.  The values range from
-range to range where "range" is a parameter.
.SE
.LO "CG56 signal sources library"
.DM CG56 CG56Star
.SV 1.18 "01/01/96"
.AL "J. Buck, ported from Gabriel"
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIrange\fR (FixState): range of random number generator is [-range,+range]
.DF "ONE"
.NE
\fIaccum\fR (FixState)
.DF "0"
.NE
\fIscaledRange\fR (IntState)
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
.Id "uniform noise"
.Id "noise, uniform"
This needs to be filled in.  For now, there is no seed parameter; the
default seed parameter from Gabriel is always used.  We'd really need
to use a 48-bit integer to get the same functionality.  This can be
done with g++ (type "long long"), but it isn't portable.
.ES
