.EQ
delim off
.EN
.\" documentation file generated from CG56MaxMin.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "MaxMin"
.SD
Finds maximum or minimum value
.SE
.LO "CG56 main library"
.DM CG56 CG56Star
.SV 1.12 "3/27/96"
.AL "Chih-Tsung Huang"
.IH
.NE
\fIinput\fR (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.NE
\fIindex\fR (int)
.PE
.SH
.NE
\fIN\fR (IntState): default samples
.DF "10"
.NE
\fIMAX\fR (IntState): output maximum value else minimum is the output
.DF "YES"
.NE
\fIcompareMagnitude\fR (IntState): default is not to compare magnitude
.DF "NO"
.NE
\fIoutputMagnitude\fR (IntState): default is not to output magnitude
.DF "NO"
.ET
.EQ
delim $$
.EN
.LD
If \fIcmpareMagnitude\fR is "no", the star finds from among
the \fIinput\fR inputs the one with the maximum or minimum value;
otherwise, it finds from among the \fIinput\fR inputs the one with
the maximum or minimum magnitude.
if \fIoutputMagnitude\fR is "yes", the magnitude of the result is
written to the output, else the result itself is written to the output.
Returns maximum value among N (default 10) samples.
Also, the index of the output is provided (count starts at 0).
.ES
