.EQ
delim off
.EN
.\" documentation file generated from CG56QuantRange.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "QuantRange"
.SD
The star quantizes the input to one of N+1 possible output levels
using N thresholds.
.SE
.LO "CG56 main library"
.DM CG56 CG56Star
.SV 1.6 "2/22/96"
.AL "Jose Luis Pino & Chih-Tsung Huang"
.IH
.NE
\fIinput\fR (fix)
.NE
\fIrange\fR (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIthresholds\fR (FixArrayState): threshold values
.DF "0"
.NE
\fIlevels\fR (FixArrayState): levels values
.DF "-0.5 0.5"
.ET
.EQ
delim $$
.EN
.LD
The star quantizes the input to one of N+1 possible output levels
using N thresholds.
For an input less than or equal to the Nth threshold,
but larger than all previous thresholds,
the output will be the Nth level.
If the input is greater than all thresholds,
the output is the (N+1)th level.
There must be one more level than thresholds.
.ES
