.EQ
delim off
.EN
.\" documentation file generated from CG56RaisedCos.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "RaisedCos"
.SD
An FIR filter with a magnitude frequency response shaped
like the standard raised cosine used in digital communications.
See the SDFRaisdCos star for more information.
.SE
.LO "CG56 dsp library"
.DM CG56 CG56FIR
.SV 1.10 "01/01/96"
.AL "J. T. Buck, Kennard White"
.SH
.NE
\fIN\fR (IntState): Number of taps
.DF "64"
.NE
\fIP\fR (IntState): Distance from center to first zero crossing
.DF "16"
.NE
\fIexcessBW\fR (FloatState): Excess bandwidth, between 0 and 1
.DF "1.0"
.ET
.EQ
delim $$
.EN
.LD
See the
.c SDFRaisedCos
star.
.SA
FIR.
.ES
