.EQ
delim off
.EN
.\" documentation file generated from CG56RampInt.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, an ddisclaimer of warranty provisions.
.NA "RampInt"
.SD
Integer Ramp Generator
.SE
.LO "CG56 main library"
.DM CG56 CG56Star
.SV 1.2 "2/27/96"
.AL "Luis Javier Gutierrez and David G. Messerschmitt"
.OH
.NE
\fIoutput\fR (int)
.PE
.SH
.NE
\fIstep\fR (IntState): Increment from one sample to the next
.DF "1"
.NE
\fIvalue\fR (IntState): initial value output by RampInt
.DF "0"
.NE
\fIsaturation\fR (IntState): if set to YES uses saturation arithmetic
.DF "YES"
.NE
\fIsum\fR (IntState): internal accumulator
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
Generates an integer ramp signal, starting at \fIvalue\fR (default 0)
with step size \fIstep\fR (default 1) saturating upon reaching largest
integer if \fIsaturation\fR is "YES".
.ES
