.EQ
delim off
.EN
.\" documentation file generated from CG56Repeat.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Repeat"
.SD
Repeats each input sample the specified number of times.
.SE
.LO "CG56 control library"
.DM CG56 CG56Star
.SV 1.11 "1/26/96"
.AL "Kennard White, Chih-Tsung Huang"
.IH
.NE
\fIinput\fR (anytype)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fInumTimes\fR (IntState): Repetition factor.
.DF "2"
.ET
.EQ
delim $$
.EN
.LD
Repeat repeats each input the specified number of times
(\fInumTimes\fR) on the output.
Note that this is a sample rate change, and hence affects the number
of invocations of downstream stars.
.UH IMPLEMENTATION
We must be careful to avoid large interrupt latencies.
To be optimal, this requires the aid of the target.
For now, we just assume the worst case.
.ES
