.EQ
delim off
.EN
.\" documentation file generated from CG56Sinc.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, an ddisclaimer of warranty provisions.
.NA "Sinc"
.SD
Sinc function using a polynomial approximation.  Input range of [-1,1)
is scaled by pi.  Output is sin(pi*input)/(pi*input).
.SE
.LO "CG56 dsp library"
.DM CG56 CG56Star
.SV 1.4 "03/07/96"
.AL "Luis Javier Gutierrez and Brian L. Evans"
.IH
.NE
\fIinput\fR (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIa\fR (FixState): internal state
.DF "0.5"
.NE
\fIb\fR (FixState): internal state
.DF "-0.822467034"
.NE
\fIc\fR (FixState): internal state
.DF "0.405871213"
.ET
.EQ
delim $$
.EN
.LD
This star computes the sinc of the input, which must be in the range
[-1.0, 1.0).  The output equals
.EQ
sin(pi cdot input) over {pi cdot input}
.EN
so the input range is effectively $(-pi, pi)$.  The output is in
the range $(-0.22, 1.0)$.
.ES
