.EQ
delim off
.EN
.\" documentation file generated from CG56Skew.pl by ptlang
.\" Copyright (c) 1991-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Skew"
.SD
Generic skewing star.
.SE
.LO "CG56 library"
.DM CG56 CG56Star
.SV 1.7 "3/7/96"
.AL "Kennard White"
.IH
.NE
\fIerror\fR (FIX)
.PE
.OH
.NE
\fIoutput\fR (FIX)
.PE
.SH
.NE
\fIaccum\fR (FixState): Accumulation of error skew.
.DF "0.5"
.NE
\fIunderflowVal\fR (FixState): Value to output on underflow.
.DF "-0.9"
.NE
\fIoverflowVal\fR (FixState): Value to output on overflow.
.DF "0.9"
.ET
.EQ
delim $$
.EN
.LD
The \fIerror\fR input is accumulated.
Normally the constant 0.0 is output.
However, when overflow occurs, \fIoverVal\fP is output, 
and when underflow occurs, \fIunderVal\fP is output.
.SA
SSISkew.
.ES
