.EQ
delim off
.EN
.\" documentation file generated from CG56Test.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Test"
.SD
This star compares its two inputs "upper" and "lower".
The test "condition" can be any one of {EQ NE GT GE},
or equivalently any one of {== != > >=},
whose elements represent the binary operations of equals, not equals,
greater than, and greater than or equals, respectively.

If the "crossingsOnly" parameter is TRUE, then the output is TRUE only
when the outcome of the test changes from TRUE to FALSE
or FALSE to TRUE.
In this case, the first output is always TRUE.
.SE
.LO "CG56 main library"
.DM CG56 CG56Star
.SV 1.4 "2/9/96"
.AL "Rolando Diesta, Brian L. Evans, and Edward A. Lee"
.IH
.NE
\fIupper\fR (fix): Left-hand side of the test.
.NE
\fIlower\fR (fix): Right-hand side of the test.
.PE
.OH
.NE
\fIoutput\fR (int): Result of the test.
.PE
.SH
.NE
\fIcondition\fR (StringState): The test condition, i.e, one of EQ, NE, LT, or LE.
.DF "EQ"
.NE
\fIcrossingsOnly\fR (IntState): If TRUE, outputs are TRUE only when the sense of the test changes.
.DF "FALSE"
.NE
\fIprevResult\fR (IntState): Initial value indicates that prevResult has not yet gotten the result of a
test.  This ensures that the first test result will always be TRUE.
.DF "-1"
.ET
.EQ
delim $$
.EN
.LD
To implement the tests "<" or "<=", simply reverse the inputs.
.ir "comparison"
.ir "Boolean test"
.ir "equals"
.ir "not equals"
.ir "less than"
.ir "less than or equals"
.ir "greater than"
.ir "greater than or equals"
.ES
