static const char file_id[] = "CG56DTMFPostTest.pl";
// .cc file generated from CG56DTMFPostTest.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56DTMFPostTest.h"

const char *star_nm_CG56DTMFPostTest = "CG56DTMFPostTest";

const char* CG56DTMFPostTest :: className() const {return star_nm_CG56DTMFPostTest;}

ISA_FUNC(CG56DTMFPostTest,CG56Star);

Block* CG56DTMFPostTest :: makeNew() const { LOG_NEW; return new CG56DTMFPostTest;}

CodeBlock CG56DTMFPostTest :: postTest (
# line 71 "CG56DTMFPostTest.pl"
"; Register usage:\n"
"; a = input (from x memory)     x1 = last input value (from y memory)\n"
"; b = valid (from x memory)	y1 = second-to-last input value (from y memory)\n"
"; y0 = FALSE\n"
"	clr	a	$ref(valid),b		; b = valid\n"
"	move	$ref(input),a	a,y0		; a = input, y0 = FALSE\n"
"	move	$ref(last),x1		; x1 = last input value\n"
"	cmp	x1,a	$ref(secondToLast),y1		; y1 = 2nd-to-last input \n"
"	tne	y0,b		; if last != input, then b = y0 = FALSE\n"
"	cmp	y1,a	x1,$ref(secondToLast)		; update second-to-last value\n"
"	teq	y0,b		; if secondTolast = input, then b = y0 = FALSE\n"
"	move	a,$ref(last)		; update last value\n"
"	move	b,$ref(output)		; write output\n");

CG56DTMFPostTest::CG56DTMFPostTest ()
{
	setDescriptor("Returns whether or not a valid dual-tone modulated-frequency has\nbeen correctly detected based on the last three detection results.");
	addPort(input.setPort("input",this,INT));
	addPort(valid.setPort("valid",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(last.setState("last",this,"-1","internal",
# line 51 "CG56DTMFPostTest.pl"
A_NONCONSTANT|A_NONSETTABLE|A_YMEM));
	addState(secondToLast.setState("secondToLast",this,"-1","internal",
# line 58 "CG56DTMFPostTest.pl"
A_NONCONSTANT|A_NONSETTABLE|A_YMEM));
	addState(initialLastInput.setState("initialLastInput",this,"-1","The value to assign to last and secondToLast internal states, which hold\nthe previous two valid inputs.  For the purposes of DTMF detection, it\nis set to an integer that does not represent a DTMF digit."));


}

int CG56DTMFPostTest::myExecTime() {
# line 96 "CG56DTMFPostTest.pl"
return 9;
}

void CG56DTMFPostTest::setup() {
# line 87 "CG56DTMFPostTest.pl"
secondToLast = int(initialLastInput);
		last = int(initialLastInput);
}

void CG56DTMFPostTest::go() {
# line 92 "CG56DTMFPostTest.pl"
addCode(postTest);
}

// prototype instance for known block list
static CG56DTMFPostTest proto;
static RegisterBlock registerBlock(proto,"DTMFPostTest");
