#ifndef _CG56FFTCx_h
#define _CG56FFTCx_h 1
// header file generated from CG56FFTCx.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FloatState.h"
#include "FixArrayState.h"

class CG56FFTCx : public CG56Star
{
public:
	CG56FFTCx();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock dofft;
	/* virtual */ void initCode();
	InCG56Port input;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState order;
	FloatState direction;
	FixArrayState twdfct;
	IntState halfOrder;

};
#endif
