static const char file_id[] = "CG56Goertzel.pl";
// .cc file generated from CG56Goertzel.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Goertzel.h"

const char *star_nm_CG56Goertzel = "CG56Goertzel";

const char* CG56Goertzel :: className() const {return star_nm_CG56Goertzel;}

ISA_FUNC(CG56Goertzel,CG56GoertzelBase);

Block* CG56Goertzel :: makeNew() const { LOG_NEW; return new CG56Goertzel;}

CodeBlock CG56Goertzel :: result (
# line 40 "CG56Goertzel.pl"
"	move 	x0,a\n"
"	move	ab,$ref(output)\n");

CG56Goertzel::CG56Goertzel ()
{
	setDescriptor("First-order recursive computation of the kth coefficient of an\nN-point DFT using Goertzel's algorithm.");
	addPort(output.setPort("output",this,COMPLEX));


}

int CG56Goertzel::myExecTime() {
# line 55 "CG56Goertzel.pl"
return (2 + CG56GoertzelBase::myExecTime());
}

void CG56Goertzel::go() {
# line 46 "CG56Goertzel.pl"
// Discard all but the last sample
		// real coeff. stored in x0, imaginary coeff. stored in b
		CG56GoertzelBase::go();

		// Output the complex result
		addCode(result);
}

// prototype instance for known block list
static CG56Goertzel proto;
static RegisterBlock registerBlock(proto,"Goertzel");
