#ifndef _CG56LMS_h
#define _CG56LMS_h 1
// header file generated from CG56LMS.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "IntArrayState.h"
#include "FixState.h"
#include "FixArrayState.h"

class CG56LMS : public CG56Star
{
public:
	CG56LMS();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock std;
	static CodeBlock loop;
	static CodeBlock noloop;
	static CodeBlock cont;
	static CodeBlock decimationGreaterthanOne;
	static CodeBlock decimationOne;
	static CodeBlock cont1;
	static CodeBlock loop1;
	static CodeBlock noloop1;
	static CodeBlock end;
	static CodeBlock makeblock;
	static CodeBlock delaystart;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	OutCG56Port output;
	InCG56Port input;
	InCG56Port error;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState stepSize;
	IntState errorDelay;
	IntState decimation;
	FixArrayState coef;
	IntState coefLen;
	IntState Y;
	IntState loopVal;
	IntArrayState delayLine;
	IntState delayLineStart;
	IntState delayLineSize;
	void CheckParameterValues ();

};
#endif
