#ifndef _CG56LMSGanged_h
#define _CG56LMSGanged_h 1
// header file generated from CG56LMSGanged.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "IntArrayState.h"
#include "FixState.h"
#include "FixArrayState.h"

class CG56LMSGanged : public CG56Star
{
public:
	CG56LMSGanged();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock init;
	static CodeBlock first;
	static CodeBlock errorDelayGtOne;
	static CodeBlock main;
	static CodeBlock coefLenTwo;
	static CodeBlock std;
	static CodeBlock adjust;
	static CodeBlock cont;
	static CodeBlock cont1;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	InCG56Port inputFIR;
	InCG56Port inputAdapt;
	InCG56Port error;
	OutCG56Port outputFIR;
	OutCG56Port outputAdapt;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState stepSize;
	IntState errorDelay;
	IntState decimation;
	FixArrayState coef;
	IntArrayState delayLineAdp;
	IntState delayLineAdpStart;
	IntArrayState delayLineFIR;
	IntState delayLineFIRStart;

};
#endif
