#ifndef _CG56LMSOscDet_h
#define _CG56LMSOscDet_h 1
// header file generated from CG56LMSOscDet.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56FIR.h"
#include "IntState.h"
#include "FloatState.h"

class CG56LMSOscDet : public CG56FIR
{
public:
	CG56LMSOscDet();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	const char* oscDetCode(int index);
	/* virtual */ int myExecTime();
	InCG56Port error;
	OutCG56Port cosOmega;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState stepSize;
	IntState errorDelay;
	FloatState initialOmega;
	void CheckParameterValues ();

};
#endif
