static const char file_id[] = "CG56BitsToInt.pl";
// .cc file generated from CG56BitsToInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
	All rights reserved.
	See the file $PTOLEMY/copyright for copyright notice,
	limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56BitsToInt.h"

const char *star_nm_CG56BitsToInt = "CG56BitsToInt";

const char* CG56BitsToInt :: className() const {return star_nm_CG56BitsToInt;}

ISA_FUNC(CG56BitsToInt,CG56Star);

Block* CG56BitsToInt :: makeNew() const { LOG_NEW; return new CG56BitsToInt;}

CodeBlock CG56BitsToInt :: readNwrite (
# line 47 "CG56BitsToInt.pl"
"	move    #>$addr(input),r0\n"
"	clr     a\n"
"        do      #$val(nBits),$label(compress)\n"
"        lsl     a\n"
"	jclr	#0,x:(r0)+,$label(dontSet)\n"
"	bset    #0,a1\n"
"$label(dontSet)\n"
"	nop\n"
"$label(compress)\n"
"	move    a1,$ref(output)\n");

CG56BitsToInt::CG56BitsToInt ()
{
	setDescriptor("Packs several input bits into an integer.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(nBits.setState("nBits",this,"4","Number of bits to place in one word"));

# line 38 "CG56BitsToInt.pl"
noInternalState();
}

int CG56BitsToInt::myExecTime() {
# line 63 "CG56BitsToInt.pl"
return int(nBits)*3 + 4;
}

void CG56BitsToInt::setup() {
# line 41 "CG56BitsToInt.pl"
if (int(nBits) > 23) {
	    Error::abortRun(*this,"nBits needs to be less than 23");
	    return;
	}
	input.setSDFParams(int(nBits),int(nBits)-1);
}

void CG56BitsToInt::go() {
# line 60 "CG56BitsToInt.pl"
addCode(readNwrite);
}

// prototype instance for known block list
static CG56BitsToInt proto;
static RegisterBlock registerBlock(proto,"BitsToInt");
