#ifndef _CG56Chop_h
#define _CG56Chop_h 1
// header file generated from CG56Chop.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, an disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "IntArrayState.h"

class CG56Chop : public CG56Star
{
public:
	CG56Chop();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	const char* initRegisters(int x);
	const char* padWithZeroes(int N);
	const char* padAndSaveInputs(int N, int loc);
	const char* read_to_write(int N);
	/* virtual */ int myExecTime();
	InCG56Port input;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState nread;
	IntState nwrite;
	IntState offset;
	IntState use_past_inputs;
	IntArrayState past_inputs;
# line 74 "CG56Chop.pl"
int hiLim, index, padding, numInputs;
	void computeRange ();

};
#endif
