static const char file_id[] = "CG56Cos.pl";
// .cc file generated from CG56Cos.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Cos.h"

const char *star_nm_CG56Cos = "CG56Cos";

const char* CG56Cos :: className() const {return star_nm_CG56Cos;}

ISA_FUNC(CG56Cos,CG56Star);

Block* CG56Cos :: makeNew() const { LOG_NEW; return new CG56Cos;}

CodeBlock CG56Cos :: main (
# line 37 "CG56Cos.pl"
"	move    $ref(input),x0\n"
"; shift input 16 bits to the right and round --> a\n"
"        move    #>$$000080,x1\n"
"        mpyr    x0,x1,a         #>$$000040,y1\n"
"; add phase shift of 0.25 periods\n"
"        add     y1,a            #>$$0000ff,x0\n"
"; mask address bits --> r1\n"
"        and     x0,a            #>$$000100,x1\n"
"        or      x1,a\n"
"        move    a1,r1\n"
"; set DE=1 in OMR, to access sine tables\n"
"        ori     #$$04,omr	; turn on table\n"
"        andi    #$$fb,omr	; turn off table -- NOTE THE 1 CYCLE TIME LAG\n"
"				; CAUTION: Do not insert any instruction here\n"
"        move    y:(r1),b	; read the table\n"
"        move    b1,$ref(output)\n");

CG56Cos::CG56Cos ()
{
	setDescriptor("Cosine function calculated by table lookup.\nInput range of (-1,1) scaled by pi.");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FIX));

# line 35 "CG56Cos.pl"
noInternalState();
}

int CG56Cos::myExecTime() {
# line 59 "CG56Cos.pl"
return 11;
}

void CG56Cos::go() {
# line 56 "CG56Cos.pl"
addCode(main);
}

// prototype instance for known block list
static CG56Cos proto;
static RegisterBlock registerBlock(proto,"Cos");
