static const char file_id[] = "CG56CxToRect.pl";
// .cc file generated from CG56CxToRect.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56CxToRect.h"

const char *star_nm_CG56CxToRect = "CG56CxToRect";

const char* CG56CxToRect :: className() const {return star_nm_CG56CxToRect;}

ISA_FUNC(CG56CxToRect,CG56Star);

Block* CG56CxToRect :: makeNew() const { LOG_NEW; return new CG56CxToRect;}

CodeBlock CG56CxToRect :: convert (
# line 29 "CG56CxToRect.pl"
"	move 	L:$addr(input),x\n"
"	move 	x1,$ref(real)\n"
"	move 	x0,$ref(imag)\n");

CG56CxToRect::CG56CxToRect ()
{
	setDescriptor("Convert complex data to real and imaginary parts.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(real.setPort("real",this,FIX));
	addPort(imag.setPort("imag",this,FIX));

# line 27 "CG56CxToRect.pl"
noInternalState();
}

void CG56CxToRect::go() {
# line 35 "CG56CxToRect.pl"
addCode(convert);
}

// prototype instance for known block list
static CG56CxToRect proto;
static RegisterBlock registerBlock(proto,"CxToRect");
