static const char file_id[] = "CG56Distributor.pl";
// .cc file generated from CG56Distributor.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Distributor.h"

const char *star_nm_CG56Distributor = "CG56Distributor";

const char* CG56Distributor :: className() const {return star_nm_CG56Distributor;}

ISA_FUNC(CG56Distributor,CG56Star);

Block* CG56Distributor :: makeNew() const { LOG_NEW; return new CG56Distributor;}

CodeBlock CG56Distributor :: loadInputAddress (
# line 44 "CG56Distributor.pl"
"        move    #>$addr(input),r1\n"
"	nop\n");

const char* CG56Distributor :: moveBlock(int outputNum) {
# line 49 "CG56Distributor.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"" << (int(blockSize)!= 1 ? "\n\tdo\t#$val(blockSize),$label(txBlock)\n":"") << "        move	$mem(input):(r1)+,a\n"
"        move    a,$ref(output#" << (outputNum) << ")" << (int(blockSize)!= 1 ? "\n$label(txBlock)":"") << "\n";
	return (const char*)_str_;
}

CG56Distributor::CG56Distributor ()
{
	setDescriptor("One input, two output distributor.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);
	addState(blockSize.setState("blockSize",this,"1","Number of particles in a block."));

# line 41 "CG56Distributor.pl"
noInternalState();
}

int CG56Distributor::myExecTime() {
# line 63 "CG56Distributor.pl"
return (2*(int(output.numberPorts()))+1);
}

void CG56Distributor::setup() {
# line 35 "CG56Distributor.pl"
int n = output.numberPorts();
		int bs = int(blockSize);
                input.setSDFParams(n*bs,n*bs-1);
		output.setSDFParams(bs,bs-1);
}

void CG56Distributor::go() {
# line 57 "CG56Distributor.pl"
addCode(loadInputAddress);
                for (int i = 1; i <= output.numberPorts(); i++) {
                        addCode(moveBlock(i));
                }
}

// prototype instance for known block list
static CG56Distributor proto;
static RegisterBlock registerBlock(proto,"Distributor");
