static const char file_id[] = "CG56DownSample.pl";
// .cc file generated from CG56DownSample.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56DownSample.h"

const char *star_nm_CG56DownSample = "CG56DownSample";

const char* CG56DownSample :: className() const {return star_nm_CG56DownSample;}

ISA_FUNC(CG56DownSample,CG56Star);

Block* CG56DownSample :: makeNew() const { LOG_NEW; return new CG56DownSample;}

CodeBlock CG56DownSample :: sendsample (
# line 46 "CG56DownSample.pl"
"	move	$ref2(input,phase),a\n"
"	move	a,$ref(output)\n");

CG56DownSample::CG56DownSample ()
{
	setDescriptor("A decimator by \"factor\" (default 2).  The \"phase\" tells which sample to\noutput.  If phase = 0, the most recent sample is the output, while if\nphase = factor-1 the oldest sample is the output.  Phase = 0 is the\ndefault.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);
	addState(factor.setState("factor",this,"2","Downsample factor.",
# line 32 "CG56DownSample.pl"
A_SETTABLE));
	addState(phase.setState("phase",this,"0","Downsample phase.",
# line 39 "CG56DownSample.pl"
A_SETTABLE));


}

int CG56DownSample::myExecTime() {
# line 54 "CG56DownSample.pl"
return 2;
}

void CG56DownSample::setup() {
# line 42 "CG56DownSample.pl"
input.setSDFParams(int(factor),int(factor)-1);
		if (int(phase) >= int(factor))
			Error::abortRun(*this, ": phase must be < factor");
}

void CG56DownSample::go() {
# line 51 "CG56DownSample.pl"
addCode(sendsample);
}

// prototype instance for known block list
static CG56DownSample proto;
static RegisterBlock registerBlock(proto,"DownSample");
