static const char file_id[] = "CG56Expr.pl";
// .cc file generated from CG56Expr.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Expr.h"

const char *star_nm_CG56Expr = "CG56Expr";

const char* CG56Expr :: className() const {return star_nm_CG56Expr;}

ISA_FUNC(CG56Expr,CG56Star);

Block* CG56Expr :: makeNew() const { LOG_NEW; return new CG56Expr;}

CG56Expr::CG56Expr ()
{
	setDescriptor("General expression evaluation.");
	addPort(in.setPort("in",this,ANYTYPE));
	addPort(out.setPort("out",this,ANYTYPE));
	out.inheritTypeFrom(in);
	addState(expr.setState("expr",this,"\tmove\t$ref(in#1),a\n\tmove\ta,$ref(out)","Expression to evaluate."));
	addState(runTime.setState("runTime",this,"2","execution time"));


}

int CG56Expr::myExecTime() {
# line 53 "CG56Expr.pl"
return int(runTime);
}

void CG56Expr::go() {
# line 46 "CG56Expr.pl"
StringList code;
	code << expr << '\n';
	addCode(expr);
}

// prototype instance for known block list
static CG56Expr proto;
static RegisterBlock registerBlock(proto,"Expr");
