#ifndef _CG56HostAOut_h
#define _CG56HostAOut_h 1
// header file generated from CG56HostAOut.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"
#include "FixArrayState.h"

class CG56HostAOut : public CG56Star
{
public:
	CG56HostAOut();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock cbAioDirect;
	static CodeBlock cbAioHostLock;
	static CodeBlock cbCopy;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	InCG56Port input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState label;
	IntState blockSize;
	StringState mode;
	IntState bufLock;
	FixArrayState buffer;
	FloatState yMin;
	FloatState yMax;
	FloatState xMin;
	FloatState xMax;
# line 77 "CG56HostAOut.pl"
int	doCopyB;

};
#endif
