#ifndef _CG56HostSldr_h
#define _CG56HostSldr_h 1
// header file generated from CG56HostSldr.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56HostASrc.h"
#include <minmax.h>
#include "FloatState.h"
#include "StringState.h"
#include "FixState.h"

class CG56HostSldr : public CG56HostASrc
{
public:
	CG56HostSldr();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock cbSliderAio;
	/* virtual */ void initCode();
protected:
	/* virtual */ void setup();
	FloatState hostMin;
	FloatState hostMax;
	FloatState hostInitVal;
	FixState dspMin;
	FixState dspMax;
	StringState scale;

};
#endif
