static const char file_id[] = "CG56IIDUniform.pl";
// .cc file generated from CG56IIDUniform.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56IIDUniform.h"

const char *star_nm_CG56IIDUniform = "CG56IIDUniform";

const char* CG56IIDUniform :: className() const {return star_nm_CG56IIDUniform;}

ISA_FUNC(CG56IIDUniform,CG56Star);

Block* CG56IIDUniform :: makeNew() const { LOG_NEW; return new CG56IIDUniform;}

CodeBlock CG56IIDUniform :: initSeed (
# line 62 "CG56IIDUniform.pl"
"	org	x:$addr(accum)\n"
"	dc	1246684\n"
"	org	y:$addr(accum)\n"
"	dc	8123721\n"
"	org	p:\n");

CodeBlock CG56IIDUniform :: randomGen (
# line 70 "CG56IIDUniform.pl"
"	move	#$addr(accum),r1\n"
"        move	#>10916575,y1\n"
"        move    l:(r1),x\n"
"        mpy   	x0,y1,a		#>12648789,y0\n"
"        mac  	+x1,y0,a	y1,b1\n"
"        asr   	a         	y0,b0\n"
"        mpy	x0,y0,a   	a0,x1\n"
"        addr	b,a\n");

CodeBlock CG56IIDUniform :: range1 (
# line 81 "CG56IIDUniform.pl"
"        add	x1,a\n"
"        move    a10,l:(r1)\n"
"        move    a1,$ref(output)\n");

CodeBlock CG56IIDUniform :: rangeScale (
# line 87 "CG56IIDUniform.pl"
"	add	x1,a		#>$val(scaledRange),x0\n"
"	move	a1,y0\n"
"	mpy	x0,y0,a		a10,l:(r1)\n"
"	move	a,$ref(output)\n");

CG56IIDUniform::CG56IIDUniform ()
{
	setDescriptor("Generate pseudo-IID-uniform random variables.  The values range from\n-range to range where \"range\" is a parameter.");
	addPort(output.setPort("output",this,FIX));
	addState(range.setState("range",this,"ONE","range of random number generator is [-range,+range]"));
	addState(accum.setState("accum",this,"0","accum",
# line 39 "CG56IIDUniform.pl"
A_SYMMETRIC|A_RAM|A_NOINIT|A_NONSETTABLE));
	addState(scaledRange.setState("scaledRange",this,"0","scaledRange",
# line 45 "CG56IIDUniform.pl"
A_NONSETTABLE|A_NONCONSTANT));


}

int CG56IIDUniform::myExecTime() {
# line 59 "CG56IIDUniform.pl"
return (range.asDouble() < CG56_ONE) ? 17 : 15;
}

void CG56IIDUniform::initCode() {
# line 48 "CG56IIDUniform.pl"
addCode(initSeed);
}

void CG56IIDUniform::setup() {
# line 51 "CG56IIDUniform.pl"
scaledRange = int(range.asDouble() * 8388608);
}

void CG56IIDUniform::go() {
# line 54 "CG56IIDUniform.pl"
addCode(randomGen);
		if (range.asDouble() < CG56_ONE) addCode(rangeScale);
		else addCode (range1);
}

// prototype instance for known block list
static CG56IIDUniform proto;
static RegisterBlock registerBlock(proto,"IIDUniform");
