static const char file_id[] = "CG56Impulse.pl";
// .cc file generated from CG56Impulse.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Impulse.h"

const char *star_nm_CG56Impulse = "CG56Impulse";

const char* CG56Impulse :: className() const {return star_nm_CG56Impulse;}

ISA_FUNC(CG56Impulse,CG56Star);

Block* CG56Impulse :: makeNew() const { LOG_NEW; return new CG56Impulse;}

CodeBlock CG56Impulse :: std (
# line 45 "CG56Impulse.pl"
"	clr	b	$ref(pulse),a\n"
"	move	a,$ref(output)\n"
"	move	b,$ref(pulse)\n");

CG56Impulse::CG56Impulse ()
{
	setDescriptor("Impulse generator");
	addPort(output.setPort("output",this,FIX));
	addState(impulseSize.setState("impulseSize",this,"ONE","impulse size"));
	addState(pulse.setState("pulse",this,"0","internal",
# line 39 "CG56Impulse.pl"
A_NONCONSTANT|A_NONSETTABLE|A_YMEM));


}

int CG56Impulse::myExecTime() {
# line 53 "CG56Impulse.pl"
return 3;
}

void CG56Impulse::setup() {
# line 42 "CG56Impulse.pl"
pulse=impulseSize;
}

void CG56Impulse::go() {
# line 51 "CG56Impulse.pl"
addCode(std);
}

// prototype instance for known block list
static CG56Impulse proto;
static RegisterBlock registerBlock(proto,"Impulse");
