static const char file_id[] = "CG56Limit.pl";
// .cc file generated from CG56Limit.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Limit.h"

const char *star_nm_CG56Limit = "CG56Limit";

const char* CG56Limit :: className() const {return star_nm_CG56Limit;}

ISA_FUNC(CG56Limit,CG56Star);

Block* CG56Limit :: makeNew() const { LOG_NEW; return new CG56Limit;}

CodeBlock CG56Limit :: limitblock (
# line 44 "CG56Limit.pl"
"	move	#$val(top),x0\n"
"	move	$ref(input),a\n"
"	cmp	x0,a\n"
"	jpl	$label(end)\n"
"	move	#$val(bottom),x0\n"
"	cmp	x0,a\n"
" 	jmi	$label(end)\n"
"	move	a,x0\n"
"$label(end)\n"
"        move	x0,$ref(output)\n");

CG56Limit::CG56Limit ()
{
	setDescriptor("Hard Limiter");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FIX));
	addState(bottom.setState("bottom",this,"0","Lower limit of the output."));
	addState(top.setState("top",this,"ONE","Upper limit of the output."));

# line 40 "CG56Limit.pl"
noInternalState();
}

int CG56Limit::myExecTime() {
# line 62 "CG56Limit.pl"
return 10;
}

void CG56Limit::go() {
# line 58 "CG56Limit.pl"
addCode(limitblock);
}

// prototype instance for known block list
static CG56Limit proto;
static RegisterBlock registerBlock(proto,"Limit");
