static const char file_id[] = "CG56Log.pl";
// .cc file generated from CG56Log.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Log.h"

const char *star_nm_CG56Log = "CG56Log";

const char* CG56Log :: className() const {return star_nm_CG56Log;}

ISA_FUNC(CG56Log,CG56Star);

Block* CG56Log :: makeNew() const { LOG_NEW; return new CG56Log;}

CodeBlock CG56Log :: std (
# line 38 "CG56Log.pl"
"        move            m7,r7\n"
"        move            $ref(input),a\n"
"        move            #>$addr(d),r1\n"
"        rep   #23\n"
"        norm  r7,a\n"
"        move            a,x0\n"
"        mpyr  x0,x0,a           y:(r1)+,y0\n"
"        mpy   x0,y0,a   a,x1    y:(r1)+,y0\n"
"        mac   x1,y0,a           y:(r1)+,y0\n"
"        add   y0,a\n"
"        asl   a\n"
"        asl   a\n"
"        asl   a\n"
"        move            r7,a2\n"
"        rep   #6\n"
"        asr   a\n"
"        rnd   a\n"
"        move            a,$ref(output)\n");

CG56Log::CG56Log ()
{
	setDescriptor("Base two logarithm");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FIX));
	addState(d.setState("d",this,"0.9981958 -0.3372223 -0.6626105","d",
# line 32 "CG56Log.pl"
A_ROM|A_YMEM|A_NONSETTABLE));

# line 35 "CG56Log.pl"
noInternalState();
}

int CG56Log::myExecTime() {
# line 63 "CG56Log.pl"
return 49;
}

void CG56Log::go() {
# line 60 "CG56Log.pl"
addCode(std);
}

// prototype instance for known block list
static CG56Log proto;
static RegisterBlock registerBlock(proto,"Log");
