#ifndef _CG56Logic_h
#define _CG56Logic_h 1
// header file generated from CG56Logic.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "StringState.h"

class CG56Logic : public CG56Star
{
public:
	CG56Logic();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock inverter;
	static CodeBlock copyInput;
	static CodeBlock twoInputAnd;
	static CodeBlock prepareAndLoop;
	const char* logicAndOpAndLoad(int numinputs);
	static CodeBlock logicOrOp;
	const char* logicOrOpAndLoad(int i);
	static CodeBlock beginXor;
	const char* logicXorOpAndLoad(int numinputs);
	static CodeBlock endXor;
	const char* loadAccumulator(int i);
	const char* loadx0(int i);
	static CodeBlock invertAccumulator;
	static CodeBlock saveResult;
	/* virtual */ int myExecTime();
	MultiInCG56Port input;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState logic;

private:
# line 65 "CG56Logic.pl"
int test;

};
#endif
