#ifndef _CG56LookupTbl_h
#define _CG56LookupTbl_h 1
// header file generated from CG56LookupTbl.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "StringState.h"
#include "FixState.h"
#include "FixArrayState.h"

class CG56LookupTbl : public CG56Star
{
public:
	CG56LookupTbl();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock addblockinit;
	static CodeBlock none;
	static CodeBlock other;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	InCG56Port input;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState interpolation;
	StringState tableType;
	FixArrayState coef;
	FixState addedVal;
	IntState coefNum;

};
#endif
