#ifndef _CG56MagnavoxIn_h
#define _CG56MagnavoxIn_h 1
// header file generated from CG56MagnavoxIn.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "StringState.h"
#include "IntArrayState.h"
#include "FixState.h"
#include "FixArrayState.h"

class CG56MagnavoxIn : public CG56Star
{
public:
	CG56MagnavoxIn();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock pollingInit;
	static CodeBlock abortyes;
	static CodeBlock polling;
	static CodeBlock interruptInit;
	static CodeBlock interrupt;
	static CodeBlock interruptCont;
	static CodeBlock interruptIn;
	static CodeBlock interruptTerminate;
	/* virtual */ int myExecTime();
	/* virtual */ void wrapup();
	/* virtual */ void initCode();
	OutCG56Port output1;
	OutCG56Port output2;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState forceInterrupts;
	IntState interruptBufferSize;
	StringState abortOnRealTimeError;
	IntState bufLen;
	FixState starInBufPtr;
	FixArrayState saveReg;
	IntArrayState inIntBuffer;
	IntState inIntBufferStart;

};
#endif
