static const char file_id[] = "CG56MpyCx.pl";
// .cc file generated from CG56MpyCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56MpyCx.h"

const char *star_nm_CG56MpyCx = "CG56MpyCx";

const char* CG56MpyCx :: className() const {return star_nm_CG56MpyCx;}

ISA_FUNC(CG56MpyCx,CG56Star);

Block* CG56MpyCx :: makeNew() const { LOG_NEW; return new CG56MpyCx;}

CodeBlock CG56MpyCx :: cbZero (
# line 36 "CG56MpyCx.pl"
"	clr	a\n"
"	move	a,$ref(output)\n");

CodeBlock CG56MpyCx :: cbTwoInput (
# line 40 "CG56MpyCx.pl"
"	move  $ref(input#1),x\n"
"	move  $ref(input#2),y\n"
"	mpyr	x1,y1,a\n"
"	mpyr	x0,y1,b\n"
"	macr	-x0,y0,a\n"
"	macr	x1,y0,b		a,x:$addr(output)\n"
"	move			b,y:$addr(output)\n");

CG56MpyCx::CG56MpyCx ()
{
	setDescriptor("Multiply any number of rectangular complex inputs, producing an output.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(output.setPort("output",this,COMPLEX));
	addState(inputNum.setState("inputNum",this,"0","input#()",
# line 31 "CG56MpyCx.pl"
A_NONCONSTANT|A_NONSETTABLE));

# line 34 "CG56MpyCx.pl"
noInternalState();
}

int CG56MpyCx::myExecTime() {
# line 91 "CG56MpyCx.pl"
return runtime;
}

void CG56MpyCx::setup() {
# line 53 "CG56MpyCx.pl"
int n = input.numberPorts();
	switch ( n ) {
	case 0:
	    runtime = 2;
	    break;
	case 1:
            {    
	    const char* buf = "input#1";;
	    CGPortHole *pr = (CGPortHole*) genPortWithName(buf);
	    forkInit( *pr, output);
	    runtime = 0;
	    break;
	    }
	case 2:
	    runtime = 7;
	    break;
	default:
	    Error::abortRun(*this,"more than two inputs not implemented yet");
	    return;
	}
}

void CG56MpyCx::go() {
# line 75 "CG56MpyCx.pl"
int n = input.numberPorts();
	switch ( n ) {
	case 0:
	    addCode(cbZero);
	    break;
	case 1:
	    ; /* fork'd */
	    break;
	case 2:
	    addCode(cbTwoInput);
	    break;
	default:
	    ; // NOT IMP
	}
}

// prototype instance for known block list
static CG56MpyCx proto;
static RegisterBlock registerBlock(proto,"MpyCx");
