static const char file_id[] = "CG56MpyInt.pl";
// .cc file generated from CG56MpyInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56MpyInt.h"

const char *star_nm_CG56MpyInt = "CG56MpyInt";

const char* CG56MpyInt :: className() const {return star_nm_CG56MpyInt;}

ISA_FUNC(CG56MpyInt,CG56Star);

Block* CG56MpyInt :: makeNew() const { LOG_NEW; return new CG56MpyInt;}

CodeBlock CG56MpyInt :: copyInput (
# line 32 "CG56MpyInt.pl"
"	move	$ref(input#1),x0		; just copy input to output\n"
"	move	x0,$ref(output)\n");

CodeBlock CG56MpyInt :: multiplyStart (
# line 37 "CG56MpyInt.pl"
"	move	$ref(input#1),x0			; 1st input -> x0\n"
"        move	$ref(input#2),y0			; 2nd input -> y0\n");

const char* CG56MpyInt :: multiply(int i) {
# line 42 "CG56MpyInt.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"        mpy     x0,y0,a     $ref(input#" << (i) << "),x0	; a = x0 * y0, get next input\n"
"	asr	a			; adjust for integer multiplication\n"
"	move    a0,y0			; y0 = integer result in accumulator\n";
	return (const char*)_str_;
}

CodeBlock CG56MpyInt :: multiplyEnd (
# line 48 "CG56MpyInt.pl"
"	mpy	x0,y0,a			; a = x0 * y0\n"
"	asr	a			; adjust for integer multiplication\n"
"	move	a0,$ref(output)			; return the integer result\n");

CG56MpyInt::CG56MpyInt ()
{
	setDescriptor("Multiply any number of inputs, producing an output.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));

# line 29 "CG56MpyInt.pl"
noInternalState();
}

int CG56MpyInt::myExecTime() {
# line 67 "CG56MpyInt.pl"
if (input.numberPorts() == 1) return 2;
		return 2 + input.numberPorts();
}

void CG56MpyInt::go() {
# line 55 "CG56MpyInt.pl"
if (input.numberPorts() == 1) {
			addCode(copyInput);
			return;
		}

		addCode(multiplyStart);
		for (int i = 3; i <= input.numberPorts(); i++) {
			addCode(multiply(i));
		}
	        addCode(multiplyEnd);
}

// prototype instance for known block list
static CG56MpyInt proto;
static RegisterBlock registerBlock(proto,"MpyInt");
