static const char file_id[] = "CG56MpyShift.pl";
// .cc file generated from CG56MpyShift.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56MpyShift.h"

const char *star_nm_CG56MpyShift = "CG56MpyShift";

const char* CG56MpyShift :: className() const {return star_nm_CG56MpyShift;}

ISA_FUNC(CG56MpyShift,CG56Star);

Block* CG56MpyShift :: makeNew() const { LOG_NEW; return new CG56MpyShift;}

CodeBlock CG56MpyShift :: cbMulShift (
# line 42 "CG56MpyShift.pl"
"	move	$ref(factor1),x0\n"
"	move	$ref(factor2),x1\n"
"	mpy	x0,x1,a		$ref(shift),b\n"
"	tst	b\n"
"	jle	$label(noleft)\n"
"	rep	b1\n"
"	  asl	a			; shift left by {shift} bits\n"
"$label(noleft)\n"
"	rnd	a			; Must do rnd *after* shift-left\n"
"	move	a,$ref(output)\n");

CG56MpyShift::CG56MpyShift ()
{
	setDescriptor("Multiply and shift");
	addPort(factor1.setPort("factor1",this,FIX));
	addPort(factor2.setPort("factor2",this,FIX));
	addPort(shift.setPort("shift",this,INT));
	addPort(output.setPort("output",this,FIX));

# line 37 "CG56MpyShift.pl"
noInternalState();
}

void CG56MpyShift::go() {
# line 40 "CG56MpyShift.pl"
addCode(cbMulShift);
}

// prototype instance for known block list
static CG56MpyShift proto;
static RegisterBlock registerBlock(proto,"MpyShift");
