#ifndef _CG56Mux_h
#define _CG56Mux_h 1
// header file generated from CG56Mux.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "IntArrayState.h"

class CG56Mux : public CG56Star
{
public:
	CG56Mux();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock cbCopyScalor;
	static CodeBlock cbCopyBlock;
	static CodeBlock cbAdvancePtr;
	/* virtual */ void initCode();
	MultiInCG56Port input;
	InCG56Port control;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState blockSize;
	IntState useCircular;
	IntArrayState ptrvec;
	IntState curinput;
	IntState useModuloB;

};
#endif
