static const char file_id[] = "CG56OrderTwoInt.pl";
// .cc file generated from CG56OrderTwoInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56OrderTwoInt.h"

const char *star_nm_CG56OrderTwoInt = "CG56OrderTwoInt";

const char* CG56OrderTwoInt :: className() const {return star_nm_CG56OrderTwoInt;}

ISA_FUNC(CG56OrderTwoInt,CG56Star);

Block* CG56OrderTwoInt :: makeNew() const { LOG_NEW; return new CG56OrderTwoInt;}

CodeBlock CG56OrderTwoInt :: order (
# line 33 "CG56OrderTwoInt.pl"
"	move	$ref(lower),a		; a1 = lower input\n"
"	move	$ref(upper),b		; b1 = upper input\n"
"	cmp	a,b	a1,x0		; compare upper to lower, x0=lower\n"
"	tlt	b,a			; if upper(b) < lower(a) exchange b\n"
"	tlt	x0,b			; with a\n"
"	move	b,$ref(greater)\n"
"	move	a,$ref(lesser)\n");

CG56OrderTwoInt::CG56OrderTwoInt ()
{
	setDescriptor("Takes two inputs and outputs the greater and lesser of the two integers.");
	addPort(upper.setPort("upper",this,INT));
	addPort(lower.setPort("lower",this,INT));
	addPort(greater.setPort("greater",this,INT));
	addPort(lesser.setPort("lesser",this,INT));


}

int CG56OrderTwoInt::myExecTime() {
# line 48 "CG56OrderTwoInt.pl"
return 7;
}

void CG56OrderTwoInt::go() {
# line 44 "CG56OrderTwoInt.pl"
addCode(order);
}

// prototype instance for known block list
static CG56OrderTwoInt proto;
static RegisterBlock registerBlock(proto,"OrderTwoInt");
