#ifndef _CG56Pulse_h
#define _CG56Pulse_h 1
// header file generated from CG56Pulse.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FixState.h"

class CG56Pulse : public CG56Star
{
public:
	CG56Pulse();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock std;
	/* virtual */ int myExecTime();
	InCG56Port trigger;
	InCG56Port duration;
	OutCG56Port output;

protected:
	/* virtual */ void go();
	FixState counter;
	FixState onVal;
	FixState offVal;
	IntState maxDuration;

};
#endif
