static const char file_id[] = "CG56QntBtsInt.pl";
// .cc file generated from CG56QntBtsInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56QntBtsInt.h"
#include <math.h>

const char *star_nm_CG56QntBtsInt = "CG56QntBtsInt";

const char* CG56QntBtsInt :: className() const {return star_nm_CG56QntBtsInt;}

ISA_FUNC(CG56QntBtsInt,CG56Star);

Block* CG56QntBtsInt :: makeNew() const { LOG_NEW; return new CG56QntBtsInt;}

CodeBlock CG56QntBtsInt :: std (
# line 43 "CG56QntBtsInt.pl"
"	move	$ref(input),x0\n");

CodeBlock CG56QntBtsInt :: cont3 (
# line 46 "CG56QntBtsInt.pl"
"	move	#$val(Y),a1\n"
"	move	a1,y0\n");

CodeBlock CG56QntBtsInt :: cont4 (
# line 50 "CG56QntBtsInt.pl"
"	move	#$val(Y),y0\n");

CodeBlock CG56QntBtsInt :: cont5 (
# line 53 "CG56QntBtsInt.pl"
"	mpy	x0,y0,a\n"
"	move	a1,$ref(output)\n");

CodeBlock CG56QntBtsInt :: cont6 (
# line 57 "CG56QntBtsInt.pl"
"	move	x0,$ref(output)\n");

CG56QntBtsInt::CG56QntBtsInt ()
{
	setDescriptor("Integer quantizer with adjustable offset.");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,INT));
	addState(noBits.setState("noBits",this,"4",""));
	addState(Y.setState("Y",this,"0","internal",
# line 38 "CG56QntBtsInt.pl"
A_NONCONSTANT|A_NONSETTABLE));

# line 41 "CG56QntBtsInt.pl"
noInternalState();
}

int CG56QntBtsInt::myExecTime() {
# line 79 "CG56QntBtsInt.pl"
return 5;
}

void CG56QntBtsInt::go() {
# line 62 "CG56QntBtsInt.pl"
Y = int(pow(2,noBits-1));
 		

		addCode(std);
	        if (noBits !=24) {
	                    if (noBits<9) 
				 addCode(cont3);
			    else
			         addCode(cont4);
			    addCode(cont5);
		}
		else
			addCode(cont6);
}

// prototype instance for known block list
static CG56QntBtsInt proto;
static RegisterBlock registerBlock(proto,"QntBtsInt");
