static const char file_id[] = "CG56QntBtsLin.pl";
// .cc file generated from CG56QntBtsLin.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56QntBtsLin.h"
#include <math.h>

const char *star_nm_CG56QntBtsLin = "CG56QntBtsLin";

const char* CG56QntBtsLin :: className() const {return star_nm_CG56QntBtsLin;}

ISA_FUNC(CG56QntBtsLin,CG56Star);

Block* CG56QntBtsLin :: makeNew() const { LOG_NEW; return new CG56QntBtsLin;}

CodeBlock CG56QntBtsLin :: std (
# line 51 "CG56QntBtsLin.pl"
"	move	$ref(input),x0\n"
"	move	#-$val(X),a\n"
" 	move	#$val(offset),x1\n"
"	and	x0,a\n"
"	add	x1,a\n"
"	move	a1,$ref(output)\n");

CG56QntBtsLin::CG56QntBtsLin ()
{
	setDescriptor("Linear quantizer with adjustable offset.");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FIX));
	addState(noBits.setState("noBits",this,"4","Number of Bits."));
	addState(offset.setState("offset",this,"0","amount of shift."));
	addState(X.setState("X",this,"0","internal",
# line 46 "CG56QntBtsLin.pl"
A_NONCONSTANT|A_NONSETTABLE));

# line 49 "CG56QntBtsLin.pl"
noInternalState();
}

int CG56QntBtsLin::myExecTime() {
# line 69 "CG56QntBtsLin.pl"
return 6;
}

void CG56QntBtsLin::go() {
# line 62 "CG56QntBtsLin.pl"
// There is no IntState to double cast, so cast to int first.
                double a = pow(2,1-double(int(noBits)));
   		X=a;
 		addCode(std);
}

// prototype instance for known block list
static CG56QntBtsLin proto;
static RegisterBlock registerBlock(proto,"QntBtsLin");
