#ifndef _CG56Quant_h
#define _CG56Quant_h 1
// header file generated from CG56Quant.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FixArrayState.h"

class CG56Quant : public CG56Star
{
public:
	CG56Quant();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock main;
	static CodeBlock oneThreshold;
	/* virtual */ int myExecTime();
	InCG56Port input;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixArrayState thresholds;
	FixArrayState levels;
	IntState X;

};
#endif
