static const char file_id[] = "CG56ReadFile.pl";
// .cc file generated from CG56ReadFile.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56ReadFile.h"

const char *star_nm_CG56ReadFile = "CG56ReadFile";

const char* CG56ReadFile :: className() const {return star_nm_CG56ReadFile;}

ISA_FUNC(CG56ReadFile,CG56Star);

Block* CG56ReadFile :: makeNew() const { LOG_NEW; return new CG56ReadFile;}

CodeBlock CG56ReadFile :: logIn (
# line 44 "CG56ReadFile.pl"
"input $ref(inVal) $val(fileName).sim -RF\n");

CodeBlock CG56ReadFile :: copy (
# line 52 "CG56ReadFile.pl"
"	move	$ref(inVal),a\n"
"	move	a,$ref(output)\n");

CG56ReadFile::CG56ReadFile ()
{
	setDescriptor("Reads data from file for use with simulator.");
	addPort(output.setPort("output",this,FIX));
	addState(fileName.setState("fileName",this,"infile","'Root' of filename that gets the data. '.sim' is appended."));
	addState(inVal.setState("inVal",this,"0","inVal",
# line 38 "CG56ReadFile.pl"
A_NONCONSTANT|A_NONSETTABLE|A_YMEM|A_NOINIT));


}

int CG56ReadFile::myExecTime() {
# line 23 "CG56ReadFile.pl"
return 2;
}

void CG56ReadFile::initCode() {
# line 48 "CG56ReadFile.pl"
addCode(logIn,"simulatorCmds");
}

void CG56ReadFile::go() {
# line 57 "CG56ReadFile.pl"
addCode(copy);
}

// prototype instance for known block list
static CG56ReadFile proto;
static RegisterBlock registerBlock(proto,"ReadFile");
