static const char file_id[] = "CG56Reciprocal.pl";
// .cc file generated from CG56Reciprocal.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Reciprocal.h"

const char *star_nm_CG56Reciprocal = "CG56Reciprocal";

const char* CG56Reciprocal :: className() const {return star_nm_CG56Reciprocal;}

ISA_FUNC(CG56Reciprocal,CG56Star);

Block* CG56Reciprocal :: makeNew() const { LOG_NEW; return new CG56Reciprocal;}

CodeBlock CG56Reciprocal :: Rblock (
# line 49 "CG56Reciprocal.pl"
"        move    $ref(input),a\n"
"        move    #0,r7\n"
"	tst	a			; must setup flags before norm\n"
"$label(normalize)\n"
"        norm    r7,a\n"
"        jnn     $label(normalize)                   ;normalize data\n"
"        move    r7,y0\n"
"        move    #$$010001,b\n"
"        sub     y0,b    a,x0            ;number of left shifts in LSBs of b\n"
"        move    #0.5,a                  ;s = left shifts + 1 'cause div 0.5\n"
"        and     #$$fe,ccr\n"
"        rep     #$val(Nf)\n"
"        div     x0,a                    ;quotient (f) in Nf LSBs of a\n"
"        asl     a	b,$ref(s)\n"
"        rep     #$val(X)\n"
"        asl     a\n"
"        move    a0,$ref(f)\n");

CG56Reciprocal::CG56Reciprocal ()
{
	setDescriptor("Output parameters are reciprocal of the inputs.");
	addPort(input.setPort("input",this,FIX));
	addPort(f.setPort("f",this,FIX));
	addPort(s.setPort("s",this,INT));
	addState(Nf.setState("Nf",this,"8","precision"));
	addState(X.setState("X",this,"15","X",
# line 44 "CG56Reciprocal.pl"
A_NONCONSTANT|A_NONSETTABLE));

# line 47 "CG56Reciprocal.pl"
noInternalState();
}

int CG56Reciprocal::myExecTime() {
# line 20 "CG56Reciprocal.pl"
return 3;
}

void CG56Reciprocal::go() {
# line 69 "CG56Reciprocal.pl"
X=23-int(Nf);
	 	 addCode(Rblock);
}

// prototype instance for known block list
static CG56Reciprocal proto;
static RegisterBlock registerBlock(proto,"Reciprocal");
