static const char file_id[] = "CG56Reverse.pl";
// .cc file generated from CG56Reverse.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Reverse.h"

const char *star_nm_CG56Reverse = "CG56Reverse";

const char* CG56Reverse :: className() const {return star_nm_CG56Reverse;}

ISA_FUNC(CG56Reverse,CG56Star);

Block* CG56Reverse :: makeNew() const { LOG_NEW; return new CG56Reverse;}

CodeBlock CG56Reverse :: main (
# line 35 "CG56Reverse.pl"
"        move    #<$addr(input)+$val(N),r0\n"
"        move    #<$addr(output),r1\n"
"        do      #$val(N),$label(loop)\n"
"        move    $mem(input):-(r0),a\n"
"        move    a,$mem(output):(r1)+\n"
"$label(loop)\n");

CodeBlock CG56Reverse :: one (
# line 43 "CG56Reverse.pl"
"        move    $ref(input),a\n"
"        move    a,$ref(output)\n");

CG56Reverse::CG56Reverse ()
{
	setDescriptor("Reverse a block of input data of length N");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);
	addState(N.setState("N",this,"64","Number of particles read and written."));


}

int CG56Reverse::myExecTime() {
# line 55 "CG56Reverse.pl"
if(int(N)>1)
	            return 2*int(N)+4;
		else
	            return 2;
}

void CG56Reverse::setup() {
# line 31 "CG56Reverse.pl"
input.setSDFParams(int(N),int(N)-1);
                output.setSDFParams(int(N),int(N)-1);
}

void CG56Reverse::go() {
# line 49 "CG56Reverse.pl"
if(N>1)
	            addCode(main);
		else
	            addCode(one);
}

// prototype instance for known block list
static CG56Reverse proto;
static RegisterBlock registerBlock(proto,"Reverse");
