#ifndef _CG56SSISkew_h
#define _CG56SSISkew_h 1
// header file generated from CG56SSISkew.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1991-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56SSI.h"
#include "IntState.h"
#include "FixState.h"

class CG56SSISkew : public CG56SSI
{
public:
	CG56SSISkew();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock cbSkewTop_external;
	static CodeBlock cbSkewTop_internal;
	static CodeBlock cbSkewBot;
	/* virtual */ void initCode();
	InCG56Port error;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState internalAccum;
	FixState accum;

};
#endif
