static const char file_id[] = "CG56Sgn.pl";
// .cc file generated from CG56Sgn.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Sgn.h"

const char *star_nm_CG56Sgn = "CG56Sgn";

const char* CG56Sgn :: className() const {return star_nm_CG56Sgn;}

ISA_FUNC(CG56Sgn,CG56Star);

Block* CG56Sgn :: makeNew() const { LOG_NEW; return new CG56Sgn;}

CodeBlock CG56Sgn :: sgnblock (
# line 32 "CG56Sgn.pl"
"        move    $ref(input),a\n"
"        move    #.99999999,b\n"
"        move    #-1.0,x0\n"
"  	tst     a            \n"
"        tmi     x0,b\n"
"        move    b,$ref(output)\n");

CG56Sgn::CG56Sgn ()
{
	setDescriptor("This star outputs the signum of its input.  The output is either -1.0\nor +0.99999999, since 1.0 is not a valid fixed point number on the DSP56001.");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FIX));

# line 30 "CG56Sgn.pl"
noInternalState();
}

int CG56Sgn::myExecTime() {
# line 45 "CG56Sgn.pl"
return 6;
}

void CG56Sgn::go() {
# line 41 "CG56Sgn.pl"
addCode(sgnblock);
}

// prototype instance for known block list
static CG56Sgn proto;
static RegisterBlock registerBlock(proto,"Sgn");
