#ifndef _CG56Shifter_h
#define _CG56Shifter_h 1
// header file generated from CG56Shifter.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "StringState.h"

class CG56Shifter : public CG56Star
{
public:
	CG56Shifter();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock cbLoad;
	static CodeBlock cbShifts;
	static CodeBlock cbSaveSat;
	static CodeBlock cbSaveNosat;
	/* virtual */ int myExecTime();
	InCG56Port input;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState leftShifts;
	IntState absShifts;
	StringState saturation;
# line 51 "CG56Shifter.pl"
int doSat;

};
#endif
