static const char file_id[] = "CG56Sqrt.pl";
// .cc file generated from CG56Sqrt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Sqrt.h"

const char *star_nm_CG56Sqrt = "CG56Sqrt";

const char* CG56Sqrt :: className() const {return star_nm_CG56Sqrt;}

ISA_FUNC(CG56Sqrt,CG56Star);

Block* CG56Sqrt :: makeNew() const { LOG_NEW; return new CG56Sqrt;}

CodeBlock CG56Sqrt :: sqrtblock (
# line 29 "CG56Sqrt.pl"
"        clr     b               #<$$40,y0\n"
"        move    $ref(input),x0\n"
"        move    y0,y1\n"
"	do      #23,$label(sqrtend)\n"
"        mpyr    -y0,y0,a\n"
"        add     x0,a\n"
"        tge     y0,b\n"
"        tfr     y1,a\n"
"        asr     a\n"
"        add     b,a             a,y1\n"
"        move    a,y0\n"
"$label(sqrtend)\n"
"        move    b,$ref(output)\n");

CG56Sqrt::CG56Sqrt ()
{
	setDescriptor("Square Root.");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FIX));

# line 27 "CG56Sqrt.pl"
noInternalState();
}

int CG56Sqrt::myExecTime() {
# line 49 "CG56Sqrt.pl"
return 165;
}

void CG56Sqrt::go() {
# line 45 "CG56Sqrt.pl"
addCode(sqrtblock);
}

// prototype instance for known block list
static CG56Sqrt proto;
static RegisterBlock registerBlock(proto,"Sqrt");
