static const char file_id[] = "CG56Sub.pl";
// .cc file generated from CG56Sub.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56Sub.h"

const char *star_nm_CG56Sub = "CG56Sub";

const char* CG56Sub :: className() const {return star_nm_CG56Sub;}

ISA_FUNC(CG56Sub,CG56Star);

Block* CG56Sub :: makeNew() const { LOG_NEW; return new CG56Sub;}

CodeBlock CG56Sub :: main (
# line 40 "CG56Sub.pl"
"        move    $ref(pos),a\n");

CodeBlock CG56Sub :: loop (
# line 43 "CG56Sub.pl"
"        move    $ref(neg#inputNum),x0\n"
"        sub     x0,a\n");

CodeBlock CG56Sub :: done (
# line 47 "CG56Sub.pl"
"        move    a,$ref(output)\n");

CG56Sub::CG56Sub ()
{
	setDescriptor("any input subtractor");
	addPort(pos.setPort("pos",this,FIX));
	addPort(neg.setPort("neg",this,FIX));
	addPort(output.setPort("output",this,FIX));
	addState(inputNum.setState("inputNum",this,"0","input#()",
# line 35 "CG56Sub.pl"
A_NONCONSTANT|A_NONSETTABLE));

# line 38 "CG56Sub.pl"
noInternalState();
}

int CG56Sub::myExecTime() {
# line 60 "CG56Sub.pl"
return 2 * int  (neg.numberPorts()) + 2;
}

void CG56Sub::go() {
# line 52 "CG56Sub.pl"
addCode(main);
		for (int i = 1; i <= neg.numberPorts(); i++) {
			inputNum = i;
			addCode(loop);
		}
		addCode(done);
}

// prototype instance for known block list
static CG56Sub proto;
static RegisterBlock registerBlock(proto,"Sub");
