static const char file_id[] = "CG56SubCx.pl";
// .cc file generated from CG56SubCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56SubCx.h"

const char *star_nm_CG56SubCx = "CG56SubCx";

const char* CG56SubCx :: className() const {return star_nm_CG56SubCx;}

ISA_FUNC(CG56SubCx,CG56Star);

Block* CG56SubCx :: makeNew() const { LOG_NEW; return new CG56SubCx;}

CG56SubCx::CG56SubCx ()
{
	setDescriptor("Output the \"pos\" input minus all \"neg\" inputs.");
	addPort(pos.setPort("pos",this,COMPLEX));
	addPort(neg.setPort("neg",this,COMPLEX));
	addPort(output.setPort("output",this,COMPLEX));
	addState(saturation.setState("saturation",this,"YES","If true, use saturation arithmetic"));

# line 36 "CG56SubCx.pl"
noInternalState();
}

int CG56SubCx::myExecTime() {
# line 59 "CG56SubCx.pl"
return 4 + 3*neg.numberPorts();
}

void CG56SubCx::go() {
# line 40 "CG56SubCx.pl"
	{ StringList _str_; _str_ << 
"	move	x:$addr(pos),a\n"
"	move	y:$addr(pos),b\n"
;
	 addCode(_str_); }

	for (int i = 1; i <= neg.numberPorts(); i++) {
	{ StringList _str_; _str_ << 
"	move	$ref(neg#" << (i) << "),x\n"
"	sub	x1,a\n"
"	sub	x0,b\n"
;
	 addCode(_str_); }
	}

	if (int(saturation)) {
	{ StringList _str_; _str_ << 
"	move	a,x:$addr(output)\n"
"	move	b,y:$addr(output)\n"
;
	 addCode(_str_); }
	}
	else {
	{ StringList _str_; _str_ << 
"	move	a1,x:$addr(output)\n"
"	move	b1,y:$addr(output)\n"
;
	 addCode(_str_); }
	}
}

// prototype instance for known block list
static CG56SubCx proto;
static RegisterBlock registerBlock(proto,"SubCx");
