#ifndef _CG56Test_h
#define _CG56Test_h 1
// header file generated from CG56Test.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "StringState.h"

class CG56Test : public CG56Star
{
public:
	CG56Test();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock data;
	static CodeBlock dataAndPrevResult;
	static CodeBlock equalTest;
	static CodeBlock notEqualTest;
	static CodeBlock greaterThan;
	static CodeBlock greaterEqual;
	static CodeBlock crossings;
	static CodeBlock saveResult;
	/* virtual */ int myExecTime();
	InCG56Port upper;
	InCG56Port lower;
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState condition;
	IntState crossingsOnly;
	IntState prevResult;

private:
# line 77 "CG56Test.pl"
int test;

};
#endif
