#ifndef _CG56Tone_h
#define _CG56Tone_h 1
// header file generated from CG56Tone.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "StringState.h"
#include "FixState.h"

class CG56Tone : public CG56Star
{
public:
	CG56Tone();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock std;
	/* virtual */ int myExecTime();
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState amplitude;
	FixState frequency;
	StringState calcType;
	FixState state1;
	FixState state2;
	FixState X;

};
#endif
