static const char file_id[] = "CG56WasteCycles.pl";
// .cc file generated from CG56WasteCycles.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56WasteCycles.h"

const char *star_nm_CG56WasteCycles = "CG56WasteCycles";

const char* CG56WasteCycles :: className() const {return star_nm_CG56WasteCycles;}

ISA_FUNC(CG56WasteCycles,CG56Star);

Block* CG56WasteCycles :: makeNew() const { LOG_NEW; return new CG56WasteCycles;}

CodeBlock CG56WasteCycles :: std (
# line 40 "CG56WasteCycles.pl"
"	move	$ref(input),x1\n"
"        rep     #$val(X)\n"
"        nop\n"
"        move    x1,$ref(output)\n");

CG56WasteCycles::CG56WasteCycles ()
{
	setDescriptor("A star to stall the flow of data for parameter cycles to waste cycles.");
	addPort(input.setPort("input",this,FIX));
	addPort(output.setPort("output",this,FIX));
	addState(cyclesToWaste.setState("cyclesToWaste",this,"10","numbers of cycles to waste"));
	addState(X.setState("X",this,"0","internal",
# line 38 "CG56WasteCycles.pl"
A_NONSETTABLE|A_NONCONSTANT));


}

int CG56WasteCycles::myExecTime() {
# line 51 "CG56WasteCycles.pl"
return int(cyclesToWaste);
}

void CG56WasteCycles::go() {
# line 47 "CG56WasteCycles.pl"
X=cyclesToWaste-4;
                addCode(std);
}

// prototype instance for known block list
static CG56WasteCycles proto;
static RegisterBlock registerBlock(proto,"WasteCycles");
