#ifndef _CG56WaveForm_h
#define _CG56WaveForm_h 1
// header file generated from CG56WaveForm.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56Star.h"
#include "IntState.h"
#include "FixState.h"
#include "FixArrayState.h"

class CG56WaveForm : public CG56Star
{
public:
	CG56WaveForm();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock org;
	static CodeBlock dc;
	static CodeBlock orgp;
	static CodeBlock impulse;
	static CodeBlock aperiodic;
	static CodeBlock periodperiodicSequence;
	static CodeBlock zeroPaddedSequence;
	static CodeBlock makeblock;
	static CodeBlock initDataCirc;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	OutCG56Port output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixArrayState value;
	IntState haltAtEnd;
	IntState periodic;
	IntState period;
	IntState X;
	FixState firstVal;
	IntState valueLen;
	IntState dataCirc;

};
#endif
