static const char file_id[] = "CG56WrtFile.pl";
// .cc file generated from CG56WrtFile.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56WrtFile.h"

const char *star_nm_CG56WrtFile = "CG56WrtFile";

const char* CG56WrtFile :: className() const {return star_nm_CG56WrtFile;}

ISA_FUNC(CG56WrtFile,CG56Star);

Block* CG56WrtFile :: makeNew() const { LOG_NEW; return new CG56WrtFile;}

CodeBlock CG56WrtFile :: copy (
# line 42 "CG56WrtFile.pl"
"	move	$ref(input),a\n"
"	move	a,$ref(outVal)\n");

CG56WrtFile::CG56WrtFile ()
{
	setDescriptor("When run on the simulator, arranges for its input to be logged to a file.");
	addPort(input.setPort("input",this,ANYTYPE));
	addState(fileName.setState("fileName",this,"","'Root' of filename that gets the data."));
	addState(outVal.setState("outVal",this,"0","outVal",
# line 38 "CG56WrtFile.pl"
A_NONCONSTANT|A_NONSETTABLE|A_YMEM|A_NOINIT));


}

int CG56WrtFile::myExecTime() {
# line 23 "CG56WrtFile.pl"
return 2;
}

void CG56WrtFile::initCode() {
# line 47 "CG56WrtFile.pl"
StringList logOut = "output $ref(outVal) ";
		if (fileName.null()) 
			logOut << "$starSymbol(/tmp/cgwritefile) ";
		else
			logOut << "$val(fileName) ";
		logOut << (strcmp(input.resolvedType(),INT)?"-RF":"-RD");
		addCode(logOut,"simulatorCmds");
}

void CG56WrtFile::go() {
# line 56 "CG56WrtFile.pl"
addCode(copy);
}

// prototype instance for known block list
static CG56WrtFile proto;
static RegisterBlock registerBlock(proto,"WrtFile");
