static const char file_id[] = "CG56WrtFileInt.pl";
// .cc file generated from CG56WrtFileInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56WrtFileInt.h"

const char *star_nm_CG56WrtFileInt = "CG56WrtFileInt";

const char* CG56WrtFileInt :: className() const {return star_nm_CG56WrtFileInt;}

ISA_FUNC(CG56WrtFileInt,CG56Star);

Block* CG56WrtFileInt :: makeNew() const { LOG_NEW; return new CG56WrtFileInt;}

CodeBlock CG56WrtFileInt :: logOut (
# line 44 "CG56WrtFileInt.pl"
"output $ref(outVal) $val(fileName).sim -RD\n");

CodeBlock CG56WrtFileInt :: copy (
# line 48 "CG56WrtFileInt.pl"
"	move	$ref(input),a\n"
"	move	a,$ref(outVal)\n");

CG56WrtFileInt::CG56WrtFileInt ()
{
	setDescriptor("When run on the simulator, arranges for its input to be logged to a file.");
	addPort(input.setPort("input",this,INT));
	addState(fileName.setState("fileName",this,"outfile","'Root' of filename that gets the data. '.sim' is appended."));
	addState(outVal.setState("outVal",this,"0","outVal",
# line 38 "CG56WrtFileInt.pl"
A_NONCONSTANT|A_NONSETTABLE|A_YMEM|A_NOINIT));


}

int CG56WrtFileInt::myExecTime() {
# line 23 "CG56WrtFileInt.pl"
return 2;
}

void CG56WrtFileInt::initCode() {
# line 53 "CG56WrtFileInt.pl"
addCode(logOut,"simulatorCmds");
}

void CG56WrtFileInt::go() {
# line 56 "CG56WrtFileInt.pl"
addCode(copy);
}

// prototype instance for known block list
static CG56WrtFileInt proto;
static RegisterBlock registerBlock(proto,"WrtFileInt");
