#ifndef _CG56Xgraph_h
#define _CG56Xgraph_h 1
// header file generated from CG56Xgraph.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CG56WrtFile.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class CG56Xgraph : public CG56WrtFile
{
public:
	CG56Xgraph();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	const char* xgraph(const char* outfile);
	/* virtual */ void initCode();
protected:
	StringState title;
	StringState saveFile;
	StringState options;
	IntState ignore;
	FloatState xUnits;
	FloatState xInit;

};
#endif
