static const char file_id[] = "CG56MultiSimReceive.pl";
// .cc file generated from CG56MultiSimReceive.pl by ptlang
/*
Copyright (c) 1992-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56MultiSimReceive.h"
#include <string.h>
#include "ProcMemory.h"

const char *star_nm_CG56MultiSimReceive = "CG56MultiSimReceive";

const char* CG56MultiSimReceive :: className() const {return star_nm_CG56MultiSimReceive;}

ISA_FUNC(CG56MultiSimReceive,CG56Star);

Block* CG56MultiSimReceive :: makeNew() const { LOG_NEW; return new CG56MultiSimReceive;}

CodeBlock CG56MultiSimReceive :: main (
# line 53 "CG56MultiSimReceive.pl"
"	move	#$ref(input),r0\n"
"	move	#$$fffffe,a1\n"
"$label(r_spin)\n"
"	jclr	#0,x:(r0),$label(r_spin)\n"
"	move 	x:(r0),x0\n"
"	and	x0,a\n"
"	move	a1,x:(r0)\n"
"	move	a1,$ref(output)\n");

CG56MultiSimReceive::CG56MultiSimReceive ()
{
	setDescriptor("Receive star for Fiction target");
	addPort(output.setPort("output",this,FIX));

# line 24 "CG56MultiSimReceive.pl"
input.setPort("input", this, FIX);
}

int CG56MultiSimReceive::myExecTime() {
# line 67 "CG56MultiSimReceive.pl"
return 10;
}

void CG56MultiSimReceive::go() {
# line 64 "CG56MultiSimReceive.pl"
addCode(main);
}


void CG56MultiSimReceive::setProperty (int num)
{
# line 32 "CG56MultiSimReceive.pl"
input.setSDFParams(num,0);
			output.setSDFParams(num,0);
}


StringList CG56MultiSimReceive::expandRef (const char* s)
{
# line 45 "CG56MultiSimReceive.pl"
if (strcmp(s,"input")) return CG56Star :: expandRef(s);
                StringList ref;
                ref <<  input.baseAddr();
               // ref << input.memory()->name() << ':' << input.baseAddr();
                return ref;
}


// prototype instance for known block list
static CG56MultiSimReceive proto;
static RegisterBlock registerBlock(proto,"MultiSimReceive");
