static const char file_id[] = "CG56XCPeek.pl";
// .cc file generated from CG56XCPeek.pl by ptlang
/*
Copyright (c) 1993-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56XCPeek.h"

const char *star_nm_CG56XCPeek = "CG56XCPeek";

const char* CG56XCPeek :: className() const {return star_nm_CG56XCPeek;}

ISA_FUNC(CG56XCPeek,CG56XCAsynchComm);

Block* CG56XCPeek :: makeNew() const { LOG_NEW; return new CG56XCPeek;}

CodeBlock CG56XCPeek :: receiveData (
# line 32 "CG56XCPeek.pl"
"	move	$ref(buffer),x0\n"
"	move	x0,$ref(output)\n");

CG56XCPeek::CG56XCPeek ()
{
	setDescriptor("CGC to S56X Asynchronous Receive star");
	addPort(output.setPort("output",this,ANYTYPE));


}

int CG56XCPeek::myExecTime() {
# line 42 "CG56XCPeek.pl"
return 2;
}

void CG56XCPeek::setup() {
# line 24 "CG56XCPeek.pl"
CG56XCAsynchComm::setup();
//  We do not support buffers for peek yet
//  int farXfer = output.far()->numXfer();
//    if (!(int)blockSize%farXfer) output.setSDFParams(farXfer,farXfer-1);
    if ((int)blockSize > 1)
	Error::abortRun(*this," does not support blockSizes > 1");
}

void CG56XCPeek::go() {
# line 38 "CG56XCPeek.pl"
addCode(receiveData);
}

// prototype instance for known block list
static CG56XCPeek proto;
static RegisterBlock registerBlock(proto,"XCPeek");
