static const char file_id[] = "CG56XCReceive.pl";
// .cc file generated from CG56XCReceive.pl by ptlang
/*
Copyright (c) 1993-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CG56XCReceive.h"
#include "CGCXReceive.h"

const char *star_nm_CG56XCReceive = "CG56XCReceive";

const char* CG56XCReceive :: className() const {return star_nm_CG56XCReceive;}

ISA_FUNC(CG56XCReceive,CG56XCSynchComm);

Block* CG56XCReceive :: makeNew() const { LOG_NEW; return new CG56XCReceive;}

const char* CG56XCReceive :: receiveData(int pairNumber,int numXfer) {
# line 26 "CG56XCReceive.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"$label(bufferEmpty)\n"
"	btst	#" << (pairNumber%24) << ",$ref(bufferSemaphore," << (pairNumber/24) << ")\n"
"	jcc		$label(bufferEmpty)\n"
"	move	#$addr(output),r0	;read starting input geodesic address\n"
"	move	#$addr(buffer),r1	;read starting buffer address\n"
"	do		#" << (numXfer) << ",$label(XFR)\n"
"			move	$mem(buffer):(r1)+,a\n"
"			move	a,$mem(output):(r0)+\n"
"$label(XFR)\n";
	return (const char*)_str_;
}

CG56XCReceive::CG56XCReceive ()
{
	setDescriptor("CGC to S56X Receive star");
	addPort(output.setPort("output",this,ANYTYPE));


}

int CG56XCReceive::myExecTime() {
# line 53 "CG56XCReceive.pl"
if (output.numXfer()==1) return 9;
		return (9 + 2*output.numXfer());
}

void CG56XCReceive::setup() {
# line 39 "CG56XCReceive.pl"
resolvedType = output.setResolvedType();
    numXfer = output.numXfer();     
    CG56XCSynchComm::setup();
}

void CG56XCReceive::go() {
# line 45 "CG56XCReceive.pl"
addCode(receiveData(pairNumber,numXfer));
	addCode(processPendingInterrupts(pairNumber));
	{ StringList _str_; _str_ << 
"	bclr	#" << (pairNumber%24) << ",$ref(bufferSemaphore," << (pairNumber/24) << ")\n"
"\n"
;
	 addCode(_str_); }
	addCode(triggerInterrupt);
}

// prototype instance for known block list
static CG56XCReceive proto;
static RegisterBlock registerBlock(proto,"XCReceive");
