static const char file_id[] = "CGCXAsynchComm.pl";
// .cc file generated from CGCXAsynchComm.pl by ptlang
/*
Copyright (c) 1994-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCXAsynchComm.h"

const char *star_nm_CGCXAsynchComm = "CGCXAsynchComm";

const char* CGCXAsynchComm :: className() const {return star_nm_CGCXAsynchComm;}

ISA_FUNC(CGCXAsynchComm,CGCXBase);

Block* CGCXAsynchComm :: makeNew() const { LOG_NEW; return new CGCXAsynchComm;}

const char* CGCXAsynchComm :: updateLink(const char* code) {
# line 43 "CGCXAsynchComm.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"    if ($starSymbol(iterationCount)++ == $val(updateRate)) {\n"
"	$starSymbol(iterationCount) = 1;\n"
"    	{\n"
"	" << (code) << ";\n"
"    	}\n"
"    }\n";
	return (const char*)_str_;
}

const char* CGCXAsynchComm :: declarations(const char* cgcType) {
# line 52 "CGCXAsynchComm.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"QckItem $starSymbol(s56xBuffer);\n"
"int $starSymbol(bufferAddr);\n"
"" << (cgcType) << " $starSymbol(buffer)[" << (blockSize) << "];\n"
"" << (cgcType) << " $starSymbol(temp);\n"
"int $starSymbol(bufStart) = 0;\n";
	return (const char*)_str_;
}

CodeBlock CGCXAsynchComm :: loadDSPSymbols (
# line 60 "CGCXAsynchComm.pl"
"    if (($starSymbol(s56xBuffer) = qckItem($val(S56XFilePrefix)_dsp,\"$val(VariableName)\")) == 0)\n"
"	EXIT_CGC(\"CGCXAsychComm address resolution failed\");\n"
"    $starSymbol(bufferAddr) = QckAddr($starSymbol(s56xBuffer));\n");

CGCXAsynchComm::CGCXAsynchComm ()
{
	setDescriptor("Base star for Asynchronous CGC <-> S56X IPC");
	addState(updateRate.setState("updateRate",this,"1","Update the link at most every 'updateRate' schedule iterations."));
	addState(VariableName.setState("VariableName",this,"aioVariable","Name of buffer.",
# line 29 "CGCXAsynchComm.pl"
A_NONSETTABLE));
	addState(blockSize.setState("blockSize",this,"1","number of tokens to be transfered per firing."));


}

void CGCXAsynchComm::wrapup() {
# line 81 "CGCXAsynchComm.pl"
CGCXBase::wrapup();
    if (blockSize > 1) addMainInit(loadDSPSymbols);
}

void CGCXAsynchComm::initCode() {
# line 67 "CGCXAsynchComm.pl"
StringList cgcType;
    if (txType == INT) 
	cgcType = "int";
    else if (txType == FIX)
	cgcType = "fix";
    else if (txType == FLOAT)
	cgcType = "double";
    addDeclaration("int $starSymbol(iterationCount) = 0;");
    if (blockSize > 1) addDeclaration(declarations(cgcType));
    CGCXBase::initCode();
}

// prototype instance for known block list
static CGCXAsynchComm proto;
static RegisterBlock registerBlock(proto,"XAsynchComm");
