#ifndef _CGCXSend_h
#define _CGCXSend_h 1
// header file generated from CGCXSend.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1993-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCXSynchComm.h"

class CGCXSend : public CGCXSynchComm
{
public:
	CGCXSend();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	const char* intSend(int numXfer);
	const char* floatSend(int numXfer,const char* type);
	const char* fixSend(int numXfer);
	const char* poll();
	const char* sendData(const char* command,int numXfer, const char* type);
	const char* updateSemaphore();
	InCGCPort input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
};
#endif
