.EQ
delim off
.EN
.\" documentation file generated from CGCAddFix.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "AddFix"
.SD
Output the sum of the fixed-point inputs as a fixed-point value.
.SE
.LO "CGC main library"
.DM CGC CGCFix
.SV 1.4 "01/01/96"
.AL "Juergen Weiss"
.IH
.NE
\fIinput\fR (multiple), (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIArrivingPrecision\fR (IntState): Flag that indicates whether or not to keep the precision of the arriving
particles as is:  YES keeps the same precision, and NO casts them to the
precision specified by the parameter "InputPrecision".
.DF "YES"
.NE
\fIInputPrecision\fR (PrecisionState): Precision of the input in bits.
The input particles are only cast to this precision if the
parameter "ArrivingPrecision" is set to NO.
.DF "2.14"
.NE
\fIOutputPrecision\fR (PrecisionState): Precision of the output in bits and precision of the accumulation.
When the value of the accumulation extends outside of the precision,
the output is set to its maximum value (or minimum for negative
magnitudes).
.DF "2.14"
.NE
\fIindex\fR (IntState): index for multiple input trace
.DF "1"
.ET
.EQ
delim $$
.EN
.ES
