.EQ
delim off
.EN
.\" documentation file generated from CGCCxToFix.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "CxToFix"
.SD
Convert a complex input to a fixed-point output.
.SE
.LO "CGC main library"
.DM CGC CGCFix
.SV 1.6 "1/27/96"
.AL "Juergen Weiss"
.IH
.NE
\fIinput\fR (complex): Input complex type
.PE
.OH
.NE
\fIoutput\fR (fix): Output fix type
.PE
.SH
.NE
\fInumSample\fR (IntState): number of samples to be copied
.DF "1"
.NE
\fIOutputPrecision\fR (PrecisionState): Precision of the output in bits or empty if unspecified.
The absolute value of the complex number is computed and then converted to
this precision.
If the converted value cannot be represented by the number of bits specified
in the precision parameter, then the output is set to its maximum value (or
minimum for negative magnitudes).
.DF ""
.ET
.EQ
delim $$
.EN
.LD
This star converts a complex value to a fix value with the specified precision
by computing the absolute value.
If the output precision is not specified, the precision is determined at
runtime according to the incoming float value.
.ES
