.EQ
delim off
.EN
.\" documentation file generated from CGCDB.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DB"
.SD
Converts input to dB.  Zero and negative values are
converted to "min" (default -100).
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.9 "01/01/96"
.AL "Soonhoi Ha"
.IH
.NE
\fIinput\fR (float)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fImin\fR (FloatState): Minimum output value.
.DF "-100"
.NE
\fIinputIsPower\fR (IntState): TRUE if input is a power measurement, FALSE if it's an amplitude measurement.
.DF "FALSE"
.NE
\fIgain\fR (FloatState)
.DF "20.0"
.ET
.EQ
delim $$
.EN
.LD
For inputs that are greater than zero, the output either
$N log sub 10 (input)$ or \fImin\fR, whichever is larger, where
$N ~=~ 10$ if \fIinputIsPower\fR is TRUE, and $N ~=~ 20$ otherwise.
.Id "decibel"
The default is $N ~=~ 20$.
For inputs that are zero or negative, the output is \fImin\fR.
.ES
