.EQ
delim off
.EN
.\" documentation file generated from CGCGAL.pl by ptlang
.\" Copyright (c) 1992-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "GAL"
.SD
Gradient Adaptive Lattice filter.
.SE
.LO "CGC local library"
.DM CGC CGCStar
.SV 1.6 "3/7/96"
.AL "T. M. Parks"
.IH
.NE
\fIinput\fR (float)
.PE
.OH
.NE
\fIresidual\fR (float)
.PE
.SH
.NE
\fIorder\fR (IntState): Lattice filter order.
.DF "1"
.NE
\fItimeConstant\fR (FloatState): Adaptation time constant.
.DF "1.0"
.NE
\fIalpha\fR (FloatState): Adaptation parameter.
.DF "0.0"
.NE
\fIk\fR (FloatArrayState): Reflection coefficients.
.DF "0.0"
.NE
\fIf\fR (FloatArrayState): Forward prediction error.
.DF "0.0 0.0"
.NE
\fIb\fR (FloatArrayState): Backward prediction error.
.DF "0.0 0.0"
.NE
\fIe\fR (FloatArrayState): Error power estimate.
.DF "0.0 0.0"
.ET
.EQ
delim $$
.EN
.ES
