.EQ
delim off
.EN
.\" documentation file generated from CGCMaxMin.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "MaxMin"
.SD
Finds maximum or minimum, value or magnitude.
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.5 "2/1/96"
.AL "Brian L. Evans"
.AC "Chih-Tsung Huang"
.IH
.NE
\fIinput\fR (float)
.PE
.OH
.NE
\fIoutput\fR (float)
.NE
\fIindex\fR (int)
.PE
.SH
.NE
\fIN\fR (IntState): default samples
.DF "10"
.NE
\fIMAX\fR (IntState): output maximum value else minimum is the output
.DF "YES"
.NE
\fIcompareMagnitude\fR (IntState): default is not to compare magnitude
.DF "NO"
.NE
\fIoutputMagnitude\fR (IntState): default is not to output magnitude
.DF "NO"
.ET
.EQ
delim $$
.EN
.LD
If \fIcmpareMagnitude\fR is "no", the star finds from among
the \fIinput\fR inputs the one with the maximum or minimum value;
otherwise, it finds from among the \fIinput\fR inputs the one with
the maximum or minimum magnitude.
if \fIoutputMagnitude\fR is "yes", the magnitude of the result is
written to the output, else the result itself is written to the output.
Returns maximum value among N (default 10) samples.
Also, the index of the output is provided (count starts at 0).
.pp
This star is based on the MaxMin star in the CG56 domain.
.ES
