.EQ
delim off
.EN
.\" documentation file generated from CGCMpyFix.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "MpyFix"
.SD
Output the product of the inputs, as a fixed-point value.
.SE
.LO "CGC main library"
.DM CGC CGCFix
.SV 1.4 "01/01/96"
.AL "Jyergen Weiss"
.IH
.NE
\fIinput\fR (multiple), (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIArrivingPrecision\fR (IntState): Indicates whether or not to keep the precision of the arriving particles
as they are:  YES keeps the same precision, and NO casts the inputs
to the precision specified by the parameter "InputPrecision".
.DF "YES"
.NE
\fIInputPrecision\fR (PrecisionState): Sets the precision of the input in bits.
The input particles are only cast to this precision if the
parameter "ArrivingPrecision" is set to NO.
.DF "2.14"
.NE
\fIOutputPrecision\fR (PrecisionState): Sets the precision of the output in bits.
This is the precision that will hold the result of the product of the inputs.
When the value of the product extends outside of the precision,
the output is set to its maximum value (or minimum for negative magnitudes).
.DF "2.14"
.NE
\fIindex\fR (IntState): index for multiple input trace
.DF "1"
.ET
.EQ
delim $$
.EN
.ES
