.EQ
delim off
.EN
.\" documentation file generated from CGCPCMread.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "PCMread"
.SD
Read mu-law PCM from a file and convert to linear floating point.
The file can be the audio port /dev/audio, if supported by the workstation.
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.10 "1/1/96"
.AL "T. M. Parks"
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIfileName\fR (StringState): Input file for PCM data.  If empty, use standard input.
.DF "/dev/audio"
.NE
\fIblockSize\fR (IntState): Number of samples to read.
.DF "128"
.ET
.EQ
delim $$
.EN
.LD
This code is based on the description of the T1 system found in:
Simon Haykin, "Communication Systems," section 8.2 (Wiley 1983).
.ES
