.EQ
delim off
.EN
.\" documentation file generated from CGCPCMwrite.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "PCMwrite"
.SD
Convert input to mu-law PCM and write it to a file.
The file can be the audio port /dev/audio, if supported by the workstation.
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.10 "1/1/96"
.AL "T. M. Parks"
.IH
.NE
\fIinput\fR (float)
.PE
.SH
.NE
\fIfileName\fR (StringState): Output file for PCM data.  If empty, use standard output.
.DF "/dev/audio"
.NE
\fIblockSize\fR (IntState): Number of samples to write.
.DF "128"
.ET
.EQ
delim $$
.EN
.LD
This code is based on the description of the T1 system found in:
Simon Haykin, "Communication Systems," section 8.2 (Wiley 1983).
.ES
