.EQ
delim off
.EN
.\" documentation file generated from CGCRectFix.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "RectFix"
.SD
Generate a fixed-point rectangular pulse of height "height" 
(default 1.0) and width "width" (default 8).
If "period" is greater than zero, then the pulse is repeated with the
given period.
.SE
.LO "CGC main library"
.DM CGC CGCFix
.SV 1.5 "1/1/96"
.AL "Juergen Weiss"
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIheight\fR (FixState): Height of the rectangular pulse.
.DF "1.0"
.NE
\fIwidth\fR (IntState): Width of the rectangular pulse.
.DF "8"
.NE
\fIperiod\fR (IntState): If greater than zero, the period of the pulse stream.
.DF "0"
.NE
\fIcount\fR (IntState): Internal counting state.
.DF "0"
.NE
\fIOutputPrecision\fR (PrecisionState): Precision of the output in bits.
The value of the "height" parameter is cast to this precision and then output.
If the value cannot be represented by this precision,
the output is set to its maximum value (or minimum for negative magnitudes).
.DF "2.14"
.ET
.EQ
delim $$
.EN
.ES
