.EQ
delim off
.EN
.\" documentation file generated from CGCTable.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Table"
.SD
Implements a real-valued lookup table.  The "values" state contains the
values to output; its first element is element zero.  An error occurs if
an out of bounds value is received.
.SE
.LO "CGC main library"
.DM CGC CGCStar
.SV 1.5 "2/8/96"
.AL "Joseph T. Buck"
.IH
.NE
\fIinput\fR (int)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIvalues\fR (FloatArrayState): "table of values to output"
.DF "-1 1"
.NE
\fIrunTimeCheck\fR (IntState): "If YES, check range of index at runtime, else omit"
.DF "YES"
.ET
.EQ
delim $$
.EN
.LD
.Id "table lookup"
.ES
