.EQ
delim off
.EN
.\" documentation file generated from CGCXscope.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Xscope"
.SD
Generate a multi-trace plot with the pxgraph program.
.SE
.LO "CGC main library"
.DM CGC CGCXgraph
.SV 1.9 "1/1/96"
.AL "S. Ha"
.SH
.NE
\fItraceLength\fR (IntState): Number of samples per trace.  If 0, only one trace.
.DF "0"
.NE
\fItraceCount\fR (IntState): Counter for samples in trace interval
.DF "0"
.NE
\fInTracesSoFar\fR (IntState): Counter for trace intervals
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
This star is an enhanced version of Xgraph.  It is identical
except that it can plot multiple traces, like an oscilloscope.
As for Xgraph,
the \fItitle\fR parameter specifies a title for the plot.
The \fIsaveFile\fR parameter optionally specifies a file for
storing the data in a syntax acceptable to pxgraph.
A null string prevents any such storage.
The \fIoptions\fR string is passed directly to the pxgraph program
as command-line options.  See the manual section describing pxgraph
for a complete explanation of the options.
.pp
Multiple traces may be plotted by setting the \fItraceLength\fR
state to a nonzero value.  In this case, a new plot (starting at
x value zero) is started every \fItraceLength\fR samples.  The
first \fIignore\fR samples are not plotted; this is useful for letting
transients die away.
.Ir "pxgraph program"
.Id "oscilloscope, X window"
.Id "graph, X window, multi-trace"
.ES
