static const char file_id[] = "CGCAdd.pl";
// .cc file generated from CGCAdd.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCAdd.h"

const char *star_nm_CGCAdd = "CGCAdd";

const char* CGCAdd :: className() const {return star_nm_CGCAdd;}

ISA_FUNC(CGCAdd,CGCStar);

Block* CGCAdd :: makeNew() const { LOG_NEW; return new CGCAdd;}

CGCAdd::CGCAdd ()
{
	setDescriptor("Output the sum of the inputs, as a floating value.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(ix.setState("ix",this,"1","index for multiple input trace",
# line 27 "CGCAdd.pl"
A_NONSETTABLE|A_NONCONSTANT));

# line 30 "CGCAdd.pl"
noInternalState();
}

int CGCAdd::myExecTime() {
# line 47 "CGCAdd.pl"
return input.numberPorts();
}

void CGCAdd::go() {
# line 33 "CGCAdd.pl"
StringList out = "\t$ref(output) = ";
		for (int i = 1; i <= input.numberPorts(); i++) {
			// This code relies on side effects, i.e.,
			// the current value of the state ix
			ix = i;
			out << "$ref(input#ix)";
			if (i < input.numberPorts()) out << " + ";
			else out << ";\n";
			addCode(out);
			// Reinitialize out (indent the code)
			out = "\t\t";
		}
}

// prototype instance for known block list
static CGCAdd proto;
static RegisterBlock registerBlock(proto,"Add");
