static const char file_id[] = "CGCAddInt.pl";
// .cc file generated from CGCAddInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCAddInt.h"

const char *star_nm_CGCAddInt = "CGCAddInt";

const char* CGCAddInt :: className() const {return star_nm_CGCAddInt;}

ISA_FUNC(CGCAddInt,CGCStar);

Block* CGCAddInt :: makeNew() const { LOG_NEW; return new CGCAddInt;}

CGCAddInt::CGCAddInt ()
{
	setDescriptor("Output the sum of the inputs, as a floating value.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(ix.setState("ix",this,"1","index for multiple input trace",
# line 27 "CGCAddInt.pl"
A_NONSETTABLE|A_NONCONSTANT));

# line 30 "CGCAddInt.pl"
noInternalState();
}

int CGCAddInt::myExecTime() {
# line 43 "CGCAddInt.pl"
return input.numberPorts();
}

void CGCAddInt::go() {
# line 33 "CGCAddInt.pl"
StringList out = "\t$ref(output) = ";
		for (int i = 1; i <= input.numberPorts(); i++) {
			ix = i;
			out << "$ref(input#ix)";
			if (i < input.numberPorts()) out << " + ";
			else out << ";\n";
		}
		addCode(out);
}

// prototype instance for known block list
static CGCAddInt proto;
static RegisterBlock registerBlock(proto,"AddInt");
