static const char file_id[] = "CGCBlackHole.pl";
// .cc file generated from CGCBlackHole.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCBlackHole.h"

const char *star_nm_CGCBlackHole = "CGCBlackHole";

const char* CGCBlackHole :: className() const {return star_nm_CGCBlackHole;}

ISA_FUNC(CGCBlackHole,CGCStar);

Block* CGCBlackHole :: makeNew() const { LOG_NEW; return new CGCBlackHole;}

CGCBlackHole::CGCBlackHole ()
{
	setDescriptor("Discards all inputs.");
	addPort(input.setPort("input",this,ANYTYPE));

# line 25 "CGCBlackHole.pl"
noInternalState();
}

int CGCBlackHole::myExecTime() {
# line 31 "CGCBlackHole.pl"
return 0;
}

void CGCBlackHole::go() {
# line 28 "CGCBlackHole.pl"
addCode("/* This star generates no code */");
}

// prototype instance for known block list
static CGCBlackHole proto;
static RegisterBlock registerBlock(proto,"BlackHole");
