static const char file_id[] = "CGCConst.pl";
// .cc file generated from CGCConst.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCConst.h"

const char *star_nm_CGCConst = "CGCConst";

const char* CGCConst :: className() const {return star_nm_CGCConst;}

ISA_FUNC(CGCConst,CGCStar);

Block* CGCConst :: makeNew() const { LOG_NEW; return new CGCConst;}

CGCConst::CGCConst ()
{
	setDescriptor("Output a constant signal with value level (default 0.0).");
	addPort(output.setPort("output",this,FLOAT));
	addState(level.setState("level",this,"0.0","The constant value."));

# line 25 "CGCConst.pl"
noInternalState();
}

int CGCConst::myExecTime() {
# line 31 "CGCConst.pl"
return 0;
}

void CGCConst::go() {
# line 28 "CGCConst.pl"
addCode("\t$ref(output) = $val(level);\n");
}

// prototype instance for known block list
static CGCConst proto;
static RegisterBlock registerBlock(proto,"Const");
