static const char file_id[] = "CGCConstCx.pl";
// .cc file generated from CGCConstCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCConstCx.h"

const char *star_nm_CGCConstCx = "CGCConstCx";

const char* CGCConstCx :: className() const {return star_nm_CGCConstCx;}

ISA_FUNC(CGCConstCx,CGCStar);

Block* CGCConstCx :: makeNew() const { LOG_NEW; return new CGCConstCx;}

CGCConstCx::CGCConstCx ()
{
	setDescriptor("Output the complex constant.");
	addPort(output.setPort("output",this,COMPLEX));
	addState(real.setState("real",this,"0.0","Real part of DC value."));
	addState(imag.setState("imag",this,"0.0","Imaginary part of DC value."));

# line 31 "CGCConstCx.pl"
noInternalState();
}

int CGCConstCx::myExecTime() {
# line 38 "CGCConstCx.pl"
return 0;
}

void CGCConstCx::go() {
# line 34 "CGCConstCx.pl"
	{ StringList _str_; _str_ << 
"	$ref(output).real = $val(real);\n"
"	$ref(output).imag = $val(imag);"
;
	 addCode(_str_); }

}

// prototype instance for known block list
static CGCConstCx proto;
static RegisterBlock registerBlock(proto,"ConstCx");
