static const char file_id[] = "CGCConstInt.pl";
// .cc file generated from CGCConstInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCConstInt.h"

const char *star_nm_CGCConstInt = "CGCConstInt";

const char* CGCConstInt :: className() const {return star_nm_CGCConstInt;}

ISA_FUNC(CGCConstInt,CGCStar);

Block* CGCConstInt :: makeNew() const { LOG_NEW; return new CGCConstInt;}

CGCConstInt::CGCConstInt ()
{
	setDescriptor("Output a constant signal with value level (default 0.0).");
	addPort(output.setPort("output",this,INT));
	addState(level.setState("level",this,"0","The constant value."));

# line 25 "CGCConstInt.pl"
noInternalState();
}

int CGCConstInt::myExecTime() {
# line 31 "CGCConstInt.pl"
return 0;
}

void CGCConstInt::go() {
# line 28 "CGCConstInt.pl"
addCode("\t$ref(output) = $val(level);\n");
}

// prototype instance for known block list
static CGCConstInt proto;
static RegisterBlock registerBlock(proto,"ConstInt");
