static const char file_id[] = "CGCCxToRect.pl";
// .cc file generated from CGCCxToRect.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCCxToRect.h"

const char *star_nm_CGCCxToRect = "CGCCxToRect";

const char* CGCCxToRect :: className() const {return star_nm_CGCCxToRect;}

ISA_FUNC(CGCCxToRect,CGCStar);

Block* CGCCxToRect :: makeNew() const { LOG_NEW; return new CGCCxToRect;}

CodeBlock CGCCxToRect :: body (
# line 29 "CGCCxToRect.pl"
"	$ref(real) = $ref(input).real;\n"
"	$ref(imag) = $ref(input).imag;\n");

CGCCxToRect::CGCCxToRect ()
{
	setDescriptor("Convert complex data to real and imaginary parts.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(real.setPort("real",this,FLOAT));
	addPort(imag.setPort("imag",this,FLOAT));

# line 27 "CGCCxToRect.pl"
noInternalState();
}

int CGCCxToRect::myExecTime() {
# line 37 "CGCCxToRect.pl"
return 2;
}

void CGCCxToRect::go() {
# line 34 "CGCCxToRect.pl"
addCode(body);
}

// prototype instance for known block list
static CGCCxToRect proto;
static RegisterBlock registerBlock(proto,"CxToRect");
