#ifndef _CGCDB_h
#define _CGCDB_h 1
// header file generated from CGCDB.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "FloatState.h"

class CGCDB : public CGCStar
{
public:
	CGCDB();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock body;
	/* virtual */ int myExecTime();
	/* virtual */ void initCode();
	InCGCPort input;
	OutCGCPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState min;
	IntState inputIsPower;
	FloatState gain;

};
#endif
