static const char file_id[] = "CGCDelay.pl";
// .cc file generated from CGCDelay.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCDelay.h"

const char *star_nm_CGCDelay = "CGCDelay";

const char* CGCDelay :: className() const {return star_nm_CGCDelay;}

ISA_FUNC(CGCDelay,CGCStar);

Block* CGCDelay :: makeNew() const { LOG_NEW; return new CGCDelay;}

CodeBlock CGCDelay :: declarations (
# line 35 "CGCDelay.pl"
"	/* static so that buffer will be initialized to zero */\n"
"	double $starSymbol(buffer)[$val(delay)];\n"
"	int $starSymbol(index);\n");

CodeBlock CGCDelay :: init (
# line 41 "CGCDelay.pl"
"	$starSymbol(index) = 0;\n"
"    {\n"
"	int i;\n"
"	for (i = 0 ; i < $val(delay) ; i++)\n"
"	    $starSymbol(buffer)[i] = 0;\n"
"    }\n");

CodeBlock CGCDelay :: main (
# line 50 "CGCDelay.pl"
"	$ref(output) = $starSymbol(buffer)[$starSymbol(index)];\n"
"	$starSymbol(buffer)[$starSymbol(index)] = $ref(input);\n"
"	if ( ++$starSymbol(index) >= $val(delay) )\n"
"	    $starSymbol(index) -= $val(delay);\n");

CGCDelay::CGCDelay ()
{
	setDescriptor("Bulk delay.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(delay.setState("delay",this,"1","Number of delay samples."));


}

void CGCDelay::initCode() {
# line 62 "CGCDelay.pl"
if (!(int) delay) return;
	addDeclaration(declarations);
	addCode(init);
}

void CGCDelay::setup() {
# line 58 "CGCDelay.pl"
if (!(int) delay) forkInit(input,output);
}

void CGCDelay::go() {
# line 68 "CGCDelay.pl"
if (!(int) delay) return;
	addCode(main);
}

// prototype instance for known block list
static CGCDelay proto;
static RegisterBlock registerBlock(proto,"Delay");
