static const char file_id[] = "CGCExp.pl";
// .cc file generated from CGCExp.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCExp.h"

const char *star_nm_CGCExp = "CGCExp";

const char* CGCExp :: className() const {return star_nm_CGCExp;}

ISA_FUNC(CGCExp,CGCStar);

Block* CGCExp :: makeNew() const { LOG_NEW; return new CGCExp;}

CodeBlock CGCExp :: exp (
# line 35 "CGCExp.pl"
"	$ref(output) = exp($ref(input));\n");

CGCExp::CGCExp ()
{
	setDescriptor("Outputs the exponential function of the input.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));

# line 27 "CGCExp.pl"
noInternalState();
}

int CGCExp::myExecTime() {
# line 39 "CGCExp.pl"
return 33;  /* use the same value as log */
}

void CGCExp::initCode() {
# line 30 "CGCExp.pl"
addInclude("<math.h>");
}

void CGCExp::go() {
# line 33 "CGCExp.pl"
addCode(exp);
}

// prototype instance for known block list
static CGCExp proto;
static RegisterBlock registerBlock(proto,"Exp");
