#ifndef _CGCFIRFix_h
#define _CGCFIRFix_h 1
// header file generated from CGCFIRFix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCFix.h"
#include "IntState.h"
#include "FixState.h"
#include "FixArrayState.h"
#include "PrecisionState.h"

class CGCFIRFix : public CGCFix
{
public:
	CGCFIRFix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock bodyDecl;
	static CodeBlock body;
	InCGCPort signalIn;
	OutCGCPort signalOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixArrayState taps;
	IntState decimation;
	IntState decimationPhase;
	IntState interpolation;
	IntState ArrivingPrecision;
	PrecisionState InputPrecision;
	PrecisionState TapPrecision;
	PrecisionState AccumulationPrecision;
	PrecisionState OutputPrecision;
	IntState phaseLength;
	IntState tapSize;
	FixState tap;
	FixState Accum;

};
#endif
