static const char file_id[] = "CGCGain.pl";
// .cc file generated from CGCGain.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCGain.h"

const char *star_nm_CGCGain = "CGCGain";

const char* CGCGain :: className() const {return star_nm_CGCGain;}

ISA_FUNC(CGCGain,CGCStar);

Block* CGCGain :: makeNew() const { LOG_NEW; return new CGCGain;}

CGCGain::CGCGain ()
{
	setDescriptor("Amplifier: output is input times \"gain\" (default 1.0).");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(gain.setState("gain",this,"1.0","Gain of the star."));

# line 29 "CGCGain.pl"
noInternalState();
}

int CGCGain::myExecTime() {
# line 35 "CGCGain.pl"
return 1;
}

void CGCGain::go() {
# line 32 "CGCGain.pl"
addCode("$ref(output) = $val(gain) * $ref(input);\n");
}

// prototype instance for known block list
static CGCGain proto;
static RegisterBlock registerBlock(proto,"Gain");
