#ifndef _CGCGainFix_h
#define _CGCGainFix_h 1
// header file generated from CGCGainFix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCFix.h"
#include "IntState.h"
#include "FixState.h"
#include "PrecisionState.h"

class CGCGainFix : public CGCFix
{
public:
	CGCGainFix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InCGCPort input;
	OutCGCPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState gain;
	IntState ArrivingPrecision;
	PrecisionState InputPrecision;
	PrecisionState OutputPrecision;

};
#endif
