static const char file_id[] = "CGCGainInt.pl";
// .cc file generated from CGCGainInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCGainInt.h"

const char *star_nm_CGCGainInt = "CGCGainInt";

const char* CGCGainInt :: className() const {return star_nm_CGCGainInt;}

ISA_FUNC(CGCGainInt,CGCStar);

Block* CGCGainInt :: makeNew() const { LOG_NEW; return new CGCGainInt;}

CGCGainInt::CGCGainInt ()
{
	setDescriptor("Amplifier: output is input times \"gain\" (default 1).");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(gain.setState("gain",this,"1","Gain of the star."));

# line 30 "CGCGainInt.pl"
noInternalState();
}

int CGCGainInt::myExecTime() {
# line 58 "CGCGainInt.pl"
int time = 1;
		if ( int(gain) == 1 ) time = 0;
		return time;
}

void CGCGainInt::go() {
# line 33 "CGCGainInt.pl"
// Check for simple multiple of 2
		int reg = 0x01;
		int found = FALSE;
		int gainValue = gain;
		int i = -1;
		while (++i < 7) {
			if ( gainValue == reg ) {
				found = TRUE;
				break;
			}
			reg <<= 1;
		}

		StringList code = "\t$ref(output) = ";
		if ( found ) {
			if ( i == 0 ) code << "$ref(input)";
			else code << "$ref(input) << " << i;
		}
		else {
			code << "$val(gain) * $ref(input)";
		}
		code << ";\n";
		addCode(code);
}

// prototype instance for known block list
static CGCGainInt proto;
static RegisterBlock registerBlock(proto,"GainInt");
