static const char file_id[] = "CGCIntToFloat.pl";
// .cc file generated from CGCIntToFloat.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCIntToFloat.h"

const char *star_nm_CGCIntToFloat = "CGCIntToFloat";

const char* CGCIntToFloat :: className() const {return star_nm_CGCIntToFloat;}

ISA_FUNC(CGCIntToFloat,CGCStar);

Block* CGCIntToFloat :: makeNew() const { LOG_NEW; return new CGCIntToFloat;}

CodeBlock CGCIntToFloat :: body (
# line 40 "CGCIntToFloat.pl"
"	int i = 0;\n"
"	for (; i < $val(numSample); i++) {\n"
"		$ref(output, i) = $ref(input, i);\n"
"	}\n");

CGCIntToFloat::CGCIntToFloat ()
{
	setDescriptor("type conversion from int to float");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,FLOAT));
	addState(numSample.setState("numSample",this,"1","number of samples to be converted"));

# line 29 "CGCIntToFloat.pl"
noInternalState();
}

int CGCIntToFloat::myExecTime() {
# line 50 "CGCIntToFloat.pl"
return int(numSample);
}

void CGCIntToFloat::initCode() {
# line 38 "CGCIntToFloat.pl"
numSample = output.numXfer();
}

void CGCIntToFloat::setup() {
# line 32 "CGCIntToFloat.pl"
if (int(numSample) > 1) {
			input.setSDFParams(int(numSample));
			output.setSDFParams(int(numSample));
		}
}

void CGCIntToFloat::go() {
# line 47 "CGCIntToFloat.pl"
addCode(body);
}

// prototype instance for known block list
static CGCIntToFloat proto;
static RegisterBlock registerBlock(proto,"IntToFloat");
