#ifndef _CGCLMS_h
#define _CGCLMS_h 1
// header file generated from CGCLMS.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCFIR.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class CGCLMS : public CGCFIR
{
public:
	CGCLMS();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock update;
	static CodeBlock save;
	/* virtual */ void wrapup();
	/* virtual */ void initCode();
	InCGCPort error;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState stepSize;
	IntState errorDelay;
	StringState saveTapsFile;

};
#endif
