static const char file_id[] = "CGCLastOfN.pl";
// .cc file generated from CGCLastOfN.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCLastOfN.h"

const char *star_nm_CGCLastOfN = "CGCLastOfN";

const char* CGCLastOfN :: className() const {return star_nm_CGCLastOfN;}

ISA_FUNC(CGCLastOfN,CGCStar);

Block* CGCLastOfN :: makeNew() const { LOG_NEW; return new CGCLastOfN;}

CodeBlock CGCLastOfN :: block (
# line 44 "CGCLastOfN.pl"
"	if ($ref(status) == 0)\n"
"		$ref(status) = $ref(control);\n"
"	if ($ref(status) == 1)\n"
"		$ref(output) = $ref(input);\n"
"	$ref(status)--;\n");

CGCLastOfN::CGCLastOfN ()
{
	setDescriptor("Outputs the last token of N input tokens,\nwhere N is the control input.");
	addPort(input.setPort("input",this,ANYTYPE,0));
	addPort(control.setPort("control",this,INT));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);
	addState(status.setState("status",this,"0","monitoring the control value",
# line 35 "CGCLastOfN.pl"
A_NONCONSTANT|A_NONSETTABLE));


}

void CGCLastOfN::go() {
# line 52 "CGCLastOfN.pl"
addCode(block);
}


const char * CGCLastOfN::readTypeName ()
{
# line 41 "CGCLastOfN.pl"
return "DownSample";
}


// prototype instance for known block list
static CGCLastOfN proto;
static RegisterBlock registerBlock(proto,"LastOfN");
