static const char file_id[] = "CGCLimit.pl";
// .cc file generated from CGCLimit.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCLimit.h"

const char *star_nm_CGCLimit = "CGCLimit";

const char* CGCLimit :: className() const {return star_nm_CGCLimit;}

ISA_FUNC(CGCLimit,CGCStar);

Block* CGCLimit :: makeNew() const { LOG_NEW; return new CGCLimit;}

CodeBlock CGCLimit :: cbBody (
# line 40 "CGCLimit.pl"
"	    /*IF*/ if ( $ref(input) > $val(top) ) {\n"
"		$ref(output) = $val(top);\n"
"	    } else if ( $ref(input) < $val(bottom) ) {\n"
"		$ref(output) = $val(bottom);\n"
"	    } else {\n"
"		$ref(output) = $ref(input);\n"
"	    }\n");

CGCLimit::CGCLimit ()
{
	setDescriptor("Hard limiter.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(bottom.setState("bottom",this,"0.0","Lower limit of the output."));
	addState(top.setState("top",this,"1.0","Upper limit of the output."));


}

void CGCLimit::go() {
# line 50 "CGCLimit.pl"
addCode(cbBody);
}

// prototype instance for known block list
static CGCLimit proto;
static RegisterBlock registerBlock(proto,"Limit");
