static const char file_id[] = "CGCLog.pl";
// .cc file generated from CGCLog.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCLog.h"

const char *star_nm_CGCLog = "CGCLog";

const char* CGCLog :: className() const {return star_nm_CGCLog;}

ISA_FUNC(CGCLog,CGCStar);

Block* CGCLog :: makeNew() const { LOG_NEW; return new CGCLog;}

CodeBlock CGCLog :: ln (
# line 36 "CGCLog.pl"
"	if($ref(input) <= 0) $ref(output) = -100.0;\n"
"	else $ref(output) = log($ref(input));\n");

CGCLog::CGCLog ()
{
	setDescriptor("Outputs natural log of input.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));

# line 28 "CGCLog.pl"
noInternalState();
}

int CGCLog::myExecTime() {
# line 41 "CGCLog.pl"
return 33;  /* based on CG96Log */
}

void CGCLog::initCode() {
# line 31 "CGCLog.pl"
addInclude("<math.h>");
}

void CGCLog::go() {
# line 34 "CGCLog.pl"
addCode(ln);
}

// prototype instance for known block list
static CGCLog proto;
static RegisterBlock registerBlock(proto,"Log");
