static const char file_id[] = "CGCModuloInt.pl";
// .cc file generated from CGCModuloInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCModuloInt.h"

const char *star_nm_CGCModuloInt = "CGCModuloInt";

const char* CGCModuloInt :: className() const {return star_nm_CGCModuloInt;}

ISA_FUNC(CGCModuloInt,CGCStar);

Block* CGCModuloInt :: makeNew() const { LOG_NEW; return new CGCModuloInt;}

CodeBlock CGCModuloInt :: out (
# line 46 "CGCModuloInt.pl"
"	$ref(output) = $ref(input) % $ref(modulo);\n");

CGCModuloInt::CGCModuloInt ()
{
	setDescriptor("The output of this star is the input modulo the \n		\"modulo\" parameter. The input, output, and modulo\n		are all integers.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(modulo.setState("modulo",this,"1","The modulo parameter"));

# line 31 "CGCModuloInt.pl"
noInternalState();
}

int CGCModuloInt::myExecTime() {
# line 50 "CGCModuloInt.pl"
return 1;
}

void CGCModuloInt::initCode() {
# line 34 "CGCModuloInt.pl"
addInclude("<math.h>");
}

void CGCModuloInt::setup() {
# line 37 "CGCModuloInt.pl"
if ( int(modulo) == 0 ) {
		    Error::abortRun(*this,
				    "The modulo parameter cannot be zero");
		    return;
		}
}

void CGCModuloInt::go() {
# line 44 "CGCModuloInt.pl"
addCode(out);
}

// prototype instance for known block list
static CGCModuloInt proto;
static RegisterBlock registerBlock(proto,"ModuloInt");
