static const char file_id[] = "CGCMpyInt.pl";
// .cc file generated from CGCMpyInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCMpyInt.h"

const char *star_nm_CGCMpyInt = "CGCMpyInt";

const char* CGCMpyInt :: className() const {return star_nm_CGCMpyInt;}

ISA_FUNC(CGCMpyInt,CGCStar);

Block* CGCMpyInt :: makeNew() const { LOG_NEW; return new CGCMpyInt;}

CodeBlock CGCMpyInt :: startOp (
# line 25 "CGCMpyInt.pl"
"	int sum = $ref(input#1);\n");

const char* CGCMpyInt :: doOp(int i) {
# line 28 "CGCMpyInt.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	sum *= $ref(input#" << (i) << ");\n";
	return (const char*)_str_;
}

CodeBlock CGCMpyInt :: saveResult (
# line 31 "CGCMpyInt.pl"
"	$ref(output) = sum;\n");

CGCMpyInt::CGCMpyInt ()
{
	setDescriptor("Output the complex product of the inputs.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));

# line 23 "CGCMpyInt.pl"
noInternalState();
}

int CGCMpyInt::myExecTime() {
# line 40 "CGCMpyInt.pl"
return input.numberPorts() + 1;
}

void CGCMpyInt::go() {
# line 35 "CGCMpyInt.pl"
addCode(startOp);
	for (int i = 2; i <= input.numberPorts(); i++) 
	    addCode(doOp(i)); 
	addCode(saveResult);
}

// prototype instance for known block list
static CGCMpyInt proto;
static RegisterBlock registerBlock(proto,"MpyInt");
