static const char file_id[] = "CGCRamp.pl";
// .cc file generated from CGCRamp.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCRamp.h"

const char *star_nm_CGCRamp = "CGCRamp";

const char* CGCRamp :: className() const {return star_nm_CGCRamp;}

ISA_FUNC(CGCRamp,CGCStar);

Block* CGCRamp :: makeNew() const { LOG_NEW; return new CGCRamp;}

CodeBlock CGCRamp :: std (
# line 35 "CGCRamp.pl"
"	$ref(output) = $ref(value);\n"
"	$ref(value) += $val(step);\n");

CGCRamp::CGCRamp ()
{
	setDescriptor("Generates a ramp signal, starting at \"value\" (default 0)\nwith step size \"step\" (default 1).");
	addPort(output.setPort("output",this,FLOAT));
	addState(step.setState("step",this,"1.0","Increment from one sample to the next."));
	addState(value.setState("value",this,"0.0","Initial (or latest) value output by Ramp.",
# line 32 "CGCRamp.pl"
A_SETTABLE|A_NONCONSTANT));


}

int CGCRamp::myExecTime() {
# line 40 "CGCRamp.pl"
return 2;
}

void CGCRamp::go() {
# line 34 "CGCRamp.pl"
addCode(std);
}

// prototype instance for known block list
static CGCRamp proto;
static RegisterBlock registerBlock(proto,"Ramp");
