static const char file_id[] = "CGCRampInt.pl";
// .cc file generated from CGCRampInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCRampInt.h"

const char *star_nm_CGCRampInt = "CGCRampInt";

const char* CGCRampInt :: className() const {return star_nm_CGCRampInt;}

ISA_FUNC(CGCRampInt,CGCStar);

Block* CGCRampInt :: makeNew() const { LOG_NEW; return new CGCRampInt;}

CodeBlock CGCRampInt :: std (
# line 35 "CGCRampInt.pl"
"	$ref(output) = $ref(value);\n"
"	$ref(value) += $val(step);\n");

CGCRampInt::CGCRampInt ()
{
	setDescriptor("Generates a ramp signal, starting at \"value\" (default 0)\nwith step size \"step\" (default 1).");
	addPort(output.setPort("output",this,INT));
	addState(step.setState("step",this,"1","Increment from one sample to the next."));
	addState(value.setState("value",this,"0","Initial (or latest) value output by Ramp.",
# line 32 "CGCRampInt.pl"
A_SETTABLE|A_NONCONSTANT));


}

int CGCRampInt::myExecTime() {
# line 40 "CGCRampInt.pl"
return 2;
}

void CGCRampInt::go() {
# line 34 "CGCRampInt.pl"
addCode(std);
}

// prototype instance for known block list
static CGCRampInt proto;
static RegisterBlock registerBlock(proto,"RampInt");
