static const char file_id[] = "CGCRect.pl";
// .cc file generated from CGCRect.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCRect.h"

const char *star_nm_CGCRect = "CGCRect";

const char* CGCRect :: className() const {return star_nm_CGCRect;}

ISA_FUNC(CGCRect,CGCStar);

Block* CGCRect :: makeNew() const { LOG_NEW; return new CGCRect;}

CodeBlock CGCRect :: cbMain (
# line 48 "CGCRect.pl"
"		$ref(output) = ($ref(count) < $val(width)) ? $val(height) : 0.0;\n"
"		++$ref(count);\n"
"		if ( $val(period) > 0 && $ref(count) >= $val(period) )\n"
"		    $ref(count) = 0;\n");

CGCRect::CGCRect ()
{
	setDescriptor("Generates a rectangular pulse of height \"height\" (default 1.0).\nand width \"width\" (default 8).  If \"period\" is greater than zero,\nthen the pulse is repeated with the given period.");
	addPort(output.setPort("output",this,FLOAT));
	addState(height.setState("height",this,"1.0","Height of the rectangular pulse."));
	addState(width.setState("width",this,"8","Width of the rectangular pulse."));
	addState(period.setState("period",this,"0","If greater than zero, the period of the pulse stream."));
	addState(count.setState("count",this,"0","Internal counting state.",
# line 46 "CGCRect.pl"
A_NONSETTABLE|A_NONCONSTANT));


}

void CGCRect::go() {
# line 55 "CGCRect.pl"
addCode(cbMain);
}

// prototype instance for known block list
static CGCRect proto;
static RegisterBlock registerBlock(proto,"Rect");
