static const char file_id[] = "CGCRectToCx.pl";
// .cc file generated from CGCRectToCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCRectToCx.h"

const char *star_nm_CGCRectToCx = "CGCRectToCx";

const char* CGCRectToCx :: className() const {return star_nm_CGCRectToCx;}

ISA_FUNC(CGCRectToCx,CGCStar);

Block* CGCRectToCx :: makeNew() const { LOG_NEW; return new CGCRectToCx;}

CodeBlock CGCRectToCx :: body (
# line 29 "CGCRectToCx.pl"
"	$ref(output).real = $ref(real);\n"
"	$ref(output).imag = $ref(imag);\n");

CGCRectToCx::CGCRectToCx ()
{
	setDescriptor("Convert real and imaginary parts to a complex output.");
	addPort(real.setPort("real",this,FLOAT));
	addPort(imag.setPort("imag",this,FLOAT));
	addPort(output.setPort("output",this,COMPLEX));

# line 27 "CGCRectToCx.pl"
noInternalState();
}

int CGCRectToCx::myExecTime() {
# line 38 "CGCRectToCx.pl"
return 2;
}

void CGCRectToCx::go() {
# line 35 "CGCRectToCx.pl"
addCode(body);
}

// prototype instance for known block list
static CGCRectToCx proto;
static RegisterBlock registerBlock(proto,"RectToCx");
