static const char file_id[] = "CGCRepeater.pl";
// .cc file generated from CGCRepeater.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCRepeater.h"

const char *star_nm_CGCRepeater = "CGCRepeater";

const char* CGCRepeater :: className() const {return star_nm_CGCRepeater;}

ISA_FUNC(CGCRepeater,CGCStar);

Block* CGCRepeater :: makeNew() const { LOG_NEW; return new CGCRepeater;}

CodeBlock CGCRepeater :: block (
# line 38 "CGCRepeater.pl"
"	$ref(output) = $ref(input);\n");

CGCRepeater::CGCRepeater ()
{
	setDescriptor("This star uses the \"control\" input value to specify how many\ntimes to repeat the \"input\" value on \"output\".\nThe generated code is just copying input to output since this star\nwill be placed inside a loop structure");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(control.setPort("control",this,INT));
	addPort(output.setPort("output",this,ANYTYPE,0));
	output.inheritTypeFrom(input);


}

void CGCRepeater::go() {
# line 42 "CGCRepeater.pl"
addCode(block);
}


const char * CGCRepeater::readTypeName ()
{
# line 36 "CGCRepeater.pl"
return "UpSample";
}


// prototype instance for known block list
static CGCRepeater proto;
static RegisterBlock registerBlock(proto,"Repeater");
