static const char file_id[] = "CGCSGIAudio.pl";
// .cc file generated from CGCSGIAudio.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCSGIAudio.h"

const char *star_nm_CGCSGIAudio = "CGCSGIAudio";

const char* CGCSGIAudio :: className() const {return star_nm_CGCSGIAudio;}

ISA_FUNC(CGCSGIAudio,CGCStar);

Block* CGCSGIAudio :: makeNew() const { LOG_NEW; return new CGCSGIAudio;}

CodeBlock CGCSGIAudio :: declare (
# line 17 "CGCSGIAudio.pl"
"	ALport $starSymbol(port);\n"
"	ALconfig $starSymbol(config);\n");

CodeBlock CGCSGIAudio :: setup (
# line 23 "CGCSGIAudio.pl"
"	$starSymbol(config) = ALnewconfig();\n"
"	ALsetwidth($starSymbol(config), AL_SAMPLE_16);\n"
"	ALsetchannels($starSymbol(config), AL_STEREO);\n"
"	ALsetqueuesize($starSymbol(config), 0x1000);\n");

CodeBlock CGCSGIAudio :: close (
# line 31 "CGCSGIAudio.pl"
"	ALcloseport($starSymbol(port));\n"
"	ALfreeconfig($starSymbol(config));\n");

CGCSGIAudio::CGCSGIAudio ()
{
	setDescriptor("Base class for reading and writing SGI audio ports.");


}

void CGCSGIAudio::wrapup() {
# line 45 "CGCSGIAudio.pl"
addCode(close);
}

void CGCSGIAudio::initCode() {
# line 38 "CGCSGIAudio.pl"
addInclude("<audio.h>");
	addGlobal(declare);
	addCode(setup);
}

// prototype instance for known block list
static CGCSGIAudio proto;
static RegisterBlock registerBlock(proto,"SGIAudio");
