static const char file_id[] = "CGCSGIAudioIn.pl";
// .cc file generated from CGCSGIAudioIn.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCSGIAudioIn.h"

const char *star_nm_CGCSGIAudioIn = "CGCSGIAudioIn";

const char* CGCSGIAudioIn :: className() const {return star_nm_CGCSGIAudioIn;}

ISA_FUNC(CGCSGIAudioIn,CGCSGIAudio);

Block* CGCSGIAudioIn :: makeNew() const { LOG_NEW; return new CGCSGIAudioIn;}

CodeBlock CGCSGIAudioIn :: open (
# line 32 "CGCSGIAudioIn.pl"
"	$starSymbol(port) = ALopenport(\"$starSymbol(port)\", \"r\", $starSymbol(config));\n");

CodeBlock CGCSGIAudioIn :: read (
# line 37 "CGCSGIAudioIn.pl"
"	{\n"
"	    short buffer[2];\n"
"\n"
"	    ALreadsamps($starSymbol(port), buffer, 2);\n"
"	    $ref(left) = buffer[0] / 32768.0;\n"
"	    $ref(right) = buffer[1] / 32768.0;\n"
"	}\n");

CGCSGIAudioIn::CGCSGIAudioIn ()
{
	setDescriptor("Get samples from audio input port.");
	addPort(left.setPort("left",this,FLOAT));
	addPort(right.setPort("right",this,FLOAT));


}

void CGCSGIAudioIn::initCode() {
# line 49 "CGCSGIAudioIn.pl"
CGCSGIAudio::initCode();
	addCode(open);
}

void CGCSGIAudioIn::go() {
# line 55 "CGCSGIAudioIn.pl"
addCode(read);
}

// prototype instance for known block list
static CGCSGIAudioIn proto;
static RegisterBlock registerBlock(proto,"SGIAudioIn");
