static const char file_id[] = "CGCSGIAudioOut.pl";
// .cc file generated from CGCSGIAudioOut.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCSGIAudioOut.h"

const char *star_nm_CGCSGIAudioOut = "CGCSGIAudioOut";

const char* CGCSGIAudioOut :: className() const {return star_nm_CGCSGIAudioOut;}

ISA_FUNC(CGCSGIAudioOut,CGCSGIAudio);

Block* CGCSGIAudioOut :: makeNew() const { LOG_NEW; return new CGCSGIAudioOut;}

CodeBlock CGCSGIAudioOut :: open (
# line 32 "CGCSGIAudioOut.pl"
"	$starSymbol(port) = ALopenport(\"$starSymbol(port)\", \"w\", $starSymbol(config));\n");

CodeBlock CGCSGIAudioOut :: write (
# line 37 "CGCSGIAudioOut.pl"
"	{\n"
"	    short buffer[2];\n"
"\n"
"	    buffer[0] = (short)($ref(left) * 32768.0);\n"
"	    buffer[1] = (short)($ref(right)* 32768.0);\n"
"	    ALwritesamps($starSymbol(port), buffer, 2);\n"
"	}\n");

CGCSGIAudioOut::CGCSGIAudioOut ()
{
	setDescriptor("Put samples into audio output port.");
	addPort(left.setPort("left",this,FLOAT));
	addPort(right.setPort("right",this,FLOAT));


}

void CGCSGIAudioOut::initCode() {
# line 49 "CGCSGIAudioOut.pl"
CGCSGIAudio::initCode();
	addCode(open);
}

void CGCSGIAudioOut::go() {
# line 55 "CGCSGIAudioOut.pl"
addCode(write);
}

// prototype instance for known block list
static CGCSGIAudioOut proto;
static RegisterBlock registerBlock(proto,"SGIAudioOut");
