static const char file_id[] = "CGCSgn.pl";
// .cc file generated from CGCSgn.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCSgn.h"

const char *star_nm_CGCSgn = "CGCSgn";

const char* CGCSgn :: className() const {return star_nm_CGCSgn;}

ISA_FUNC(CGCSgn,CGCStar);

Block* CGCSgn :: makeNew() const { LOG_NEW; return new CGCSgn;}

CodeBlock CGCSgn :: std (
# line 29 "CGCSgn.pl"
"	  double x;\n"
"	  int sgn;\n"
"	  x = $ref(input);\n"
"	  sgn = (x >= 0.0) ? 1 : -1;\n"
"	  $ref(output) = sgn;\n");

CGCSgn::CGCSgn ()
{
	setDescriptor("This star computes the signum of its input.\nThe output is +/- 1.\nNote that 0.0 maps to 1.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,INT));


}

void CGCSgn::go() {
# line 37 "CGCSgn.pl"
addCode(std);
}

// prototype instance for known block list
static CGCSgn proto;
static RegisterBlock registerBlock(proto,"Sgn");
