static const char file_id[] = "CGCSubInt.pl";
// .cc file generated from CGCSubInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCSubInt.h"

const char *star_nm_CGCSubInt = "CGCSubInt";

const char* CGCSubInt :: className() const {return star_nm_CGCSubInt;}

ISA_FUNC(CGCSubInt,CGCStar);

Block* CGCSubInt :: makeNew() const { LOG_NEW; return new CGCSubInt;}

CodeBlock CGCSubInt :: startOp (
# line 29 "CGCSubInt.pl"
"	int diff = $ref(pos);\n");

const char* CGCSubInt :: doOp(int i) {
# line 32 "CGCSubInt.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	diff -= $ref(neg#" << (i) << ");\n";
	return (const char*)_str_;
}

CodeBlock CGCSubInt :: saveResult (
# line 35 "CGCSubInt.pl"
"	$ref(output) = diff;\n");

CGCSubInt::CGCSubInt ()
{
	setDescriptor("Output the \"pos\" input minus all \"neg\" inputs.");
	addPort(pos.setPort("pos",this,INT));
	addPort(neg.setPort("neg",this,INT));
	addPort(output.setPort("output",this,INT));

# line 27 "CGCSubInt.pl"
noInternalState();
}

int CGCSubInt::myExecTime() {
# line 44 "CGCSubInt.pl"
return neg.numberPorts() + 1;
}

void CGCSubInt::go() {
# line 39 "CGCSubInt.pl"
addCode(startOp);
	for (int i = 1; i <= neg.numberPorts(); i++) 
	    addCode(doOp(i)); 
	addCode(saveResult);
}

// prototype instance for known block list
static CGCSubInt proto;
static RegisterBlock registerBlock(proto,"SubInt");
