static const char file_id[] = "CGCTable.pl";
// .cc file generated from CGCTable.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCTable.h"

const char *star_nm_CGCTable = "CGCTable";

const char* CGCTable :: className() const {return star_nm_CGCTable;}

ISA_FUNC(CGCTable,CGCStar);

Block* CGCTable :: makeNew() const { LOG_NEW; return new CGCTable;}

CodeBlock CGCTable :: readIdx (
# line 49 "CGCTable.pl"
"		int idx = $ref(input);\n");

CodeBlock CGCTable :: check (
# line 52 "CGCTable.pl"
"		if (idx < 0 || idx >= $size(values)) {\n"
"			fprintf(stderr, \"ERROR: input to CGCTable out of range\\n\");\n"
"			exit(1);\n"
"		}\n");

CodeBlock CGCTable :: lookup (
# line 58 "CGCTable.pl"
"		$ref(output) = $ref2(values,idx);\n");

CGCTable::CGCTable ()
{
	setDescriptor("Implements a real-valued lookup table.  The \"values\" state contains the\nvalues to output; its first element is element zero.  An error occurs if\nan out of bounds value is received.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,FLOAT));
	addState(values.setState("values",this,"-1 1","\"table of values to output\""));
	addState(runTimeCheck.setState("runTimeCheck",this,"YES","\"If YES, check range of index at runtime, else omit\""));

# line 47 "CGCTable.pl"
noInternalState();
}

void CGCTable::go() {
# line 42 "CGCTable.pl"
addCode(readIdx);
		if (int(runTimeCheck)) addCode(check);
		addCode(lookup);
}

// prototype instance for known block list
static CGCTable proto;
static RegisterBlock registerBlock(proto,"Table");
