#ifndef _CGCTable_h
#define _CGCTable_h 1
// header file generated from CGCTable.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class CGCTable : public CGCStar
{
public:
	CGCTable();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock readIdx;
	static CodeBlock check;
	static CodeBlock lookup;
	InCGCPort input;
	OutCGCPort output;

protected:
	/* virtual */ void go();
	FloatArrayState values;
	IntState runTimeCheck;

};
#endif
