static const char file_id[] = "CGCTableInt.pl";
// .cc file generated from CGCTableInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCTableInt.h"

const char *star_nm_CGCTableInt = "CGCTableInt";

const char* CGCTableInt :: className() const {return star_nm_CGCTableInt;}

ISA_FUNC(CGCTableInt,CGCStar);

Block* CGCTableInt :: makeNew() const { LOG_NEW; return new CGCTableInt;}

CodeBlock CGCTableInt :: readIdx (
# line 49 "CGCTableInt.pl"
"		int idx = $ref(input);\n");

CodeBlock CGCTableInt :: check (
# line 52 "CGCTableInt.pl"
"		if (idx < 0 || idx >= $size(values)) {\n"
"			fprintf(stderr, \"ERROR: input to CGCTable out of range\\n\");\n"
"			exit(1);\n"
"		}\n");

CodeBlock CGCTableInt :: lookup (
# line 58 "CGCTableInt.pl"
"		$ref(output) = $ref2(values,idx);\n");

CGCTableInt::CGCTableInt ()
{
	setDescriptor("Implements an integer-valued lookup table.  The \"values\" state contains the\nvalues to output; its first element is element zero.  An error occurs if\nan out of bounds value is received.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(values.setState("values",this,"-1 1","\"table of values to output\""));
	addState(runTimeCheck.setState("runTimeCheck",this,"YES","\"If YES, check range of index at runtime, else omit\""));

# line 47 "CGCTableInt.pl"
noInternalState();
}

void CGCTableInt::go() {
# line 42 "CGCTableInt.pl"
addCode(readIdx);
		if (int(runTimeCheck)) addCode(check);
		addCode(lookup);
}

// prototype instance for known block list
static CGCTableInt proto;
static RegisterBlock registerBlock(proto,"TableInt");
