static const char file_id[] = "CGCThresh.pl";
// .cc file generated from CGCThresh.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCThresh.h"

const char *star_nm_CGCThresh = "CGCThresh";

const char* CGCThresh :: className() const {return star_nm_CGCThresh;}

ISA_FUNC(CGCThresh,CGCStar);

Block* CGCThresh :: makeNew() const { LOG_NEW; return new CGCThresh;}

CodeBlock CGCThresh :: gen (
# line 32 "CGCThresh.pl"
"		$ref(output) = ($ref(input) > $val(threshold));\n");

CGCThresh::CGCThresh ()
{
	setDescriptor("Compares input values to \"threshold\" (default 0.5).\nOutput is 0 if input <= threshold, otherwise it is 1.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,INT));
	addState(threshold.setState("threshold",this,"0.5","Threshold applied to input."));

# line 31 "CGCThresh.pl"
noInternalState();
}

void CGCThresh::go() {
# line 36 "CGCThresh.pl"
addCode(gen);
}

// prototype instance for known block list
static CGCThresh proto;
static RegisterBlock registerBlock(proto,"Thresh");
