#ifndef _CGCTrainer_h
#define _CGCTrainer_h 1
// header file generated from CGCTrainer.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"

class CGCTrainer : public CGCStar
{
public:
	CGCTrainer();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ int myExecTime();
	/* virtual */ void begin();
	InCGCPort train;
	InCGCPort decision;
	OutCGCPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState trainLength;
	IntState count;

};
#endif
