static const char file_id[] = "CGCXscope.pl";
// .cc file generated from CGCXscope.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCXscope.h"

const char *star_nm_CGCXscope = "CGCXscope";

const char* CGCXscope :: className() const {return star_nm_CGCXscope;}

ISA_FUNC(CGCXscope,CGCXgraph);

Block* CGCXscope :: makeNew() const { LOG_NEW; return new CGCXscope;}

CGCXscope::CGCXscope ()
{
	setDescriptor("Generate a multi-trace plot with the pxgraph program.");
	addState(traceLength.setState("traceLength",this,"0","Number of samples per trace.  If 0, only one trace."));
	addState(traceCount.setState("traceCount",this,"0","Counter for samples in trace interval",
# line 47 "CGCXscope.pl"
A_NONCONSTANT|A_NONSETTABLE));
	addState(nTracesSoFar.setState("nTracesSoFar",this,"0","Counter for trace intervals",
# line 54 "CGCXscope.pl"
A_NONCONSTANT|A_NONSETTABLE));


}

int CGCXscope::myExecTime() {
# line 77 "CGCXscope.pl"
return 8;
}

void CGCXscope::setup() {
# line 58 "CGCXscope.pl"
traceCount= 0-(int)ignore;
	    CGCXgraph::setup();
}

void CGCXscope::go() {
# line 62 "CGCXscope.pl"
if (int(traceLength) > 0) {
	{ StringList _str_; _str_ << 
"	if ($ref(traceCount) >= $val(traceLength)) {\n"
"		$ref(traceCount) = 0;\n"
"		fprintf($starSymbol(fp), \"move \");\n"
"		$ref(index) = $val(xInit);\n"
"		$ref(nTracesSoFar)++;\n"
"	}\n"
"	$ref(traceCount)++;\n"
"	if (!$ref(traceCount)) $ref(index) = 0;\n"
;
	 addCode(_str_); }
		}

		CGCXgraph::go();
}

// prototype instance for known block list
static CGCXscope proto;
static RegisterBlock registerBlock(proto,"Xscope");
