#ifndef _CGCLMSTkPlot_h
#define _CGCLMSTkPlot_h 1
// header file generated from CGCLMSTkPlot.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCLMS.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class CGCLMSTkPlot : public CGCLMS
{
public:
	CGCLMSTkPlot();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock updateDisplay;
	static CodeBlock makeGraph;
	static CodeBlock makeControls;
	static CodeBlock copyTaps;
	static CodeBlock procDefs;
	/* virtual */ void initCode();
protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState stepSizeLow;
	FloatState stepSizeHigh;
	FloatState fullScale;
	StringState geometry;
	FloatState width;
	FloatState height;
	StringState identifier;
	IntState updateInterval;

};
#endif
