#ifndef _CGCTclScript_h
#define _CGCTclScript_h 1
// header file generated from CGCTclScript.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "StringState.h"

class CGCTclScript : public CGCStar
{
public:
	CGCTclScript();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock setUniqueSymbol;
	static CodeBlock declareSetOutputs;
	static CodeBlock declareGrabInputs;
	const char* exportState(const char* name, const char* value);
	static CodeBlock sourceTclwEnv;
	static CodeBlock sourceTclwoEnv;
	static CodeBlock callTcl;
	static CodeBlock setOutputsDef;
	static CodeBlock grabInputsDef;
	/* virtual */ void initCode();
	MultiOutCGCPort output;
	MultiInCGCPort input;

protected:
	/* virtual */ void go();
	StringState tcl_file;
	IntState synchronous;
	IntState numOutputs;
	IntState numInputs;
	IntState temp;

};
#endif
