static const char file_id[] = "CGCTkBarGraph.pl";
// .cc file generated from CGCTkBarGraph.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCTkBarGraph.h"

const char *star_nm_CGCTkBarGraph = "CGCTkBarGraph";

const char* CGCTkBarGraph :: className() const {return star_nm_CGCTkBarGraph;}

ISA_FUNC(CGCTkBarGraph,CGCStar);

Block* CGCTkBarGraph :: makeNew() const { LOG_NEW; return new CGCTkBarGraph;}

const char* CGCTkBarGraph :: globalDecl(int numIn) {
# line 79 "CGCTkBarGraph.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	  int $starSymbol(ids)[" << (numIn) << "][$val(number_of_bars)];\n"
"	  int* $starSymbol(ids_ptr)[" << (numIn) << "];\n"
"	  double $starSymbol(buffer)[" << (numIn) << "][$val(number_of_bars)];\n"
"	  double* $starSymbol(buffer_ptr)[" << (numIn) << "];\n";
	return (const char*)_str_;
}

const char* CGCTkBarGraph :: inits(int numIn) {
# line 85 "CGCTkBarGraph.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	  {\n"
"	    int i;\n"
"	    for (i = 0; i < " << (numIn) << "; i++) {\n"
"	      $starSymbol(buffer_ptr)[i] = $starSymbol(buffer)[i];\n"
"	      $starSymbol(ids_ptr)[i] = $starSymbol(ids)[i];\n"
"	    }\n"
"	    $ref(top) = $val(top);\n"
"	    $ref(bottom) = $val(bottom);\n"
"	  }\n";
	return (const char*)_str_;
}

const char* CGCTkBarGraph :: updateDisplay(int numIn) {
# line 122 "CGCTkBarGraph.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	  if (++$starSymbol(count) == $val(number_of_bars)) {\n"
"	    $starSymbol(count) = 0;\n"
"	  }\n"
"	  if (++$starSymbol(batchCount) == $val(updateSize)) {\n"
"	    $starSymbol(batchCount) = 0;\n"
"	    if(ptkSetBarGraph(interp, &w,\n"
"			      \"$starSymbol(.bar)\",\n"
"			      $starSymbol(buffer_ptr),\n"
"			      " << (numIn) << ",\n"
"			      $val(number_of_bars),\n"
"			      $ref(top),\n"
"			      $ref(bottom),\n"
"			      $starSymbol(ids_ptr)) == 0)\n"
"	      errorReport(\"Cannot update bar graph.\");\n"
"	  }\n";
	return (const char*)_str_;
}

const char* CGCTkBarGraph :: updateFamily(int numIn) {
# line 139 "CGCTkBarGraph.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	  if(ptkSetOneFamily(interp, &w,\n"
"			     \"$starSymbol(.bar)\",\n"
"			     $starSymbol(buffer_ptr),\n"
"			     " << (numIn) << ",\n"
"			     $val(number_of_bars),\n"
"			     $ref(top),\n"
"			     $ref(bottom),\n"
"			     $starSymbol(ids_ptr),\n"
"			     $starSymbol(count)) == 0)\n"
"	    errorReport(\"Cannot update bar graph.\");\n"
"	  if (++$starSymbol(count) == $val(number_of_bars)) {\n"
"	    $starSymbol(count) = 0;\n"
"	  }\n";
	return (const char*)_str_;
}

const char* CGCTkBarGraph :: makeGraph(int numIn) {
# line 154 "CGCTkBarGraph.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	  Tcl_CreateCommand(interp, \"$starSymbol(.bar)rescale\",\n"
"			    $starSymbol(rescale),\n"
"			    (ClientData) 0, (void (*)()) NULL);\n"
"	  if(ptkMakeBarGraph(interp, &w,\n"
"			 \"$starSymbol(.bar)\",	/* name of top level window */\n"
"			 \"$val(label)\",	        /* identifying string */\n"
"			 $starSymbol(buffer_ptr),   /* data to be plotted */\n"
"			 " << (numIn) << ",		/* number of traces */\n"
"			 $val(number_of_bars),	/* number of data points */\n"
"			 $ref(top),	        /* top of scale */\n"
"			 $ref(bottom),	        /* bottom of scale */\n"
"			 $starSymbol(ids_ptr),	/* array to store item ids */\n"
"			 \"$val(position)\",	/* position window*/\n"
"			 $val(bar_graph_width),	/* width, in cm */\n"
"			 $val(bar_graph_height)) == 0)\n"
"		errorReport(\"Cannot create bar chart\");\n"
"	    Tcl_CreateCommand(interp, \"$starSymbol(.bar)redraw\",\n"
"			$starSymbol(redraw),\n"
"			(ClientData) 0, (void (*)()) NULL);\n";
	return (const char*)_str_;
}

const char* CGCTkBarGraph :: procDefs(int numIn) {
# line 175 "CGCTkBarGraph.pl"
	static StringList _str_; _str_.initialize(); _str_ << 
"	    static int\n"
"	    $starSymbol(redraw)(dummy, interp, argc, argv)\n"
"		ClientData dummy;		   /* Not used. */\n"
"		Tcl_Interp *interp;		 /* Current interpreter. */\n"
"		int argc;			   /* Number of arguments. */\n"
"		char **argv;			/* Argument strings. */\n"
"	    {\n"
"		if(ptkSetBarGraph(interp, &w,\n"
"			    \"$starSymbol(.bar)\",\n"
"			    $starSymbol(buffer_ptr),\n"
"			    " << (numIn) << ",\n"
"			    $val(number_of_bars),\n"
"			    $ref(top),\n"
"			    $ref(bottom),\n"
"			    $starSymbol(ids_ptr)) == 0)\n"
"		    errorReport(\"Cannot redraw bar graph\");\n"
"		return TCL_OK;\n"
"	    }\n"
"\n"
"	    static int\n"
"	    $starSymbol(rescale)(dummy, interp, argc, argv)\n"
"		ClientData dummy;		   /* Not used. */\n"
"		Tcl_Interp *interp;		 /* Current interpreter. */\n"
"		int argc;			   /* Number of arguments. */\n"
"		char **argv;			/* Argument strings. */\n"
"	    {\n"
"		float temp;\n"
"		if(sscanf(argv[1], \"%4f\", &temp) != 1) {\n"
"		    Tcl_AppendResult(interp,\n"
"			\"Cannot reset full scale in bar graph\",(char*) NULL);\n"
"		    return TCL_ERROR;\n"
"		}\n"
"		$ref(top) *=  temp;\n"
"		$ref(bottom) *=  temp;\n"
"	        /* Return new full scale value to tcl */\n"
"		sprintf(interp->result, \"%f %f\",\n"
"		    $ref(top), $ref(bottom));\n"
"		return TCL_OK;\n"
"	    }\n"
"\n";
	return (const char*)_str_;
}

CGCTkBarGraph::CGCTkBarGraph ()
{
	setDescriptor("Dynamically display the value of any number of input signals in bar-chart form.\nThe first 12 input signals will be assigned distinct colors. After that,\nthe colors are repeated. The colors can be controlled using X resources.");
	addPort(input.setPort("input",this,FLOAT));
	addState(label.setState("label",this,"bar chart display","A label to put on the display"));
	addState(top.setState("top",this,"1.0","High end of the scale",
# line 33 "CGCTkBarGraph.pl"
A_GLOBAL));
	addState(bottom.setState("bottom",this,"-1.0","Low end of the scale",
# line 40 "CGCTkBarGraph.pl"
A_GLOBAL));
	addState(number_of_bars.setState("number_of_bars",this,"16","Number of bars to display"));
	addState(bar_graph_height.setState("bar_graph_height",this,"5","Desired height of the bar graph in centimeters"));
	addState(bar_graph_width.setState("bar_graph_width",this,"10","Desired width of the bar graph in centimeters"));
	addState(position.setState("position",this,"+0+0","Width of the bar graph in centimeters"));
	addState(updateSize.setState("updateSize",this,"1","To speed up the display, this many bars are updated at once"));


}

void CGCTkBarGraph::initCode() {
# line 97 "CGCTkBarGraph.pl"
addGlobal(globalDecl(input.numberPorts()));
	    addDeclaration("int $starSymbol(count);");
	    addDeclaration("int $starSymbol(batchCount);");
	    addCode(inits(input.numberPorts()), "tkSetup");
	    addCode(makeGraph(input.numberPorts()),"tkSetup");
	    addCode(procDefs(input.numberPorts()),"procedure");
	    addCode("$starSymbol(count) = 0;");
	    addCode("$starSymbol(batchCount) = 0;");
}

void CGCTkBarGraph::setup() {
# line 74 "CGCTkBarGraph.pl"
if(double(top) <= double(bottom)) {
		Error::abortRun(*this, "invalid range for the scale");
	    }
}

void CGCTkBarGraph::go() {
# line 107 "CGCTkBarGraph.pl"
for (int i = 0; i < input.numberPorts(); i++) {
	    StringList cmd = "$starSymbol(buffer)[";
	    cmd << i;
	    cmd << "][$starSymbol(count)] = $ref(input#";
	    cmd << i+1;
	    cmd << ");";
	    addCode(cmd);
	  }
	  // Conditional code generation: If updateSize differs from the
	  // default, assume the user knows best and update the whole display.
	  if (int(updateSize) > 1)
	    addCode(updateDisplay(input.numberPorts()));
	  else
	    addCode(updateFamily(input.numberPorts()));
}

// prototype instance for known block list
static CGCTkBarGraph proto;
static RegisterBlock registerBlock(proto,"TkBarGraph");
