static const char file_id[] = "CGCTkEntry.pl";
// .cc file generated from CGCTkEntry.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCTkEntry.h"

const char *star_nm_CGCTkEntry = "CGCTkEntry";

const char* CGCTkEntry :: className() const {return star_nm_CGCTkEntry;}

ISA_FUNC(CGCTkEntry,CGCStar);

Block* CGCTkEntry :: makeNew() const { LOG_NEW; return new CGCTkEntry;}

CodeBlock CGCTkEntry :: setup (
# line 40 "CGCTkEntry.pl"
"	    /* Establish the Tk window for setting the value */\n"
"	    makeEntry(\".high\",		/* position in control panel */\n"
"		      \"$starSymbol(entry)\",	/* name of entry pane */\n"
"		      \"$val(identifier)\",	/* text identifying the pane */\n"
"		      \"$val(value)\",		/* initial value of the entry */\n"
"		      $starSymbol(setValue));	/* callback procedure */\n");

CodeBlock CGCTkEntry :: setValueDef (
# line 51 "CGCTkEntry.pl"
"	    static int\n"
"            $starSymbol(setValue)(dummy, interp, argc, argv)\n"
"                ClientData dummy;                   /* Not used. */\n"
"                Tcl_Interp *interp;                 /* Current interpreter. */\n"
"                int argc;                           /* Number of arguments. */\n"
"                char **argv;                        /* Argument strings. */\n"
"            {\n"
"		float temp;\n"
"                if(sscanf(argv[1], \"%f\", &temp) != 1) {\n"
"                    errorReport(\"Invalid value\");\n"
"                    return TCL_ERROR;\n"
"                }\n"
"		$ref(value) = temp;\n"
"                return TCL_OK;\n"
"            }\n");

CGCTkEntry::CGCTkEntry ()
{
	setDescriptor("Output a constant signal with value determined by a Tk entry box (default 0.0).");
	addPort(output.setPort("output",this,FLOAT));
	addState(value.setState("value",this,"0.0","The value to send to the output.",
# line 23 "CGCTkEntry.pl"
A_GLOBAL));
	addState(identifier.setState("identifier",this,"Entry","The string to identify the entry in the control panel."));


}

void CGCTkEntry::initCode() {
# line 32 "CGCTkEntry.pl"
addCode(setup,"tkSetup");
	    addCode(setValueDef, "procedure");
}

void CGCTkEntry::go() {
# line 36 "CGCTkEntry.pl"
addCode("\t$ref(output) = $ref(value);\n");
}

// prototype instance for known block list
static CGCTkEntry proto;
static RegisterBlock registerBlock(proto,"TkEntry");
