#ifndef _CGCTkImpulse_h
#define _CGCTkImpulse_h 1
// header file generated from CGCTkImpulse.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class CGCTkImpulse : public CGCStar
{
public:
	CGCTkImpulse();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock nosync;
	static CodeBlock sync;
	static CodeBlock tkSetup;
	static CodeBlock pulseDef;
	/* virtual */ void initCode();
	OutCGCPort output;

protected:
	/* virtual */ void go();
	FloatState level;
	StringState identifier;
	IntState synchronize;

};
#endif
