static const char file_id[] = "CGCTkRadioButton.pl";
// .cc file generated from CGCTkRadioButton.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCTkRadioButton.h"

const char *star_nm_CGCTkRadioButton = "CGCTkRadioButton";

const char* CGCTkRadioButton :: className() const {return star_nm_CGCTkRadioButton;}

ISA_FUNC(CGCTkRadioButton,CGCTclScript);

Block* CGCTkRadioButton :: makeNew() const { LOG_NEW; return new CGCTkRadioButton;}

CGCTkRadioButton::CGCTkRadioButton ()
{
	setDescriptor("Graphical one-of-many input source.");
	addState(identifier.setState("identifier",this,"Select one of:","The string to identify the radio buttons in the control panel."));
	addState(pairs.setState("pairs",this,"\"One 1\" \"Two 2\"","Name and value pairs."));
	addState(initialChoice.setState("initialChoice",this,"Two","Name of button to start at."));

# line 46 "CGCTkRadioButton.pl"
// Hide irrelevant outputs and states.
        input.setAttributes(P_HIDDEN);
        tcl_file.clearAttributes(A_SETTABLE);
        synchronous.clearAttributes(A_SETTABLE);
}

void CGCTkRadioButton::initCode() {
# line 64 "CGCTkRadioButton.pl"
synchronous = FALSE;
        tcl_file = "$PTOLEMY/src/domains/cgc/tcltk/stars/tkRadioButton.tcl";
        CGCTclScript::initCode();
}

void CGCTkRadioButton::setup() {
# line 52 "CGCTkRadioButton.pl"
if (input.numberPorts() > 0) {
	    Error::abortRun(*this, "Inputs not supported");
	    return;
        }
	if (output.numberPorts() != 1) {
	    Error::abortRun(*this, "Only a single output is supported");
	    return;
	}
	CGCTclScript::setup();
}

// prototype instance for known block list
static CGCTkRadioButton proto;
static RegisterBlock registerBlock(proto,"TkRadioButton");
