#ifndef _CGCTkSlider_h
#define _CGCTkSlider_h 1
// header file generated from CGCTkSlider.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "FloatState.h"
#include "StringState.h"

class CGCTkSlider : public CGCStar
{
public:
	CGCTkSlider();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock tkSetup;
	static CodeBlock setValueDef;
	/* virtual */ void initCode();
	OutCGCPort output;

protected:
	/* virtual */ void go();
	FloatState low;
	FloatState high;
	FloatState value;
	StringState identifier;

};
#endif
