static const char file_id[] = "CGCTkSunSound.pl";
// .cc file generated from CGCTkSunSound.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCTkSunSound.h"

const char *star_nm_CGCTkSunSound = "CGCTkSunSound";

const char* CGCTkSunSound :: className() const {return star_nm_CGCTkSunSound;}

ISA_FUNC(CGCTkSunSound,CGCSunSound);

Block* CGCTkSunSound :: makeNew() const { LOG_NEW; return new CGCTkSunSound;}

CodeBlock CGCTkSunSound :: tkSetup (
# line 20 "CGCTkSunSound.pl"
"        /* Establish the Tk window for setting the value */\n"
"        makeScale(\".low\",\n"
"		  \"$starSymbol(scale)\",\n"
"		  \"Volume control\",\n"
"		  $val(volume),\n"
"                  $starSymbol(setVolume));\n"
"	displaySliderValue(\".low\", \"$starSymbol(scale)\", \"  $val(volume)%\");\n");

CodeBlock CGCTkSunSound :: setVolumeDef (
# line 29 "CGCTkSunSound.pl"
"        static int $starSymbol(setVolume)(dummy, interp, argc, argv)\n"
"            ClientData dummy;                   /* Not used. */\n"
"            Tcl_Interp *interp;                 /* Current interpreter. */\n"
"            int argc;                           /* Number of arguments. */\n"
"            char **argv;                        /* Argument strings. */\n"
"        {\n"
"	    static char buf[20];\n"
"            if(sscanf(argv[1], \"%d\", &$ref(volume)) != 1) {\n"
"                errorReport(\"Invalid volume\");\n"
"                return TCL_ERROR;\n"
"            }\n"
"            $starSymbol(setv) ();\n"
"	    sprintf(buf, \"%5d%%\", $ref(volume));\n"
"	    displaySliderValue(\".low\", \"$starSymbol(scale)\", buf);\n"
"            return TCL_OK;\n"
"        }\n");

CGCTkSunSound::CGCTkSunSound ()
{
	setDescriptor("Just like SunSound, except that a Tk slider is put in the master\ncontrol panel to control the volume.");


}

void CGCTkSunSound::initCode() {
# line 48 "CGCTkSunSound.pl"
CGCSunSound :: initCode();
	addCode(tkSetup, "tkSetup");
        addCode(setVolumeDef, "procedure");
}

// prototype instance for known block list
static CGCTkSunSound proto;
static RegisterBlock registerBlock(proto,"TkSunSound");
