#ifndef _CGCTkXYPlot_h
#define _CGCTkXYPlot_h 1
// header file generated from CGCTkXYPlot.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "CGCStar.h"
#include "IntState.h"
#include "StringState.h"
#include "FloatArrayState.h"

class CGCTkXYPlot : public CGCStar
{
public:
	CGCTkXYPlot();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock srcTclFile;
	const char* createPlot(double xMin, double xMax, double yMin, double yMax, int numsets, int plotstyle);
	const char* updateDisplay(int setnum);
	/* virtual */ void initCode();
	MultiInCGCPort X;
	MultiInCGCPort Y;

protected:
	/* virtual */ void go();
	StringState label;
	StringState geometry;
	StringState xTitle;
	StringState yTitle;
	FloatArrayState xRange;
	FloatArrayState yRange;
	IntState persistence;
	StringState style;
	IntState updateSize;

};
#endif
