.EQ
delim off
.EN
.\" documentation file generated from DDFCase.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Case"
.SD
Route an input particle to one of the outputs depending on the 
control particle.  The control particle should have value between
zero and N-1, inclusive, where N is the number of outputs.  It
can be used with EndCase to implement an if ... then construct.
.SE
.LO "DDF library"
.DM DDF DDFStar
.SV 1.13 "3/6/96"
.AL "Soonhoi Ha"
.IH
.NE
\fIinput\fR (ANYTYPE)
.NE
\fIcontrol\fR (int): selects the output port to receive the input value.
.PE
.OH
.NE
\fIoutput\fR (multiple), (ANYTYPE)
.PE
.EQ
delim $$
.EN
.SA
EndCase,
HOFIfElse and
HOFIfElseGr.
.ES
