.EQ
delim off
.EN
.\" documentation file generated from DDFThresh.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.\" 
.\" Richard Stevens and Christopher Scannell are employees of the
.\" U.S. Government whose contributions to this computer program fall
.\" within the scope of 17 U.S.C. A7 105.
.NA "Thresh"
.SD
This star has only a single input, and it is dynamic.
It behaves like an SDF star, except that it has a threshold
in addition to the number of tokens consumed.  The number of
inputs available on the input arc must equal the threshold.
THIS STAR IS MEANT FOR TESTING SCHEDULERS ONLY. OTHERWISE,
IT SERVES NO USEFUL FUNCTION.
.SE
.LO "DDF library"
.DM DDF DDFStar
.SV 1.5 "3/6/96"
.AL "Edward A. Lee, Richard Stevens, and Christopher Scannell"
.IH
.NE
\fIinput\fR (ANYTYPE)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fIthreshold\fR (IntState): number of tokens needed at the input to fire.
.DF "1"
.NE
\fInumconsumed\fR (IntState): number of tokens consumed when star fires.
.DF "1"
.ET
.EQ
delim $$
.EN
.ES
