static const char file_id[] = "DDFRepeater.pl";
// .cc file generated from DDFRepeater.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DDFRepeater.h"

const char *star_nm_DDFRepeater = "DDFRepeater";

const char* DDFRepeater :: className() const {return star_nm_DDFRepeater;}

ISA_FUNC(DDFRepeater,DDFStar);

Block* DDFRepeater :: makeNew() const { LOG_NEW; return new DDFRepeater;}

DDFRepeater::DDFRepeater ()
{
	setDescriptor("Given a control input with integer value N,\nand a single input data particle, produce N\ncopies of the data particle on the output.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(control.setPort("control",this,INT));
	addPort(output.setPort("output",this,ANYTYPE,0));

# line 32 "DDFRepeater.pl"
output.inheritTypeFrom(input);
}

void DDFRepeater::go() {
# line 35 "DDFRepeater.pl"
// get Particles from Geodesic
		control.receiveData();
		input.receiveData();

		// read control value, and repeat input tokens to output 
		int num = int(control%0);
		for (int i = num; i > 0; i--) {
			output%0 = input%0;
			output.sendData();
		}
}

// prototype instance for known block list
static DDFRepeater proto;
static RegisterBlock registerBlock(proto,"Repeater");
