#ifndef _DDFSelf_h
#define _DDFSelf_h 1
// header file generated from DDFSelf.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DDFStar.h"
#include "InterpGalaxy.h"
#include "Domain.h"
#include "DDFScheduler.h"
#include "IntState.h"
#include "StringState.h"

class DDFSelf : public DDFStar
{
public:
	DDFSelf();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~DDFSelf();
	MultiInDDFPort input;
	MultiOutDDFPort output;
	int isItSelf ();

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState recurGal;
	IntState reinitialize;
# line 87 "DDFSelf.pl"
InterpGalaxy* masterGal;
		InterpGalaxy* myGal;
		DDFScheduler sched;

};
#endif
