.EQ
delim off
.EN
.\" documentation file generated from DELatency.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Latency"
.SD
Measures packet traversal-time statistics for a set of traffic-
loaded trunk lines.
.SE
.LO "DE ATM library"
.DM DE DEStar
.SV 1.5 "10/23/95"
.AL "Allen Lao"
.IH
.NE
\fIdemand\fR (anytype)
.NE
\fIinput\fR (multiple), (message)
.PE
.OH
.NE
\fIavgLatencyAll\fR (float)
.NE
\fIavgLatencyIndiv\fR (multiple), (float)
.NE
\fIlatency\fR (multiple), (float)
.NE
\fIoutput\fR (multiple), (message)
.PE
.EQ
delim $$
.EN
.LD
Produces several statistics: on a per-packet basis, it passes through
.c VoiceData
type packets received on \fIinput\fR to \fIoutput\fR and also
each packet's individual traversal time on the \fIlatency\fR port.
When a \fIdemand\fR is detected, it produces average latency statistics
for each individual trunk line on \fIavgLatencyIndiv\fR port and over all
trunk lines on \fIavgLatencyAll\fR port.
.ES
