.EQ
delim off
.EN
.\" documentation file generated from DESrcControl.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "SrcControl"
.SD
Communicates with an
.c MQTelephone
star to control
.c DEVoiceSrc
stars' transmissions
.SE
.LO "DE ATM library"
.DM DE DERepeatStar
.SV 1.7 "10/23/95"
.AL "Allen Y. Lao"
.IH
.NE
\fIphoneIn\fR (message)
.PE
.OH
.NE
\fIphoneOut\fR (message)
.NE
\fIcontrol\fR (multiple), (message)
.PE
.SH
.NE
\fInumVci\fR (IntState): VCI of associated telephone
.DF "1"
.ET
.EQ
delim $$
.EN
.LD
Receives 
.c VoiceData
type SendData and StopSendData packets from an 
.c MQTelephone
star to control possibly multiple 
.c DEVoiceSrc
star instances.  When idle, it accepts SendData packets containing info which
should be mapped onto
the headers of generated source packets, incoming VPI and destination
VCI numbers.  (Also, headers will have a source VCI number field.)  It will
send to the 
.c DEVoiceSrc 
stars Transmit packets to ask them to begin 
transmitting with this necessary information.  When transmission is complete
as specified by the call duration field of the original SendData packet, it
sends back to its associated
.c MQTelephone
star an Acknowledgement (ACK) packet. 
Also, while active, a StopSendData packet will terminate call activity which is
replied to with an ACK. In both cases, StopTransmit packets are sent to the
.c DEVoiceSrc
stars.
.ES
