.EQ
delim off
.EN
.\" documentation file generated from DEThroughput.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Throughput"
.SD
Measures throughput of a set of traffic-loaded trunk lines.
.SE
.LO "DE ATM library"
.DM DE DEStar
.SV 1.6 "10/23/95"
.AL "Allen Lao"
.IH
.NE
\fIdemand\fR (anytype)
.NE
\fIinput\fR (multiple), (message)
.PE
.OH
.NE
\fIavgThroughput\fR (float)
.NE
\fIthroughput\fR (multiple), (float)
.NE
\fIoutput\fR (multiple), (message)
.PE
.EQ
delim $$
.EN
.LD
To be placed after an SDF compiled galaxy switch and before a
.c DENullRemove
star.  The SDF switch, for each time slot, issues an
actual packet for a line if it is active, and a "null" packet if
idle.  This star passes the packets received on its \fIinput\fR MPH
through to its \fIoutput\fR MPH, and when triggered on \fIdemand\fR
port, produces a figure corresponding to the avg. throughput over
each line as well as one for the avg. throughput over all
lines considered as a whole.  (Packets are of type
.c VoiceData
)
.ES
