static const char file_id[] = "DEOffset.pl";
// .cc file generated from DEOffset.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEOffset.h"

const char *star_nm_DEOffset = "DEOffset";

const char* DEOffset :: className() const {return star_nm_DEOffset;}

ISA_FUNC(DEOffset,DEStar);

Block* DEOffset :: makeNew() const { LOG_NEW; return new DEOffset;}

DEOffset::DEOffset ()
{
	setDescriptor("Produces output fixed offset from input float value");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(offset.setState("offset",this,"0.0","Amount to offset input"));


}

void DEOffset::go() {
# line 37 "DEOffset.pl"
completionTime = arrivalTime;
           double  p = double (input.get());
	   output.put(completionTime) << float (double(offset) + p);
}

// prototype instance for known block list
static DEOffset proto;
static RegisterBlock registerBlock(proto,"Offset");
