#ifndef _DESrcControl_h
#define _DESrcControl_h 1
// header file generated from DESrcControl.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DERepeatStar.h"
#include "IntState.h"

class DESrcControl : public DERepeatStar
{
public:
	DESrcControl();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InDEPort phoneIn;
	OutDEPort phoneOut;
	MultiOutDEPort control;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState numVci;
# line 81 "DESrcControl.pl"
int    activeOrNot;     //  keep notion of state
               int    length;          //  intended duration of call
               int    feedbacksLeft;   //  unprocessed feedback events in queue for refiring
                                       //  recall this is derived from RepeatStar, the star
                                       //  uses this mechanism to keep track of its limit on
                                       //  call duration

};
#endif
