#ifndef _DEVoiceSrc_h
#define _DEVoiceSrc_h 1
// header file generated from DEVoiceSrc.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DERepeatStar.h"
#include <NegExp.h>
#include <Uniform.h>
#include "IntState.h"
#include "FloatState.h"

class DEVoiceSrc : public DERepeatStar
{
public:
	DEVoiceSrc();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~DEVoiceSrc();
	InDEPort input;
	OutDEPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState packPeriod;
	FloatState silenceExpMean;
	IntState meanPacketsSpurt;
# line 92 "DEVoiceSrc.pl"
NegativeExpntl *randomExp;
                Uniform        *randomUnif;

                int            talkingOrNot; 
                int            vciSrc, vciDst, vpi;

};
#endif
