.EQ
delim off
.EN
.\" documentation file generated from DEArbitrate.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Arbitrate"
.SD
This star acts as a non-preemptive arbitrator, granting requests for
exclusive control.  If simultaneous requests arrive, priority is
given to port A.  When control is released, any pending requests on
the other port will be serviced.  The "requestOut" and "grantIn"
connections allow interconnection of multiple arbitration stars for
more intricate control structures.
.SE
.LO "DE main library"
.DM DE DEStar
.SV 1.8 "3/2/95"
.AL "T.M. Parks"
.IH
.NE
\fIrequestA\fR (int)
.NE
\fIrequestB\fR (int)
.NE
\fIgrantIn\fR (int)
.PE
.OH
.NE
\fIrequestOut\fR (int)
.NE
\fIgrantA\fR (int)
.NE
\fIgrantB\fR (int)
.PE
.EQ
delim $$
.EN
.ES
