.EQ
delim off
.EN
.\" documentation file generated from DEDiscard.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Discard"
.SD
This star discards input events that occur before the threshold time.
Events after the threshold time are passed immediately to the output.
It is useful for removing transients and studying steady-state effects.
.SE
.LO "DE main library"
.DM DE DEStar
.SV 2.5 "3/2/95"
.AL "E. A. Lee"
.IH
.NE
\fIinput\fR (anytype)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fIthreshold\fR (FloatState): All events before this time are discarded.
.DF "0.0"
.ET
.EQ
delim $$
.EN
.SA
Gate.
.ES
