.EQ
delim off
.EN
.\" documentation file generated from DEEtherRec.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "EtherRec"
.SD
This star receives floating-point particles transmitted to it by
an EtherSend star.  The particle is produced at the output after
some duration of transmission specified at the transmitter.
.SE
.LO "DE main library"
.DM DE DEEther
.SV 1.8 "10/23/95"
.AL "Edward A. Lee  and Tom M. Parks"
.OH
.NE
\fIrecData\fR (float): Received data.
.PE
.SH
.NE
\fIrecName\fR (StringState): Unique name of the receiver.
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
This star is derived from
.c Ether.
Please see the manual entry for that star for a basic introduction.
.pp
This star implements a receiver for a shared medium when the received
particle is a simple floating point number.
A similar star could be made for other
.c Particle
types, so this should be viewed as a concept demonstration only.
.pp
The star will produce an output only if some transmitter
(which must be also derived from
.c EtherSend )
uses the same medium and transmits to this receivers address.
The time at which the output is produced is specified by the transmitter
when it transfers the particle by calling the public
method
.c schedReception
defined in this star.
That method takes two arguments, a
.c Particle
reference, and a
.c double
giving the time at which the particle should be sent to the output.
.ES
