.EQ
delim off
.EN
.\" documentation file generated from DEImageToCell.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "ImageToCell"
.SD
This star packetizes an image. Each image is divided up into chunks
no larger than "CellSize". Each cell is delayed from its
predecessor by "TimePerCell". If a new input arrives while an
older one is being processed, the new input is queued.
.SE
.LO "DE main library"
.DM DE DEStar
.SV 1.5 "3/2/95"
.AL "Paul Haskell"
.IH
.NE
\fIinput\fR (message)
.PE
.OH
.NE
\fIoutput\fR (message)
.PE
.SH
.NE
\fIPriority\fR (IntState): Priority level for outgoing cells.
.DF "0"
.NE
\fICellSize\fR (IntState): Cell size in bytes.
.DF "256"
.NE
\fITimePerCell\fR (FloatState): Time to process one cell.
.DF "0.005"
.NE
\fIdestination\fR (IntState): Destination addresses.
.DF "0"
.ET
.EQ
delim $$
.EN
.ES
