.EQ
delim off
.EN
.\" documentation file generated from DEPSServer.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "PSServer"
.SD
This star emulates a deterministic, processor-sharing server.
If input events arrive when it is not busy, it delays them by the nominal service time.
If they arrive when it is busy, the server is shared. Hence prior arrivals that are
still in service will be delayed by more than the nominal service time.
.SE
.LO "DE main library"
.DM DE DERepeatStar
.SV 2.15 "10/19/95"
.AL "E. A. Lee"
.IH
.NE
\fIinput\fR (anytype)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fInomServiceTime\fR (FloatState): "Nominal service time"
.DF "1.0"
.ET
.EQ
delim $$
.EN
.ES
