.EQ
delim off
.EN
.\" documentation file generated from DEPoisson.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Poisson"
.SD
Generate events according to a Poisson process. The first event comes out at time zero.
The mean inter-arrival time and magnitude of the events are given as parameters.
.SE
.LO "DE main library"
.DM DE DERepeatStar
.SV 1.17 "6/20/95"
.AL "Soonhoi Ha and E. A. Lee"
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fImeanTime\fR (FloatState): The mean inter-arrival time.
.DF "1.0"
.NE
\fImagnitude\fR (FloatState): The magnitude of samples generated.
.DF "1.0"
.ET
.EQ
delim $$
.EN
.ES
