.EQ
delim off
.EN
.\" documentation file generated from DEQueueBase.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "QueueBase"
.SD
This is the  base class for FIFO and LIFO queues.
This star is not intended to be used except to derive useful stars.
All inputs are simply routed to the "overflow" output.  None are stored.
.SE
.DM DE DEStar
.SV 1.11 "3/2/95"
.AL "Soonhoi Ha and E. A. Lee"
.AC "Incorporates design ideas from Philip Bitar."
.IH
.NE
\fIdemand\fR (anytype): Triggers an immediate output unless Queue is empty.
.NE
\fIinData\fR (anytype): Particles to be queued.
.PE
.OH
.NE
\fIoutData\fR (ANYTYPE)
.NE
\fIsize\fR (int): Size of Queue. Triggered by inData or demand inputs.
.NE
\fIoverflow\fR (ANYTYPE): Arrival data that cannot be queued due to capacity limit.
.PE
.SH
.NE
\fIcapacity\fR (IntState): Maximum size of the queue. If <0, capacity is infinite.
.DF "-1"
.NE
\fInumDemandsPending\fR (IntState): Number of demands that have not yet stimulated outputs.
.DF "1"
.NE
\fIconsolidateDemands\fR (IntState): If FALSE, every demand eventually stimulates an output.
.DF "TRUE"
.ET
.EQ
delim $$
.EN
.ES
