.EQ
delim off
.EN
.\" documentation file generated from DERamp.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Ramp"
.SD
Produce an output event with a monotic value when stimulated
by an input event. The value of the output event starts at "value" and
increases by "step" each time the star fires. The value of the input is ignored.
.SE
.LO "DE main library"
.DM DE DEStar
.SV 1.3 "3/2/95"
.AL "Soonhoi Ha"
.IH
.NE
\fIinput\fR (anytype)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIvalue\fR (FloatState): Starting and current state of the ramp.
.DF "0.0"
.NE
\fIstep\fR (FloatState): Size of the ramp increments.
.DF "1.0"
.ET
.EQ
delim $$
.EN
.ES
