.EQ
delim off
.EN
.\" documentation file generated from DESeqATMZero.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "SeqATMZero"
.SD
This star reads in a sequence of SeqATMCell objects.
For each object input correctly in sequence, 'headerLength'
bits are skipped over and the next 'numInfoBits' bits in the
cell are output.

If this star finds that a SeqATMCell is missing by checking sequence
numbers, it will substitute 'numInfoBits' 0-bits for the missing
bits.
.SE
.LO "DE main library"
.DM DE DEStar
.SV 1.9 "10/23/95"
.AL "GSWalter"
.IH
.NE
\fIinput\fR (message)
.PE
.OH
.NE
\fIoutput\fR (int)
.PE
.SH
.NE
\fInumInfoBits\fR (IntState): number of information bits per cell
.DF "384"
.NE
\fIheaderLength\fR (IntState): Number of bits per cell header.
.DF "40"
.ET
.EQ
delim $$
.EN
.ES
