.EQ
delim off
.EN
.\" documentation file generated from DEStatistics.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Statistics"
.SD
Calculate the average and variance of the
input values that have arrived since the last reset.
An output is generated when a "demand" input is received.
When a "reset" input arrives, the calculations are restarted.
When "demand" and "reset" particles arrive at the same time,
an output is produced before the calculations are restarted.
.SE
.LO "DE main library"
.DM DE DEStar
.SV 1.11 "3/2/95"
.AL "Soonhoi Ha"
.IH
.NE
\fIinput\fR (float)
.NE
\fIreset\fR (anytype): Restart the calculations.
.NE
\fIdemand\fR (anytype): Stimulate an output.
.PE
.OH
.NE
\fIaverage\fR (float)
.NE
\fIvariance\fR (float)
.PE
.EQ
delim $$
.EN
.LD
Calculate the time average and variance of the input values that have
arrived since the last reset.  The execution order of the inputs is
demand->reset->input.  Multiple simultaneous demand/reset inputs are
ignore except one.
.pp
The computation is performed based on the zero-th order interpolation.
When an input data enters, we assume that the data value is hold until
the next input arrives.
.ES
