.EQ
delim off
.EN
.\" documentation file generated from DETimeoutStar.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TimeoutStar"
.SD
This is the base class for stars that check time-out conditions.
The methods "set", "clear", and "expired" are provided for
setting and testing the timer.
.SE
.LO "DE main library"
.DM DE DERepeatStar
.SV 1.9 "3/2/95"
.AL "T. M. Parks"
.SH
.NE
\fItimeout\fR (FloatState): Duration of the timeout.
.DF "1.0"
.ET
.EQ
delim $$
.EN
.LD
The \fIset\fP method resets and starts a timer.
Invoking \fIset\fP again will reset the timer and restart it.
Invoking \fIclear\fP stops the timer.
The \fIexpired\fP method indicates whether or not the timer
has reached \fItime-out\fR.
.ES
