.EQ
delim off
.EN
.\" documentation file generated from DETkBarGraph.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TkBarGraph"
.SD
Takes any number of inputs and dynamically
displays their values in bar-chart form.
The time stamp is ignored, so the bar chart
only indicates the order of occurrence of events.
If there is more than one input port, then
bars for the two inputs will be plotted together
only if the events are simultaneous.
.SE
.LO "DE Tcl/Tk library"
.DM DE DEStar
.SV 1.11 "10/23/95"
.AL "Brian L. Evans"
.IH
.NE
\fIinput\fR (multiple), (anytype): Any number of inputs to plot
.PE
.SH
.NE
\fIlabel\fR (StringState): A label to put on the display
.DF "bar chart display"
.NE
\fItop\fR (FloatState): Low end of the scale
.DF "1.0"
.NE
\fIbottom\fR (FloatState): High end of the scale
.DF "-1.0"
.NE
\fInumber_of_bars\fR (IntState): Number of bars to display
.DF "16"
.NE
\fIbar_graph_height\fR (FloatState): Desired height of the bar graph in centimeters
.DF "5"
.NE
\fIbar_graph_width\fR (FloatState): Desired width of the bar graph in centimeters
.DF "10"
.NE
\fIposition\fR (StringState): Width of the bar graph in centimeters
.DF "+0+0"
.ET
.EQ
delim $$
.EN
.ES
