.EQ
delim off
.EN
.\" documentation file generated from DETkButtons.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TkButtons"
.SD
Output the specified value when buttons are pushed.
If "allow_simultaneous_events" is yes, then output events are produced only when
the button labeled "PUSH TO PRODUCE EVENTS" is pushed.
Note that the time stamps of the outputs are rather arbitrary.
The current time of the scheduler, whatever that happens to be
when the buttons are pushed, is used.
.SE
.LO "DE Tcl/Tk library"
.DM DE DETclScript
.SV 1.4 "10/23/95"
.AL "Edward A. Lee"
.SH
.NE
\fIlabel\fR (StringState): Title for the set of buttons
.DF "Buttons you can push:"
.NE
\fIidentifiers\fR (StringArrayState): A list of strings that identify each button
.DF "BUTTON1"
.NE
\fIvalue\fR (FloatState): The value produced when a button is pushed
.DF "0.0"
.NE
\fIallow_simultaneous_events\fR (IntState): If YES, allow buttons to produce simultaneous events
.DF "NO"
.NE
\fIput_in_control_panel\fR (IntState): Specify to put slider in the control panel (vs. its own window)
.DF "YES"
.ET
.EQ
delim $$
.EN
.ES
