.EQ
delim off
.EN
.\" documentation file generated from DETkLogicAnalyzer.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TkLogicAnalyzer"
.SD
Display discrete dataflow over time, recording the entire history.
The values displayed are only 1 and 0.
.SE
.LO "DE Tcl/Tk library"
.DM DE DETclScript
.SV 1.4 "10/23/95"
.AL "Matthew T. Tavis"
.SH
.NE
\fItitle\fR (StringState): A title to put on the display
.DF "Ptolemy Logic Analyzer"
.NE
\fIsignalLabels\fR (StringArrayState): Label(s) for each plot.  If 'default', use port names
.DF "default"
.NE
\fITimeWindow\fR (FloatState): The time represented by one window width
.DF "20"
.NE
\fIposition\fR (StringState): Location of the window in standard X format
.DF "+0+0"
.NE
\fIwidth_cm\fR (StringState): Width of each plot in centimeters
.DF "20"
.NE
\fIheight_cm\fR (StringState): Height of each plot in centimeters
.DF "1"
.ET
.EQ
delim $$
.EN
.LD
This star is derived from DETclScript, and does little more than
document the functionality of the script and specify the script file
to be loaded.
.pp
The \fItitle\fR parameter specifies the title to be used for the plot.
Keep in mind that the star name associated with the plot will be attached
automatically to the given title.
.pp
The \fIsignalLabels\fR parameter specifies labels for each plot.
It can take any of three forms.  If it is empty, or has just the single 
string "default", then it uses the name of the porthole connected to the
corresponding input.  Alternatively, it can specify one label for each 
input, with the labels separated by spaces.
.pp
The \fITimeWindow\fR parameter specifies the amount of simulated time
that can be viewed at one time in the window.  In other words, it is
the time represented by the width of the plot window.
.pp
The \fIposition\fR parameter is a string which specifies the size and
location of the window, in standard geometry flag format.  The format
is \fIwidth\Rx\fIheight\fR[+-]\fIx-position\fR[+-]\fIy-position\fR.
The default leaves out the size specification and simply indicates the
initial position should be +0+0.
.pp
The \fIwidth_cm\fR parameter specifies the horizontal width of each plot 
in cm.
.pp
The \fIheight_cm\fR parameter specifies the vertical height of each plot 
in cm.
.pp
.ES
