#ifndef _DEArbitrate_h
#define _DEArbitrate_h 1
// header file generated from DEArbitrate.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"

class DEArbitrate : public DEStar
{
public:
	DEArbitrate();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InDEPort requestA;
	InDEPort requestB;
	OutDEPort requestOut;
	OutDEPort grantA;
	OutDEPort grantB;
	InDEPort grantIn;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
# line 62 "DEArbitrate.pl"
InDEPort *request;	// request for current port
	OutDEPort *grant;	// grant for current port

	int idle : 1;	// arbitrator is idle
	int req : 1;	// request is pending
	int rel : 1;	// release is pending

};
#endif
