#ifndef _DEBarGraph_h
#define _DEBarGraph_h 1
// header file generated from DEBarGraph.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "Display.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class DEBarGraph : public DEStar
{
public:
	DEBarGraph();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void wrapup();
	/* virtual */ ~DEBarGraph();
	MultiInDEPort input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState title;
	StringState saveFile;
	IntState draw_line_to_base;
	FloatState base;
	StringState options;
# line 59 "DEBarGraph.pl"
XGraph graph;
		float *lastDataValues;
		int *firstPointFlags;
		int numports;

};
#endif
