static const char file_id[] = "DEDelay.pl";
// .cc file generated from DEDelay.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEDelay.h"

const char *star_nm_DEDelay = "DEDelay";

const char* DEDelay :: className() const {return star_nm_DEDelay;}

ISA_FUNC(DEDelay,DEStar);

Block* DEDelay :: makeNew() const { LOG_NEW; return new DEDelay;}

DEDelay::DEDelay ()
{
	setDescriptor("Each input event is sent to the output with its time stamp\nincremented by an amount given by the \"delay\" parameter.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);
	addState(delay.setState("delay",this,"1.0","Amount of time delay."));

# line 32 "DEDelay.pl"
delayType = TRUE;
}

void DEDelay::go() {
# line 35 "DEDelay.pl"
completionTime = arrivalTime + double(delay);
	   Particle& pp = input.get();
           output.put(completionTime) = pp;
}

// prototype instance for known block list
static DEDelay proto;
static RegisterBlock registerBlock(proto,"Delay");
