#ifndef _DEEtherRec_h
#define _DEEtherRec_h 1
// header file generated from DEEtherRec.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEEther.h"
#include "StringState.h"

class DEEtherRec : public DEEther
{
public:
	DEEtherRec();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void begin();
	OutDEPort recData;
	void schedReception (Particle& data, double firingTime);

protected:
	/* virtual */ void go();
	StringState recName;

private:
# line 57 "DEEtherRec.pl"
// Store a received particle.
	    Particle* recdData;

	    // Use a local private variable to ensure that received
	    // data is output exactly once.
	    int dataValid;

	    // Flag used to identify the first firing
	    int firstFiring;

};
#endif
