#ifndef _DEEtherSend_h
#define _DEEtherSend_h 1
// header file generated from DEEtherSend.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEEther.h"

class DEEtherSend : public DEEther
{
public:
	DEEtherSend();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void begin();
	InDEPort address;
	InDEPort sendData;
	InDEPort duration;
	OutDEPort collision;

protected:
	/* virtual */ void go();
private:
# line 67 "DEEtherSend.pl"
double latestDuration;

	    // The address is stored as a String.
	    StringList latestAddress;

	    // flag determining that the next particle(s) should be broadcast
	    int broadcast;

};
#endif
