static const char file_id[] = "DEFork.pl";
// .cc file generated from DEFork.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEFork.h"

const char *star_nm_DEFork = "DEFork";

const char* DEFork :: className() const {return star_nm_DEFork;}

ISA_FUNC(DEFork,DEStar);

Block* DEFork :: makeNew() const { LOG_NEW; return new DEFork;}

DEFork::DEFork ()
{
	setDescriptor("Replicate input events on the outputs with zero delay.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,ANYTYPE));
	output.inheritTypeFrom(input);


}

void DEFork::go() {
# line 23 "DEFork.pl"
completionTime = arrivalTime;
                Particle& pp = input.get();
		OutDEMPHIter nextp(output);
		OutDEPort *oport;
		while ((oport = nextp++) != 0)
			oport->put(completionTime) = pp;
}

// prototype instance for known block list
static DEFork proto;
static RegisterBlock registerBlock(proto,"Fork");
