#ifndef _DEPoisson_h
#define _DEPoisson_h 1
// header file generated from DEPoisson.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DERepeatStar.h"
#include <NegExp.h>
#include "FloatState.h"

class DEPoisson : public DERepeatStar
{
public:
	DEPoisson();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~DEPoisson();
	OutDEPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState meanTime;
	FloatState magnitude;
# line 37 "DEPoisson.pl"
NegativeExpntl *random;

};
#endif
