#ifndef _DEPriorityQueue_h
#define _DEPriorityQueue_h 1
// header file generated from DEPriorityQueue.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "PriorityQueue.h"
#include "IntState.h"

class DEPriorityQueue : public DEStar
{
public:
	DEPriorityQueue();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~DEPriorityQueue();
	InDEPort demand;
	MultiInDEPort inData;
	OutDEPort outData;
	OutDEPort size;
	OutDEPort overflow;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
# line 120 "DEPriorityQueue.pl"
PriorityQueue queue;
		int infinite;
	IntState capacity;
	IntState numDemandsPending;
	IntState consolidateDemands;
	void emptyQueue ();

};
#endif
