#ifndef _DEQueue_h
#define _DEQueue_h 1
// header file generated from DEQueue.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "IntState.h"

class DEQueue : public DEStar
{
public:
	DEQueue();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InDEPort demand;
	InDEPort inData;
	OutDEPort outData;
	OutDEPort size;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
# line 118 "DEQueue.pl"
Queue queue;
		int infinite;
	IntState capacity;
	IntState numDemandsPending;
	IntState consolidateDemands;

};
#endif
