#ifndef _DERanGen_h
#define _DERanGen_h 1
// header file generated from DERanGen.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include <Random.h>
#include "FloatState.h"
#include "StringState.h"

class DERanGen : public DEStar
{
public:
	DERanGen();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~DERanGen();
	InDEPort input;
	OutDEPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState distribution;
	FloatState meanORupper;
	FloatState varianceORlower;
# line 49 "DERanGen.pl"
Random *random;

};
#endif
