static const char file_id[] = "DERealTimeStar.pl";
// .cc file generated from DERealTimeStar.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DERealTimeStar.h"

const char *star_nm_DERealTimeStar = "DERealTimeStar";

const char* DERealTimeStar :: className() const {return star_nm_DERealTimeStar;}

ISA_FUNC(DERealTimeStar,DERepeatStar);

Block* DERealTimeStar :: makeNew() const { LOG_NEW; return new DERealTimeStar;}

# line 35 "DERealTimeStar.pl"
Clock DERealTimeStar::clock;

DERealTimeStar::DERealTimeStar ()
{
	setDescriptor("Synchronize the scheduler's clock with a real-time clock.");
	addState(timeScale.setState("timeScale",this,"1.0","Duration of a time unit in seconds."));


}


int DERealTimeStar::run ()
{
# line 45 "DERealTimeStar.pl"
if (canGetFired())	// reset clock at time 0.0
		clock.reset();
	    else		// wait until the real time equals arrivalTime
		late = !clock.sleepUntil(arrivalTime * (double)timeScale);
	    return DEStar::run();
}


// prototype instance for known block list
static DERealTimeStar proto;
static RegisterBlock registerBlock(proto,"RealTimeStar");
