static const char file_id[] = "DEStopTimer.pl";
// .cc file generated from DEStopTimer.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEStopTimer.h"
#include "DEScheduler.h"

const char *star_nm_DEStopTimer = "DEStopTimer";

const char* DEStopTimer :: className() const {return star_nm_DEStopTimer;}

ISA_FUNC(DEStopTimer,DEStar);

Block* DEStopTimer :: makeNew() const { LOG_NEW; return new DEStopTimer;}

DEStopTimer::DEStopTimer ()
{
	setDescriptor("Generate an output at the stopTime of the\nDEScheduler under which this block is running.\nThis can be used to force actions at the end of a simulation.\nWithin a wormhole, it can used to force actions at the end\nof each invocation of the wormhole.\nAn input event is required to enable the star.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(output.setPort("output",this,INT));


}

void DEStopTimer::go() {
# line 53 "DEStopTimer.pl"
DEScheduler* sched = (DEScheduler*) scheduler();
		completionTime = sched->whenStop();
		output.put(completionTime) << 0;
}

// prototype instance for known block list
static DEStopTimer proto;
static RegisterBlock registerBlock(proto,"StopTimer");
