#ifndef _DETimeoutStar_h
#define _DETimeoutStar_h 1
// header file generated from DETimeoutStar.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DERepeatStar.h"
#include "FloatState.h"

class DETimeoutStar : public DERepeatStar
{
public:
	DETimeoutStar();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	void initialize ();
	int run ();

protected:
	FloatState timeout;
	void set ();
	void clear ();
	int expired ();

private:
# line 36 "DETimeoutStar.pl"
int safe : 1;
	int expireFlag : 1;
	double deadline;

};
#endif
