static const char file_id[] = "DEVarServer.pl";
// .cc file generated from DEVarServer.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

# line 3 "DEVarServer.pl"
/**************************************************************************
Version identification:
@(#)DEVarServer.pl	1.9	3/2/95

 Copyright (c) 1990-1995 The Regents of the University of California.
                       All Rights Reserved.

 Programmer:  T. M. Parks
 Date of creation: 1/14/91

 This star emulates a server with a variable service time.
 If input events arrive when it is idle, they will be serviced
 immediately and will be delayed only by the service time.
 If input events arrive while another event is being serviced,
 they will be queued.  When the server becomes free, it will
 service any events waiting in its queue.

**************************************************************************/
#include "DEVarServer.h"

const char *star_nm_DEVarServer = "DEVarServer";

const char* DEVarServer :: className() const {return star_nm_DEVarServer;}

ISA_FUNC(DEVarServer,DEServer);

Block* DEVarServer :: makeNew() const { LOG_NEW; return new DEVarServer;}

DEVarServer::DEVarServer ()
{
	setDescriptor("This star emulates a server with a variable service time.\nIf input events arrive when it is idle, they will be serviced\nimmediately and will be delayed only by the service time.\nIf input events arrive while another event is being serviced,\nthey will be queued.  When the server becomes free, it will\nservice any events waiting in its queue.");
	addPort(newServiceTime.setPort("newServiceTime",this,FLOAT));

# line 54 "DEVarServer.pl"
// state is no longer constant
	serviceTime.clearAttributes(A_CONSTANT|A_SETTABLE);
}

void DEVarServer::go() {
# line 60 "DEVarServer.pl"
if (newServiceTime.dataNew)
	    serviceTime = newServiceTime.get();

	if (input.dataNew)
	    DEServer::go();
}

// prototype instance for known block list
static DEVarServer proto;
static RegisterBlock registerBlock(proto,"VarServer");
