static const char file_id[] = "DEXgraph.pl";
// .cc file generated from DEXgraph.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DEXgraph.h"

const char *star_nm_DEXgraph = "DEXgraph";

const char* DEXgraph :: className() const {return star_nm_DEXgraph;}

ISA_FUNC(DEXgraph,DEStar);

Block* DEXgraph :: makeNew() const { LOG_NEW; return new DEXgraph;}

DEXgraph::DEXgraph ()
{
	setDescriptor("Generate a plot with the xgraph program.");
	addPort(input.setPort("input",this,ANYTYPE));
	addState(title.setState("title",this,"X graph","Graph title."));
	addState(saveFile.setState("saveFile",this,"","File to save xgraph input."));
	addState(options.setState("options",this,"-bb -tk -P =800x400","Command line options for xgraph."));


}

void DEXgraph::wrapup() {
# line 57 "DEXgraph.pl"
graph.terminate();
}

void DEXgraph::setup() {
# line 46 "DEXgraph.pl"
graph.initialize(this, 1, (const char*) options,
				    (const char*) title,
				    (const char*) saveFile);
}

void DEXgraph::go() {
# line 52 "DEXgraph.pl"
float data = float(input.get());
		graph.addPoint(arrivalTime, data);
}

// prototype instance for known block list
static DEXgraph proto;
static RegisterBlock registerBlock(proto,"Xgraph");
