#ifndef _DETclScript_h
#define _DETclScript_h 1
// header file generated from DETclScript.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "TclStarIfc.h"
#include "StringState.h"
# line 112 "DETclScript.pl"
class DETclScript;

	  // Overload TclStarIfc for DE-specific functions
	  class TclStarIfcDE : public TclStarIfc {
	  public:
	    /* virtual */ void setOneOutput(int outNum, double outValue);
	    void setParent(DETclScript* p) {parent = p;}
	  private:
	     DETclScript *parent;
	  };

class DETclScript : public DEStar
{
public:
	DETclScript();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void wrapup();
	/* virtual */ void begin();
	MultiOutDEPort output;
	MultiInDEPort input;
	void processInputs ();

protected:
	/* virtual */ void go();
	StringState tcl_file;
# line 141 "DETclScript.pl"
// Standardized interface to Tcl
		TclStarIfcDE tcl;

};
#endif
