#ifndef _DETkBarGraph_h
#define _DETkBarGraph_h 1
// header file generated from DETkBarGraph.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "ptk.h"
#include "BarGraph.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class DETkBarGraph : public DEStar
{
public:
	DETkBarGraph();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void begin();
	MultiInDEPort input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState label;
	FloatState top;
	FloatState bottom;
	IntState number_of_bars;
	FloatState bar_graph_height;
	FloatState bar_graph_width;
	StringState position;
# line 72 "DETkBarGraph.pl"
BarGraph bar;
		int count;

};
#endif
