static const char file_id[] = "DETkShowEvents.pl";
// .cc file generated from DETkShowEvents.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DETkShowEvents.h"

const char *star_nm_DETkShowEvents = "DETkShowEvents";

const char* DETkShowEvents :: className() const {return star_nm_DETkShowEvents;}

ISA_FUNC(DETkShowEvents,DETclScript);

Block* DETkShowEvents :: makeNew() const { LOG_NEW; return new DETkShowEvents;}

DETkShowEvents::DETkShowEvents ()
{
	setDescriptor("Display input event values together with the time stamp\nat which they occur. The print method of the input\nparticles is used to show the value, so any data type\ncan be handled, although the space allocated on the\nscreen may need to be adjusted.");
	addState(label.setState("label",this,"Events at TkShowEvents inputs:","Title for the set of event displays"));
	addState(identifiers.setState("identifiers",this,"EVENT","Individual identifiers to put on each event display"));
	addState(put_in_control_panel.setState("put_in_control_panel",this,"YES","Specify to put bars in the control panel (vs. their own window)"));
	addState(wait_between_outputs.setState("wait_between_outputs",this,"NO","Specify whether to wait for user input between output values"));

# line 62 "DETkShowEvents.pl"
output.setAttributes(P_HIDDEN);
        tcl_file.clearAttributes(A_SETTABLE);
}

void DETkShowEvents::begin() {
# line 57 "DETkShowEvents.pl"
tcl_file = "$PTOLEMY/src/domains/de/tcltk/stars/tkShowEvents.tcl";

        DETclScript::begin();
}

void DETkShowEvents::setup() {
# line 47 "DETkShowEvents.pl"
if (output.numberPorts() > 0) {
            Error::abortRun(*this, "Outputs not supported");
            return;
        }
	if (identifiers.size() < input.numberPorts() ) {
	  Error::abortRun(*this, "Need as many identifiers as inputs");
	  return;
	}
}

// prototype instance for known block list
static DETkShowEvents proto;
static RegisterBlock registerBlock(proto,"TkShowEvents");
