#ifndef _DETkStripChart_h
#define _DETkStripChart_h 1
// header file generated from DETkStripChart.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DETclScript.h"
#include "FloatState.h"
#include "StringState.h"
#include "ComplexArrayState.h"
#include "StringArrayState.h"

class DETkStripChart : public DETclScript
{
public:
	DETkStripChart();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void begin();
protected:
	/* virtual */ void setup();
	StringState title;
	StringArrayState signalLabels;
	ComplexArrayState yRange;
	FloatState TimeWindow;
	StringState yRangeList;
	StringArrayState style;
	StringState position;
	StringState width_cm;
	StringState height_cm;

};
#endif
