static const char file_id[] = "DETkText.pl";
// .cc file generated from DETkText.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "DETkText.h"

const char *star_nm_DETkText = "DETkText";

const char* DETkText :: className() const {return star_nm_DETkText;}

ISA_FUNC(DETkText,DETkShowValues);

Block* DETkText :: makeNew() const { LOG_NEW; return new DETkText;}

DETkText::DETkText ()
{
	setDescriptor("Display the values of the inputs in a separate window,\nkeeping a specified number of past values in view.\nThe print method of the input particles is used, so any data\ntype can be handled.");
	addState(number_of_past_values.setState("number_of_past_values",this,"100","Specify how many past values you would like saved"));

# line 46 "DETkText.pl"
put_in_control_panel.clearAttributes(A_SETTABLE);
	label = "Inputs to the TkText star";
}

void DETkText::begin() {
# line 41 "DETkText.pl"
tcl_file = "$PTOLEMY/src/domains/de/tcltk/stars/tkText.tcl";

        DETclScript::begin();
}

void DETkText::setup() {
# line 35 "DETkText.pl"
if (output.numberPorts() > 0) {
            Error::abortRun(*this, "Outputs not supported");
            return;
        }
}

// prototype instance for known block list
static DETkText proto;
static RegisterBlock registerBlock(proto,"TkText");
