#ifndef _DETkXYPlot_h
#define _DETkXYPlot_h 1
// header file generated from DETkXYPlot.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "DEStar.h"
#include "ptk.h"
#include "XYPlot.h"
#include "IntState.h"
#include "StringState.h"

class DETkXYPlot : public DEStar
{
public:
	DETkXYPlot();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void begin();
	MultiInDEPort X;
	MultiInDEPort Y;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState label;
	StringState geometry;
	StringState xTitle;
	StringState yTitle;
	StringState xRange;
	StringState yRange;
	IntState persistence;
	StringState style;
	IntState updateSize;
# line 93 "DETkXYPlot.pl"
XYPlot xyplot;
	  InfString labCopy, geoCopy, xtCopy, ytCopy;
	  double xMin, xMax, yMin, yMax;

};
#endif
