.EQ
delim off
.EN
.\" documentation file generated from HOFBase.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Base"
.SD
This is a base class containing utility methods shared by HOF stars,
and defining their common functionality.
.SE
.LO "HOF main library"
.DM HOF HOFStar
.SV 1.10 "8/9/95"
.AL "E. A. Lee"
.EQ
delim $$
.EN
.LD
This star provides the base class for a family of \fIhigher-order
functions\fR in Ptolemy.
This star should not be used on its own.
.IE "higher-order functions"
A higher-order function is a function that takes a function as
an argument and/or returns a function.
Stars and galaxies in Ptolemy have two kinds of arguments:
signals and parameters.
The higher-order functions supported by this base class
take functions as parameters, not signals.
The basic mechanism is that a star or galaxy is statically
specified, and the higher-order star replaces itself with
one or more instances of the specified replacement block.
.ES
