.EQ
delim off
.EN
.\" documentation file generated from HOFBusSplit.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "BusSplit"
.SD
Bridge inputs to outputs and then self-destruct.
This star splits an input bus into two.
If the input bus width is N, and the output bus widths
are M1 and M2, then we require that N = M1 + M2.
The first M1 inputs go the first output bus, while
the next M2 inputs go to the second output bus.
.SE
.LO "HOF main library"
.DM HOF HOFBase
.SV 1.8 "6/16/95"
.AL "E. A. Lee"
.IH
.NE
\fIinput\fR (multiple), (anytype)
.PE
.OH
.NE
\fItop\fR (multiple), (ANYTYPE)
.NE
\fIbottom\fR (multiple), (ANYTYPE)
.PE
.EQ
delim $$
.EN
.ES
