.EQ
delim off
.EN
.\" documentation file generated from HOFMapGr.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "MapGr"
.SD
A variant of the Map star where the replacement block is specified
by graphically connecting it.
There must be exactly one block connected in the position of the
replacement block.
The HOFNop stars are the only exception: they may be used in addition to the
one replacement block in order to control the order of connection.
.SE
.LO "HOF main library"
.DM HOF HOFMap
.SV 1.11 "9/21/95"
.AL "Edward A. Lee"
.IH
.NE
\fIexin\fR (multiple), (ANYTYPE): Example of a connection to the replacement block
.PE
.OH
.NE
\fIexout\fR (multiple), (ANYTYPE): Example of a connection to the replacement block
.PE
.EQ
delim $$
.EN
.LD
See the documentation for the
.c Map
star, from which this is derived, for background information.
The parameter values of the graphically connected replacement block
serve as default parameter values for all replacement blocks.
These values will be overridden with the \fIparameter_map\fR parameter,
where the format is the same as in other higher-order stars.
.ES
