.EQ
delim off
.EN
.\" documentation file generated from HOFSrcGr_M.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "SrcGr_M"
.SD
Create one or more instances of the named block to produce the
required number of output stream(s).
This is implemented by replacing the SrcGr_M star with the named
block at setup time.
The replacement block(s) are connected as illustrated by the example
block that is connected.
Their parameters are determined by "parameter_map".
.SE
.LO "HOF main library"
.DM HOF HOFMapGr
.SV 1.6 "6/16/95"
.AL "Edward A. Lee"
.EQ
delim $$
.EN
.LD
See the explanation for the
.c MapGr
star, from which this is derived.
The only difference is that this star forces the number of inputs to zero
and output datatype to float matrix.
It also hides the input ports and the \fIinput_map\fR parameter.
.Sr "MapGr"
.ES
