#ifndef _HOFBase_h
#define _HOFBase_h 1
// header file generated from HOFBase.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "HOFStar.h"

class HOFBase : public HOFStar
{
public:
	HOFBase();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
protected:
	/* virtual */ void setup();
# line 32 "HOFBase.pl"
static int count;
	  Block* myblock;
	Galaxy* idParent ();
	void initConnections (MultiPortHole &mph);
	virtual Block* createBlock (Galaxy& mom, const char* blockname, const char* where_defined);
	int connectInput (PortHole* pi, GenericPort* dest);
	int connectOutput (PortHole* po, GenericPort* source);
	GenericPort* aliasPointingAt (PortHole *po);
	void fixAliases (GenericPort *gp, PortHole* po, GenericPort *source);
	int setParameter (Block* block, int instanceno, const char* parameter_name, const char* parameter_value);
	int restrictConnectivity (Block *block, Star *star);
	GenericPort* findTopGenericPort (PortHole *ph);
	void connectError ();
	GenericPort* breakConnection (PortHole* peo);

};
#endif
