#ifndef _HOFMap_h
#define _HOFMap_h 1
// header file generated from HOFMap.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "HOFBaseHiOrdFn.h"
#include "Galaxy.h"
#include "StringArrayState.h"

class HOFMap : public HOFBaseHiOrdFn
{
public:
	HOFMap();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	MultiInHOFPort input;
	MultiOutHOFPort output;

protected:
	/* virtual */ void setup();
	StringArrayState input_map;
	StringArrayState output_map;
	int iterateOverPorts (MPHIter &nexti, MPHIter &nexto, Galaxy *mom, int firstInstanceNo);

};
#endif
