.EQ
delim off
.EN
.\" documentation file generated from MDSDFMult.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Mult"
.SD
Does a matrix multiplication of two input matrices A and B to produce matrix C.
Matrix A has dimensions M x N, Matrix B has dimensions N x O, and Matrix C
has dimensions M x O.
.SE
.LO "MDSDF library"
.DM MDSDF MDSDFStar
.SV 1.4 "12/1/95"
.AL "Mike J. Chen"
.IH
.NE
\fIAinput\fR (FLOAT_MATRIX)
.NE
\fIBinput\fR (FLOAT_MATRIX)
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX)
.PE
.SH
.NE
\fIAinputRows\fR (IntState): The number of rows in Matrix A
.DF "2"
.NE
\fIAinputColsBinputRows\fR (IntState): The number of columns in Matrix A = rows in Matrix B
.DF "2"
.NE
\fIBinputCols\fR (IntState): The number of columns in Matrix B
.DF "2"
.ET
.EQ
delim $$
.EN
.ES
