.EQ
delim off
.EN
.\" documentation file generated from MDSDFQuant.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Quant"
.SD
Quantize the input value to one of N+1 possible output levels using N
thresholds.  For an input less than or equal to the n-th threshold, but
larger than all previous thresholds, the output will be the n-th level.
If the input is greater than all thresholds, the output is the N+1-th
level.  If level is specified, there must be one more level than
thresholds; the default value for level is 0, 1, 2, ... N.  This star
is much slower than LinQuantIdx, so if possible, that one should be
used instead.
.SE
.LO "MDSDF library"
.DM MDSDF MDSDFStar
.SV 1.4 "3/9/96"
.AL "E. A. Lee and J. Buck, modified for MDSDF by Mike J. Chen"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX)
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX)
.PE
.SH
.NE
\fInumRows\fR (IntState): Number of rows in the input block.
.DF "4"
.NE
\fInumCols\fR (IntState): Number of columns in the input block.
.DF "4"
.NE
\fIthresholds\fR (FloatArrayState): Quantization thresholds, in increasing order
.DF "0.0"
.NE
\fIlevels\fR (FloatArrayState): Output levels.  If empty, use 0, 1, 2, ...
.DF ""
.ET
.EQ
delim $$
.EN
.ES
