.EQ
delim off
.EN
.\" documentation file generated from MDSDFReadImg2.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "ReadImg2"
.SD
Read a sequence of images in Portable GrayMap (PGM) format from
different files and send them out as a FloatMatrix.

If present, the character '#' in the 'fileName' state is replaced with
the frame number to be read next.
For example, if the 'frameId' state is set to 2 and
if the 'fileName' state is 'dir.#/pic#', then the files that
are read are 'dir.2/pic2', 'dir.3/pic3', etc.
.SE
.LO "MDSDF library"
.DM MDSDF MDSDFStar
.SV 1.8 "10/31/95"
.AL "Mike J. Chen, derived from SDFReadImage by Paul Haskell"
.OH
.NE
\fIimageOutput\fR (FLOAT_MATRIX)
.NE
\fIframeIdOutput\fR (INT_MATRIX)
.PE
.SH
.NE
\fIwidth\fR (IntState): width of the image, cols of matrix
.DF "100"
.NE
\fIheight\fR (IntState): height of the image, rows of matrix
.DF "100"
.NE
\fIfileName\fR (StringState): Name of file containing PGM-format image.
.DF "$PTOLEMY/src/domains/sdf/demo/ptimage"
.NE
\fIframeId\fR (IntState): Starting frame ID value.
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
.Ir "PGM image format"
.Ir "image format, portable graymap (PGM)"
.Ir "image reading"
.ES
