.EQ
delim off
.EN
.\" documentation file generated from MDSDFXprism3.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Xprism3"
.SD
Generate a plot of a two-dimensional signal with the xprism3 program.  Due
to a bug in xprism3 reading raw files from the command line, we go through the
intermediate step of converting the raw file to a Viff file using raw2viff.
.SE
.LO "MDSDF library"
.DM MDSDF MDSDFStar
.SV 1.8 "12/1/95"
.AL "Mike J. Chen"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX)
.PE
.SH
.NE
\fInumRows\fR (IntState): The number of rows in the input.
.DF "100"
.NE
\fInumCols\fR (IntState): The number of columns in the input.
.DF "100"
.NE
\fIprogramName\fR (StringState): File to save the input to the xgraph program.
.DF "xprism3"
.NE
\fIsaveFile\fR (StringState): File to save the input to the xgraph program.
.DF "tmpFile"
.ET
.EQ
delim $$
.EN
.LD
The input signal is plotted using the \fIxprism3\fR program which is
provided with the Ptolemy distribution.  The \fItitle\fR parameter specifies
a title for the plot.  The \fIsaveFile\fR parameter optionally specifies a
file for storing the data in a syntax acceptable to xprism3.  A null string
prevents any such storage.  The \fIoptions\fR string is passed directly to
the xprism3 program as command-line options.  See the manual section
describing xprism3 for a complete explanation of the options.
.Ir "xprism program"
.Id "graph, X window"
.ES
