static const char file_id[] = "MDSDFConst.pl";
// .cc file generated from MDSDFConst.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "MDSDFConst.h"

const char *star_nm_MDSDFConst = "MDSDFConst";

const char* MDSDFConst :: className() const {return star_nm_MDSDFConst;}

ISA_FUNC(MDSDFConst,MDSDFStar);

Block* MDSDFConst :: makeNew() const { LOG_NEW; return new MDSDFConst;}

MDSDFConst::MDSDFConst ()
{
	setDescriptor("Output a constant matrix.");
	addPort(output.setPort("output",this,FLOAT_MATRIX));
	addState(numRows.setState("numRows",this,"2","The number of rows in the output matrix."));
	addState(numCols.setState("numCols",this,"2","The number of columns in the output matrix."));
	addState(level.setState("level",this,"0.0","The constant value."));


}

void MDSDFConst::setup() {
# line 37 "MDSDFConst.pl"
// set dimensions of output matrix
            output.setMDSDFParams(int(numRows),int(numCols));
}

void MDSDFConst::go() {
# line 41 "MDSDFConst.pl"
FloatSubMatrix& out = *(FloatSubMatrix*)(output.getOutput());
		out = double(level);
		delete &out;
}

// prototype instance for known block list
static MDSDFConst proto;
static RegisterBlock registerBlock(proto,"Const");
