#ifndef _MDSDFIIDUniformMatrix_h
#define _MDSDFIIDUniformMatrix_h 1
// header file generated from MDSDFIIDUniformMatrix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "MDSDFStar.h"
#include <Uniform.h>
#include "IntState.h"
#include "FloatState.h"

class MDSDFIIDUniformMatrix : public MDSDFStar
{
public:
	MDSDFIIDUniformMatrix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~MDSDFIIDUniformMatrix();
	OutMDSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState numRows;
	IntState numCols;
	FloatState lower;
	FloatState upper;
# line 49 "MDSDFIIDUniformMatrix.pl"
Uniform *random;

};
#endif
