#ifndef _MDSDFQuant_h
#define _MDSDFQuant_h 1
// header file generated from MDSDFQuant.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "MDSDFStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class MDSDFQuant : public MDSDFStar
{
public:
	MDSDFQuant();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InMDSDFPort input;
	OutMDSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState numRows;
	IntState numCols;
	FloatArrayState thresholds;
	FloatArrayState levels;

};
#endif
