#ifndef _MDSDFRepeat_h
#define _MDSDFRepeat_h 1
// header file generated from MDSDFRepeat.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "MDSDFStar.h"
#include "IntState.h"

class MDSDFRepeat : public MDSDFStar
{
public:
	MDSDFRepeat();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InMDSDFPort input;
	OutMDSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState numInputRows;
	IntState numInputCols;
	IntState rowRepetitionFactor;
	IntState colRepetitionFactor;

};
#endif
