static const char file_id[] = "MDSDFTkText.pl";
// .cc file generated from MDSDFTkText.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "MDSDFTkText.h"

const char *star_nm_MDSDFTkText = "MDSDFTkText";

const char* MDSDFTkText :: className() const {return star_nm_MDSDFTkText;}

ISA_FUNC(MDSDFTkText,MDSDFTkShowValues);

Block* MDSDFTkText :: makeNew() const { LOG_NEW; return new MDSDFTkText;}

MDSDFTkText::MDSDFTkText ()
{
	setDescriptor("Displays the values of the inputs in a separate window,\nkeeping a specified number of past values in view.");
	addState(number_of_past_values.setState("number_of_past_values",this,"100","Specify how many past values you would like saved"));

# line 44 "MDSDFTkText.pl"
put_in_control_panel.clearAttributes(A_SETTABLE);
	label = "Inputs to the TkText star";
}

void MDSDFTkText::begin() {
# line 39 "MDSDFTkText.pl"
tcl_file = "$PTOLEMY/src/domains/sdf/tcltk/stars/tkText.tcl";

        MDSDFTclScript::begin();
}

void MDSDFTkText::setup() {
# line 33 "MDSDFTkText.pl"
if (output.numberPorts() > 0) {
            Error::abortRun(*this, "Outputs not supported");
            return;
        }
}

// prototype instance for known block list
static MDSDFTkText proto;
static RegisterBlock registerBlock(proto,"TkText");
