.EQ
delim off
.EN
.\" documentation file generated from SDFBanyanStg.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "BanyanStg"
.SD
2 x 2 Banyan switching element with internal queueing
.SE
.LO "SDF ATM library"
.DM SDF SDFStar
.SV 1.7 "10/23/95"
.AL "John Loh"
.IH
.NE
\fIinput1\fR (message)
.NE
\fIinput2\fR (message)
.PE
.OH
.NE
\fIoutput1\fR (message)
.NE
\fIoutput2\fR (message)
.PE
.SH
.NE
\fIstage\fR (IntState): Stage within Banyan (1,2,3).
.DF "1"
.NE
\fIcapacity\fR (IntState): Max number of particles in queue
.DF "50"
.ET
.EQ
delim $$
.EN
.LD
Accept two input packets, and route them to the proper
output based on the information in the headers.
The actual bit of the VPI being used for routing is based
on the state \fIstage\fR set in 
.c SDFBanyanGal
compiled galaxy.  This star maintains
internal FIFO queues for each of the two input terminals.
Note the special processing required due to null packets.
.ES
