#ifndef _SDFBanyanStg_h
#define _SDFBanyanStg_h 1
// header file generated from SDFBanyanStg.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "NewQueue.h"
#include "VoiceData.h"
#include <Uniform.h>
#include "IntState.h"

class SDFBanyanStg : public SDFStar
{
public:
	SDFBanyanStg();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFBanyanStg();
	InSDFPort input1;
	InSDFPort input2;
	OutSDFPort output1;
	OutSDFPort output2;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState stage;
	IntState capacity;
# line 67 "SDFBanyanStg.pl"
Uniform*  random;
      Envelope  nEnv;

private:
# line 62 "SDFBanyanStg.pl"
NewQueue queue1;
      NewQueue queue2;

};
#endif
