static const char file_id[] = "SDFCIIDGaussian.pl";
// .cc file generated from SDFCIIDGaussian.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFCIIDGaussian.h"

const char *star_nm_SDFCIIDGaussian = "SDFCIIDGaussian";

const char* SDFCIIDGaussian :: className() const {return star_nm_SDFCIIDGaussian;}

ISA_FUNC(SDFCIIDGaussian,SDFStar);

Block* SDFCIIDGaussian :: makeNew() const { LOG_NEW; return new SDFCIIDGaussian;}

SDFCIIDGaussian::SDFCIIDGaussian ()
{
	setDescriptor("Complex IID Gaussian generator.");
	addPort(output.setPort("output",this,COMPLEX));
	addState(variance.setState("variance",this,"1.0","Variance of distribution."));

# line 33 "SDFCIIDGaussian.pl"
random = 0;
}

SDFCIIDGaussian::~SDFCIIDGaussian() {
# line 36 "SDFCIIDGaussian.pl"
LOG_DEL; delete random;
}

void SDFCIIDGaussian::setup() {
# line 39 "SDFCIIDGaussian.pl"
LOG_DEL; delete random;
	  LOG_NEW; random = new Normal(0., double(variance), gen);
}

void SDFCIIDGaussian::go() {
# line 43 "SDFCIIDGaussian.pl"
Complex randomValue( (*random)(), (*random)() );
	  output%0 << randomValue;
}

// prototype instance for known block list
static SDFCIIDGaussian proto;
static RegisterBlock registerBlock(proto,"CIIDGaussian");
