static const char file_id[] = "SDFErrCnt.pl";
// .cc file generated from SDFErrCnt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFErrCnt.h"

const char *star_nm_SDFErrCnt = "SDFErrCnt";

const char* SDFErrCnt :: className() const {return star_nm_SDFErrCnt;}

ISA_FUNC(SDFErrCnt,SDFStar);

Block* SDFErrCnt :: makeNew() const { LOG_NEW; return new SDFErrCnt;}

SDFErrCnt::SDFErrCnt ()
{
	setDescriptor("Error Counter.");
	addPort(a.setPort("a",this,INT));
	addPort(b.setPort("b",this,INT));
	addState(skip.setState("skip",this,"0","number of tokens to ignore"));
	addState(block.setState("block",this,"1","process in blocks of this size"));
	addPort(bits.setPort("bits",this,INT));
	addPort(errors.setPort("errors",this,INT));


}

void SDFErrCnt::setup() {
# line 48 "SDFErrCnt.pl"
numBits = 0;
	  numErrs = 0;
	  count = int(skip);
	  a.setSDFParams( int(block), int(block) - 1);
	  b.setSDFParams( int(block), int(block) - 1);
}

void SDFErrCnt::go() {
# line 55 "SDFErrCnt.pl"
for( int i = int(block) - 1; i >= 0; i-- ) {
	    if( count )
	      count--;
	    else {
	      numBits++;
	      if( int(a%i) != int(b%i) )
	      numErrs++;
	    }
	  }
	  bits%0 << numBits;
	  errors%0 << numErrs;
}

// prototype instance for known block list
static SDFErrCnt proto;
static RegisterBlock registerBlock(proto,"ErrCnt");
