static const char file_id[] = "SDFExpGen.pl";
// .cc file generated from SDFExpGen.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFExpGen.h"
#include <math.h>

const char *star_nm_SDFExpGen = "SDFExpGen";

const char* SDFExpGen :: className() const {return star_nm_SDFExpGen;}

ISA_FUNC(SDFExpGen,SDFStar);

Block* SDFExpGen :: makeNew() const { LOG_NEW; return new SDFExpGen;}

SDFExpGen::SDFExpGen ()
{
	setDescriptor("Complex Exponential Generator.");
	addState(freq.setState("freq",this,"1","frequency"));
	addState(rate.setState("rate",this,"1","sample rate"));
	addPort(output.setPort("output",this,COMPLEX));


}

void SDFExpGen::setup() {
# line 34 "SDFExpGen.pl"
t = 0;
	  dt = (double)freq/(double)rate * 2 * M_PI;
}

void SDFExpGen::go() {
# line 39 "SDFExpGen.pl"
output%0 << Complex( cos( t ), sin( t ) );
		t += dt;
}

// prototype instance for known block list
static SDFExpGen proto;
static RegisterBlock registerBlock(proto,"ExpGen");
