static const char file_id[] = "SDFMagSqr.pl";
// .cc file generated from SDFMagSqr.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFMagSqr.h"
#include <math.h>

const char *star_nm_SDFMagSqr = "SDFMagSqr";

const char* SDFMagSqr :: className() const {return star_nm_SDFMagSqr;}

ISA_FUNC(SDFMagSqr,SDFStar);

Block* SDFMagSqr :: makeNew() const { LOG_NEW; return new SDFMagSqr;}

SDFMagSqr::SDFMagSqr ()
{
	setDescriptor("Magnitude Squared.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(output.setPort("output",this,FLOAT));


}

void SDFMagSqr::go() {
# line 23 "SDFMagSqr.pl"
output%0 << norm(input%0);
}

// prototype instance for known block list
static SDFMagSqr proto;
static RegisterBlock registerBlock(proto,"MagSqr");
