static const char file_id[] = "SDFPnGen.pl";
// .cc file generated from SDFPnGen.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFPnGen.h"

const char *star_nm_SDFPnGen = "SDFPnGen";

const char* SDFPnGen :: className() const {return star_nm_SDFPnGen;}

ISA_FUNC(SDFPnGen,SDFStar);

Block* SDFPnGen :: makeNew() const { LOG_NEW; return new SDFPnGen;}

SDFPnGen::SDFPnGen ()
{
	setDescriptor("PN Generator");
	addPort(output.setPort("output",this,INT));
	addState(bipolar.setState("bipolar",this,"NO","Bipolar instead of unipolar output."));
	addState(amplitude.setState("amplitude",this,"1","output amplitude"));


}

void SDFPnGen::go() {
# line 35 "SDFPnGen.pl"
double value = 0;
	  int coinToss = ( (gen->asLong() & 0x01) == 0 );
	  if( int(bipolar) ) {
	    value = coinToss ? double(amplitude) : - double(amplitude);
	  }
	  else {
	    value = coinToss ? double(amplitude) : 0;
	  }
	  output%0 << value;
}

// prototype instance for known block list
static SDFPnGen proto;
static RegisterBlock registerBlock(proto,"PnGen");
