#ifndef _SDFPowerEst_h
#define _SDFPowerEst_h 1
// header file generated from SDFPowerEst.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatState.h"

class SDFPowerEst : public SDFStar
{
public:
	SDFPowerEst();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort in;
	OutSDFPort out;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState TimeConstant;
	IntState dB;
	IntState BlockSize;

private:
# line 45 "SDFPowerEst.pl"
double Sum;
    double FeedbackGain;

};
#endif
