static const char file_id[] = "SDFQPSK.pl";
// .cc file generated from SDFQPSK.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFQPSK.h"

const char *star_nm_SDFQPSK = "SDFQPSK";

const char* SDFQPSK :: className() const {return star_nm_SDFQPSK;}

ISA_FUNC(SDFQPSK,SDFStar);

Block* SDFQPSK :: makeNew() const { LOG_NEW; return new SDFQPSK;}

SDFQPSK::SDFQPSK ()
{
	setDescriptor("1input QPSK mapper. Inputs are int 0/1");
	addPort(in.setPort("in",this,INT,2));
	addPort(output.setPort("output",this,COMPLEX));


}

void SDFQPSK::go() {
# line 24 "SDFQPSK.pl"
double r = ( int(in%0) == 0 ) ? 1 : -1;
	  double i = ( int(in%1) == 0 ) ? 1 : -1;
	  output%0 << Complex( r, i );
}

// prototype instance for known block list
static SDFQPSK proto;
static RegisterBlock registerBlock(proto,"QPSK");
