#ifndef _SDFRfft_h
#define _SDFRfft_h 1
// header file generated from SDFRfft.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "nb_fft.h"
#include "IntState.h"

class SDFRfft : public SDFStar
{
public:
	SDFRfft();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFRfft();
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState InputSize;
	IntState fftSize;
	IntState Inverse;
	IntState UseWindow;
# line 54 "SDFRfft.pl"
Complex *Temp1;
	  Complex *Temp2;
	  double *In;
	double WinVal (double t) {
# line 86 "SDFRfft.pl"
return .54 + .46 * cos( Pi2 * t );
	}

};
#endif
