static const char file_id[] = "SDFSineGen.pl";
// .cc file generated from SDFSineGen.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFSineGen.h"
#include <math.h>

const char *star_nm_SDFSineGen = "SDFSineGen";

const char* SDFSineGen :: className() const {return star_nm_SDFSineGen;}

ISA_FUNC(SDFSineGen,SDFStar);

Block* SDFSineGen :: makeNew() const { LOG_NEW; return new SDFSineGen;}

SDFSineGen::SDFSineGen ()
{
	setDescriptor("Sine Generator.");
	addState(freq.setState("freq",this,"1","frequency"));
	addState(rate.setState("rate",this,"1","sample rate"));
	addPort(output.setPort("output",this,FLOAT));


}

void SDFSineGen::setup() {
# line 34 "SDFSineGen.pl"
t = 0;
	  dt = double(freq)/double(rate) * 2 * M_PI;
}

void SDFSineGen::go() {
# line 39 "SDFSineGen.pl"
output%0 << sin( t );
		t += dt;
}

// prototype instance for known block list
static SDFSineGen proto;
static RegisterBlock registerBlock(proto,"SineGen");
