static const char file_id[] = "SDFVDecoder.pl";
// .cc file generated from SDFVDecoder.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFVDecoder.h"

const char *star_nm_SDFVDecoder = "SDFVDecoder";

const char* SDFVDecoder :: className() const {return star_nm_SDFVDecoder;}

ISA_FUNC(SDFVDecoder,SDFStar);

Block* SDFVDecoder :: makeNew() const { LOG_NEW; return new SDFVDecoder;}

SDFVDecoder::SDFVDecoder () :
	# line 36 "SDFVDecoder.pl"
decoder(double(Gain))
{
	setDescriptor("Viterbi Decoder");
	addPort(I.setPort("I",this,INT));
	addPort(Q.setPort("Q",this,INT));
	addPort(out.setPort("out",this,INT));
	addState(Gain.setState("Gain",this,"1","The nominal level of the input"));


}

void SDFVDecoder::setup() {
# line 38 "SDFVDecoder.pl"
decoder.Reset();
	    decoder.SetGain( double(Gain) );
}

void SDFVDecoder::go() {
# line 42 "SDFVDecoder.pl"
out%0 << decoder(int(I%0), int(Q%0));
}

// prototype instance for known block list
static SDFVDecoder proto;
static RegisterBlock registerBlock(proto,"VDecoder");
