#ifndef _SDFVDecoder_h
#define _SDFVDecoder_h 1
// header file generated from SDFVDecoder.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Decoder.h"
#include "FloatState.h"

class SDFVDecoder : public SDFStar
{
public:
	SDFVDecoder();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort I;
	InSDFPort Q;
	OutSDFPort out;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState Gain;

private:
# line 34 "SDFVDecoder.pl"
Decoder decoder;

};
#endif
