#ifndef _SDFWirelessChannel_h
#define _SDFWirelessChannel_h 1
// header file generated from SDFWirelessChannel.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include <stdlib.h>
#include "Wireless.h"
#include "FloatState.h"
#include "StringState.h"

class SDFWirelessChannel : public SDFStar
{
public:
	SDFWirelessChannel();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort DataIn;
	OutSDFPort DataOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState CarrierFrequency;
	FloatState SymbolRate;
	FloatState RMSDelaySpread;
	FloatState DopplerSpread;
	FloatState PathLossRate;
	FloatState ReferencePowerLoss;
	StringState ChannelType;
	FloatState MeanSeparationDistance;
# line 119 "SDFWirelessChannel.pl"
// Channel Parameters (From States Above)
		ChannelParameters params;

		// Channel Filter
		WirelessChannel Channel;

};
#endif
