.EQ
delim off
.EN
.\" documentation file generated from SDFAddFix.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "AddFix"
.SD
Output the sum of the fixed-point inputs as a fixed-point value.
.SE
.LO "SDF main library"
.DM SDF SDFFix
.SV 1.20 "2/12/96"
.AL "A. Khazeni"
.IH
.NE
\fIinput\fR (multiple), (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIArrivingPrecision\fR (IntState): Flag that indicates whether or not to keep the precision of the arriving
particles as is:  YES keeps the same precision, and NO casts them to the
precision specified by the parameter "InputPrecision".
.DF "YES"
.NE
\fIInputPrecision\fR (PrecisionState): Precision of the input in bits.
The input particles are only cast to this precision if the
parameter "ArrivingPrecision" is set to NO.
.DF "2.14"
.NE
\fIOutputPrecision\fR (PrecisionState): Precision of the output in bits and precision of the accumulation.
When the value of the accumulation extends outside of the precision,
the OverflowHandler will be called.
.DF "2.14"
.ET
.EQ
delim $$
.EN
.ES
