.EQ
delim off
.EN
.\" documentation file generated from SDFBusToNum.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "BusToNum"
.SD
This star accepts a number of input bit streams, where this number should not
exceed the wordsize of an integer.  Each bit stream has integer particles with
values 0, 3, or anything else.  These are interpreted as binary 0, tri-state,
or 1, respectively.  When the star fires, it reads one input bit from each 
input.
If any of the input bits is tri-stated, the output will be the previous output
(or the initial value of the "previous" parameter if the firing is the first 
one).
Otherwise, the bits are assembled into an integer word, assuming two's 
complement encoding, and sign extended.  The resulting signed integer is sent 
to the output.
.SE
.DM SDF SDFStar
.SV 1.17 "2/12/96"
.AL "Asawaree Kalavade"
.IH
.NE
\fIinput\fR (multiple), (int)
.PE
.OH
.NE
\fIoutput\fR (int)
.PE
.SH
.NE
\fIprevious\fR (IntState): previous value of output
.DF "0"
.ET
.EQ
delim $$
.EN
.ES
