.EQ
delim off
.EN
.\" documentation file generated from SDFCfft.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Cfft"
.SD
Compute the complex FFT.
fIInputSizefR is number of input samples.
fIfftSizefR is the size of FFT.
Zero padding is used if
fftSize > InputSize
Inverse FFT is used if fIInversefR is 1.
Use Hamming window if fIUseWindowfR is true.
.SE
.LO "SDF user contribution library"
.DM SDF SDFStar
.AL "N. Becker"
.IH
.NE
\fIinput\fR (complex)
.PE
.OH
.NE
\fIoutput\fR (complex)
.PE
.SH
.NE
\fIInputSize\fR (IntState): Number of input samples to read.
.DF "256"
.NE
\fIfftSize\fR (IntState): Size of the transform.
.DF "256"
.NE
\fIInverse\fR (IntState): Equals 1 for inverse.
.DF "0"
.NE
\fIUseWindow\fR (IntState): Equals 1 to use Hamming window
.DF "0"
.ET
.EQ
delim $$
.EN
.ES
