.EQ
delim off
.EN
.\" documentation file generated from SDFDB.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DB"
.SD
Convert input to a decibels (dB) scale.
Zero and negative values are assigned the value "min" (default -100).
The "inputIsPower" parameter should be set to YES if the input signal
is a power measurement (vs. an amplitude measurement).
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.15 "5/27/95"
.AL "J. T. Buck"
.IH
.NE
\fIinput\fR (float)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fImin\fR (FloatState): Minimum output value.
.DF "-100"
.NE
\fIinputIsPower\fR (IntState): TRUE if input is a power measurement, FALSE if it's an amplitude measurement.
.DF "FALSE"
.ET
.EQ
delim $$
.EN
.LD
For inputs that are greater than zero, the output is either
$N log sub 10 (input)$ or \fImin\fR, whichever is larger, where
$N ~=~ 10$ if \fIinputIsPower\fR is TRUE, and $N ~=~ 20$ otherwise.
.Id "decibel"
The default is $N ~=~ 20$.
For inputs that are zero or negative, the output is \fImin\fR.
.ES
