.EQ
delim off
.EN
.\" documentation file generated from SDFDCTImage.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DCTImage"
.SD
This star takes a float matrix input particle,
computes the discrete cosine transform (DCT),
and outputs a float matrix.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.22 "3/7/96"
.AL "Sun-Inn Shih, Paul Haskell"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX_ENV)
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV)
.NE
\fIoriginalW\fR (int): The width of the original (input) image.
.NE
\fIoriginalH\fR (int): The height of the original (input) image.
.PE
.SH
.NE
\fIBlockSize\fR (IntState): Block size of the DCT transform.
.DF "8"
.ET
.EQ
delim $$
.EN
.LD
.Id "discrete cosine transform"
.Id "image, discrete cosine transform"
.ES
