.EQ
delim off
.EN
.\" documentation file generated from SDFDCTImageInv.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DCTImageInv"
.SD
This star takes a float matrix input and does inverse
discrete cosine transform (DCT) coding and outputs a float matrix.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.23 "3/7/96"
.AL "Sun-Inn Shih, Paul Haskell"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX_ENV)
.NE
\fIoriginalW\fR (int): The width of the image before DCT.
.NE
\fIoriginalH\fR (int): The height of the image before DCT.
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV)
.PE
.SH
.NE
\fIBlockSize\fR (IntState): Block size of the inverse DCT transform.
.DF "8"
.ET
.EQ
delim $$
.EN
.LD
.Id "DCT inverse"
.Id "discrete cosine transform inverse"
.Id "image, discrete cosine transform inverse"
.Id "inverse discrete cosine transform"
.Id "inverse DCT"
.ES
