.EQ
delim off
.EN
.\" documentation file generated from SDFDCTImgCdeInv.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DCTImgCdeInv"
.SD
This star reads two coded DCT images (one high priority and one low-priority),
which are represented by two input FloatMatrix particle. 
inverts the run-length encoding, and outputs the resulting image.
Protection is built in to avoid crashing even if some of the coded
input data is affected by loss.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.15 "2/9/96"
.AL "Paul Haskell"
.IH
.NE
\fIhiport\fR (FLOAT_MATRIX_ENV)
.NE
\fIloport\fR (FLOAT_MATRIX_ENV)
.NE
\fIoriginalW\fR (int): The width of the original image before DCTImageCode.
.NE
\fIoriginalH\fR (int): The height of the original image before DCTImageCode.
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV)
.PE
.SH
.NE
\fIBlockSize\fR (IntState): Block size of the DCT transformed image.
.DF "8"
.NE
\fIHiPri\fR (IntState): Number of DCT coeffs per block to 'highport' input.
.DF "1"
.ET
.EQ
delim $$
.EN
.SA
DCTImageCode.
.ES
