.EQ
delim off
.EN
.\" documentation file generated from SDFDPCMImageInv.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "DPCMImageInv"
.SD
This star inverts differential pulse code modulation of an image.
If the "past" input is not a GrayImage or has size 0, pass the "diff"
directly to the "output". Otherwise, add the "past" to the "diff"
(with leakage factor alpha) and send the result to "output".
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.16 "3/7/96"
.AL "Paul Haskell"
.IH
.NE
\fIdiff\fR (FLOAT_MATRIX_ENV)
.NE
\fIpast\fR (FLOAT_MATRIX_ENV)
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV)
.PE
.SH
.NE
\fIalpha\fR (FloatState): Leak value to aid error recovery.
.DF "1.0"
.ET
.EQ
delim $$
.EN
.LD
.Id "image decompression"
.Id "image DPCM, inverse"
.Id "DPCM, inverse"
.Id "inverse DPCM"
.Id "decompression, image"
.SA
DPCMImage.
.ES
