.EQ
delim off
.EN
.\" documentation file generated from SDFDistributor.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Distributor"
.SD
Takes one input stream and synchronously splits it into N output streams,
where N is the number of outputs.  It consumes N*B input particles,
where B = blockSize, and sends the first B particles to the first output,
the next B particles to the next output, etc.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 2.10 "3/2/95"
.AL "J. T. Buck and E. A. Lee"
.IH
.NE
\fIinput\fR (ANYTYPE)
.PE
.OH
.NE
\fIoutput\fR (multiple), (ANYTYPE)
.PE
.SH
.NE
\fIblockSize\fR (IntState): Number of particles in a block.
.DF "1"
.ET
.EQ
delim $$
.EN
.ES
