.EQ
delim off
.EN
.\" documentation file generated from SDFFix.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Fix"
.SD
Base star for the fixed-point stars in the SDF domain.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.10 "11/22/95"
.AL "Brian L. Evans"
.SH
.NE
\fIOverflowHandler\fR (StringState): Overflow characteristic for the output.
If the result of the sum cannot be fit into the precision of the output,
then overflow occurs and the overflow is taken care of by the method
specified by this parameter.
The keywords for overflow handling methods are:
"saturate" (the default), "zero_saturate", "wrapped", and "warning".
The "warning" option will generate a warning message whenever overflow occurs.
.DF "saturate"
.NE
\fIReportOverflow\fR (IntState): If non-zero, e.g. YES or TRUE, then after a simulation has finished,
the star will report the number of overflow errors if any occurred
during the simulation.
.DF "YES"
.NE
\fIRoundFix\fR (IntState): If YES or TRUE, then all fixed-point computations, assignments, and
data type conversions will be rounded.
Otherwise, truncation will be used.
.DF "YES"
.ET
.EQ
delim $$
.EN
.ES
