.EQ
delim off
.EN
.\" documentation file generated from SDFIIDUniform.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "IIDUniform"
.SD
Generate an i.i.d. uniformly distributed pseudo-random process.
Output is uniformly distributed between "lower" (default 0)
and "upper" (default 1).
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.14 "3/2/95"
.AL "D. G. Messerschmitt"
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIlower\fR (FloatState): Lower limit.
.DF "0.0"
.NE
\fIupper\fR (FloatState): Upper limit.
.DF "1.0"
.ET
.EQ
delim $$
.EN
.LD
This Star uses the GNU library <Uniform.h>.
.Id "uniform noise"
.Id "noise, uniform"
.ES
