.EQ
delim off
.EN
.\" documentation file generated from SDFImpulse.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Impulse"
.SD
Generate a stream of impulses of size "level" (default 1.0).
The period is given by "period" (default 0).
If period = 0 then only one impulse is generated.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 2.8 "3/2/95"
.AL "J. T. Buck"
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIlevel\fR (FloatState): The height of the impulse.
.DF "1.0"
.NE
\fIperiod\fR (IntState): The period of the impulse train, 0 = aperiodic.
.DF "0"
.NE
\fIcount\fR (IntState): An internal state.
.DF "0"
.ET
.EQ
delim $$
.EN
.ES
