.EQ
delim off
.EN
.\" documentation file generated from SDFIntToFix.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "IntToFix"
.SD
Convert an integer input to a fixed-point output.
.SE
.LO "SDF main library"
.DM SDF SDFFix
.SV 1.17 "2/12/96"
.AL "Mike J. Chen"
.IH
.NE
\fIinput\fR (int): Input integer type
.PE
.OH
.NE
\fIoutput\fR (fix): Output fix type
.PE
.SH
.NE
\fIOutputPrecision\fR (PrecisionState): Precision of the output in bits.
The integer number is cast to a double and then converted to this precision.
If the value of the double cannot be represented by the number of bits
specified in the precision parameter, then the OverflowHandler will be called.
.DF "16.0"
.ET
.EQ
delim $$
.EN
.ES
