.EQ
delim off
.EN
.\" documentation file generated from SDFIntToFix_M.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "IntToFix_M"
.SD
Take an input IntMatrix and convert it to an FixMatrix.  This
is done by constructing a new FixMatrix with the given precision.
Each entry of the IntMatrix is cast using the given masking function
and then copied to the new matrix.
.SE
.LO "SDF matrix library"
.DM SDF SDFStar
.SV 1.7 "10/6/95"
.AL "Mike J. Chen"
.IH
.NE
\fIinput\fR (INT_MATRIX_ENV)
.PE
.OH
.NE
\fIoutput\fR (FIX_MATRIX_ENV)
.PE
.SH
.NE
\fIFixPrecision\fR (StringState): Precision of the entries in the FixMatrix.  The integer values
of the IntMatrix are converted to this precision.
.DF "16.0"
.NE
\fImasking\fR (StringState): Masking method.  This parameter is used to specify the way the integer
number is masked for casting to the fixed-point notation.  The keywords are:
"truncate" (default), "round".
.DF "truncate"
.ET
.EQ
delim $$
.EN
.ES
