.EQ
delim off
.EN
.\" documentation file generated from SDFMatrixFix.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "MatrixFix"
.SD
Generate a matrix with fixed-point entries.
.SE
.LO "SDF matrix library"
.DM SDF SDFStar
.SV 1.9 "11/22/95"
.AL "Mike J. Chen"
.OH
.NE
\fIoutput\fR (FIX_MATRIX_ENV)
.PE
.SH
.NE
\fInumRows\fR (IntState): The number of rows in the matrix.
.DF "2"
.NE
\fInumCols\fR (IntState): The number of columns in the matrix.
.DF "2"
.NE
\fIFixMatrixContents\fR (FixArrayState): The Fix contents of the matrix.
.DF "1 -2 2 -2"
.NE
\fIFixPrecision\fR (StringState): Precision of all entries in the matrix.
.DF "8.14"
.ET
.EQ
delim $$
.EN
.LD
The entries of the generated matrix are read from the array parameter
\fIFixMatrixContents\fR in rasterized order: i.e. for an $M x N$ matrix,
the first row is filled from left to right using the first $N$ values
from the array.  All entries have the same precision, as specified by
the parameter \fIFixPrecision\fR.
.ES
