.EQ
delim off
.EN
.\" documentation file generated from SDFMedianImage.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "MedianImage"
.SD
Accept an input GrayImage, median filter the image, and send the result
to the output.  Filter widths of 3, 5, and 7 work well.  Any length longer
than seven will take a long time to run.

Median filtering is useful for removing impulsive noise from images.
It also smooths out textures, so it is a useful pre-processing step
before edge detection.  It removes inter-field flicker quite well
when displaying single frames from a moving sequence.
.SE
.LO "SDF image library"
.DM SDF SDFRankImage
.SV 1.27 "3/7/96"
.AL "Paul Haskell"
.EQ
delim $$
.EN
.LD
The \fIFilterWidth\fR parameter must be an odd, positive integer.
Pixels at the image boundaries are copied and not median filtered.
.Id "filter, median"
.Id "image, median filter"
.Id "median filtering"
.ES
