.EQ
delim off
.EN
.\" documentation file generated from SDFMotionCmpInv.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "MotionCmpInv"
.SD
For NULL inputs (zero size matrices) on 'mvHorzIn' and/or 'mvVertIn' 
(motion-vector-in), copy the 'diffIn' input unchanged to the output 
and discard the 'pastIn' input. (A NULL input usually indicates the 
first frame of a sequence.)

For non-NULL 'mvHorzIn' and 'mvVertIn' inputs, perform inverse motion
compensation and write the result to 'output'.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.22 "3/7/96"
.AL "Paul Haskell"
.IH
.NE
\fIdiffIn\fR (FLOAT_MATRIX_ENV)
.NE
\fImvHorzIn\fR (FLOAT_MATRIX_ENV)
.NE
\fImvVertIn\fR (FLOAT_MATRIX_ENV)
.NE
\fIpastIn\fR (FLOAT_MATRIX_ENV)
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV)
.PE
.SH
.NE
\fIBlockSize\fR (IntState): Size of blocks on which to do inverse motion comp.
.DF "8"
.ET
.EQ
delim $$
.EN
.LD
.Id "motion compensation, inverse"
.Id "inverse motion compensation"
.ES
