.EQ
delim off
.EN
.\" documentation file generated from SDFMpyFix_M.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "MpyFix_M"
.SD
Multiply two fixed-point matrices A and B to produce matrix C.
Matrix A has dimensions (numRows,X). Matrix B has dimensions (X,numCols).
Matrix C has dimensions (numRows,numCols). The user need only specify
numRows and numCols. An error will be generated automatically if the
number of columns in A does not match the number of rows in B.
.SE
.LO "SDF matrix library"
.DM SDF SDFStar
.SV 1.8 "11/22/95"
.AL "Mike J. Chen"
.IH
.NE
\fIAinput\fR (FIX_MATRIX_ENV)
.NE
\fIBinput\fR (FIX_MATRIX_ENV)
.PE
.OH
.NE
\fIoutput\fR (FIX_MATRIX_ENV)
.PE
.SH
.NE
\fIKeepArrivingPrecision\fR (IntState): Flag that indicates whether or not to keep the precision of the
arriving matrix: YES keeps the same precision, and NO casts
them to the precision specified by the parameter "InputPrecision".
.DF "YES"
.NE
\fIInputPrecision\fR (StringState): Precision of the input in bits.  The input matrix is only cast to
this precision if the parameter "ArrivingPrecision" is set to NO.
.DF "4.14"
.NE
\fIOutputPrecision\fR (StringState): Precision of the output matrix in bits.
.DF "4.14"
.NE
\fIOverflowHandler\fR (StringState): The type of overflow that happens if the result of any addition
overflows.  The options are: "saturate"(default), "zero-saturate",
"wrapped", "warning".
.DF "saturate"
.NE
\fInumRows\fR (IntState): The number of rows in Matrix A and Matrix C.
.DF "2"
.NE
\fInumCols\fR (IntState): The number of columns in Matrix B and Matrix C
.DF "2"
.ET
.EQ
delim $$
.EN
.ES
