.EQ
delim off
.EN
.\" documentation file generated from SDFMux.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Mux"
.SD
Multiplex any number of inputs onto one output stream.
B particles are consumed on each input, where B is the blockSize.
But only one of these blocks of particles is copied to the output.
The one copied is determined by the "control" input.
Integers from 0 through N-1 are accepted at the "control" input,
where N is the number of inputs.  If the control input is outside
this range, an error is signaled.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.11 "3/2/95"
.AL "E. A. Lee"
.IH
.NE
\fIinput\fR (multiple), (ANYTYPE)
.NE
\fIcontrol\fR (int)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fIblockSize\fR (IntState): Number of particles in a block.
.DF "1"
.ET
.EQ
delim $$
.EN
.LD
.Id "multiplex"
.ES
