.EQ
delim off
.EN
.\" documentation file generated from SDFPlay.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Play"
.SD
Play an input stream on the SparcStation speaker.
The "gain" state (default 1.0) multiplies the input stream
before it is mu-law compressed and written.
The inputs should be in the range of -32000.0 to 32000.0.
The file is played at a fixed sampling rate of 8000 samples/second.
When the wrapup method is called, a file of 8-bit mu-law
samples is handed to a program named "ptplay" which plays the file.
The "ptplay" program must be in your path.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.29 "11/15/95"
.AL "J. T. Buck"
.IH
.NE
\fIinput\fR (float)
.PE
.SH
.NE
\fIgain\fR (FloatState): Output gain.
.DF "1.0"
.NE
\fIsaveFile\fR (StringState): File to save the output mu-law samples.
.DF ""
.ET
.EQ
delim $$
.EN
.LD
Generate a file for the SparcStation speaker and play it.  The "ptplay"
program must be on the user's path.
This star may be used on a different device provided that a "ptplay"
program is written with the following specifications:
.lp
When invoked as "ptplay filename", where filename is a sequence of
bytes representing mu-law PCM samples, the program should play
the file at 8000 samples per second.  Perhaps later this rate can
be a parameter.
.Ir "Mu law"
.Ir "ptplay program"
.Ir "audio, Sparcstation"
.Ir "Sparcstation audio"
.ES
