.EQ
delim off
.EN
.\" documentation file generated from SDFQuantizer.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Quantizer"
.SD
This star quantizes the input value to the nearest output value
in the given codebook.  The nearest value is found by a full search
of the codebook, so the star will be significantly slower than
either Quant or LinQuantIdx.  The absolute value of the difference
is used as a distance measure.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.3 "3/2/95"
.AL "Bilung Lee"
.IH
.NE
\fIinput\fR (float)
.PE
.OH
.NE
\fIoutput\fR (float): Closest value in the codebook
.NE
\fIoutIndex\fR (int): Index of the closest value in the codebook
.PE
.SH
.NE
\fIfloatCodebook\fR (FloatArrayState): Possible output values
.DF "0.0 1.0 2.0 3.0 4.0 5.0 6.0 7.0 8.0 9.0"
.ET
.EQ
delim $$
.EN
.ES
