.EQ
delim off
.EN
.\" documentation file generated from SDFRamp.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Ramp"
.SD
Generate a ramp signal, starting at "value" (default 0) and
incrementing by step size "step" (default 1) on each firing.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 2.8 "3/2/95"
.AL "D. G. Messerschmitt"
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIstep\fR (FloatState): Increment from one sample to the next.
.DF "1.0"
.NE
\fIvalue\fR (FloatState): Initial (or latest) value output by Ramp.
.DF "0.0"
.ET
.EQ
delim $$
.EN
.ES
