.EQ
delim off
.EN
.\" documentation file generated from SDFRectCx.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "RectCx"
.SD
Generate a rectangular pulse of height "height" (default 1.0).
and width "width" (default 8).  If "period" is greater than zero,
then the pulse is repeated with the given period.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.2 "2/3/96"
.AL "Karim-Patrick Khiar"
.OH
.NE
\fIoutput\fR (complex)
.PE
.SH
.NE
\fIbandwidth\fR (FloatState): Bandwidth of the signal.
.DF "1.0e9"
.NE
\fITe\fR (FloatState): Duration time
.DF "30.0*10^-6"
.NE
\fIFe\fR (FloatState): emission frequency.
.DF "3.0e9"
.NE
\fIFsimu\fR (FloatState): Simulation Frequency.
.DF "8.0e6"
.NE
\fIvn\fR (FloatState): Target velocity.
.DF "150.0"
.NE
\fITp\fR (FloatState): Pulse period.
.DF "1.0e-3"
.NE
\fINp\fR (IntState): Pulse number.
.DF "16"
.NE
\fIFpor\fR (FloatState): Carrier frequency.
.DF "3.0e9"
.NE
\fIc\fR (FloatState): Light speed.
.DF "3.0e8"
.NE
\fISNRn\fR (FloatState): Signal to noise ratio.
.DF "10.0"
.NE
\fISqrPthn\fR (FloatState): Square root of Noise power.
.DF "1.0"
.NE
\fIwidth\fR (IntState): Width of the rectangular pulse.
.DF "240"
.NE
\fIperiod\fR (IntState): If greater than zero, the period of the pulse stream.
.DF "1024"
.NE
\fIsdelay\fR (FloatState): Delay for the target.
.DF "0"
.NE
\fIcount\fR (IntState): Internal state
.DF "0"
.NE
\fIdopplercount\fR (IntState): Internal state
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
This pulse generator is similiar to the \fIRect\fR star, except
that it is complex-valued and supports several addition options
for Doppler effects.
.ES
