.EQ
delim off
.EN
.\" documentation file generated from SDFRfft.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Rfft"
.SD
Compute the FFT of a real input, using the '2-channel trick'.
fIInputSizefR is number of input samples and
fIfftSizefR is the size of FFT.
Zero padding is used if fIfftSizefR > fIInputSizefR.
The inverse FFT is taken if fIInversefR is non-zero.
Apply a Hamming window to the data if fIUseWindowfR is non-zero.
The output is half the size of the input.
.SE
.LO "SDF user contribution library"
.DM SDF SDFStar
.AL "N. Becker"
.IH
.NE
\fIinput\fR (float)
.PE
.OH
.NE
\fIoutput\fR (complex)
.PE
.SH
.NE
\fIInputSize\fR (IntState): Number of input samples to read.
.DF "256"
.NE
\fIfftSize\fR (IntState): Size of the transform.
.DF "256"
.NE
\fIInverse\fR (IntState): Equals 1 for inverse.
.DF "0"
.NE
\fIUseWindow\fR (IntState): Equals 1 to use Hamming window
.DF "0"
.ET
.EQ
delim $$
.EN
.ES
