.EQ
delim off
.EN
.\" documentation file generated from SDFRunLenImgInv.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "RunLenImgInv"
.SD
Accept a Float Matrix and inverse run-length encode it.
Check to make sure we don't write past unallocated memory.
.SE
.LO "SDF image library"
.DM SDF SDFStar
.SV 1.18 "3/7/96"
.AL "Paul Haskell"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX_ENV)
.NE
\fIoriginalW\fR (int): The width of the original image before run-length encoded.
.NE
\fIoriginalH\fR (int): The height of the original image before run-length encoded.
.PE
.OH
.NE
\fIoutput\fR (FLOAT_MATRIX_ENV)
.PE
.SH
.NE
\fImeanVal\fR (IntState): Center value for thresholding.
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
.Id "decompression, run length"
.Id "decoding, run length"
.Id "run length decoding"
.Id "image, run length decoding"
.SA
RunLenImg.
.ES
