.EQ
delim off
.EN
.\" documentation file generated from SDFSubFix.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "SubFix"
.SD
Output as a fixed-point number the "pos" input minus all "neg" inputs.
.SE
.LO "SDF main library"
.DM SDF SDFFix
.SV 1.19 "2/12/96"
.AL "A. Khazeni"
.IH
.NE
\fIpos\fR (fix)
.NE
\fIneg\fR (multiple), (fix)
.PE
.OH
.NE
\fIoutput\fR (fix)
.PE
.SH
.NE
\fIArrivingPrecision\fR (IntState): Flag indicating whether or not to use the precision of the arriving particles
(the "pos" input and the "neg" inputs) as they are:  YES processes them
unaltered, and NO casts them to the precision specified by the
parameter "InputPrecision".
.DF "YES"
.NE
\fIInputPrecision\fR (PrecisionState): Precision of the "neg" input in bits.
The input particles are only cast to this precision if the
parameter "ArrivingPrecision" is set to NO.
.DF "2.14"
.NE
\fIOutputPrecision\fR (PrecisionState): Precision of the output in bits.
This is the precision that will hold the result of the difference
of the inputs.
When the value of the accumulation extends outside of the precision,
the OverflowHandler will be called.
.DF "2.14"
.ET
.EQ
delim $$
.EN
.ES
