.EQ
delim off
.EN
.\" documentation file generated from SDFTWTA.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TWTA"
.SD
Model of a TWTA amplifier
.SE
.LO "SDF user contribution library"
.DM SDF SDFStar
.SV 1.4 "3/7/96"
.AL "N. Becker"
.IH
.NE
\fIin\fR (complex)
.PE
.OH
.NE
\fIout\fR (complex)
.PE
.SH
.NE
\fIInputBackoff\fR (FloatArrayState): Input Backoff sample values in dB (for phase and amplitude values)
: Input Backoff sample values in dB (for phase and amplitude values)
.NE
\fIPhase\fR (FloatArrayState): Phase (degree) vs. Input Backoff (dB)
: Phase (degree) vs. Input Backoff (dB)
.NE
\fIAmplitude\fR (FloatArrayState): Amplitude (dB) vs. Input Backoff (dB)
: Amplitude (dB) vs. Input Backoff (dB)
.NE
\fIBackoff\fR (FloatState): Input Backoff (dB)
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
A TWTA amplifier is modeled by its transfer characteristic.
Data points for output backoff (dB) vs. input backoff (dB) and
phase (degree) vs. input backoff are supplied in three arrays.
Then for each complex input sample the input backoff is computed,
and linear interpolation/extrapolation is used to find the phase and 
output amplitude, which is converted back to a complex output sample.
.ES
