.EQ
delim off
.EN
.\" documentation file generated from SDFTable.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Table"
.SD
This star implements a real-valued lookup table indexed by an
integer-valued input.  The input must lie between 0 and N-1,
inclusive, where N is the size of the table.  The "values"
parameter (an array) specifies the entries in the table.  Its
first element is indexed by a zero-valued input.  An error occurs
if the input value is out of bounds.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.11 "2/13/96"
.AL "J. T. Buck"
.IH
.NE
\fIinput\fR (int)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIvalues\fR (FloatArrayState): "table of values to output"
.DF "-1 1"
.ET
.EQ
delim $$
.EN
.LD
.Id "table lookup"
.ES
