.EQ
delim off
.EN
.\" documentation file generated from SDFTableCx.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TableCx"
.SD
This star implements a complex-valued lookup table indexed by an
integer-valued input.  The input must lie between 0 and N-1,
inclusive, where N is the size of the table. The "values" parameter
specifies the table.  Its first element is indexed by a zero-valued
input. An error occurs if the input value is out of bounds.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.9 "2/13/96"
.AL "J. T. Buck"
.IH
.NE
\fIinput\fR (int)
.PE
.OH
.NE
\fIoutput\fR (complex)
.PE
.SH
.NE
\fIvalues\fR (ComplexArrayState): "table of values to output"
.DF "(1, 0) (0, 1) (-1, 0) (0, -1)"
.ET
.EQ
delim $$
.EN
.LD
.Id "table lookup, complex"
.ES
