.EQ
delim off
.EN
.\" documentation file generated from SDFTkButtons.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TkButtons"
.SD
This star outputs the value 0.0 on all outputs unless the correspoding
button is pushed.  When the button is pused, the output takes the value
given by the parameter "value".  If "synchronous" is YES, then outputs
are produced only when some button is pushed.  I.e., the star waits for
a button to be pushed before its go method returns.
If "allow_simultaneous_events" is yes, then buttons pushed are registered
only when the button labeled "PUSH TO PRODUCE OUTPUTS" is pushed.
Note that if "synchronous" is NO, this star is nondeterminate.
.SE
.LO "SDF Tcl/Tk library"
.DM SDF SDFTclScript
.SV 1.4 "10/23/95"
.AL "Edward A. Lee"
.SH
.NE
\fIlabel\fR (StringState): Title for the set of buttons
.DF "Buttons you can push:"
.NE
\fIidentifiers\fR (StringArrayState): A list of strings that identify each button
.DF "BUTTON1"
.NE
\fIvalue\fR (FloatState): The value produced when a button is pushed
.DF "1.0"
.NE
\fIallow_simultaneous_events\fR (IntState): If YES, allow buttons to produce simultaneous output values
.DF "NO"
.NE
\fIsynchronous\fR (IntState): If YES, wait until a button is pushed before returning from the go method
.DF "NO"
.NE
\fIput_in_control_panel\fR (IntState): Specify to put slider in the control panel (vs. its own window)
.DF "YES"
.ET
.EQ
delim $$
.EN
.ES
