.EQ
delim off
.EN
.\" documentation file generated from SDFTkShowValues.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "TkShowValues"
.SD
Display the values of the inputs in textual form.
The print method of the input particles is used,
so any data type can be handled, although the space
allocated on the screen may need to be adjusted.
.SE
.LO "SDF Tcl/Tk library"
.DM SDF SDFTclScript
.SV 1.11 "10/23/95"
.AL "E. A. Lee"
.SH
.NE
\fIlabel\fR (StringState): A label to put on the display
.DF "Inputs to the TkShowValues star:"
.NE
\fIput_in_control_panel\fR (IntState): Specify to put bars in the control panel (vs. their own window)
.DF "YES"
.NE
\fIwait_between_outputs\fR (IntState): Specify whether to wait for user input between output values
.DF "NO"
.ET
.EQ
delim $$
.EN
.LD
This star uses the "print()" method of the input particles to create
the display.
The width of the display window is appropriate for integer, float, and
complex particles.
Particles that require more space to display may create problems.
.ES
