.EQ
delim off
.EN
.\" documentation file generated from SDFTrainer.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Trainer"
.SD
Pass the value of the "train" input to the output for the first "trainLength" samples,
then pass the "decision" input to the output. This star is designed for use with
adaptive equalizers that require a training sequence at startup, but it can be
used whenever one sequence is used during a startup phase, and another sequence
after that.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.7 "3/2/95"
.AL "J. T. Buck"
.IH
.NE
\fItrain\fR (anytype)
.NE
\fIdecision\fR (ANYTYPE)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fItrainLength\fR (IntState): Number of training samples to use
.DF "100"
.ET
.EQ
delim $$
.EN
.LD
During the startup phase, the "decision" inputs are discarded.  After the
startup phase, the "train" inputs are discarded.
.Id "DFE training"
.Id "decision feedback equalizer training"
.Id "equalizer, decision feedback, training"
.ES
