.EQ
delim off
.EN
.\" documentation file generated from SDFTranspose.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Transpose"
.SD
Transpose a rasterized matrix (one that is read as a sequence
of particles, row by row, and written in the same form).
The number of particles produced and consumed equals the product
of "samplesInaRow" and "numberOfRows".
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.9 "3/7/96"
.AL "E. A. Lee"
.IH
.NE
\fIinput\fR (ANYTYPE)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fIsamplesInaRow\fR (IntState): The number of input samples constituting a row.
.DF "8"
.NE
\fInumberOfRows\fR (IntState): The number of rows in the input matrix.
.DF "8"
.ET
.EQ
delim $$
.EN
.ES
