.EQ
delim off
.EN
.\" documentation file generated from SDFUpSample.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "UpSample"
.SD
Upsample by a given "factor" (default 2), filling with "fill" (default 0.0).
The "phase" parameter tells where to put the sample in an output block.
The default is to output it first (phase = 0). The maximum phase is "factor" - 1.
Although the "fill" parameter is a floating-point number, if the input is of
some other type, such as complex, the fill particle will be obtained by casting
"fill" to the appropriate type.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 2.9 "3/2/95"
.AL "J. T. Buck"
.IH
.NE
\fIinput\fR (ANYTYPE)
.PE
.OH
.NE
\fIoutput\fR (ANYTYPE)
.PE
.SH
.NE
\fIfactor\fR (IntState): Number of samples produced.
.DF "2"
.NE
\fIphase\fR (IntState): Where to put the input in the output block.
.DF "0"
.NE
\fIfill\fR (FloatState): Value to fill the output block.
.DF "0.0"
.ET
.EQ
delim $$
.EN
.ES
