.EQ
delim off
.EN
.\" documentation file generated from SDFVQCoder.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "VQCoder"
.SD
Full search vector quantization encoder, ie, find the index of the nearest 
neighbor in the given codebook corresponding to the input matrix.
Note that each input matrix will first be viewed as a row vector in row by
row, in order to find the nearest neighbor codeword in the codebook.
.SE
.LO "SDF dsp library"
.DM SDF SDFStar
.SV 1.3 "10/20/95"
.AL "Bilung Lee"
.IH
.NE
\fIinput\fR (FLOAT_MATRIX_ENV): Input matrix.
.PE
.OH
.NE
\fIoutput\fR (int): The index of the nearest neighbor in the codebook corresponding to the
input matrix.
.PE
.SH
.NE
\fInumRows\fR (IntState): The number of rows for input matrix.
.DF "1"
.NE
\fInumCols\fR (IntState): The number of columns for input matrix.
.DF "2"
.NE
\fIfloatCodebook\fR (FloatArrayState): The float codewords for the codebook. Each codeword with length numRows*numCols.
.DF "1.0 1.0   1.0 -1.0   -1.0 1.0   -1.0 -1.0"
.ET
.EQ
delim $$
.EN
.ES
