.EQ
delim off
.EN
.\" documentation file generated from SDFWaterfall.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Waterfall"
.SD
Plot a series of traces in the style of a "waterfall" plot.
This is three-dimensional plot used to show the evolution
of signals or spectra.  Optionally, each plot can be made opaque, so
that lines that would appear behind the plot are eliminated.
The star is derived from Xgraph.
.SE
.LO "SDF main library"
.DM SDF SDFXgraph
.SV 1.11 "3/2/95"
.AL "E. A. Lee"
.SH
.NE
\fItraceLength\fR (IntState): Number of samples per trace.
.DF "128"
.NE
\fIxOffset\fR (IntState): Amount of right shift of each successive trace, in number of samples.
.DF "4"
.NE
\fIyOffset\fR (FloatState): Amount of upward shift of each successive trace, in vertical units.
.DF "4.0"
.NE
\fIshowHiddenLines\fR (IntState): Flag that turns on or off hidden-line elimination.
.DF "NO"
.NE
\fIshowZeroPlane\fR (IntState): Flag that turns on or off the display of the plane where y=0.
.DF "YES"
.ET
.EQ
delim $$
.EN
.SA
Xgraph,
XMgraph,
XYgraph,
xgraph,
Xhistogram and
timeVarSpec.
.ES
