.EQ
delim off
.EN
.\" documentation file generated from SDFWaveFormCx.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "WaveFormCx"
.SD
Output a complex waveform as specified by the array state "value"
(default "(1,0) (-1,0)").
The parameters work the same way as in the WaveForm star.
This star may be used to read a file by simply setting "value" to
something of the form "< filename".
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.10 "3/2/95"
.AL "J. T. Buck and E. A. Lee"
.OH
.NE
\fIoutput\fR (complex)
.PE
.SH
.NE
\fIvalue\fR (ComplexArrayState): One period of the output waveform.
.DF "(1,0) (-1,0)"
.NE
\fIhaltAtEnd\fR (IntState): Halt the run at the end of the given data.
.DF "NO"
.NE
\fIperiodic\fR (IntState): Output is periodic if "YES" (nonzero).
.DF "YES"
.ET
.EQ
delim $$
.EN
.LD
Since this star can be used to read a complex waveform from a file,
there is no other star dedicated to this purpose.
.IE "file read"
.IE "complex waveform"
.IE "reading from a file"
.IE "halting a simulation"
.ES
