.EQ
delim off
.EN
.\" documentation file generated from SDFXgraph.pl by ptlang
.\" Copyright (c) 1990-1995 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Xgraph"
.SD
Generate a plot of a single signal with the xgraph program.
.SE
.LO "SDF main library"
.DM SDF SDFStar
.SV 1.17 "3/2/95"
.AL "J. T. Buck"
.IH
.NE
\fIinput\fR (anytype)
.PE
.SH
.NE
\fItitle\fR (StringState): Title for the plot.
.DF "Ptolemy Xgraph"
.NE
\fIsaveFile\fR (StringState): File to save the input to the xgraph program.
.DF ""
.NE
\fIoptions\fR (StringState): Command line options for xgraph.
.DF "-bb -tk =800x400"
.NE
\fIignore\fR (IntState): Number of initial values to ignore.
.DF "0"
.NE
\fIxUnits\fR (FloatState): For labeling, horizontal increment between samples.
.DF "1.0"
.NE
\fIxInit\fR (FloatState): For labeling, horizontal value of the first sample.
.DF "0.0"
.ET
.EQ
delim $$
.EN
.LD
The input signal is plotted using the \fIpxgraph\fR program which
is provided with the Ptolemy distribution.
Note that pxgraph is a specially modified version of xgraph.
The \fItitle\fR parameter specifies a title for the plot.
The \fIsaveFile\fR parameter optionally specifies a file for
storing the data in a syntax acceptable to xgraph.
A null string prevents any such storage.
The \fIoptions\fR string is passed directly to the xgraph program
as command-line options.  See the manual section describing xgraph
for a complete explanation of the options.
.Ir "xgraph program"
.Id "graph, X window"
.ES
