#ifndef _SDFBiquad_h
#define _SDFBiquad_h 1
// header file generated from SDFBiquad.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "FloatState.h"

class SDFBiquad : public SDFStar
{
public:
	SDFBiquad();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void go();
	FloatState d1;
	FloatState d2;
	FloatState n0;
	FloatState n1;
	FloatState n2;
	FloatState state1;
	FloatState state2;

};
#endif
