#ifndef _SDFBlockFIR_h
#define _SDFBlockFIR_h 1
// header file generated from SDFBlockFIR.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"

class SDFBlockFIR : public SDFStar
{
public:
	SDFBlockFIR();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFBlockFIR();
	InSDFPort signalIn;
	OutSDFPort signalOut;
	InSDFPort coefs;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState blockSize;
	IntState order;
	IntState decimation;
	IntState decimationPhase;
	IntState interpolation;
# line 76 "SDFBlockFIR.pl"
int phaseLength;
		double *taps;
		int lastM;

};
#endif
