#ifndef _SDFBlockLattice_h
#define _SDFBlockLattice_h 1
// header file generated from SDFBlockLattice.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"

class SDFBlockLattice : public SDFStar
{
public:
	SDFBlockLattice();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFBlockLattice();
	InSDFPort signalIn;
	InSDFPort coefs;
	OutSDFPort signalOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState blockSize;
	IntState order;
# line 48 "SDFBlockLattice.pl"
double *b;
		double *f;
		double *reflectionCoefs;
		int lastM;

};
#endif
