#ifndef _SDFConvolve_h
#define _SDFConvolve_h 1
// header file generated from SDFConvolve.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"

class SDFConvolve : public SDFStar
{
public:
	SDFConvolve();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort inA;
	InSDFPort inB;
	OutSDFPort out;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState truncationDepth;
	IntState iterationCount;

};
#endif
