#ifndef _SDFGoertzelBase_h
#define _SDFGoertzelBase_h 1
// header file generated from SDFGoertzelBase.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatState.h"

class SDFGoertzelBase : public SDFStar
{
public:
	SDFGoertzelBase();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState k;
	IntState N;
	IntState size;
	FloatState d1;
	FloatState state1;
	FloatState state2;
# line 61 "SDFGoertzelBase.pl"
double theta;

};
#endif
