#ifndef _SDFIIRFix_h
#define _SDFIIRFix_h 1
// header file generated from SDFIIRFix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFFix.h"
#include "IntState.h"
#include "FloatState.h"
#include "FloatArrayState.h"
#include "PrecisionState.h"

class SDFIIRFix : public SDFFix
{
public:
	SDFIIRFix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFIIRFix();
	InSDFPort signalIn;
	OutSDFPort signalOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState gain;
	FloatArrayState numerator;
	FloatArrayState denominator;
	PrecisionState CoefPrecision;
	IntState ArrivingPrecision;
	PrecisionState InputPrecision;
	PrecisionState AccumPrecision;
	PrecisionState StatePrecision;
	PrecisionState OutputPrecision;
# line 141 "SDFIIRFix.pl"
int numState;
		Fix *fdbckCoefs, *fwdCoefs, *state;
		Fix fixIn, fdbckAccum, fwdAccum, out;

};
#endif
