#ifndef _SDFLMS_h
#define _SDFLMS_h 1
// header file generated from SDFLMS.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFFIR.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class SDFLMS : public SDFFIR
{
public:
	SDFLMS();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void wrapup();
	InSDFPort error;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState stepSize;
	IntState errorDelay;
	StringState saveTapsFile;

};
#endif
