#ifndef _SDFSGVQCodebk_h
#define _SDFSGVQCodebk_h 1
// header file generated from SDFSGVQCodebk.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class SDFSGVQCodebk : public SDFStar
{
public:
	SDFSGVQCodebk();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void wrapup();
	/* virtual */ ~SDFSGVQCodebk();
	InSDFPort input;
	OutSDFPort output;
	OutSDFPort outGain;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState dimension;
	IntState sizeTrnSet;
	IntState sizeShapeCodebook;
	IntState sizeGainCodebook;
	FloatState thresholdRatio;
	IntState maxIteration;
	StringState saveShapeCodebook;
	StringState saveGainCodebook;
# line 142 "SDFSGVQCodebk.pl"
double* shapeCodebook;
    double* gainCodebook;
    double* trnSet;
    double* shapeCentroid;
    double* gainCentroid;
    int*    numGainPart;

};
#endif
