#ifndef _SDFSGVQCoder_h
#define _SDFSGVQCoder_h 1
// header file generated from SDFSGVQCoder.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class SDFSGVQCoder : public SDFStar
{
public:
	SDFSGVQCoder();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	OutSDFPort outShape;
	OutSDFPort outGain;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState numRows;
	IntState numCols;
	FloatArrayState shapeCodebook;
	FloatArrayState gainCodebook;
# line 66 "SDFSGVQCoder.pl"
int dimension;
    int sizeShapeCodebook;
    int sizeGainCodebook;

};
#endif
