#ifndef _SDFWindow_h
#define _SDFWindow_h 1
// header file generated from SDFWindow.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "StringState.h"
#include "FloatArrayState.h"

class SDFWindow : public SDFStar
{
public:
	SDFWindow();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState name;
	IntState length;
	IntState period;
	FloatArrayState WindowParameters;
# line 103 "SDFWindow.pl"
int winType;
	int realLen;
	int realPeriod;
	double scale0;
	double scale1;
	double freq1;
	double scale2;
	double freq2;
	double beta;
	double alpha;
	double norm;

};
#endif
