#ifndef _SDFContrast_h
#define _SDFContrast_h 1
// header file generated from SDFContrast.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "StringState.h"

class SDFContrast : public SDFStar
{
public:
	SDFContrast();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFContrast();
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState contrastType;
	IntState maxInMatrix;
	IntState minInMatrix;
# line 47 "SDFContrast.pl"
int max, min;
        int *histBuf, *cumulativeHistBuf;

private:
	void histogram (int *hist, int *matrix, int size, int min, int max);

};
#endif
