#ifndef _SDFDCTImage_h
#define _SDFDCTImage_h 1
// header file generated from SDFDCTImage.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include <math.h>
#include "Matrix.h"
#include "Error.h"
#include "IntState.h"

class SDFDCTImage : public SDFStar
{
public:
	SDFDCTImage();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFDCTImage();
	InSDFPort input;
	OutSDFPort output;
	OutSDFPort originalW;
	OutSDFPort originalH;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState BlockSize;
# line 47 "SDFDCTImage.pl"
float* cosData;
		int blocksize;
	void cosSet ();
	float fwdD (int a, int b) {
# line 87 "SDFDCTImage.pl"
return (cosData[a*blocksize+b]);
	}
	void doDCT (FloatMatrix& outImage, const FloatMatrix& inImage);

};
#endif
