#ifndef _SDFDCTImageInv_h
#define _SDFDCTImageInv_h 1
// header file generated from SDFDCTImageInv.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include <math.h>
#include "Matrix.h"
#include "Error.h"
#include "IntState.h"

class SDFDCTImageInv : public SDFStar
{
public:
	SDFDCTImageInv();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFDCTImageInv();
	InSDFPort input;
	InSDFPort originalW;
	InSDFPort originalH;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState BlockSize;
# line 48 "SDFDCTImageInv.pl"
float* cosData;
		int blocksize;
	void cosSet ();
	float invD (int a, int b) {
# line 86 "SDFDCTImageInv.pl"
return (cosData[b*blocksize+a]);
	}
	void doInvDCT (FloatMatrix& out, FloatMatrix& in);

};
#endif
