#ifndef _SDFDCTImgCdeInv_h
#define _SDFDCTImgCdeInv_h 1
// header file generated from SDFDCTImgCdeInv.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Matrix.h"
#include "Error.h"
#include "IntState.h"

class SDFDCTImgCdeInv : public SDFStar
{
public:
	SDFDCTImgCdeInv();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort hiport;
	InSDFPort loport;
	InSDFPort originalW;
	InSDFPort originalH;
	OutSDFPort output;

protected:
	/* virtual */ void go();
	IntState BlockSize;
	IntState HiPri;
	FloatMatrix& invRunLen (const FloatMatrix& hiImage, const FloatMatrix& loImage, int width, int height);

};
#endif
