#ifndef _SDFDPCMImage_h
#define _SDFDPCMImage_h 1
// header file generated from SDFDPCMImage.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Matrix.h"
#include "Error.h"
#include "FloatState.h"

class SDFDPCMImage : public SDFStar
{
public:
	SDFDPCMImage();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	InSDFPort past;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState alpha;
# line 41 "SDFDPCMImage.pl"
float leak;
	unsigned char quant (float inp, float pst) {
# line 58 "SDFDPCMImage.pl"
return((unsigned char) (inp + 0.5 + leak * (128.0 - pst)));
	}

private:
	int inputsOk (const FloatMatrix& one, const FloatMatrix& two);

};
#endif
