#ifndef _SDFDisplayVideo_h
#define _SDFDisplayVideo_h 1
// header file generated from SDFDisplayVideo.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Matrix.h"
#include "StringList.h"
#include "IntState.h"
#include "StringState.h"

class SDFDisplayVideo : public SDFStar
{
public:
	SDFDisplayVideo();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void wrapup();
	/* virtual */ ~SDFDisplayVideo();
	InSDFPort inData;
	InSDFPort inFrameId;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState ImageName;
	IntState Save;
	IntState ByFields;
# line 118 "SDFDisplayVideo.pl"
unsigned char* tempFrame;
    int width, height, fieldNum, firstTime;
    StringList allFileNames, rootName, tmpFile;
	void DoFirstTime (const FloatMatrix& img);
	int SizeCheck (const FloatMatrix& img);
	void DataToFile (const unsigned char* data, const int id);

private:
	void CleanUp ();

};
#endif
