#ifndef _SDFDither_h
#define _SDFDither_h 1
// header file generated from SDFDither.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "StringState.h"
#include "FloatArrayState.h"

class SDFDither : public SDFStar
{
public:
	SDFDither();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFDither();
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState ditherType;
	FloatArrayState ownMask;
	IntState rowsOwnMask;
	IntState colsOwnMask;
# line 52 "SDFDither.pl"
double *mask;
        int rowsMask, colsMask;

private:
	double bound (double value);

};
#endif
