#ifndef _SDFMotionCmp_h
#define _SDFMotionCmp_h 1
// header file generated from SDFMotionCmp.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Matrix.h"
#include "Error.h"
#include "IntState.h"

class SDFMotionCmp : public SDFStar
{
public:
	SDFMotionCmp();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	InSDFPort past;
	OutSDFPort diffOut;
	OutSDFPort mvHorzOut;
	OutSDFPort mvVertOut;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState BlockSize;
# line 49 "SDFMotionCmp.pl"
int bs;
	virtual void FindMatch (const FloatMatrix& cur, const FloatMatrix& prev, const int ii, const int jj, int& xvec, int& yvec, const int width, const int height);
	virtual void DoOneBlock (char& horz, char& vert, FloatMatrix& diff, const FloatMatrix& cur, const FloatMatrix& prev, const int ii, const int jj, const int xvec, const int yvec, const int width);
	virtual unsigned char quant (const int i1, const int i2) {
# line 159 "SDFMotionCmp.pl"
int f = (i1 - i2) / 2;
	return ((unsigned char) (f + 128));
	}

private:
	void doMC (FloatMatrix& diff, const FloatMatrix& cur, const FloatMatrix&  prev, FloatMatrix& horzImg, FloatMatrix& vertImg, const int width, const int height);
	int inputsOk (const FloatMatrix& one, const FloatMatrix& two, char* buf);

};
#endif
