#ifndef _SDFRankImage_h
#define _SDFRankImage_h 1
// header file generated from SDFRankImage.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include <std.h>
#include "Matrix.h"
#include "IntState.h"

class SDFRankImage : public SDFStar
{
public:
	SDFRankImage();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ ~SDFRankImage();
	InSDFPort inData;
	OutSDFPort outData;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState FilterWidth;
	IntState RankOrder;
# line 68 "SDFRankImage.pl"
int halfsize, height, neighborhoodSize, rankIndex, size, width;
		float* buf;
	float retRankedElement (const FloatMatrix& image, int i, int j);

};
#endif
