#ifndef _SDFRunLenImg_h
#define _SDFRunLenImg_h 1
// header file generated from SDFRunLenImg.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Matrix.h"
#include "Error.h"
#include "IntState.h"

class SDFRunLenImg : public SDFStar
{
public:
	SDFRunLenImg();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	OutSDFPort output;
	OutSDFPort originalW;
	OutSDFPort originalH;
	OutSDFPort compression;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState Thresh;
	IntState meanVal;
# line 59 "SDFRunLenImg.pl"
int thresh;
	int gt (unsigned char ch, int in) {
# line 68 "SDFRunLenImg.pl"
return (abs(int(ch) - int(meanVal)) > in);
	}
	FloatMatrix& doRunLen (const FloatMatrix& inImage);

};
#endif
