#ifndef _SDFRunLenImgInv_h
#define _SDFRunLenImgInv_h 1
// header file generated from SDFRunLenImgInv.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Matrix.h"
#include "Error.h"
#include "IntState.h"

class SDFRunLenImgInv : public SDFStar
{
public:
	SDFRunLenImgInv();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	InSDFPort originalW;
	InSDFPort originalH;
	OutSDFPort output;

protected:
	/* virtual */ void go();
	IntState meanVal;
	FloatMatrix& invRunLen (const FloatMatrix& inData,int outW, int outH);

};
#endif
