#ifndef _SDFGainFix_M_h
#define _SDFGainFix_M_h 1
// header file generated from SDFGainFix_M.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "StringState.h"
#include "FixState.h"

class SDFGainFix_M : public SDFStar
{
public:
	SDFGainFix_M();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState gain;
	IntState UseArrivingPrecision;
	StringState NewInputPrecision;
	StringState OutputPrecision;
	StringState OverflowHandler;
# line 65 "SDFGainFix_M.pl"
const char* IP;
    const char* OP;
    const char* OV;
    int in_IntBits;
    int in_len;
    int out_IntBits;
    int out_len;

};
#endif
