static const char file_id[] = "SDFIdentityInt_M.pl";
// .cc file generated from SDFIdentityInt_M.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFIdentityInt_M.h"
#include "Matrix.h"

const char *star_nm_SDFIdentityInt_M = "SDFIdentityInt_M";

const char* SDFIdentityInt_M :: className() const {return star_nm_SDFIdentityInt_M;}

ISA_FUNC(SDFIdentityInt_M,SDFStar);

Block* SDFIdentityInt_M :: makeNew() const { LOG_NEW; return new SDFIdentityInt_M;}

SDFIdentityInt_M::SDFIdentityInt_M ()
{
	setDescriptor("Output a integer identity matrix.");
	addPort(output.setPort("output",this,INT_MATRIX_ENV));
	addState(rowsCols.setState("rowsCols",this,"2","Number of rows and columns of the output square matrix."));


}

void SDFIdentityInt_M::go() {
# line 26 "SDFIdentityInt_M.pl"
IntMatrix& result = *(new IntMatrix(int(rowsCols),int(rowsCols)));
    result.identity();
    output%0 << result;
}

// prototype instance for known block list
static SDFIdentityInt_M proto;
static RegisterBlock registerBlock(proto,"IdentityInt_M");
