#ifndef _SDFMatrix_h
#define _SDFMatrix_h 1
// header file generated from SDFMatrix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatArrayState.h"

class SDFMatrix : public SDFStar
{
public:
	SDFMatrix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutSDFPort output;

protected:
	/* virtual */ void go();
	IntState numRows;
	IntState numCols;
	FloatArrayState FloatMatrixContents;

};
#endif
