#ifndef _SDFMatrixFix_h
#define _SDFMatrixFix_h 1
// header file generated from SDFMatrixFix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "StringState.h"
#include "FixArrayState.h"

class SDFMatrixFix : public SDFStar
{
public:
	SDFMatrixFix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutSDFPort output;

protected:
	/* virtual */ void go();
	IntState numRows;
	IntState numCols;
	FixArrayState FixMatrixContents;
	StringState FixPrecision;
# line 55 "SDFMatrixFix.pl"
const char* precision;
        int length, intbits;

};
#endif
