#ifndef _SDFMpyFix_M_h
#define _SDFMpyFix_M_h 1
// header file generated from SDFMpyFix_M.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "StringState.h"

class SDFMpyFix_M : public SDFStar
{
public:
	SDFMpyFix_M();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort Ainput;
	InSDFPort Binput;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState KeepArrivingPrecision;
	StringState InputPrecision;
	StringState OutputPrecision;
	StringState OverflowHandler;
	IntState numRows;
	IntState numCols;
# line 78 "SDFMpyFix_M.pl"
const char* IP;
          const char* OP;
          const char* OV;
          int in_IntBits;
          int in_len;
          int out_IntBits;
          int out_len;

};
#endif
