#ifndef _SDFSmithForm_h
#define _SDFSmithForm_h 1
// header file generated from SDFSmithForm.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
# line 135 "SDFSmithForm.pl"
#define intmin(m,n)             ( ( (m) < (n) ) ? (m) : (n) )
#define intabs(m)               ( ( (m) > 0 ) ? (m) : (-(m)) )

#define INT_IS_ZERO(x)          ( ! (x) )
#define INT_IS_NOT_ZERO(x)      (x)
#define INT_SWAP3(a,b,t)        { t = a; a = b; b = t; }

class SDFSmithForm : public SDFStar
{
public:
	SDFSmithForm();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort S;
	OutSDFPort U;
	OutSDFPort D;
	OutSDFPort V;

protected:
	/* virtual */ void go();
	IntState SmithCanonicalForm;

};
#endif
