static const char file_id[] = "SDFAddInt.pl";
// .cc file generated from SDFAddInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFAddInt.h"

const char *star_nm_SDFAddInt = "SDFAddInt";

const char* SDFAddInt :: className() const {return star_nm_SDFAddInt;}

ISA_FUNC(SDFAddInt,SDFStar);

Block* SDFAddInt :: makeNew() const { LOG_NEW; return new SDFAddInt;}

SDFAddInt::SDFAddInt ()
{
	setDescriptor("Output the sum of the integer inputs as an integer.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));


}

void SDFAddInt::go() {
# line 23 "SDFAddInt.pl"
MPHIter nexti(input);
		PortHole *p;
		int sum = 0;
		while ((p = nexti++) != 0)
			sum += int((*p)%0);
		output%0 << sum;
}

// prototype instance for known block list
static SDFAddInt proto;
static RegisterBlock registerBlock(proto,"AddInt");
