static const char file_id[] = "SDFBusFork.pl";
// .cc file generated from SDFBusFork.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFBusFork.h"

const char *star_nm_SDFBusFork = "SDFBusFork";

const char* SDFBusFork :: className() const {return star_nm_SDFBusFork;}

ISA_FUNC(SDFBusFork,SDFStar);

Block* SDFBusFork :: makeNew() const { LOG_NEW; return new SDFBusFork;}

SDFBusFork::SDFBusFork ()
{
	setDescriptor("Copy particles from an input bus to each output bus.");
	addPort(input.setPort("input",this,ANYTYPE));
	addPort(outputA.setPort("outputA",this,ANYTYPE));
	outputA.inheritTypeFrom(input);
	addPort(outputB.setPort("outputB",this,ANYTYPE));
	outputB.inheritTypeFrom(input);


}

void SDFBusFork::begin() {
# line 29 "SDFBusFork.pl"
if (input.numberPorts() != outputA.numberPorts() ||
	      input.numberPorts() != outputB.numberPorts()) {
	    Error::abortRun(*this, "Bus widths don't match");
	    return;
	  }
}

void SDFBusFork::go() {
# line 36 "SDFBusFork.pl"
MPHIter nextin(input), nextoutA(outputA), nextoutB(outputB);
	  PortHole *in, *outA = (PortHole *)NULL, *outB = (PortHole *)NULL;
	  while (((in = nextin++) != 0) &&
		 ((outA = nextoutA++) != 0) &&
		 ((outB = nextoutB++) != 0)) {
	    (*outA)%0 = (*outB)%0 = (*in)%0;
	  }
}

// prototype instance for known block list
static SDFBusFork proto;
static RegisterBlock registerBlock(proto,"BusFork");
