static const char file_id[] = "SDFChopVarOffset.pl";
// .cc file generated from SDFChopVarOffset.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFChopVarOffset.h"

const char *star_nm_SDFChopVarOffset = "SDFChopVarOffset";

const char* SDFChopVarOffset :: className() const {return star_nm_SDFChopVarOffset;}

ISA_FUNC(SDFChopVarOffset,SDFChop);

Block* SDFChopVarOffset :: makeNew() const { LOG_NEW; return new SDFChopVarOffset;}

SDFChopVarOffset::SDFChopVarOffset ()
{
	setDescriptor("This star has the same functionality as the Chop star except that the\n\fIoffset\fR parameter is determined at run time by a control input and that\nthe \fIuse_past_inputs\fR parameter is set to FALSE and not accessible.");
	addPort(offsetCntrl.setPort("offsetCntrl",this,INT));

# line 23 "SDFChopVarOffset.pl"
offset.setAttributes(A_NONCONSTANT | A_NONSETTABLE);
		use_past_inputs.setAttributes(A_NONCONSTANT | A_NONSETTABLE);
		use_past_inputs = FALSE;
}

void SDFChopVarOffset::go() {
# line 29 "SDFChopVarOffset.pl"
offset = int(offsetCntrl%0);
		computeRange();
		SDFChop :: go();
}

// prototype instance for known block list
static SDFChopVarOffset proto;
static RegisterBlock registerBlock(proto,"ChopVarOffset");
