static const char file_id[] = "SDFConstFix.pl";
// .cc file generated from SDFConstFix.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFConstFix.h"

const char *star_nm_SDFConstFix = "SDFConstFix";

const char* SDFConstFix :: className() const {return star_nm_SDFConstFix;}

ISA_FUNC(SDFConstFix,SDFFix);

Block* SDFConstFix :: makeNew() const { LOG_NEW; return new SDFConstFix;}

SDFConstFix::SDFConstFix ()
{
	setDescriptor("Output a fixed-point constant output with value \"level\" (default 0.0).");
	addPort(output.setPort("output",this,FIX));
	addState(level.setState("level",this,"0.0","The constant value."));
	addState(OutputPrecision.setState("OutputPrecision",this,"2.14","Precision of the output in bits."));


}

void SDFConstFix::setup() {
# line 45 "SDFConstFix.pl"
SDFFix::setup();

                out = Fix( ((const char *) OutputPrecision) );
		if ( out.invalid() )
		   Error::abortRun( *this, "Invalid OutputPrecision" );
		out.set_ovflow( ((const char *) OverflowHandler) );
		if ( out.invalid() )
		   Error::abortRun( *this, "Invalid OverflowHandler" );
		out.set_rounding( int(RoundFix) );
}

void SDFConstFix::go() {
# line 56 "SDFConstFix.pl"
out = 0.0;
		out = Fix(level);
		output%0 << out;
}

// prototype instance for known block list
static SDFConstFix proto;
static RegisterBlock registerBlock(proto,"ConstFix");
