static const char file_id[] = "SDFCxToInt.pl";
// .cc file generated from SDFCxToInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFCxToInt.h"

const char *star_nm_SDFCxToInt = "SDFCxToInt";

const char* SDFCxToInt :: className() const {return star_nm_SDFCxToInt;}

ISA_FUNC(SDFCxToInt,SDFStar);

Block* SDFCxToInt :: makeNew() const { LOG_NEW; return new SDFCxToInt;}

SDFCxToInt::SDFCxToInt ()
{
	setDescriptor("Convert a complex input to an integer output.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(output.setPort("output",this,INT));


}

void SDFCxToInt::go() {
# line 25 "SDFCxToInt.pl"
output%0 << int(input%0);
}

// prototype instance for known block list
static SDFCxToInt proto;
static RegisterBlock registerBlock(proto,"CxToInt");
