static const char file_id[] = "SDFDivByInt.pl";
// .cc file generated from SDFDivByInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFDivByInt.h"

const char *star_nm_SDFDivByInt = "SDFDivByInt";

const char* SDFDivByInt :: className() const {return star_nm_SDFDivByInt;}

ISA_FUNC(SDFDivByInt,SDFStar);

Block* SDFDivByInt :: makeNew() const { LOG_NEW; return new SDFDivByInt;}

SDFDivByInt::SDFDivByInt ()
{
	setDescriptor("This is an amplifier; the integer output is the integer input\nmultiplied by the integer \"gain\" (default 1).");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(divisor.setState("divisor",this,"1","Inverse of the gain of the amplifier."));


}

void SDFDivByInt::setup() {
# line 32 "SDFDivByInt.pl"
if ( int(divisor) == 0 ) {
		     Error::abortRun(*this, "divisor cannot be zero");
		}
}

void SDFDivByInt::go() {
# line 37 "SDFDivByInt.pl"
output%0 << int(input%0)/int(divisor);
}

// prototype instance for known block list
static SDFDivByInt proto;
static RegisterBlock registerBlock(proto,"DivByInt");
