static const char file_id[] = "SDFGain.pl";
// .cc file generated from SDFGain.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFGain.h"

const char *star_nm_SDFGain = "SDFGain";

const char* SDFGain :: className() const {return star_nm_SDFGain;}

ISA_FUNC(SDFGain,SDFStar);

Block* SDFGain :: makeNew() const { LOG_NEW; return new SDFGain;}

SDFGain::SDFGain ()
{
	setDescriptor("This is an amplifier; the output is the input multiplied by the \"gain\" (default 1.0).");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(gain.setState("gain",this,"1.0","Gain of the star."));


}

void SDFGain::go() {
# line 31 "SDFGain.pl"
output%0 << double(gain) * double(input%0);
}

// prototype instance for known block list
static SDFGain proto;
static RegisterBlock registerBlock(proto,"Gain");
