static const char file_id[] = "SDFGainCx.pl";
// .cc file generated from SDFGainCx.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFGainCx.h"

const char *star_nm_SDFGainCx = "SDFGainCx";

const char* SDFGainCx :: className() const {return star_nm_SDFGainCx;}

ISA_FUNC(SDFGainCx,SDFStar);

Block* SDFGainCx :: makeNew() const { LOG_NEW; return new SDFGainCx;}

SDFGainCx::SDFGainCx ()
{
	setDescriptor("This is an amplifier; the complex output is the complex input\nmultiplied by the complex \"gain\" (default 1.0).");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(output.setPort("output",this,COMPLEX));
	addState(gain.setState("gain",this,"(1,0)","Gain of the star."));


}

void SDFGainCx::go() {
# line 32 "SDFGainCx.pl"
output%0 << Complex(gain) * Complex(input%0);
}

// prototype instance for known block list
static SDFGainCx proto;
static RegisterBlock registerBlock(proto,"GainCx");
