#ifndef _SDFGainFix_h
#define _SDFGainFix_h 1
// header file generated from SDFGainFix.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFFix.h"
#include "IntState.h"
#include "FixState.h"
#include "PrecisionState.h"

class SDFGainFix : public SDFFix
{
public:
	SDFGainFix();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FixState gain;
	IntState ArrivingPrecision;
	PrecisionState InputPrecision;
	PrecisionState OutputPrecision;
# line 78 "SDFGainFix.pl"
Fix fixIn, out;

};
#endif
