static const char file_id[] = "SDFGainInt.pl";
// .cc file generated from SDFGainInt.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFGainInt.h"

const char *star_nm_SDFGainInt = "SDFGainInt";

const char* SDFGainInt :: className() const {return star_nm_SDFGainInt;}

ISA_FUNC(SDFGainInt,SDFStar);

Block* SDFGainInt :: makeNew() const { LOG_NEW; return new SDFGainInt;}

SDFGainInt::SDFGainInt ()
{
	setDescriptor("This is an amplifier; the integer output is the integer input\nmultiplied by the integer \"gain\" (default 1).");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(gain.setState("gain",this,"1","Gain of the amplifier."));


}

void SDFGainInt::go() {
# line 32 "SDFGainInt.pl"
output%0 << int(gain) * int(input%0);
}

// prototype instance for known block list
static SDFGainInt proto;
static RegisterBlock registerBlock(proto,"GainInt");
