#ifndef _SDFIntegrator_h
#define _SDFIntegrator_h 1
// header file generated from SDFIntegrator.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatState.h"

class SDFIntegrator : public SDFStar
{
public:
	SDFIntegrator();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort data;
	InSDFPort reset;
	OutSDFPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState feedbackGain;
	FloatState top;
	FloatState bottom;
	IntState saturate;
	FloatState state;
# line 79 "SDFIntegrator.pl"
double spread;

};
#endif
