#ifndef _SDFLinQuantIdx_h
#define _SDFLinQuantIdx_h 1
// header file generated from SDFLinQuantIdx.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "IntState.h"
#include "FloatState.h"

class SDFLinQuantIdx : public SDFStar
{
public:
	SDFLinQuantIdx();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InSDFPort input;
	OutSDFPort amplitude;
	OutSDFPort stepNumber;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState levels;
	FloatState low;
	FloatState high;
	FloatState height;

};
#endif
