static const char file_id[] = "SDFLog.pl";
// .cc file generated from SDFLog.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFLog.h"
#include <math.h>

const char *star_nm_SDFLog = "SDFLog";

const char* SDFLog :: className() const {return star_nm_SDFLog;}

ISA_FUNC(SDFLog,SDFStar);

Block* SDFLog :: makeNew() const { LOG_NEW; return new SDFLog;}

SDFLog::SDFLog ()
{
	setDescriptor("Output the natural logarithm of the input value.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void SDFLog::go() {
# line 30 "SDFLog.pl"
double t = input%0;
		if (t <= 0) {
			Error::abortRun (*this, ": log of x, x <= 0");
			output%0 << -100.0;
		}
		else output%0 << log(t);
}

// prototype instance for known block list
static SDFLog proto;
static RegisterBlock registerBlock(proto,"Log");
