static const char file_id[] = "SDFMpyCx.pl";
// .cc file generated from SDFMpyCx.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFMpyCx.h"

const char *star_nm_SDFMpyCx = "SDFMpyCx";

const char* SDFMpyCx :: className() const {return star_nm_SDFMpyCx;}

ISA_FUNC(SDFMpyCx,SDFStar);

Block* SDFMpyCx :: makeNew() const { LOG_NEW; return new SDFMpyCx;}

SDFMpyCx::SDFMpyCx ()
{
	setDescriptor("Output the product of the inputs, as a complex value.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(output.setPort("output",this,COMPLEX));


}

void SDFMpyCx::go() {
# line 23 "SDFMpyCx.pl"
MPHIter nexti(input);
		PortHole *p;
		Complex product = 1.0;
		while ((p = nexti++) != 0)
			product *= (Complex)((*p)%0);
		output%0 << product;
}

// prototype instance for known block list
static SDFMpyCx proto;
static RegisterBlock registerBlock(proto,"MpyCx");
