static const char file_id[] = "SDFOrderTwoInt.pl";
// .cc file generated from SDFOrderTwoInt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFOrderTwoInt.h"

const char *star_nm_SDFOrderTwoInt = "SDFOrderTwoInt";

const char* SDFOrderTwoInt :: className() const {return star_nm_SDFOrderTwoInt;}

ISA_FUNC(SDFOrderTwoInt,SDFStar);

Block* SDFOrderTwoInt :: makeNew() const { LOG_NEW; return new SDFOrderTwoInt;}

SDFOrderTwoInt::SDFOrderTwoInt ()
{
	setDescriptor("Takes two inputs and outputs the greater and lesser of the two integers.");
	addPort(upper.setPort("upper",this,INT));
	addPort(lower.setPort("lower",this,INT));
	addPort(greater.setPort("greater",this,INT));
	addPort(lesser.setPort("lesser",this,INT));


}

void SDFOrderTwoInt::go() {
# line 33 "SDFOrderTwoInt.pl"
int greaterValue = int(upper%0);
		int lesserValue = int(lower%0);

		if ( greaterValue < lesserValue ) {
		    int swap = greaterValue;
		    greaterValue = lesserValue;
		    lesserValue = swap;
		}

		greater%0 << greaterValue;
		lesser%0 << lesserValue;
}

// prototype instance for known block list
static SDFOrderTwoInt proto;
static RegisterBlock registerBlock(proto,"OrderTwoInt");
