#ifndef _SDFPlay_h
#define _SDFPlay_h 1
// header file generated from SDFPlay.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include <stdio.h>
#include "FloatState.h"
#include "StringState.h"

class SDFPlay : public SDFStar
{
public:
	SDFPlay();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void wrapup();
	/* virtual */ ~SDFPlay();
	InSDFPort input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	FloatState gain;
	StringState saveFile;
# line 55 "SDFPlay.pl"
FILE *strm;		// for writing the file
		int delFile;		// if true, file needs deletion at end
		char* fileName;		// name of file to use (on heap)

};
#endif
