static const char file_id[] = "SDFQuantIdx.pl";
// .cc file generated from SDFQuantIdx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFQuantIdx.h"

const char *star_nm_SDFQuantIdx = "SDFQuantIdx";

const char* SDFQuantIdx :: className() const {return star_nm_SDFQuantIdx;}

ISA_FUNC(SDFQuantIdx,SDFQuant);

Block* SDFQuantIdx :: makeNew() const { LOG_NEW; return new SDFQuantIdx;}

SDFQuantIdx::SDFQuantIdx ()
{
	setDescriptor("Quantize the input value to one of N+1 possible output levels using\nN thresholds, and output both the quantized result and the\nquantization level.  See the Quant star for more information.");
	addPort(stepNumber.setPort("stepNumber",this,INT));


}

void SDFQuantIdx::go() {
# line 26 "SDFQuantIdx.pl"
SDFQuant :: go();
		stepNumber%0 << int(quantizationLevel);
}

// prototype instance for known block list
static SDFQuantIdx proto;
static RegisterBlock registerBlock(proto,"QuantIdx");
