static const char file_id[] = "SDFRamp.pl";
// .cc file generated from SDFRamp.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFRamp.h"

const char *star_nm_SDFRamp = "SDFRamp";

const char* SDFRamp :: className() const {return star_nm_SDFRamp;}

ISA_FUNC(SDFRamp,SDFStar);

Block* SDFRamp :: makeNew() const { LOG_NEW; return new SDFRamp;}

SDFRamp::SDFRamp ()
{
	setDescriptor("Generate a ramp signal, starting at \"value\" (default 0) and\nincrementing by step size \"step\" (default 1) on each firing.");
	addPort(output.setPort("output",this,FLOAT));
	addState(step.setState("step",this,"1.0","Increment from one sample to the next."));
	addState(value.setState("value",this,"0.0","Initial (or latest) value output by Ramp.",
# line 32 "SDFRamp.pl"
A_SETTABLE|A_NONCONSTANT));


}

void SDFRamp::go() {
# line 35 "SDFRamp.pl"
double t = value;
		output%0 << t;
		t += step;
		value = t;
}

// prototype instance for known block list
static SDFRamp proto;
static RegisterBlock registerBlock(proto,"Ramp");
