static const char file_id[] = "SDFSgn.pl";
// .cc file generated from SDFSgn.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFSgn.h"

const char *star_nm_SDFSgn = "SDFSgn";

const char* SDFSgn :: className() const {return star_nm_SDFSgn;}

ISA_FUNC(SDFSgn,SDFStar);

Block* SDFSgn :: makeNew() const { LOG_NEW; return new SDFSgn;}

SDFSgn::SDFSgn ()
{
	setDescriptor("This star computes the signum of its input.\nThe output is +/- 1.\nNote that 0.0 maps to 1.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,INT));


}

void SDFSgn::go() {
# line 30 "SDFSgn.pl"
double x = input%0;
		int sgn = (x >= 0.0) ? 1 : -1;
		output%0 << sgn;
}

// prototype instance for known block list
static SDFSgn proto;
static RegisterBlock registerBlock(proto,"Sgn");
