static const char file_id[] = "SDFSharedMem.pl";
// .cc file generated from SDFSharedMem.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFSharedMem.h"

const char *star_nm_SDFSharedMem = "SDFSharedMem";

const char* SDFSharedMem :: className() const {return star_nm_SDFSharedMem;}

ISA_FUNC(SDFSharedMem,SDFStar);

Block* SDFSharedMem :: makeNew() const { LOG_NEW; return new SDFSharedMem;}

# line 32 "SDFSharedMem.pl"
// instantiate the static register list
    HashTable SDFSharedMem::regList;

SDFSharedMem::SDFSharedMem ()
{
	setDescriptor("Base class for shared memory");


}


int SDFSharedMem::ReadVar (const char* name, double* value)
{
# line 45 "SDFSharedMem.pl"
VarReg* reg;

      if (regList.hasKey(name)) {
	reg = (VarReg *) regList.lookup(name);

	*value = reg->GetContents();
	return 1;
      }
      else
	return 0;
}


void SDFSharedMem::RemoveVar (const char *name)
{
# line 63 "SDFSharedMem.pl"
VarReg* reg;

      if (regList.hasKey(name)) {
        reg = (VarReg *) regList.lookup(name);
	regList.remove(name);
	LOG_DEL; delete reg;
      }
}


void SDFSharedMem::WriteVar (const char *name, double value)
{
# line 79 "SDFSharedMem.pl"
VarReg* reg;

      if (regList.hasKey(name)) {
        reg = (VarReg *) regList.lookup(name);
      }
      else {
	LOG_NEW; reg = new VarReg;
	regList.insert(name,reg);
      }
      reg->SetContents(value);
}


// prototype instance for known block list
static SDFSharedMem proto;
static RegisterBlock registerBlock(proto,"SharedMem");
