#ifndef _SDFSpheToCart_h
#define _SDFSpheToCart_h 1
// header file generated from SDFSpheToCart.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "FloatState.h"

class SDFSpheToCart : public SDFStar
{
public:
	SDFSpheToCart();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutSDFPort x;

protected:
	/* virtual */ void go();
	FloatState magnitude;
	FloatState site;
	FloatState gise;
	FloatState Rx;
	FloatState Ry;
	FloatState Rz;

};
#endif
