static const char file_id[] = "SDFSqrt.pl";
// .cc file generated from SDFSqrt.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFSqrt.h"
#include <math.h>

const char *star_nm_SDFSqrt = "SDFSqrt";

const char* SDFSqrt :: className() const {return star_nm_SDFSqrt;}

ISA_FUNC(SDFSqrt,SDFStar);

Block* SDFSqrt :: makeNew() const { LOG_NEW; return new SDFSqrt;}

SDFSqrt::SDFSqrt ()
{
	setDescriptor("This star computes the square root of its input.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void SDFSqrt::go() {
# line 27 "SDFSqrt.pl"
output%0 << sqrt (double(input%0));
}

// prototype instance for known block list
static SDFSqrt proto;
static RegisterBlock registerBlock(proto,"Sqrt");
