static const char file_id[] = "SDFSubInt.pl";
// .cc file generated from SDFSubInt.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFSubInt.h"

const char *star_nm_SDFSubInt = "SDFSubInt";

const char* SDFSubInt :: className() const {return star_nm_SDFSubInt;}

ISA_FUNC(SDFSubInt,SDFStar);

Block* SDFSubInt :: makeNew() const { LOG_NEW; return new SDFSubInt;}

SDFSubInt::SDFSubInt ()
{
	setDescriptor("Output the pos input minus all neg inputs.");
	addPort(pos.setPort("pos",this,INT));
	addPort(neg.setPort("neg",this,INT));
	addPort(output.setPort("output",this,INT));


}

void SDFSubInt::go() {
# line 27 "SDFSubInt.pl"
int diff;
		diff = int(pos%0);
		MPHIter nexti(neg);
		for(int i=neg.numberPorts(); i>0; i--)
			diff -= int((*nexti++)%0);
		output%0 << diff;
}

// prototype instance for known block list
static SDFSubInt proto;
static RegisterBlock registerBlock(proto,"SubInt");
