#ifndef _SDFWaterfall_h
#define _SDFWaterfall_h 1
// header file generated from SDFWaterfall.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFXgraph.h"
#include "IntState.h"
#include "FloatState.h"

class SDFWaterfall : public SDFXgraph
{
public:
	SDFWaterfall();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void wrapup();
	/* virtual */ ~SDFWaterfall();
protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState traceLength;
	IntState xOffset;
	FloatState yOffset;
	IntState showHiddenLines;
	IntState showZeroPlane;
# line 61 "SDFWaterfall.pl"
int traceCount;
		int nTracesSoFar;
		double xval;
		double* highestValue;
		int inBreak;
	void visiblePoint (const double pointVal);
	void hiddenPoint (const double pointVal);

};
#endif
