#ifndef _SDFXMgraph_h
#define _SDFXMgraph_h 1
// header file generated from SDFXMgraph.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Display.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class SDFXMgraph : public SDFStar
{
public:
	SDFXMgraph();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void wrapup();
	MultiInSDFPort input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState title;
	StringState saveFile;
	StringState options;
	IntState ignore;
	FloatState xUnits;
	FloatState xInit;
# line 73 "SDFXMgraph.pl"
XGraph graph;
		double index;

};
#endif
