#ifndef _SDFXgraph_h
#define _SDFXgraph_h 1
// header file generated from SDFXgraph.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Display.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class SDFXgraph : public SDFStar
{
public:
	SDFXgraph();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void wrapup();
	InSDFPort input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState title;
	StringState saveFile;
	StringState options;
	IntState ignore;
	FloatState xUnits;
	FloatState xInit;
# line 72 "SDFXgraph.pl"
XGraph graph;
		double index;

};
#endif
