static const char file_id[] = "SDFXhistogram.pl";
// .cc file generated from SDFXhistogram.pl by ptlang
/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFXhistogram.h"

const char *star_nm_SDFXhistogram = "SDFXhistogram";

const char* SDFXhistogram :: className() const {return star_nm_SDFXhistogram;}

ISA_FUNC(SDFXhistogram,SDFStar);

Block* SDFXhistogram :: makeNew() const { LOG_NEW; return new SDFXhistogram;}

SDFXhistogram::SDFXhistogram ()
{
	setDescriptor("Generate a histogram with the xgraph program.  The parameter\n\"binWidth\" determines the bin width.");
	addPort(input.setPort("input",this,ANYTYPE));
	addState(title.setState("title",this,"Xhistogram","Title for the plot."));
	addState(saveFile.setState("saveFile",this,"","File to save input."));
	addState(binWidth.setState("binWidth",this,"1.0","Width of bins for histogram."));
	addState(options.setState("options",this,"-bb =800x400","Extra Command line options for xgraph."));


}

void SDFXhistogram::wrapup() {
# line 69 "SDFXhistogram.pl"
his.terminate();
}

void SDFXhistogram::setup() {
# line 63 "SDFXhistogram.pl"
his.initialize(this,binWidth,options,title,saveFile);
}

void SDFXhistogram::go() {
# line 66 "SDFXhistogram.pl"
his.addPoint(float(input%0));
}

// prototype instance for known block list
static SDFXhistogram proto;
static RegisterBlock registerBlock(proto,"Xhistogram");
