#ifndef _SDFXhistogram_h
#define _SDFXhistogram_h 1
// header file generated from SDFXhistogram.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1995 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "Histogram.h"
#include "FloatState.h"
#include "StringState.h"

class SDFXhistogram : public SDFStar
{
public:
	SDFXhistogram();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void wrapup();
	InSDFPort input;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState title;
	StringState saveFile;
	FloatState binWidth;
	StringState options;
# line 58 "SDFXhistogram.pl"
// The XHistogram class does all the work.
		XHistogram his;

};
#endif
