static const char file_id[] = "SDFXscope.pl";
// .cc file generated from SDFXscope.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFXscope.h"

const char *star_nm_SDFXscope = "SDFXscope";

const char* SDFXscope :: className() const {return star_nm_SDFXscope;}

ISA_FUNC(SDFXscope,SDFXgraph);

Block* SDFXscope :: makeNew() const { LOG_NEW; return new SDFXscope;}

SDFXscope::SDFXscope ()
{
	setDescriptor("Generate a multi-trace plot with the xgraph program.\nSuccessive traces are overlaid on one another.");
	addState(traceLength.setState("traceLength",this,"0","Number of samples per trace.  If 0, only one trace."));
	addState(initCount.setState("initCount",this,"0","Offset the traces"));


}

void SDFXscope::setup() {
# line 59 "SDFXscope.pl"
SDFXgraph::setup();
		nTracesSoFar = 0;
		traceCount = int(initCount);
}

void SDFXscope::go() {
# line 65 "SDFXscope.pl"
if (int(traceLength) > 0 && traceCount >= int(traceLength)) {
			traceCount = 0;
			graph.newTrace();
			index = xInit;	// reinitialize x index
			nTracesSoFar++;
		}
		traceCount++;
		SDFXgraph::go();
}

// prototype instance for known block list
static SDFXscope proto;
static RegisterBlock registerBlock(proto,"Xscope");
