static const char file_id[] = "SDFTkBreakPt.pl";
// .cc file generated from SDFTkBreakPt.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFTkBreakPt.h"

const char *star_nm_SDFTkBreakPt = "SDFTkBreakPt";

const char* SDFTkBreakPt :: className() const {return star_nm_SDFTkBreakPt;}

ISA_FUNC(SDFTkBreakPt,SDFTclScript);

Block* SDFTkBreakPt :: makeNew() const { LOG_NEW; return new SDFTkBreakPt;}

SDFTkBreakPt::SDFTkBreakPt ()
{
	setDescriptor("A conditional break point.  \nEach time this star executes, it evaluates its conditional expression.  \nIf the expression evaluates to true, it causes the run to pause.");
	addState(condition.setState("condition",this,"$input(1) < 0","Condition on which to pause the run"));
	addState(Optional_Alternate_Script.setState("Optional_Alternate_Script",this,"","Script to run instead of the default when the condition is true.  The default script pauses the run."));

# line 98 "SDFTkBreakPt.pl"
// Hide irrelevant outputs and states.
	    output.setAttributes(P_HIDDEN);
	    tcl_file.clearAttributes(A_SETTABLE);
}

void SDFTkBreakPt::begin() {
# line 91 "SDFTkBreakPt.pl"
// Set parameter values that are not user settable.
	    tcl_file =
		"$PTOLEMY/src/domains/sdf/tcltk/stars/tkBreakPt.tcl";

	    SDFTclScript::begin();
}

void SDFTkBreakPt::setup() {
# line 85 "SDFTkBreakPt.pl"
if (output.numberPorts() > 0) {
		Error::abortRun(*this, "Outputs not supported");
		return;
	    }
}

void SDFTkBreakPt::go() {
# line 103 "SDFTkBreakPt.pl"
// call the go method in the parent.
	  SDFTclScript::go();
	  
	  // make sure that the break point is processed NOW
          while (Tk_DoOneEvent(TK_DONT_WAIT|TK_ALL_EVENTS));
}

// prototype instance for known block list
static SDFTkBreakPt proto;
static RegisterBlock registerBlock(proto,"TkBreakPt");
