static const char file_id[] = "SDFTkShowBooleans.pl";
// .cc file generated from SDFTkShowBooleans.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "SDFTkShowBooleans.h"

const char *star_nm_SDFTkShowBooleans = "SDFTkShowBooleans";

const char* SDFTkShowBooleans :: className() const {return star_nm_SDFTkShowBooleans;}

ISA_FUNC(SDFTkShowBooleans,SDFTclScript);

Block* SDFTkShowBooleans :: makeNew() const { LOG_NEW; return new SDFTkShowBooleans;}

SDFTkShowBooleans::SDFTkShowBooleans ()
{
	setDescriptor("Display input Booleans using color to highlight their value.");
	addState(label.setState("label",this,"Booleans at TkShowBooleans inputs:","Title for the set of Boolean displays"));
	addState(identifiers.setState("identifiers",this,"BOOL","Individual identifiers to put on each event display"));
	addState(put_in_control_panel.setState("put_in_control_panel",this,"YES","Specify to put bars in the control panel (vs. their own window)"));
	addState(wait_between_outputs.setState("wait_between_outputs",this,"NO","Specify whether to wait for user input between output values"));

# line 58 "SDFTkShowBooleans.pl"
output.setAttributes(P_HIDDEN);
        tcl_file.clearAttributes(A_SETTABLE);
}

void SDFTkShowBooleans::begin() {
# line 53 "SDFTkShowBooleans.pl"
tcl_file = "$PTOLEMY/src/domains/sdf/tcltk/stars/tkShowBooleans.tcl";

        SDFTclScript::begin();
}

void SDFTkShowBooleans::setup() {
# line 43 "SDFTkShowBooleans.pl"
if (output.numberPorts() > 0) {
            Error::abortRun(*this, "Outputs not supported");
            return;
        }
	if (identifiers.size() < input.numberPorts() ) {
	  Error::abortRun(*this, "Need as many identifiers as inputs");
	  return;
	}
}

// prototype instance for known block list
static SDFTkShowBooleans proto;
static RegisterBlock registerBlock(proto,"TkShowBooleans");
