#ifndef _SDFTkSlider_h
#define _SDFTkSlider_h 1
// header file generated from SDFTkSlider.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFTclScript.h"
#include "ptk.h"
#include "IntState.h"
#include "FloatState.h"
#include "StringState.h"

class SDFTkSlider : public SDFTclScript
{
public:
	SDFTkSlider();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void begin();
protected:
	/* virtual */ void setup();
	FloatState low;
	FloatState high;
	FloatState value;
	StringState identifier;
	IntState put_in_control_panel;

};
#endif
