#ifndef _SDFTkXYPlot_h
#define _SDFTkXYPlot_h 1
// header file generated from SDFTkXYPlot.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "SDFStar.h"
#include "ptk.h"
#include "XYPlot.h"
#include "IntState.h"
#include "StringState.h"
#include "FloatArrayState.h"

class SDFTkXYPlot : public SDFStar
{
public:
	SDFTkXYPlot();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	/* virtual */ void begin();
	/* virtual */ ~SDFTkXYPlot();
	MultiInSDFPort X;
	MultiInSDFPort Y;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState label;
	StringState geometry;
	StringState xTitle;
	StringState yTitle;
	FloatArrayState xRange;
	FloatArrayState yRange;
	IntState persistence;
	StringState style;
	IntState updateSize;
# line 91 "SDFTkXYPlot.pl"
XYPlot xyplot;
	  char *labCopy;
	  char *geoCopy;
	  char *xtCopy;
	  char *ytCopy;

private:
	int validRange (FloatArrayState& range);

};
#endif
