.EQ
delim off
.EN
.\" documentation file generated from VHDLRect.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Rect"
.SD
Generate a rectangular pulse of height "height" (default 1.0).
and width "width" (default 8).  If "period" is greater than zero,
then the pulse is repeated with the given period.
.SE
.LO "VHDL main library"
.DM VHDL VHDLStar
.SV 1.2 "3/7/96"
.AL "Michael C. Williamson, J. T. Buck"
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIheight\fR (FloatState): Height of the rectangular pulse.
.DF "1.0"
.NE
\fIwidth\fR (IntState): Width of the rectangular pulse.
.DF "8"
.NE
\fIperiod\fR (IntState): The period of the pulse stream, 0 = aperiodic.
.DF "0"
.NE
\fIcount\fR (IntState): Internal counting state.
.DF "0"
.ET
.EQ
delim $$
.EN
.ES
