.EQ
delim off
.EN
.\" documentation file generated from VHDLWaveFormCx.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "WaveFormCx"
.SD
This star works the same way as the VHDLWaveForm star,
only using complex types instead of float types.
.SE
.LO "VHDL main library"
.DM VHDL VHDLStar
.SV 1.3 "3/7/96"
.AL "Michael C. Williamson, S. Ha"
.OH
.NE
\fIoutput\fR (complex)
.PE
.SH
.NE
\fIvalue\fR (ComplexArrayState): One period of the output waveform.
.DF "(1.0,0.0) (-1.0,0.0)"
.NE
\fIhaltAtEnd\fR (IntState): NOT IMPLEMENTED
		  	Halt the run at the end of the given data.
.DF "NO"
.NE
\fIperiodic\fR (IntState): Output is periodic if "YES" (nonzero).
.DF "YES"
.NE
\fIperiod\fR (IntState): If greater than zero, gives the period of the waveform.
.DF "0"
.NE
\fIpos\fR (IntState)
.DF "0"
.NE
\fIsize\fR (IntState)
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
This star may be used to read a file by simply setting "value" to
something of the form "< filename".  The file will be read completely
and its contents stored in an array.
.ES
