static const char file_id[] = "VHDLAddCx.pl";
// .cc file generated from VHDLAddCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLAddCx.h"

const char *star_nm_VHDLAddCx = "VHDLAddCx";

const char* VHDLAddCx :: className() const {return star_nm_VHDLAddCx;}

ISA_FUNC(VHDLAddCx,VHDLStar);

Block* VHDLAddCx :: makeNew() const { LOG_NEW; return new VHDLAddCx;}

CodeBlock VHDLAddCx :: std (
# line 25 "VHDLAddCx.pl"
"$refCx(output, real) $assign(output) $interOp(+, input, real);\n"
"$refCx(output, imag) $assign(output) $interOp(+, input, imag);\n");

VHDLAddCx::VHDLAddCx ()
{
	setDescriptor("Output the sum of the inputs, as a complex value.");
	addPort(input.setPort("input",this,COMPLEX));
	addPort(output.setPort("output",this,COMPLEX));

# line 23 "VHDLAddCx.pl"
noInternalState();
}

void VHDLAddCx::go() {
# line 30 "VHDLAddCx.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLAddCx proto;
static RegisterBlock registerBlock(proto,"AddCx");
