static const char file_id[] = "VHDLBlackHole.pl";
// .cc file generated from VHDLBlackHole.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBlackHole.h"

const char *star_nm_VHDLBlackHole = "VHDLBlackHole";

const char* VHDLBlackHole :: className() const {return star_nm_VHDLBlackHole;}

ISA_FUNC(VHDLBlackHole,VHDLStar);

Block* VHDLBlackHole :: makeNew() const { LOG_NEW; return new VHDLBlackHole;}

CodeBlock VHDLBlackHole :: std (
# line 27 "VHDLBlackHole.pl"
"-- This star generates no code.  $ref(input) is unused here.\n");

VHDLBlackHole::VHDLBlackHole ()
{
	setDescriptor("Discards all inputs.");
	addPort(input.setPort("input",this,ANYTYPE));

# line 25 "VHDLBlackHole.pl"
noInternalState();
}

int VHDLBlackHole::myExecTime() {
# line 34 "VHDLBlackHole.pl"
return 0;
}

void VHDLBlackHole::go() {
# line 31 "VHDLBlackHole.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLBlackHole proto;
static RegisterBlock registerBlock(proto,"BlackHole");
