static const char file_id[] = "VHDLConst.pl";
// .cc file generated from VHDLConst.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLConst.h"

const char *star_nm_VHDLConst = "VHDLConst";

const char* VHDLConst :: className() const {return star_nm_VHDLConst;}

ISA_FUNC(VHDLConst,VHDLStar);

Block* VHDLConst :: makeNew() const { LOG_NEW; return new VHDLConst;}

CodeBlock VHDLConst :: std (
# line 26 "VHDLConst.pl"
"$ref(output) $assign(output) $val(level);\n");

VHDLConst::VHDLConst ()
{
	setDescriptor("Output a constant signal with value given by the \"level\" parameter (default 0.0).");
	addPort(output.setPort("output",this,FLOAT));
	addState(level.setState("level",this,"0.0","The constant value."));


}

void VHDLConst::go() {
# line 30 "VHDLConst.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLConst proto;
static RegisterBlock registerBlock(proto,"Const");
