static const char file_id[] = "VHDLConstCx.pl";
// .cc file generated from VHDLConstCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLConstCx.h"

const char *star_nm_VHDLConstCx = "VHDLConstCx";

const char* VHDLConstCx :: className() const {return star_nm_VHDLConstCx;}

ISA_FUNC(VHDLConstCx,VHDLStar);

Block* VHDLConstCx :: makeNew() const { LOG_NEW; return new VHDLConstCx;}

CodeBlock VHDLConstCx :: std (
# line 32 "VHDLConstCx.pl"
"$refCx(output,real) $assign(output) $val(real);\n"
"$refCx(output,imag) $assign(output) $val(imag);\n");

VHDLConstCx::VHDLConstCx ()
{
	setDescriptor("Output a constant signal with value given by the \"level\" parameter (default 0.0).");
	addPort(output.setPort("output",this,COMPLEX));
	addState(real.setState("real",this,"0.0","Real part of the constant value."));
	addState(imag.setState("imag",this,"0.0","Imaginary part of the constant value."));


}

void VHDLConstCx::go() {
# line 37 "VHDLConstCx.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLConstCx proto;
static RegisterBlock registerBlock(proto,"ConstCx");
