static const char file_id[] = "VHDLCos.pl";
// .cc file generated from VHDLCos.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLCos.h"

const char *star_nm_VHDLCos = "VHDLCos";

const char* VHDLCos :: className() const {return star_nm_VHDLCos;}

ISA_FUNC(VHDLCos,VHDLStar);

Block* VHDLCos :: makeNew() const { LOG_NEW; return new VHDLCos;}

CodeBlock VHDLCos :: std (
# line 23 "VHDLCos.pl"
"$temp(val1,float) := $ref(input);\n"
"\n"
"while $temp(val1,float) > 3.141592654 loop\n"
"  $temp(val1,float) := $temp(val1,float) - 2.0*3.141592654;\n"
"end loop;\n"
"while $temp(val1,float) < -3.141592654 loop\n"
"  $temp(val1,float) := $temp(val1,float) + 2.0*3.141592654;\n"
"end loop;\n"
"\n"
"$temp(x2,float) := $temp(val1,float) * $temp(val1,float);\n"
"$temp(x4,float) := $temp(x2,float) * $temp(x2,float);\n"
"$temp(x6,float) := $temp(x4,float) * $temp(x2,float);\n"
"$temp(x8,float) := $temp(x4,float) * $temp(x4,float);\n"
"$temp(x10,float) := $temp(x6,float) * $temp(x4,float);\n"
"\n"
"$temp(term1,float) := 1.0;\n"
"$temp(term2,float) := $temp(x2,float) / 2.0;\n"
"$temp(term3,float) := $temp(x4,float) / 24.0;\n"
"$temp(term4,float) := $temp(x6,float) / 720.0;\n"
"$temp(term5,float) := $temp(x8,float) / 40320.0;\n"
"$temp(term6,float) := $temp(x10,float) / 3628800.0;\n"
"\n"
"$temp(result,float) := $temp(term1,float) - $temp(term2,float) +\n"
"  $temp(term3,float) - $temp(term4,float) + $temp(term5,float) -\n"
"  $temp(term6,float);\n"
"\n"
"$ref(output) := $temp(result,float);\n");

VHDLCos::VHDLCos ()
{
	setDescriptor("");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void VHDLCos::go() {
# line 53 "VHDLCos.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLCos proto;
static RegisterBlock registerBlock(proto,"Cos");
