#ifndef _VHDLLMS_h
#define _VHDLLMS_h 1
// header file generated from VHDLLMS.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "VHDLStar.h"
#include "IntState.h"
#include "FloatState.h"

class VHDLLMS : public VHDLStar
{
public:
	VHDLLMS();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	static CodeBlock std;
	InVHDLPort signalIn;
	InVHDLPort error;
	OutVHDLPort signalOut;

protected:
	/* virtual */ void go();
	IntState delay1;
	IntState delay2;
	IntState delay3;
	IntState tap0;
	IntState tap1;
	IntState tap2;
	IntState tap3;
	FloatState stepSize;

};
#endif
