static const char file_id[] = "VHDLPolarToRect.pl";
// .cc file generated from VHDLPolarToRect.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLPolarToRect.h"

const char *star_nm_VHDLPolarToRect = "VHDLPolarToRect";

const char* VHDLPolarToRect :: className() const {return star_nm_VHDLPolarToRect;}

ISA_FUNC(VHDLPolarToRect,VHDLStar);

Block* VHDLPolarToRect :: makeNew() const { LOG_NEW; return new VHDLPolarToRect;}

CodeBlock VHDLPolarToRect :: std (
# line 30 "VHDLPolarToRect.pl"
"$temp(val1,float) := $ref(phase);\n"
"\n"
"while $temp(val1,float) > 3.141592654 loop\n"
"  $temp(val1,float) := $temp(val1,float) - 2.0*3.141592654;\n"
"end loop;\n"
"while $temp(val1,float) < -3.141592654 loop\n"
"  $temp(val1,float) := $temp(val1,float) + 2.0*3.141592654;\n"
"end loop;\n"
"\n"
"\n"
"$temp(x1,float) := $temp(val1,float);\n"
"$temp(x2,float) := $temp(val1,float) * $temp(val1,float);\n"
"$temp(x3,float) := $temp(val1,float) * $temp(val1,float) * $temp(val1,float);\n"
"$temp(x4,float) := $temp(x2,float) * $temp(x2,float);\n"
"$temp(x5,float) := $temp(x3,float) * $temp(val1,float) * $temp(val1,float);\n"
"$temp(x6,float) := $temp(x4,float) * $temp(x2,float);\n"
"$temp(x7,float) := $temp(x5,float) * $temp(val1,float) * $temp(val1,float);\n"
"$temp(x8,float) := $temp(x4,float) * $temp(x4,float);\n"
"$temp(x9,float) := $temp(x7,float) * $temp(val1,float) * $temp(val1,float);\n"
"$temp(x10,float) := $temp(x6,float) * $temp(x4,float);\n"
"$temp(x11,float) := $temp(x9,float) * $temp(val1,float) * $temp(val1,float);\n"
"\n"
"$temp(term1,float) := 1.0;\n"
"$temp(term2,float) := $temp(x2,float) / 2.0;\n"
"$temp(term3,float) := $temp(x4,float) / 24.0;\n"
"$temp(term4,float) := $temp(x6,float) / 720.0;\n"
"$temp(term5,float) := $temp(x8,float) / 40320.0;\n"
"$temp(term6,float) := $temp(x10,float) / 3628800.0;\n"
"$temp(term11,float) := $temp(x1,float);\n"
"$temp(term12,float) := $temp(x3,float) / 6.0;\n"
"$temp(term13,float) := $temp(x5,float) / 120.0;\n"
"$temp(term14,float) := $temp(x7,float) / 5040.0;\n"
"$temp(term15,float) := $temp(x9,float) / 362880.0;\n"
"$temp(term16,float) := $temp(x11,float) / 39916800.0;\n"
"\n"
"$temp(cos,float) := $temp(term1,float) - $temp(term2,float) +\n"
"  $temp(term3,float) - $temp(term4,float) + $temp(term5,float) -\n"
"  $temp(term6,float);\n"
"$temp(sin,float) := $temp(term11,float) - $temp(term12,float) +\n"
"  $temp(term13,float) - $temp(term14,float) + $temp(term15,float) -\n"
"  $temp(term16,float);\n"
"\n"
"$ref(x) := $ref(magnitude) * $temp(cos,float);\n"
"$ref(y) := $ref(magnitude) * $temp(sin,float);\n");

VHDLPolarToRect::VHDLPolarToRect ()
{
	setDescriptor("Convert magnitude and phase to rectangular form.");
	addPort(magnitude.setPort("magnitude",this,FLOAT));
	addPort(phase.setPort("phase",this,FLOAT));
	addPort(x.setPort("x",this,FLOAT));
	addPort(y.setPort("y",this,FLOAT));


}

void VHDLPolarToRect::go() {
# line 77 "VHDLPolarToRect.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLPolarToRect proto;
static RegisterBlock registerBlock(proto,"PolarToRect");
