static const char file_id[] = "VHDLRectToCx.pl";
// .cc file generated from VHDLRectToCx.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLRectToCx.h"

const char *star_nm_VHDLRectToCx = "VHDLRectToCx";

const char* VHDLRectToCx :: className() const {return star_nm_VHDLRectToCx;}

ISA_FUNC(VHDLRectToCx,VHDLStar);

Block* VHDLRectToCx :: makeNew() const { LOG_NEW; return new VHDLRectToCx;}

CodeBlock VHDLRectToCx :: std (
# line 29 "VHDLRectToCx.pl"
"$refCx(output,real) $assign(output) $ref(real);\n"
"$refCx(output,imag) $assign(output) $ref(imag);\n");

VHDLRectToCx::VHDLRectToCx ()
{
	setDescriptor("Convert real and imaginary parts to a complex output.");
	addPort(real.setPort("real",this,FLOAT));
	addPort(imag.setPort("imag",this,FLOAT));
	addPort(output.setPort("output",this,COMPLEX));

# line 27 "VHDLRectToCx.pl"
noInternalState();
}

void VHDLRectToCx::go() {
# line 35 "VHDLRectToCx.pl"
addCode(std);
}

// prototype instance for known block list
static VHDLRectToCx proto;
static RegisterBlock registerBlock(proto,"RectToCx");
