#ifndef _VHDLWindow_h
#define _VHDLWindow_h 1
// header file generated from VHDLWindow.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "VHDLStar.h"
#include "IntState.h"
#include "StringState.h"
#include "FloatArrayState.h"

class VHDLWindow : public VHDLStar
{
public:
	VHDLWindow();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	OutVHDLPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	StringState name;
	IntState length;
	IntState period;
	FloatArrayState WindowParameters;
	FloatArrayState WindowValues;
# line 115 "VHDLWindow.pl"
int winType;
	int realLen;
	int realPeriod;
	double scale0;
	double scale1;
	double freq1;
	double scale2;
	double freq2;
	double beta;
	double alpha;
	double norm;

};
#endif
