static const char file_id[] = "VHDLXgraph.pl";
// .cc file generated from VHDLXgraph.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLXgraph.h"

const char *star_nm_VHDLXgraph = "VHDLXgraph";

const char* VHDLXgraph :: className() const {return star_nm_VHDLXgraph;}

ISA_FUNC(VHDLXgraph,VHDLStar);

Block* VHDLXgraph :: makeNew() const { LOG_NEW; return new VHDLXgraph;}

CodeBlock VHDLXgraph :: uses (
# line 37 "VHDLXgraph.pl"
"use std.Textio.all;\n");

CodeBlock VHDLXgraph :: init (
# line 40 "VHDLXgraph.pl"
"variable $starSymbol(space): character := ' ';\n"
"variable $starSymbol(aline): line;\n"
"variable $starSymbol(icount): integer := 0;\n");

CodeBlock VHDLXgraph :: graph (
# line 45 "VHDLXgraph.pl"
"(pxgraph -t \"$val(title)\" $val(options) $starSymbol(xgraph).dat ; rm -f $starSymbol(xgraph).dat) &\n");

VHDLXgraph::VHDLXgraph ()
{
	setDescriptor("Graph the input data.");
	addPort(input.setPort("input",this,FLOAT));
	addState(title.setState("title",this,"Ptolemy Xgraph","Title for the plot."));
	addState(options.setState("options",this,"-bb -tk =800x400","Command line options for the xgraph program."));

# line 35 "VHDLXgraph.pl"
noInternalState();
}

void VHDLXgraph::initCode() {
# line 49 "VHDLXgraph.pl"
addCode(uses, "useLibs", "textio");
	  StringList filedecl = "";
	    filedecl << "file $starSymbol(fileout";
	    filedecl << "): text is out \"$starSymbol(xgraph";
	    filedecl << ").dat\";";
	    filedecl << "\n";
	  addCode(filedecl, "mainDecls");
	  addCode(init, "mainDecls");
/*
  StringList cmd = "";
	  cmd << "/bin/rm -f ";
	  cmd << "$starSymbol(xgraph)";
	  cmd << ".dat";
	  cmd << "; ";
	    cmd << "/bin/cat ";
	    cmd << "$starSymbol(xgraph";
	    cmd <<  ").dat";
	    cmd << " >> ";
	    cmd << "$starSymbol(xgraph)";
	    cmd << ".dat";
	    cmd << "; ";
	    cmd << "/bin/echo \"\" >> ";
	    cmd << "$starSymbol(xgraph)";
	    cmd << ".dat";
	    cmd << "; ";
	    cmd << "/bin/rm -f ";
	    cmd << "$starSymbol(xgraph";
	    cmd << ").dat";
	    cmd << "; ";
	  addCode(cmd, "sysWrapup");
	  */
	  addCode(graph, "sysWrapup");
}

// prototype instance for known block list
static VHDLXgraph proto;
static RegisterBlock registerBlock(proto,"Xgraph");
