static const char file_id[] = "CGCVSend.pl";
// .cc file generated from CGCVSend.pl by ptlang
/*
Copyright (c) 1993-1996 The Regents of the University of California.
      All rights reserved.
      See the file $PTOLEMY/copyright for copyright notice,
      limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "CGCVSend.h"

const char *star_nm_CGCVSend = "CGCVSend";

const char* CGCVSend :: className() const {return star_nm_CGCVSend;}

ISA_FUNC(CGCVSend,CGCVSynchComm);

Block* CGCVSend :: makeNew() const { LOG_NEW; return new CGCVSend;}

CGCVSend::CGCVSend ()
{
	setDescriptor("Send data synchronously from CGC to VHDL");
	addPort(input.setPort("input",this,ANYTYPE));


}

void CGCVSend::setup() {
# line 22 "CGCVSend.pl"
classname = "CGCVSend";
    sndrcv = "snd";

    if (strcmp(input.resolvedType(), "INT") == 0) 
      format = "%d";
    else if (strcmp(input.resolvedType(), "FLOAT") == 0) 
/*
  Note: using %f in sscanf() seems to mess up.
      format = "%f";
*/
// This works
//      format = "%lf";

// Try this %g:
      format = "%g";
    else
      Error::abortRun(*this, input.resolvedType(), ": type not supported");

    numXfer = input.numXfer();
    CGCVSynchComm::setup();
}

void CGCVSend::go() {
# line 45 "CGCVSend.pl"
StringList transfer;
    for (int i = numXfer-1 ; i >= 0 ; i--) {
      if (i > 0) transfer << "\n";
      transfer << "\n";
      transfer << "  /* Go */\n";
      transfer << "  $starSymbol(intptr) = 0;\n";
      transfer << "  $starSymbol(status) = 0;\n";
      transfer << "  if($starSymbol(status) >= 0) {\n";

      StringList oneline = "    (void) sprintf($starSymbol(buffer), \"";
      oneline << format;
      oneline << "\", $ref(input,";
      oneline << i;
      oneline << "));";
      transfer << oneline;

      transfer << "\n";
      transfer << "    $starSymbol(status) = write($starSymbol(xmitsock), $starSymbol(buffer), $starSymbol(nbytes));\n";
      transfer << "    if($starSymbol(status) < 0) {\n";
      transfer << "      perror($starSymbol(dummy));\n";
      transfer << "    }\n";
      transfer << "  }\n";
    }
    addCode(transfer);
}

// prototype instance for known block list
static CGCVSend proto;
static RegisterBlock registerBlock(proto,"VSend");
