.EQ
delim off
.EN
.\" documentation file generated from VHDLBBus_18.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Bus_18"
.SD
Converts an 8-bit wide bus into 8 bits
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fIinput\fR (multiple), (int)
.PE
.OH
.NE
\fIout_7\fR (int): Highest order bit
.NE
\fIout_6\fR (int)
.NE
\fIout_5\fR (int)
.NE
\fIout_4\fR (int)
.NE
\fIout_3\fR (int)
.NE
\fIout_2\fR (int)
.NE
\fIout_1\fR (int)
.NE
\fIout_0\fR (int): Lowest order bit
.PE
.EQ
delim $$
.EN
.LD
Since ptolemy doesn't allow the user to explicitly extract individual data
out of a bus (a multi-port), this star is written to allow the user
to convert an 8-bit-wide bus into 8 explicit wires.  If the output bus is not
8 bits wide, an error message is printed.
.ES
