.EQ
delim off
.EN
.\" documentation file generated from VHDLBComparator.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Comparator"
.SD
Compares two inputs and generates an 1-bit output.  hi = equal, lo = unequal.
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fIinputa\fR (multiple), (int)
.NE
\fIinputb\fR (multiple), (int)
.PE
.OH
.NE
\fIoutput\fR (int)
.PE
.SH
.NE
\fIdelay\fR (IntState): Propagation delay in nanoseconds
.DF "1"
.ET
.EQ
delim $$
.EN
.LD
This star simply compares the two floating point numbers at the input.  If the
two numbers are equal then a logical high (1) is passed to the output.  Other-
wise a logical low (0) is passed to the output.  The output is changed when-
ever the inputs change.
.ES
