.EQ
delim off
.EN
.\" documentation file generated from VHDLBCounter.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Counter"
.SD
This is a simple up-down 8-bit counter.
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fIclock\fR (int)
.NE
\fIenable\fR (int): positive low!!!
.NE
\fIreset\fR (int): positive low!!!
.NE
\fIup_down\fR (int): 1 = up counter, 0 = down counter
.PE
.OH
.NE
\fIoutput\fR (multiple), (int)
.PE
.SH
.NE
\fIdelay\fR (IntState): internal delay in nanoseconds
.DF "1"
.ET
.EQ
delim $$
.EN
.LD
This is a simple up-down, 8-bit, resettable counter.

If the "up-down" bit is 1, this is an up-counter, otherwise this is a
down-counter.

Depending on the "up-down" bit value, "\reset" resets the output to either 0
(as an up-counter) or 0xFF (as a down-counter) at the rising edge of the
clock.  Notice that "\reset" is positive-low.  The 8-bit output value is
maintained (unchanged) if the positive-low "\enable" is disabled, otherwise
the output value will be updated after every clock cycle.

If the output bus is not 8 bits wide, an error message is printed.
.ES
