.EQ
delim off
.EN
.\" documentation file generated from VHDLBReciprocal.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Reciprocal"
.SD
Output the reciprocal of the input, with an optional magnitude limit.
If the magnitude limit is greater than zero, and the input value is zero,
then the output will equal the magnitude limit.
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fIinput\fR (float)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fImagLimit\fR (FloatState): If non-zero, this limits the magnitude of the output
.DF "0.0"
.ET
.EQ
delim $$
.EN
.LD
This star computes the reciprocal of the input value x.  If the "magLimit"
parameter is not zero, then the output is bound by +/- magLimit.  In this case
even if the input is zero, no divide-by-zero exception will be caused.
.ES
