.EQ
delim off
.EN
.\" documentation file generated from VHDLBRect.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Rect"
.SD
Generate a rectangular pulse of height "height" (default 1.0).
and width "width" (default 8).  If "period" is greater than zero,
then the pulse is repeated with the given period.
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fIclock\fR (int)
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.SH
.NE
\fIheight\fR (FloatState): Height of the rectangular pulse
.DF "1.0"
.NE
\fIwidth\fR (IntState): Width of the rectangular pulse
.DF "8"
.NE
\fIperiod\fR (IntState): If greater than zero, the period of the pulse stream.
.DF "0"
.ET
.EQ
delim $$
.EN
.LD
The real-valued output is sent to the output port at the rising
edges of the synchronization clock.
.ES
