.EQ
delim off
.EN
.\" documentation file generated from VHDLBSinc.pl by ptlang
.\" Copyright (c) 1990-1996 The Regents of the University of California.
.\" All rights reserved.
.\" See the file $PTOLEMY/copyright for copyright notice,
.\" limitation of liability, and disclaimer of warranty provisions.
.NA "Sinc"
.SD
Calculates the sinc function of the input value and outputs it.
Input is in radians.  If input is zero, output is 1.0
.SE
.LO "New_Stars directory"
.DM VHDLB VHDLBStar
.AL "Wei-Lun Tsai"
.IH
.NE
\fIinput\fR (float): input angle in radians
.PE
.OH
.NE
\fIoutput\fR (float)
.PE
.EQ
delim $$
.EN
.LD
The sinc function ( sin x / x ) of the input is calculated, using the SIN()
function defined in a VHDL package (IEEE.math_real)

Note that the discrete-time Fourier transform (DTFT) of a sampled sinc
function is an ideal low-pass filter.  Modulating a sampled sinc function by
a cosine function gives an ideal band-pass signal.
.ES
