static const char file_id[] = "VHDLBBus_14.pl";
// .cc file generated from VHDLBBus_14.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBBus_14.h"

const char *star_nm_VHDLBBus_14 = "VHDLBBus_14";

const char* VHDLBBus_14 :: className() const {return star_nm_VHDLBBus_14;}

ISA_FUNC(VHDLBBus_14,VHDLBStar);

Block* VHDLBBus_14 :: makeNew() const { LOG_NEW; return new VHDLBBus_14;}

VHDLBBus_14::VHDLBBus_14 ()
{
	setDescriptor("Converts a 4-bit wide bus into 4 bits");
	addPort(input.setPort("input",this,INT));
	addPort(out_3.setPort("out_3",this,INT));
	addPort(out_2.setPort("out_2",this,INT));
	addPort(out_1.setPort("out_1",this,INT));
	addPort(out_0.setPort("out_0",this,INT));


}

void VHDLBBus_14::setup() {
# line 59 "VHDLBBus_14.pl"
int i_width = 0;  // Input bus width (should be 4)

                CBlockMPHIter starMPHIter(*this);
                const MultiVHDLBPort* mph;

                while((mph = (const MultiVHDLBPort*) starMPHIter++) != 0) {
                  if( !strcmp(mph->name(),"input") )
                    i_width = mph->numberPorts();
                }

                if( i_width != 4 )
                  Error::abortRun(*this, "Input bus width must be 4!");
}

void VHDLBBus_14::go() {
# line 73 "VHDLBBus_14.pl"
}


const char* VHDLBBus_14::portWidthName (const MultiVHDLBPort* pp)
{
# line 48 "VHDLBBus_14.pl"
if(!strcmp(pp->name(),"input")) {
                          return((const char*) "I_WIDTH");
                        }
                        else {
                          Error::abortRun(*this, "No MultiVHDLBPort named",
                                          pp->name(), "in star");
                          return((const char*) "ERROR");
                        }
}


// prototype instance for known block list
static VHDLBBus_14 proto;
static RegisterBlock registerBlock(proto,"Bus_14");
