static const char file_id[] = "VHDLBBus_18.pl";
// .cc file generated from VHDLBBus_18.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBBus_18.h"

const char *star_nm_VHDLBBus_18 = "VHDLBBus_18";

const char* VHDLBBus_18 :: className() const {return star_nm_VHDLBBus_18;}

ISA_FUNC(VHDLBBus_18,VHDLBStar);

Block* VHDLBBus_18 :: makeNew() const { LOG_NEW; return new VHDLBBus_18;}

VHDLBBus_18::VHDLBBus_18 ()
{
	setDescriptor("Converts an 8-bit wide bus into 8 bits");
	addPort(input.setPort("input",this,INT));
	addPort(out_7.setPort("out_7",this,INT));
	addPort(out_6.setPort("out_6",this,INT));
	addPort(out_5.setPort("out_5",this,INT));
	addPort(out_4.setPort("out_4",this,INT));
	addPort(out_3.setPort("out_3",this,INT));
	addPort(out_2.setPort("out_2",this,INT));
	addPort(out_1.setPort("out_1",this,INT));
	addPort(out_0.setPort("out_0",this,INT));


}

void VHDLBBus_18::setup() {
# line 75 "VHDLBBus_18.pl"
int i_width = 0;  // Input bus width (should be 8)

                CBlockMPHIter starMPHIter(*this);
                const MultiVHDLBPort* mph;

                while((mph = (const MultiVHDLBPort*) starMPHIter++) != 0) {
                  if( !strcmp(mph->name(),"input") )
                    i_width = mph->numberPorts();
                }

                if( i_width != 8 )
                  Error::abortRun(*this, "Input bus width must be 8!");
}

void VHDLBBus_18::go() {
# line 89 "VHDLBBus_18.pl"
}


const char* VHDLBBus_18::portWidthName (const MultiVHDLBPort* pp)
{
# line 64 "VHDLBBus_18.pl"
if(!strcmp(pp->name(),"input")) {
                          return((const char*) "I_WIDTH");
                        }
                        else {
                          Error::abortRun(*this, "No MultiVHDLBPort named",
                                          pp->name(), "in star");
                          return((const char*) "ERROR");
                        }
}


// prototype instance for known block list
static VHDLBBus_18 proto;
static RegisterBlock registerBlock(proto,"Bus_18");
