#ifndef _VHDLBCounter_h
#define _VHDLBCounter_h 1
// header file generated from VHDLBCounter.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "VHDLBStar.h"
#include "ConstIters.h"
#include "IntState.h"

class VHDLBCounter : public VHDLBStar
{
public:
	VHDLBCounter();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InVHDLBPort clock;
	InVHDLBPort enable;
	InVHDLBPort reset;
	InVHDLBPort up_down;
	MultiOutVHDLBPort output;

protected:
	/* virtual */ void setup();
	/* virtual */ void go();
	IntState delay;
	const char* portWidthName (const MultiVHDLBPort* pp);

};
#endif
