static const char file_id[] = "VHDLBLog.pl";
// .cc file generated from VHDLBLog.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBLog.h"

const char *star_nm_VHDLBLog = "VHDLBLog";

const char* VHDLBLog :: className() const {return star_nm_VHDLBLog;}

ISA_FUNC(VHDLBLog,VHDLBStar);

Block* VHDLBLog :: makeNew() const { LOG_NEW; return new VHDLBLog;}

VHDLBLog::VHDLBLog ()
{
	setDescriptor("Calculates natural logarithm of the input.");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));
	addState(min.setState("min",this,"-100","The default minimum value to use if the input is not\n                       valid (less than or equal to zero)"));


}

void VHDLBLog::go() {
# line 34 "VHDLBLog.pl"
}

// prototype instance for known block list
static VHDLBLog proto;
static RegisterBlock registerBlock(proto,"Log");
