static const char file_id[] = "VHDLBMultiIn.pl";
// .cc file generated from VHDLBMultiIn.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBMultiIn.h"

const char *star_nm_VHDLBMultiIn = "VHDLBMultiIn";

const char* VHDLBMultiIn :: className() const {return star_nm_VHDLBMultiIn;}

ISA_FUNC(VHDLBMultiIn,VHDLBStar);

Block* VHDLBMultiIn :: makeNew() const { LOG_NEW; return new VHDLBMultiIn;}

VHDLBMultiIn::VHDLBMultiIn ()
{
	setDescriptor("Output the first of multiple inputs, discarding the rest.");
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));


}

void VHDLBMultiIn::go() {
# line 41 "VHDLBMultiIn.pl"
}


const char* VHDLBMultiIn::portWidthName (const MultiVHDLBPort* pp)
{
# line 30 "VHDLBMultiIn.pl"
if(!strcmp(pp->name(),"input")) {
			  return((const char*) "N");
			}
                        else {
			  Error::abortRun(*this, "No MultiVHDLBPort named",
					  pp->name(), "in star");
			  return((const char*) "ERROR");
			}
}


// prototype instance for known block list
static VHDLBMultiIn proto;
static RegisterBlock registerBlock(proto,"MultiIn");
