static const char file_id[] = "VHDLBMultiple.pl";
// .cc file generated from VHDLBMultiple.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBMultiple.h"

const char *star_nm_VHDLBMultiple = "VHDLBMultiple";

const char* VHDLBMultiple :: className() const {return star_nm_VHDLBMultiple;}

ISA_FUNC(VHDLBMultiple,VHDLBStar);

Block* VHDLBMultiple :: makeNew() const { LOG_NEW; return new VHDLBMultiple;}

VHDLBMultiple::VHDLBMultiple ()
{
	setDescriptor("Outputs a 1 (logical high) if top input is integer multiple of bottom input,\notherwise the output is zero (logical low).");
	addPort(top.setPort("top",this,INT));
	addPort(bottom.setPort("bottom",this,INT));
	addPort(mult.setPort("mult",this,INT));


}

void VHDLBMultiple::go() {
# line 37 "VHDLBMultiple.pl"
}

// prototype instance for known block list
static VHDLBMultiple proto;
static RegisterBlock registerBlock(proto,"Multiple");
