static const char file_id[] = "VHDLBNand3.pl";
// .cc file generated from VHDLBNand3.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBNand3.h"

const char *star_nm_VHDLBNand3 = "VHDLBNand3";

const char* VHDLBNand3 :: className() const {return star_nm_VHDLBNand3;}

ISA_FUNC(VHDLBNand3,VHDLBStar);

Block* VHDLBNand3 :: makeNew() const { LOG_NEW; return new VHDLBNand3;}

VHDLBNand3::VHDLBNand3 ()
{
	setDescriptor("Output the logical nand of the three inputs with the given delay.");
	addPort(input1.setPort("input1",this,INT));
	addPort(input2.setPort("input2",this,INT));
	addPort(input3.setPort("input3",this,INT));
	addPort(output.setPort("output",this,INT));
	addState(delay.setState("delay",this,"1","The propagation delay, in nsec"));


}

void VHDLBNand3::go() {
# line 39 "VHDLBNand3.pl"
}

// prototype instance for known block list
static VHDLBNand3 proto;
static RegisterBlock registerBlock(proto,"Nand3");
