static const char file_id[] = "VHDLBPar2Ser.pl";
// .cc file generated from VHDLBPar2Ser.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBPar2Ser.h"

const char *star_nm_VHDLBPar2Ser = "VHDLBPar2Ser";

const char* VHDLBPar2Ser :: className() const {return star_nm_VHDLBPar2Ser;}

ISA_FUNC(VHDLBPar2Ser,VHDLBStar);

Block* VHDLBPar2Ser :: makeNew() const { LOG_NEW; return new VHDLBPar2Ser;}

VHDLBPar2Ser::VHDLBPar2Ser ()
{
	setDescriptor("Output the eight bits of input in parallel on the serial output.\nLatch in a new input byte every eight clock cycles.\nShift the bits out (starting with the lowest) one per clock cycle.");
	addPort(bus1.setPort("bus1",this,INT));
	addPort(bus2.setPort("bus2",this,INT));
	addPort(bus3.setPort("bus3",this,INT));
	addPort(bus4.setPort("bus4",this,INT));
	addPort(bus5.setPort("bus5",this,INT));
	addPort(bus6.setPort("bus6",this,INT));
	addPort(bus7.setPort("bus7",this,INT));
	addPort(bus8.setPort("bus8",this,INT));
	addPort(clock.setPort("clock",this,INT));
	addPort(serOut.setPort("serOut",this,INT));
	addState(delay.setState("delay",this,"1","The propagation delay, in nsec"));


}

void VHDLBPar2Ser::go() {
# line 65 "VHDLBPar2Ser.pl"
}

// prototype instance for known block list
static VHDLBPar2Ser proto;
static RegisterBlock registerBlock(proto,"Par2Ser");
