static const char file_id[] = "VHDLBRamp.pl";
// .cc file generated from VHDLBRamp.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBRamp.h"

const char *star_nm_VHDLBRamp = "VHDLBRamp";

const char* VHDLBRamp :: className() const {return star_nm_VHDLBRamp;}

ISA_FUNC(VHDLBRamp,VHDLBStar);

Block* VHDLBRamp :: makeNew() const { LOG_NEW; return new VHDLBRamp;}

VHDLBRamp::VHDLBRamp ()
{
	setDescriptor("Output a signal which increases by the stepsize each simulation step.");
	addPort(output.setPort("output",this,INT));
	addState(init.setState("init",this,"0","The initial value."));
	addState(step.setState("step",this,"1","The constant stepsize."));
	addState(interval.setState("interval",this,"1","The interval between output transactions, in nsec"));


}

void VHDLBRamp::go() {
# line 39 "VHDLBRamp.pl"
}

// prototype instance for known block list
static VHDLBRamp proto;
static RegisterBlock registerBlock(proto,"Ramp");
