#ifndef _VHDLBRect_h
#define _VHDLBRect_h 1
// header file generated from VHDLBRect.pl by ptlang

#ifdef __GNUG__
#pragma interface
#endif

/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */
#include "VHDLBStar.h"
#include "IntState.h"
#include "FloatState.h"

class VHDLBRect : public VHDLBStar
{
public:
	VHDLBRect();
	/* virtual */ Block* makeNew() const;
	/* virtual*/ const char* className() const;
	/* virtual*/ int isA(const char*) const;
	InVHDLBPort clock;
	OutVHDLBPort output;

protected:
	/* virtual */ void go();
	FloatState height;
	IntState width;
	IntState period;

};
#endif
