static const char file_id[] = "VHDLBReg.pl";
// .cc file generated from VHDLBReg.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBReg.h"

const char *star_nm_VHDLBReg = "VHDLBReg";

const char* VHDLBReg :: className() const {return star_nm_VHDLBReg;}

ISA_FUNC(VHDLBReg,VHDLBStar);

Block* VHDLBReg :: makeNew() const { LOG_NEW; return new VHDLBReg;}

VHDLBReg::VHDLBReg ()
{
	setDescriptor("A simple multiple-bit rising-edge triggered register.");
	addState(delay.setState("delay",this,"1","internal delay in nanoseconds"));
	addPort(clock.setPort("clock",this,INT));
	addPort(input.setPort("input",this,INT));
	addPort(output.setPort("output",this,INT));


}

void VHDLBReg::setup() {
# line 57 "VHDLBReg.pl"
int i_width = 0;  // Input's bus width
		int o_width = 0;  // Output's bus width

		CBlockMPHIter starMPHIter(*this);
		const MultiVHDLBPort* mph;

		while((mph = (const MultiVHDLBPort*) starMPHIter++) != 0) {
		  if( !strcmp(mph->name(),"input") )
		    i_width = mph->numberPorts();
		  else if( !strcmp(mph->name(),"output") )
                    o_width = mph->numberPorts();
		}

		if( i_width != o_width )
                  Error::abortRun(*this, "Mismatched input/output bus widths in register");
}

void VHDLBReg::go() {
# line 74 "VHDLBReg.pl"
}


const char* VHDLBReg::portWidthName (const MultiVHDLBPort* pp)
{
# line 43 "VHDLBReg.pl"
if(!strcmp(pp->name(),"input")) {
			  return((const char*) "I_WIDTH");
			}
			else if(!strcmp(pp->name(),"output")) {
			  return((const char*) "O_WIDTH");
			}
                        else {
			  Error::abortRun(*this, "No MultiVHDLBPort named",
					  pp->name(), "in star");
			  return((const char*) "ERROR");
			}
}


// prototype instance for known block list
static VHDLBReg proto;
static RegisterBlock registerBlock(proto,"Reg");
