static const char file_id[] = "VHDLBSinc.pl";
// .cc file generated from VHDLBSinc.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBSinc.h"

const char *star_nm_VHDLBSinc = "VHDLBSinc";

const char* VHDLBSinc :: className() const {return star_nm_VHDLBSinc;}

ISA_FUNC(VHDLBSinc,VHDLBStar);

Block* VHDLBSinc :: makeNew() const { LOG_NEW; return new VHDLBSinc;}

VHDLBSinc::VHDLBSinc ()
{
	setDescriptor("Calculates the sinc function of the input value and outputs it.\nInput is in radians.  If input is zero, output is 1.0");
	addPort(input.setPort("input",this,FLOAT));
	addPort(output.setPort("output",this,FLOAT));


}

void VHDLBSinc::go() {
# line 34 "VHDLBSinc.pl"
}

// prototype instance for known block list
static VHDLBSinc proto;
static RegisterBlock registerBlock(proto,"Sinc");
