static const char file_id[] = "VHDLBxx73.pl";
// .cc file generated from VHDLBxx73.pl by ptlang
/*
Copyright (c) 1990-1996 The Regents of the University of California.
All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
 */

#ifdef __GNUG__
#pragma implementation
#endif

#include "VHDLBxx73.h"

const char *star_nm_VHDLBxx73 = "VHDLBxx73";

const char* VHDLBxx73 :: className() const {return star_nm_VHDLBxx73;}

ISA_FUNC(VHDLBxx73,VHDLBStar);

Block* VHDLBxx73 :: makeNew() const { LOG_NEW; return new VHDLBxx73;}

VHDLBxx73::VHDLBxx73 ()
{
	setDescriptor("JK Flip-Flop with clock and clear inputs, Q and /Q outputs.");
	addPort(J.setPort("J",this,INT));
	addPort(K.setPort("K",this,INT));
	addPort(clock.setPort("clock",this,INT));
	addPort(notClr.setPort("notClr",this,INT));
	addPort(Q.setPort("Q",this,INT));
	addPort(notQ.setPort("notQ",this,INT));
	addState(delay.setState("delay",this,"1","The propagation delay, in nsec"));


}

void VHDLBxx73::go() {
# line 47 "VHDLBxx73.pl"
}

// prototype instance for known block list
static VHDLBxx73 proto;
static RegisterBlock registerBlock(proto,"xx73");
